/*
 *  Copyright 2005-2006 Stefan Reuter
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
package it.asterisk.live;

/**
 * Indicates that a record operation related issue has occured,
 * 
 * @author videanuadrian
 * @version $Id$
 */
public class RecordingException extends LiveException
{
    /**
     * Serial version identifier.
     */

    private static final long serialVersionUID = 7804327171239361017L;

    /**
     * Creates a new instance with the given message.
     * 
     * @param message the message
     */
    public RecordingException(String message)
    {
        super(message);
    }
}
