package it.asterisk.pbx;

public class CallStateDataNewInbound extends CallStateData
{

    CallerID _originatingPartyCallerID;

    private final String _fromDID;

    public CallStateDataNewInbound(String fromDID, CallerID originatingPartyCallerID)
    {
        this._originatingPartyCallerID = originatingPartyCallerID;
        this._fromDID = fromDID;
    }

    public CallerID getOriginatingPartyCallerID()
    {
        return this._originatingPartyCallerID;
    }

    public String getFromDID()
    {
        return this._fromDID;
    }
}
