package it.asterisk.pbx.asterisk.wrap.actions;

import it.asterisk.manager.action.ManagerAction;
import it.asterisk.pbx.EndPoint;

public class SipShowPeerAction extends AbstractManagerAction
{

	private final EndPoint _peer;

	public SipShowPeerAction(final EndPoint peer)
	{
		this._peer = peer;
	}

	@Override
	public ManagerAction getAJAction()
	{
		final it.asterisk.manager.action.SipShowPeerAction action = new it.asterisk.manager.action.SipShowPeerAction();
		action.setActionId(this.getActionId());
		action.setPeer(this._peer.getSimpleName());
		return action;
	}

	public String toString()
	{
		return "SipShowPeerAction: peer=" + this._peer; //$NON-NLS-1$
	}

}
