package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.InvalidChannelName;

public class AbstractMeetMeEvent extends ChannelEventHelper
{
    private static final long serialVersionUID = 1L;


    private final String meetMe;
    private final Integer userNum;

    public AbstractMeetMeEvent(final it.asterisk.manager.event.AbstractMeetMeEvent event) throws InvalidChannelName
    {
        super(event.getChannel(), event.getUniqueId());
        this.meetMe = event.getMeetMe();
        this.userNum = event.getUser();
    }

    public String getMeetMe()
    {
        return this.meetMe;
    }

    public Integer getUserNum()
    {
        return this.userNum;
    }

}
