package it.callite.action;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.CampoSpeciale;
import it.callite.utility.DatoSondaggio;
import it.callite.utility.ValoreMappa;

@SuppressWarnings("serial")
public class ChangeBean implements Serializable {

	private String valore;
	private DatoSondaggio dato;

	public DatoSondaggio getDato() {
		return dato;
	}

	public void setDato(DatoSondaggio dato) {
		this.dato = dato;
	}

	public String getValore() {
		return valore;
	}

	public void setValore(String valore) {
		this.valore = valore;
	}

	public String execute() {
		String ccLs = ApplicationUtil.trimToNull(valore);
		if(ccLs != null && dato != null) {
			List<String> ccL = ApplicationUtil.token(ccLs, ConstantsGlobal.colonSeparator);
			if(ApplicationUtil.notEmpty(ccL)) {
				for(String cca :ccL) {
					String cc = ApplicationUtil.trimToNull(cca);
					if(ccLs != null) {
						CampoSpeciale c = new CampoSpeciale(cc, dato.getChiave());
						Map<CampoSpeciale,ValoreMappa> m = dato.getMappa();
						ValoreMappa v =  m.get(c);
						if(v != null) {
							v.setSingolo(null);
							v.setMultiplo(null);
						} 
					}
				}
			}
		}
		return null;
	}

}
