package it.callite.action;
import java.io.Serializable;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class LoginBean implements Serializable {
	public void doLogin() {
		ApplicationUtil.getRequestDispatcher("/c_security_login");
	}
	public void doLogout() {
		ApplicationUtil.getRequestDispatcher("/c_security_logout");
	}
	public boolean isLoggedIn() {
		Map<String, Object> sessionMap = ApplicationUtil.getSessionMap(null);
		if(sessionMap != null) {
			return sessionMap.containsKey(ConstantsGlobal.EVENT_KEY);
		}
		return false;
	}
}