package it.callite.action;

import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.OperazioneDao;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;

@SuppressWarnings("serial")
public class NavigationBean implements Serializable {
	
	private Utente utente;
	private String url;
	private String menu;
	private OperazioneDao operazioneDao;
	
	public void setOperazioneDao(OperazioneDao operazioneDao) {
		this.operazioneDao = operazioneDao;
	}

	public String getMenu() {
		return menu;
	}

	public void setMenu(String menu) {
		this.menu = menu;
	}

	public Utente getUtente() {
		return utente;
	}

	public void setUtente(Utente utente) {
		this.utente = utente;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
	
	public void goTo() {
		operazioneDao.logga(utente, menu, url);
		ApplicationUtil.goToUrl(ConstantsGlobal.path_web + "/" + url);
	}

}
