package it.callite.action;
import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
import java.io.Serializable;
@SuppressWarnings("serial")
public class SceltaBean implements Serializable {
	private String tipo;
	private Integer tipologia;
	private Boolean autodialer;
	private Boolean supervisore;
	private Boolean ritorno;
	private Boolean home;
	
	public SceltaBean() {
		this.tipologia = ConstantsGlobal.ID_SEZIONE_PUBBLICHE;
		this.autodialer = false;
		this.supervisore = false;
		this.ritorno = true;
		this.home = true;
		this.tipo = "";
	}
	
	public Boolean getRitorno() {
		return ritorno;
	}
	public void setRitorno(Boolean ritorno) {
		this.ritorno = ritorno;
	}
	public Boolean getAutodialer() {
		return autodialer;
	}
	public String getStyle() {
		return ApplicationUtil.style(tipologia);
	}
	public Boolean getSupervisore() {
		return supervisore;
	}
	public String getTesto() {
		return ApplicationUtil.testo(tipologia);
	}
	public String getTestoFlag() {
		return "text.conclusioneCampagna" + ApplicationUtil.testo(tipologia);
	}
	public String getTipo() {
		return tipo;
	}
	public Integer getTipologia() {
		return tipologia;
	}
	public String pausa() {
		return ApplicationUtil.pausa(home, tipologia, ritorno);
	}
	
	public void setAutodialer(Boolean autodialer) {
		this.autodialer = autodialer;
	}
	
	public Boolean getHome() {
		return home;
	}
	public void setHome(Boolean home) {
		this.home = home;
	}
	public void setSupervisore(Boolean supervisore) {
		this.supervisore = supervisore;
	}
	
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	
	public void setTipologia(Integer tipologia) {
		this.tipologia = tipologia;
	}
}