package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class AgenteAppuntamentoColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public AgenteAppuntamentoColumn() {
		doReset();
	}

	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione,		true);
		add(ConstantsColumn.bloccato,			true);
		add(ConstantsColumn.indirizzo,			true);
		add(ConstantsColumn.localizzazione,  	false);
		add(ConstantsColumn.nota, 				false);
		add(ConstantsColumn.anagrafica,			true);
		add(ConstantsColumn.telefono, 			false);
		add(ConstantsColumn.email, 				false);
		add(ConstantsColumn.link, 				false);
		add(ConstantsColumn.dati_base,			false);
		add(ConstantsColumn.dati_fiscali,		false);
		add(ConstantsColumn.agente, 			true);
		add(ConstantsColumn.operatore, 			false);
		add(ConstantsColumn.esito, 				true);
		add(ConstantsColumn.stato, 				false);
		add(ConstantsColumn.data_conferma, 		false);
		add(ConstantsColumn.data_esito, 		false);
		add(ConstantsColumn.data_stato, 		false);
		add(ConstantsColumn.data_lavorazione,   false);
		add(ConstantsColumn.data_appuntamento, 	true);
		add(ConstantsColumn.ora_inizio, 		true);
		add(ConstantsColumn.ora_fine, 			true);
		addSeparatore("1");
		add(ConstantsColumn.allegati, 			false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.bloccato);
		ordinamento(ConstantsColumn.stato);
		ordinamento(ConstantsColumn.localizzazione); 
		ordinamento(ConstantsColumn.data_inizio);
		ordinamento(ConstantsColumn.data_fine);
		ordinamento(ConstantsColumn.data_conferma);
		ordinamento(ConstantsColumn.data_esito);
		ordinamento(ConstantsColumn.data_stato);
		ordinamento(ConstantsColumn.data_lavorazione);
		return getAction();
	}


}
