package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class AgentePrenotazioneColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	public AgentePrenotazioneColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione,		true);
		add(ConstantsColumn.data_lavorazione,	false);
		add(ConstantsColumn.bloccato,			true);
		add(ConstantsColumn.campagna, 			true);
		add(ConstantsColumn.lista, 				true);
		add(ConstantsColumn.agente, 			true);
		add(ConstantsColumn.operatore, 			true);
		add(ConstantsColumn.utente, 			false);
		add(ConstantsColumn.stato,				true);
		add(ConstantsColumn.telefono, 			true);
		add(ConstantsColumn.tipo_telefono, 		true);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.data_lavorazione);
		ordinamento(ConstantsColumn.bloccato);
		ordinamento(ConstantsColumn.stato);
		ordinamento(ConstantsColumn.telefono);
		ordinamento(ConstantsColumn.tipo_telefono);
		return getAction();
	}
	
}
