package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class CodaColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	public CodaColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione,		false);
		add(ConstantsColumn.name, 				true);
		add(ConstantsColumn.musiconhold, 		true);
		add(ConstantsColumn.strategy, 			true);
		add(ConstantsColumn.timeout, 			true);
		add(ConstantsColumn.retry, 				true);
		addSeparatore("1");
		add(ConstantsColumn.interni, 			false);
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.name);
		ordinamento(ConstantsColumn.musiconhold);
		ordinamento(ConstantsColumn.strategy);
		ordinamento(ConstantsColumn.timeout);
		ordinamento(ConstantsColumn.retry);
		return getAction();
	}
	
}
