package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class InboundColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	public InboundColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,						true);
		add(ConstantsColumn.data_creazione, 		false);
		add(ConstantsColumn.nome, 					true);
		add(ConstantsColumn.extension, 				true);
		add(ConstantsColumn.musicclass, 			false);
		add(ConstantsColumn.context, 				false);
		add(ConstantsColumn.enabledScript, 			true);
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.extension);
		ordinamento(ConstantsColumn.musicclass);
		ordinamento(ConstantsColumn.context);
		ordinamento(ConstantsColumn.enabledScript);
	
		return getAction();
	}
	
}
	
