package it.callite.comparator;

import java.util.Comparator;

import it.callite.utility.Label;

public class LabelComparator implements Comparator<Label> {

	public LabelComparator() {
	}

	@Override
	public int compare(Label o1, Label o2) {
		String a1 = o1.getLabel();
		String a2 = o2.getLabel();
		if(a1 != null && a2 != null) {
			return a1.compareTo(a2);
		} else if(a1 != null && a2 == null) {
			return -1;
		} else if(a1 == null && a2 != null) {
			return 1;
		} else {
			return 0;
		}
	}
	
}
