package it.callite.constants;

import java.util.HashMap;
import java.util.Map;

import it.callite.model.EsitoChiamata;
import it.callite.utility.ApplicationUtil;

public class ConstantsEsito {
	
	public static final long ID_DA_CHIAMARE			= 1;
	public static final long ID_OK 					= 2;
	public static final long ID_RICHIAMO_PUBBLICO	= 3;
	public static final long ID_RICHIAMO_PRIVATO	= 4;
	
	public static final Map<Long, EsitoChiamata> DEFAULTS = new HashMap<Long, EsitoChiamata>();
	static {
		DEFAULTS.put(ID_DA_CHIAMARE, new EsitoChiamata(ConstantsLanguage.DA_CHIAMARE.stampa(), ApplicationUtil.lowerCaseEmpty(ConstantsLanguage.DA_CHIAMARE.stampa())));
		DEFAULTS.put(ID_OK, new EsitoChiamata(ConstantsLanguage.OK.stampa(), ApplicationUtil.lowerCaseEmpty(ConstantsLanguage.OK.stampa())));
		DEFAULTS.put(ID_RICHIAMO_PRIVATO, new EsitoChiamata(ConstantsLanguage.RICHIAMO_PRIVATO.stampa(), ApplicationUtil.lowerCaseEmpty(ConstantsLanguage.RICHIAMO_PRIVATO.stampa())));
		DEFAULTS.put(ID_RICHIAMO_PUBBLICO, new EsitoChiamata(ConstantsLanguage.RICHIAMO_PUBBLICO.stampa(), ApplicationUtil.lowerCaseEmpty(ConstantsLanguage.RICHIAMO_PUBBLICO.stampa())));
	};

}
