package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.model.config.ConfigAsterisk;
public class DefaultsAsterisk {
	public static final String KEY_MOULE01 = "asterisk.cel_odbc";
	public static final String KEY_MOULE02 = "asterisk.cdr_adaptive_odbc";
	public static final String KEY_MOULE03 = "asterisk.chan_skinny";
	public static final String KEY_MOULE04 = "asterisk.chan_mgcp";
	public static final String KEY_MOULE05 = "asterisk.pbx_dundi";
	public static final String KEY_MOULE06 = "asterisk.chan_iax2";
	public static final String KEY_MOULE07 = "asterisk.chan_unistim";
	public static final String KEY_MOULE08 = "asterisk.cdr_csv";
	public static final String KEY_MOULE09 = "asterisk.cel_custom";
	public static final String KEY_MOULE10 = "asterisk.cel_radius";
	public static final String KEY_MOULE11 = "asterisk.cdr_custom";
	public static final String KEY_MOULE12 = "asterisk.cdr_radius";
	public static final String KEY_MOULE13 = "asterisk.app_originate";
	public static final String KEY_MOULE14 = "asterisk.cdr_manager";
	
	public static final Map<String, ConfigAsterisk> DEFAULTS;
	static {
		Map<String, ConfigAsterisk> aMap = new HashMap<String, ConfigAsterisk>();
		aMap.put(KEY_MOULE01, new ConfigAsterisk(KEY_MOULE01, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE02, new ConfigAsterisk(KEY_MOULE02, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE03, new ConfigAsterisk(KEY_MOULE03, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE04, new ConfigAsterisk(KEY_MOULE04, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE05, new ConfigAsterisk(KEY_MOULE05, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE06, new ConfigAsterisk(KEY_MOULE06, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE07, new ConfigAsterisk(KEY_MOULE07, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE08, new ConfigAsterisk(KEY_MOULE08, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE09, new ConfigAsterisk(KEY_MOULE09, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE10, new ConfigAsterisk(KEY_MOULE10, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE11, new ConfigAsterisk(KEY_MOULE11, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE12, new ConfigAsterisk(KEY_MOULE12, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE13, new ConfigAsterisk(KEY_MOULE13, Boolean.FALSE, true, true));
		aMap.put(KEY_MOULE14, new ConfigAsterisk(KEY_MOULE14, Boolean.FALSE, true, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}