package it.callite.controller;
import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.DataDao;
import it.callite.model.ClientAPI;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class ApiController  implements Serializable  {
	@Autowired
	public DataDao dataDao;

	//https://BASE_PATH/api/id
	@RequestMapping(value = ConstantsGlobal.path_web_api + "/{id}")
	public void getFile(HttpServletRequest request, HttpServletResponse response, @PathVariable final Long id)  {
		ClientAPI t = dataDao.getAPI(id);
		if (t != null && ApplicationUtil.isTrue(t.getAttivo())) {
			try {
				t.setLabels(ApplicationUtil.readText(ApplicationUtil.replaceInString(t.getInputs(), ApplicationUtil.readParameters(request))));
				String r = dataDao.invia(t);
				if(r != null) {
					ApplicationUtil.writeBody(response, r);
				}
			} catch (Exception e) {
			}
		}
	}
}