package it.callite.controller;
import java.io.InputStream;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.FileDao;
import it.callite.log.ErrorLog;
import it.callite.utility.ApplicationUtil;
@RestController
@RequestMapping(value = ConstantsGlobal.path_web_importa)
public class ShareController {

	@Autowired
	public  FileDao fileDao;


	//https://BASE_PATH/importa/file
	@RequestMapping(value= "/file") 
	public void sendFile(HttpServletRequest request, HttpServletResponse response){

		try {
			String filename = ApplicationUtil.trimToNull(request.getParameter("title"));
			InputStream body = request.getInputStream();
			if(filename == null) {
				filename = System.currentTimeMillis() + "." + ConstantsMap.pdf;
			}
			fileDao.salvaController(filename, body.readAllBytes());
			ApplicationUtil.writeBody(response, filename);
			body.close();
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}



}