package it.callite.criteria;

import java.io.Serializable;

import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class ConfigurazioneCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String nome;
	
	public ConfigurazioneCriteria() {
	}

	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}

	public ConfigurazioneCriteria resetCriteria() {
		ConfigurazioneCriteria c = new ConfigurazioneCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public ConfigurazioneCriteria resetCriteria(String b) {
		ConfigurazioneCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}


}
