package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;

public class PDACriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long prodotto;
	
	public PDACriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = null;
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}
	public Long getProdotto() {
		return prodotto;
	}
	public PDACriteria resetCriteria() {
		PDACriteria c = new PDACriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public PDACriteria resetCriteria(String b) {
		PDACriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setProdotto(Long prodotto) {
		this.prodotto = prodotto;
	}




}
