package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class WebhookTemplateCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private String nome;
	
	public WebhookTemplateCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}
	
	public WebhookTemplateCriteria resetCriteria() {
		WebhookTemplateCriteria c = new WebhookTemplateCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public WebhookTemplateCriteria resetCriteria(String b) {
		WebhookTemplateCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}



}
