package it.callite.model.pk;
import it.callite.model.Agente;
import java.io.Serializable;
import javax.persistence.Embeddable;
import javax.persistence.ManyToOne;
@SuppressWarnings("serial")
@Embeddable
public class ClosurePK implements Serializable {
	@ManyToOne
	private Agente agente;
	@ManyToOne
	private Agente agente_padre;
	public Agente getAgente() {
		return agente;
	}
	public void setAgente(Agente agente) {
		this.agente = agente;
	}
	public Agente getAgente_padre() {
		return agente_padre;
	}
	public void setAgente_padre(Agente agente_padre) {
		this.agente_padre = agente_padre;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((agente == null) ? 0 : agente.hashCode());
		result = prime * result
				+ ((agente_padre == null) ? 0 : agente_padre.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ClosurePK other = (ClosurePK) obj;
		if (agente == null) {
			if (other.agente != null)
				return false;
		} else if (!agente.equals(other.agente))
			return false;
		if (agente_padre == null) {
			if (other.agente_padre != null)
				return false;
		} else if (!agente_padre.equals(other.agente_padre))
			return false;
		return true;
	}
}