package it.callite.model.report;

import it.callite.model.Contatto;
import it.callite.utility.ApplicationUtil;

import java.io.Serializable;
import java.util.List;


@SuppressWarnings("serial")
public class AutoInvioReportList implements Serializable {

	private List<Contatto> codaContattiTotali;
	private List<Contatto> codaContattiFalliti;
	private List<Contatto> codaContattiRiusciti;



	public Integer getCodaContattiTotaliSize() {
		return ApplicationUtil.size(codaContattiTotali);
	}
	public Integer getCodaContattiFallitiSize() {
		return ApplicationUtil.size(codaContattiFalliti);
	}
	public List<Contatto> getCodaContattiTotali() {
		return codaContattiTotali;
	}
	public void setCodaContattiTotali(List<Contatto> codaContattiTotali) {
		this.codaContattiTotali = codaContattiTotali;
	}
	public List<Contatto> getCodaContattiFalliti() {
		return codaContattiFalliti;
	}
	public void setCodaContattiFalliti(List<Contatto> codaContattiFalliti) {
		this.codaContattiFalliti = codaContattiFalliti;
	}
	public List<Contatto> getCodaContattiRiusciti() {
		return codaContattiRiusciti;
	}
	public void setCodaContattiRiusciti(List<Contatto> codaContattiRiusciti) {
		this.codaContattiRiusciti = codaContattiRiusciti;
	}
	public Integer getCodaContattiRiuscitiSize() {
		return ApplicationUtil.size(codaContattiRiusciti);
	}

}