package it.callite.model.report;

import java.io.Serializable;

import it.callite.model.Campagna;
import it.callite.utility.ApplicationUtil;


@SuppressWarnings("serial")
public class AutodialerReport implements Serializable {
	
	private Integer chiamateAttive = 0;
	private Integer chiamateSchedulate = 0;
	private Integer chiamateInCorso = 0;
	private Integer chiamateInAttesa = 0;
	private Integer codaTeamCampagna = 0;
	private Integer chiamateInCorsoMax = 0;
	private Integer chiamateAttiveMax = 0;
	private Integer chiamateAutodialer = 0;
	
	private Campagna campagna;

	private Boolean caricato = Boolean.FALSE;
	private Boolean sospeso = Boolean.FALSE;
	private Boolean avviato = Boolean.FALSE;
	private Boolean esaurito = Boolean.FALSE;
	private Boolean started = Boolean.FALSE;
	private Boolean finito = Boolean.FALSE;
	private Integer correzione =0;
	private String criterio;
	
	private Boolean a_rimosse = Boolean.FALSE;
	private Boolean a_saltate = Boolean.FALSE;
	private Boolean a_fallite = Boolean.FALSE;

	public Boolean getFinito() {
		return finito;
	}
	public void setFinito(Boolean finito) {
		this.finito = finito;
	}
	public Boolean getStarted() {
		return started;
	}
	public void setStarted(Boolean started) {
		this.started = started;
	}
	public Boolean getEsaurito() {
		return esaurito;
	}
	public void setEsaurito(Boolean esaurito) {
		this.esaurito = esaurito;
	}
	public Boolean getSospeso() {
		return sospeso;
	}
	public void setSospeso(Boolean sospeso) {
		this.sospeso = sospeso;
	}

	public Boolean getCaricato() {
		return caricato;
	}
	public void setCaricato(Boolean caricato) {
		this.caricato = caricato;
	}
	
	public Boolean getAvviato() {
		return avviato;
	}
	public void setAvviato(Boolean avviato) {
		this.avviato = avviato;
	}
	public Campagna getCampagna() {
		return campagna;
	}
	public void setCampagna(Campagna campagna) {
		this.campagna = campagna;
	}
	

	public Integer getChiamateInCorsoMax() {
		return chiamateInCorsoMax;
	}
	public void setChiamateInCorsoMax(Integer chiamateInCorsoMax) {
		this.chiamateInCorsoMax = chiamateInCorsoMax;
	}
	public Integer getChiamateAttiveMax() {
		return chiamateAttiveMax;
	}
	public void setChiamateAttiveMax(Integer chiamateAttiveMax) {
		this.chiamateAttiveMax = chiamateAttiveMax;
	}

	
	
	public Integer getChiamateAutodialer() {
		return chiamateAutodialer;
	}
	public void setChiamateAutodialer(Integer chiamateAutodialer) {
		this.chiamateAutodialer = chiamateAutodialer;
	}
	public Integer getChiamateAttive() {
		return chiamateAttive;
	}
	public void setChiamateAttive(Integer chiamateAttive) {
		this.chiamateAttive = chiamateAttive;
	}
	
	public Integer getChiamateSchedulate() {
		return chiamateSchedulate;
	}
	public void setChiamateSchedulate(Integer chiamateSchedulate) {
		this.chiamateSchedulate = chiamateSchedulate;
	}

	public Integer getChiamateInCorso() {
		return chiamateInCorso;
	}
	public void setChiamateInCorso(Integer chiamateInCorso) {
		this.chiamateInCorso = chiamateInCorso;
	}

	public Integer getCodaTeamCampagna() {
		return codaTeamCampagna;
	}
	public void setCodaTeamCampagna(Integer codaTeamCampagna) {
		this.codaTeamCampagna = codaTeamCampagna;
	}
	
	public Integer getChiamateInAttesa() {
		return chiamateInAttesa;
	}
	public void setChiamateInAttesa(Integer chiamateInAttesa) {
		this.chiamateInAttesa = chiamateInAttesa;
	}
	public String getCriterio() {
		return ApplicationUtil.trimToEmpty(criterio);
	}
	public void setCriterio(String criterio) {
		this.criterio = criterio;
	}
	public Integer getCorrezione() {
		return correzione;
	}
	public void setCorrezione(Integer correzione) {
		this.correzione = correzione;
	}
	public Boolean getA_rimosse() {
		return a_rimosse;
	}
	public void setA_rimosse(Boolean a_rimosse) {
		this.a_rimosse = a_rimosse;
	}
	public Boolean getA_saltate() {
		return a_saltate;
	}
	public void setA_saltate(Boolean a_saltate) {
		this.a_saltate = a_saltate;
	}
	public Boolean getA_fallite() {
		return a_fallite;
	}
	public void setA_fallite(Boolean a_fallite) {
		this.a_fallite = a_fallite;
	}
	
}