package it.callite.model.report;

import java.io.Serializable;
import java.util.List;

import it.callite.model.AutoContatto;
import it.callite.model.Contatto;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.InfoUtente;


@SuppressWarnings("serial")
public class AutodialerReportList implements Serializable {
	
	private List<AutoContatto> chiamateAttive;
	private List<AutoContatto> chiamateInAttesa;
	private List<AutoContatto> chiamateSchedulate;
	private List<AutoContatto> chiamateInCorso;
	private List<Contatto> chiamateAutodialer;
	private List<InfoUtente> codaTeamCampagna;
	
	public List<Contatto> getChiamateAutodialer() {
		return chiamateAutodialer;
	}
	public void setChiamateAutodialer(List<Contatto> chiamateAutodialer) {
		this.chiamateAutodialer = chiamateAutodialer;
	}
	public List<AutoContatto> getChiamateAttive() {
		return chiamateAttive;
	}
	public List<AutoContatto> getChiamateSchedulate() {
		return chiamateSchedulate;
	}
	public List<AutoContatto> getChiamateInCorso() {
		return chiamateInCorso;
	}
	
	public List<InfoUtente> getCodaTeamCampagna() {
		return codaTeamCampagna;
	}
	public void setChiamateAttive(List<AutoContatto> chiamateAttive) {
		this.chiamateAttive = chiamateAttive;
	}
	public void setChiamateSchedulate(List<AutoContatto> chiamateSchedulate) {
		this.chiamateSchedulate = chiamateSchedulate;
	}
	public void setChiamateInCorso(List<AutoContatto> chiamateInCorso) {
		this.chiamateInCorso = chiamateInCorso;
	}

	public void setCodaTeamCampagna(List<InfoUtente> codaTeamCampagna) {
		this.codaTeamCampagna = codaTeamCampagna;
	}
	
	public Integer getChiamateAttiveSize() {
		return ApplicationUtil.size(chiamateAttive);
	}
	
	public Integer getChiamateInAttesaSize() {
		return ApplicationUtil.size(chiamateInAttesa);
	}
	public List<AutoContatto> getChiamateInAttesa() {
		return chiamateInAttesa;
	}
	public void setChiamateInAttesa(List<AutoContatto> chiamateInAttesa) {
		this.chiamateInAttesa = chiamateInAttesa;
	}
	public Integer getChiamateSchedulateSize() {
		return ApplicationUtil.size(chiamateSchedulate);
	}
	public Integer getChiamateInCorsoSize() {
		return ApplicationUtil.size(chiamateInCorso);
	}
	
	public Integer getCodaTeamCampagnaSize() {
		return ApplicationUtil.size(codaTeamCampagna);
	}
	
	public Integer getChiamateAutodialerSize() {
		return ApplicationUtil.size(chiamateAutodialer);
	}
	
}