package it.callite.model.report;
import it.callite.utility.ApplicationUtil;
import java.io.Serializable;
import java.util.List;
@SuppressWarnings("serial")
public class ReportEsiti implements Serializable {
	private List<RiepilogoEsito> esitiChiamata;
	private List<RiepilogoEsito> esitiArchiviazione;
	private List<RiepilogoEsito> esitiUtili;
	private List<RiepilogoEsito> esitiPositivi;
	
	public List<RiepilogoEsito> getEsitiChiamata() {
		return esitiChiamata;
	}
	public void setEsitiChiamata(List<RiepilogoEsito> esitiChiamata) {
		this.esitiChiamata = esitiChiamata;
	}
	public List<RiepilogoEsito> getEsitiArchiviazione() {
		return esitiArchiviazione;
	}
	public void setEsitiArchiviazione(List<RiepilogoEsito> esitiArchiviazione) {
		this.esitiArchiviazione = esitiArchiviazione;
	}
	public List<RiepilogoEsito> getEsitiUtili() {
		return esitiUtili;
	}
	public void setEsitiUtili(List<RiepilogoEsito> esitiUtili) {
		this.esitiUtili = esitiUtili;
	}
	public List<RiepilogoEsito> getEsitiPositivi() {
		return esitiPositivi;
	}
	public void setEsitiPositivi(List<RiepilogoEsito> esitiPositivi) {
		this.esitiPositivi = esitiPositivi;
	}
	
	
	public String getTortaEsitiChiamataXML() {
		return ApplicationUtil.report2XML(esitiChiamata);
	}
	public String getTortaEsitiArchiviazioneXML() {
		return ApplicationUtil.report2XML(esitiArchiviazione);
	}
	public String getTortaEsitiUtiliXML() {
		return ApplicationUtil.report2XML(esitiUtili);
	}
	public String getTortaEsitiPositiviXML() {
		return ApplicationUtil.report2XML(esitiPositivi);
	}
	
	
	
	public int getSommaEsitiChiamataXML() {
		return ApplicationUtil.reportSum(esitiChiamata);
	}
	
	public int getSommaEsitiArchiviazioneXML() {
		return ApplicationUtil.reportSum(esitiArchiviazione);
	}
	public int getSommaEsitiUtiliXML() {
		return ApplicationUtil.reportSum(esitiUtili);
	}
	
	public int getSommaEsitiPositiviXML() {
		return ApplicationUtil.reportSum(esitiPositivi);
	}
}