package it.callite.model.report;

import java.io.Serializable;
import java.util.List;

import it.callite.model.Utente;
@SuppressWarnings("serial")
public class ReportLavorato implements Serializable {
	
	private Utente operatore; 
	private DettaglioLavorato marcature;
	private List<DettaglioLavorato> pause;
	public Utente getOperatore() {
		return operatore;
	}
	public void setOperatore(Utente operatore) {
		this.operatore = operatore;
	}
	public DettaglioLavorato getMarcature() {
		return marcature;
	}
	public void setMarcature(DettaglioLavorato marcature) {
		this.marcature = marcature;
	}
	public List<DettaglioLavorato> getPause() {
		return pause;
	}
	public void setPause(List<DettaglioLavorato> pause) {
		this.pause = pause;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((marcature == null) ? 0 : marcature.hashCode());
		result = prime * result + ((operatore == null) ? 0 : operatore.hashCode());
		result = prime * result + ((pause == null) ? 0 : pause.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ReportLavorato other = (ReportLavorato) obj;
		if (marcature == null) {
			if (other.marcature != null)
				return false;
		} else if (!marcature.equals(other.marcature))
			return false;
		if (operatore == null) {
			if (other.operatore != null)
				return false;
		} else if (!operatore.equals(other.operatore))
			return false;
		if (pause == null) {
			if (other.pause != null)
				return false;
		} else if (!pause.equals(other.pause))
			return false;
		return true;
	}
	

}