package it.callite.model.report;

import it.callite.model.Utente;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
@SuppressWarnings("serial")
public class ReportOperatore implements Serializable {
	
	private Utente operatore;
	private Dettaglio totaleChiamate;
	private Dettaglio esitiChiamate; 
	private Dettaglio esitiArchiviazione;
	private Dettaglio esitiArchiviazioneOK;
	private Dettaglio esitiArchiviazioneKO;
	private List<Dettaglio> esitiContattoList;
	private List<Dettaglio> esitiArchiviazioneList;
	

	public Utente getOperatore() {
		return operatore;
	}
	public void setOperatore(Utente operatore) {
		this.operatore = operatore;
	}
	public Dettaglio getTotaleChiamate() {
		return totaleChiamate;
	}
	public void setTotaleChiamate(Dettaglio totaleChiamate) {
		this.totaleChiamate = totaleChiamate;
	}
	public Dettaglio getEsitiChiamate() {
		return esitiChiamate;
	}
	public void setEsitiChiamate(Dettaglio esitiChiamate) {
		this.esitiChiamate = esitiChiamate;
	}
	public Dettaglio getEsitiArchiviazione() {
		return esitiArchiviazione;
	}
	public void setEsitiArchiviazione(Dettaglio esitiArchiviazione) {
		this.esitiArchiviazione = esitiArchiviazione;
	}
	public Dettaglio getEsitiArchiviazioneOK() {
		return esitiArchiviazioneOK;
	}
	public void setEsitiArchiviazioneOK(Dettaglio esitiArchiviazioneOK) {
		this.esitiArchiviazioneOK = esitiArchiviazioneOK;
	}
	public Dettaglio getEsitiArchiviazioneKO() {
		return esitiArchiviazioneKO;
	}
	public void setEsitiArchiviazioneKO(Dettaglio esitiArchiviazioneKO) {
		this.esitiArchiviazioneKO = esitiArchiviazioneKO;
	}
	public List<Dettaglio> getEsitiContattoList() {
		if(esitiContattoList == null)
			esitiContattoList = new ArrayList<Dettaglio>();
		return esitiContattoList;
	}
	public void setEsitiContattoList(List<Dettaglio> esitiContattoList) {
		this.esitiContattoList = esitiContattoList;
	}
	public List<Dettaglio> getEsitiArchiviazioneList() {
		if(esitiArchiviazioneList == null)
			esitiArchiviazioneList = new ArrayList<Dettaglio>();
		return esitiArchiviazioneList;
	}
	public void setEsitiArchiviazioneList(List<Dettaglio> esitiArchiviazioneList) {
		this.esitiArchiviazioneList = esitiArchiviazioneList;
	}
	

}