package it.callite.model.report;
import it.callite.utility.ApplicationUtil;
import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@SuppressWarnings("serial")
public class ReportSondaggio implements Serializable {
	private List<RiepilogoSondaggio> lista;
	private Map<String, Long> mappa = new HashMap<String, Long>();
	public void creaMap() {
		if(ApplicationUtil.notEmpty(lista)) {
			for(RiepilogoSondaggio so : lista) {
				Long parz = so.getNumero();
				if(parz == null)
					parz = Long.valueOf(0);
				Long num = mappa.get(so.getEtichetta());
				if(num == null) {
					mappa.put(so.getEtichetta(), parz);
				} else {
					mappa.put(so.getEtichetta(), (num + parz));
				}
			}
		}
	}
	public String getListaXML() {
		creaMap();
		return ApplicationUtil.report1XML(mappa, lista);
	}
	public List<RiepilogoSondaggio> getLista() {
		return lista;
	}
	public void setLista(List<RiepilogoSondaggio> lista) {
		this.lista = lista;
	}
}