package it.callite.model.report;

import java.io.Serializable;
@SuppressWarnings("serial")
public class RiepilogoSondaggio implements Serializable, Comparable<RiepilogoSondaggio> {

	private Long eid;
	private String colore;
	private String etichetta;
	private String risposta;

	private Long numero;
	public RiepilogoSondaggio() {
	}
	public int compareTo(RiepilogoSondaggio o) {
		if(risposta != null && o.risposta != null) {
			return risposta.compareTo(o.risposta);
		} else if(risposta != null && o.risposta == null) {
			return -1;
		} else if(risposta == null && o.risposta != null) {
			return 1;
		} else {
			return 0;
		}
	}

	public String getColore() {
		return colore;
	}	
	public Long getEid() {
		return eid;
	}	
	public String getEtichetta() {
		return etichetta;
	}

	public Long getNumero() {
		return numero;
	}

	public String getRisposta() {
		return risposta;
	}
	public void setColore(String colore) {
		this.colore = colore;
	}

	public void setEid(Long eid) {
		this.eid = eid;
	}

	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}

	public void setNumero(Long numero) {
		this.numero = numero;
	}

	public void setRisposta(String risposta) {
		this.risposta = risposta;
	}	

}