package it.callite.utility;
import java.io.Serializable;
import java.util.Date;
import java.util.concurrent.CopyOnWriteArrayList;

import it.callite.model.AutoContatto;
@SuppressWarnings("serial")
public class AutodialerList implements Serializable {

	private CopyOnWriteArrayList<AutoContatto> abbattuteList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> agganciateList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> congestionList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> esitateList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> fallitoList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> gestiteList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> hangupList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> macchinaList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> nonRispostoList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> ringingList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> occupatoList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> rifiutatoList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> rimosseList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> risposteList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> saltateList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> scartateList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> tentateList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> inboundList = new CopyOnWriteArrayList<AutoContatto>();
	private CopyOnWriteArrayList<AutoContatto> prenotatoList = new CopyOnWriteArrayList<AutoContatto>();
	

	public AutodialerList() {
	}

	public void incAbbattute(AutoContatto contatto, Date data) {
		contatto.setData(data);
		abbattuteList.add(contatto);
	}

	public void incAgganciate(AutoContatto contatto, Date data) {
		contatto.setData(data);
		agganciateList.add(contatto);
	}

	public void incCongestion(AutoContatto contatto, Date data) {
		contatto.setData(data);
		congestionList.add(contatto);
	}

	public void incEsitate(AutoContatto contatto, Date data) {
		contatto.setData(data);
		esitateList.add(contatto);
	}

	public void incFallito(AutoContatto contatto, Date data) {
		contatto.setData(data);
		fallitoList.add(contatto);
	}
	public void incGestite(AutoContatto contatto, Date data) {
		contatto.setData(data);
		gestiteList.add(contatto);
	}

	public void incHangup(AutoContatto contatto, Date data) {
		contatto.setData(data);
		hangupList.add(contatto);
	}
	public void incMacchina(AutoContatto contatto, Date data) {
		contatto.setData(data);
		macchinaList.add(contatto);
	}
	public void incInbound(AutoContatto contatto, Date data) {
		contatto.setData(data);
		inboundList.add(contatto);
	}
	public void incNonRisposto(AutoContatto contatto, Date data) {
		contatto.setData(data);
		nonRispostoList.add(contatto);
	}
	
	public void incRinging(AutoContatto contatto, Date data) {
		contatto.setData(data);
		ringingList.add(contatto);
	}
	
	public void incPrenotato(AutoContatto contatto, Date data) {
		contatto.setData(data);
		prenotatoList.add(contatto);
	}

	public void incOccupato(AutoContatto contatto, Date data) {
		contatto.setData(data);
		occupatoList.add(contatto);
	}

	public void incRifiutato(AutoContatto contatto, Date data) {
		contatto.setData(data);
		rifiutatoList.add(contatto);
	}
	public void incRimosse(AutoContatto contatto, Date data) {
		contatto.setData(data);
		rimosseList.add(contatto);
	}

	public void incRisposte(AutoContatto contatto, Date data) {
		contatto.setData(data);
		risposteList.add(contatto);
	}

	public void incSaltate(AutoContatto contatto, Date data) {
		contatto.setData(data);
		saltateList.add(contatto);
	}

	public void incScartate(AutoContatto contatto, Date data) {
		contatto.setData(data);
		scartateList.add(contatto);
	}

	public void incTentate(AutoContatto contatto, Date data) {
		contatto.setData(data);
		tentateList.add(contatto);
	}


	public void resetAll() {
		abbattuteList.clear();
		agganciateList.clear();
		congestionList.clear();
		esitateList.clear();
		fallitoList.clear();
		gestiteList.clear();
		hangupList.clear();
		macchinaList.clear();
		nonRispostoList.clear();
		ringingList.clear();
		occupatoList.clear();
		rifiutatoList.clear();
		rimosseList.clear();
		risposteList.clear();
		saltateList.clear();
		scartateList.clear();
		tentateList.clear();
		prenotatoList.clear();
	}

	
	public CopyOnWriteArrayList<AutoContatto> getAbbattuteList() {
		return abbattuteList;
	}

	public void setAbbattuteList(CopyOnWriteArrayList<AutoContatto> abbattuteList) {
		this.abbattuteList = abbattuteList;
	}

	public CopyOnWriteArrayList<AutoContatto> getAgganciateList() {
		return agganciateList;
	}

	public void setAgganciateList(CopyOnWriteArrayList<AutoContatto> agganciateList) {
		this.agganciateList = agganciateList;
	}

	public CopyOnWriteArrayList<AutoContatto> getCongestionList() {
		return congestionList;
	}

	public void setCongestionList(CopyOnWriteArrayList<AutoContatto> congestionList) {
		this.congestionList = congestionList;
	}

	public CopyOnWriteArrayList<AutoContatto> getEsitateList() {
		return esitateList;
	}

	public void setEsitateList(CopyOnWriteArrayList<AutoContatto> esitateList) {
		this.esitateList = esitateList;
	}

	public CopyOnWriteArrayList<AutoContatto> getFallitoList() {
		return fallitoList;
	}

	public void setFallitoList(CopyOnWriteArrayList<AutoContatto> fallitoList) {
		this.fallitoList = fallitoList;
	}

	public CopyOnWriteArrayList<AutoContatto> getGestiteList() {
		return gestiteList;
	}

	public void setGestiteList(CopyOnWriteArrayList<AutoContatto> gestiteList) {
		this.gestiteList = gestiteList;
	}

	public CopyOnWriteArrayList<AutoContatto> getHangupList() {
		return hangupList;
	}

	public void setHangupList(CopyOnWriteArrayList<AutoContatto> hangupList) {
		this.hangupList = hangupList;
	}

	public CopyOnWriteArrayList<AutoContatto> getInboundList() {
		return inboundList;
	}

	public void setInboundList(CopyOnWriteArrayList<AutoContatto> inboundList) {
		this.inboundList = inboundList;
	}


	public CopyOnWriteArrayList<AutoContatto> getMacchinaList() {
		return macchinaList;
	}

	public void setMacchinaList(CopyOnWriteArrayList<AutoContatto> macchinaList) {
		this.macchinaList = macchinaList;
	}

	public CopyOnWriteArrayList<AutoContatto> getNonRispostoList() {
		return nonRispostoList;
	}
	
	public CopyOnWriteArrayList<AutoContatto> getRingingList() {
		return ringingList;
	}
	
	public CopyOnWriteArrayList<AutoContatto> getPrenotatoList() {
		return prenotatoList;
	}

	public void setNonRispostoList(CopyOnWriteArrayList<AutoContatto> nonRispostoList) {
		this.nonRispostoList = nonRispostoList;
	}
	
	public void setRingingList(CopyOnWriteArrayList<AutoContatto> ringingList) {
		this.ringingList = ringingList;
	}
	
	public void setPrenotatoList(CopyOnWriteArrayList<AutoContatto> prenotatoList) {
		this.prenotatoList = prenotatoList;
	}

	public CopyOnWriteArrayList<AutoContatto> getOccupatoList() {
		return occupatoList;
	}

	public void setOccupatoList(CopyOnWriteArrayList<AutoContatto> occupatoList) {
		this.occupatoList = occupatoList;
	}

	public CopyOnWriteArrayList<AutoContatto> getRifiutatoList() {
		return rifiutatoList;
	}

	public void setRifiutatoList(CopyOnWriteArrayList<AutoContatto> rifiutatoList) {
		this.rifiutatoList = rifiutatoList;
	}

	public CopyOnWriteArrayList<AutoContatto> getRimosseList() {
		return rimosseList;
	}

	public void setRimosseList(CopyOnWriteArrayList<AutoContatto> rimosseList) {
		this.rimosseList = rimosseList;
	}

	public CopyOnWriteArrayList<AutoContatto> getRisposteList() {
		return risposteList;
	}

	public void setRisposteList(CopyOnWriteArrayList<AutoContatto> risposteList) {
		this.risposteList = risposteList;
	}

	public CopyOnWriteArrayList<AutoContatto> getSaltateList() {
		return saltateList;
	}

	public void setSaltateList(CopyOnWriteArrayList<AutoContatto> saltateList) {
		this.saltateList = saltateList;
	}

	public CopyOnWriteArrayList<AutoContatto> getScartateList() {
		return scartateList;
	}

	public void setScartateList(CopyOnWriteArrayList<AutoContatto> scartateList) {
		this.scartateList = scartateList;
	}

	public CopyOnWriteArrayList<AutoContatto> getTentateList() {
		return tentateList;
	}

	public void setTentateList(CopyOnWriteArrayList<AutoContatto> tentateList) {
		this.tentateList = tentateList;
	}


	public CopyOnWriteArrayList<AutoContatto> getNonRisposteList() {
		CopyOnWriteArrayList<AutoContatto> ls = new CopyOnWriteArrayList<AutoContatto>();
		ls.addAll(rimosseList);
		ls.addAll(saltateList);
		ls.addAll(congestionList);
		ls.addAll(occupatoList);
		ls.addAll(nonRispostoList);
		ls.addAll(ringingList);
		ls.addAll(rifiutatoList);
		ls.addAll(fallitoList);
		return ls;
	}

	public CopyOnWriteArrayList<AutoContatto> getNonGestiteList() {
		CopyOnWriteArrayList<AutoContatto> ls = new CopyOnWriteArrayList<AutoContatto>();
		ls.addAll(macchinaList);
		ls.addAll(abbattuteList);
		ls.addAll(agganciateList);
		ls.addAll(hangupList);
		ls.addAll(scartateList);
		return ls;
	}
	
	public void update(AutodialerList am) {
		abbattuteList.addAll(am.getAbbattuteList());
		agganciateList.addAll(am.getAgganciateList());
		congestionList.addAll(am.getCongestionList());
		esitateList.addAll(am.getEsitateList());
		fallitoList.addAll(am.getFallitoList());
		gestiteList.addAll(am.getGestiteList());
		hangupList.addAll(am.getHangupList());
		macchinaList.addAll(am.getMacchinaList());
		nonRispostoList.addAll(am.getNonRispostoList());
		ringingList.addAll(am.getRingingList());
		occupatoList.addAll(am.getOccupatoList());
		rifiutatoList.addAll(am.getRifiutatoList());
		rimosseList.addAll(am.getRimosseList());
		risposteList.addAll(am.getRisposteList());
		saltateList.addAll(am.getSaltateList());
		scartateList.addAll(am.getScartateList());
		tentateList.addAll(am.getTentateList());
		inboundList.addAll(am.getInboundList());
		prenotatoList.addAll(am.getPrenotatoList());
	}

}