package it.callite.utility;

import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.DataFormat;
import org.apache.poi.ss.usermodel.Font;
import org.apache.poi.ss.usermodel.Workbook;

public class ExcelData {

	private CellStyle style;
	private Font font;
	private DataFormat format;

	public ExcelData(Workbook wb) {
		style = wb.createCellStyle();
		font = wb.createFont();
		//format = wb.getCreationHelper().createDataFormat();
		format = wb.createDataFormat();
	}

	public CellStyle getStyle() {
		return style;
	}

	public Font getFont() {
		return font;
	}

	public DataFormat getFormat() {
		return format;
	}


	

}