package it.callite.utility;

import java.io.Serializable;
import java.util.List;

import it.callite.constants.ConstantsLanguage;


public class LoggerImport implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private long inizio;
	private Integer lt;
	private String base;

	public LoggerImport(Integer lt, String base, String o) {
		this.lt = lt;
		this.base = base;
		this.inizio = System.currentTimeMillis();
		String optional = "";
		if(ApplicationUtil.isNotBlank(o)) {
			optional = " " + "[" + o + "]";
		} 
		ApplicationUtil.loggerN(this.lt, this.base + optional);
	}

	public void log(List<?> e) {
		String elementi = "";
		long time = System.currentTimeMillis();
		if(ApplicationUtil.notEmpty(e)) {
			elementi = " " + "[" + ConstantsLanguage.ELEMENTI.stampa()+  ": " + ApplicationUtil.size(e) + "]";
		} 
		ApplicationUtil.loggerN(this.lt, this.base + elementi + " " + "[" + (time-this.inizio) + " " +"ms" + "]");
	}

}