package it.callite.utility;

import java.io.Serializable;

import it.callite.constants.ConstantsMap;

@SuppressWarnings("serial")
public class Modulo implements Serializable {

	private Long id;
	private String valori;
	private String chiave;
	public String getChiave() {
		return chiave;
	}
	public void setChiave(String chiave) {
		this.chiave = chiave;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((chiave == null) ? 0 : chiave.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((valori == null) ? 0 : valori.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Modulo other = (Modulo) obj;
		if (chiave == null) {
			if (other.chiave != null)
				return false;
		} else if (!chiave.equals(other.chiave))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (valori == null) {
			if (other.valori != null)
				return false;
		} else if (!valori.equals(other.valori))
			return false;
		return true;
	}

	public Modulo(Long id, String valori) {
		this.id = id;
		this.valori = valori;
	}
	public Modulo() {
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getValori() {
		return valori;
	}
	public void setValori(String valori) {
		this.valori = valori;
	}
	
	public String getPath() {
		return ApplicationUtil.getBaseNameN(valori) + "." + ConstantsMap.xhtml;
	}
}