package it.callite.utility;

import java.io.Serializable;
@SuppressWarnings("serial")
public class MyStorage implements Serializable {
	
	private String path;
	private Long totale;
	private Long libero;
	private Long usato;
	private Long disponibile;
	
	public Double getPercentualeU() {
		if(ApplicationUtil.gtZero(totale) && ApplicationUtil.gtZero(usato)) {
			Double parzialeT = Double.valueOf(usato);
			Double totaleT = Double.valueOf(totale);
			return Double.valueOf(parzialeT / totaleT);
		} else {
			return Double.valueOf(0);
		}
	}
	
	public Double getPercentualeL() {
		if(ApplicationUtil.gtZero(totale) && ApplicationUtil.gtZero(libero)) {
			Double parzialeT = Double.valueOf(libero);
			Double totaleT = Double.valueOf(totale);
			return Double.valueOf(parzialeT / totaleT);
		} else {
			return Double.valueOf(0);
		}
	}
	
	public Double getPercentualeD() {
		if(ApplicationUtil.gtZero(totale) && ApplicationUtil.gtZero(disponibile)) {
			Double parzialeT = Double.valueOf(disponibile);
			Double totaleT = Double.valueOf(totale);
			return Double.valueOf(parzialeT / totaleT);
		} else {
			return Double.valueOf(0);
		}
	}
	
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public Long getTotale() {
		return totale;
	}
	public void setTotale(Long totale) {
		this.totale = totale;
	}
	public Long getLibero() {
		return libero;
	}
	public void setLibero(Long libero) {
		this.libero = libero;
	}
	public Long getUsato() {
		return usato;
	}
	public void setUsato(Long usato) {
		this.usato = usato;
	}
	public Long getDisponibile() {
		return disponibile;
	}
	public void setDisponibile(Long disponibile) {
		this.disponibile = disponibile;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((disponibile == null) ? 0 : disponibile.hashCode());
		result = prime * result + ((libero == null) ? 0 : libero.hashCode());
		result = prime * result + ((path == null) ? 0 : path.hashCode());
		result = prime * result + ((totale == null) ? 0 : totale.hashCode());
		result = prime * result + ((usato == null) ? 0 : usato.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		MyStorage other = (MyStorage) obj;
		if (disponibile == null) {
			if (other.disponibile != null)
				return false;
		} else if (!disponibile.equals(other.disponibile))
			return false;
		if (libero == null) {
			if (other.libero != null)
				return false;
		} else if (!libero.equals(other.libero))
			return false;
		if (path == null) {
			if (other.path != null)
				return false;
		} else if (!path.equals(other.path))
			return false;
		if (totale == null) {
			if (other.totale != null)
				return false;
		} else if (!totale.equals(other.totale))
			return false;
		if (usato == null) {
			if (other.usato != null)
				return false;
		} else if (!usato.equals(other.usato))
			return false;
		return true;
	}
	
	
	

}