package it.callite.utility;
import java.io.Serializable;
import java.util.Date;

import it.callite.message.Message;
@SuppressWarnings("serial")
public class QueueUtente implements Serializable {
	
	private Date data_creazione = ApplicationUtil.date();
	private Date data_aggiornamento = ApplicationUtil.date();
	private String coda;
	private String interfaccia;
	private Integer callsTaken;
	private String membership;
	private Boolean paused;
	private Boolean ringinuse;
	private Integer status;
	
	public QueueUtente(String coda, String interfaccia, Integer callsTaken, String membership, Boolean paused, Boolean ringinuse, Integer status) {
		this.coda = coda;
		this.interfaccia = interfaccia;
		this.callsTaken = callsTaken;
		this.membership = membership;
		this.paused = paused;
		this.ringinuse = ringinuse;
		this.status = status;
		this.data_aggiornamento = ApplicationUtil.date();
	}


	public Date getData_creazione() {
		return data_creazione;
	}


	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}


	public Date getData_aggiornamento() {
		return data_aggiornamento;
	}


	public void setData_aggiornamento(Date data_aggiornamento) {
		this.data_aggiornamento = data_aggiornamento;
	}


	public Integer getCallsTaken() {
		return callsTaken;
	}


	public void setCallsTaken(Integer callsTaken) {
		this.callsTaken = callsTaken;
	}


	public String getCoda() {
		return coda;
	}


	public void setCoda(String coda) {
		this.coda = coda;
	}


	public String getInterfaccia() {
		return interfaccia;
	}


	public void setInterfaccia(String interfaccia) {
		this.interfaccia = interfaccia;
	}


	public String getMembership() {
		return membership;
	}


	public void setMembership(String membership) {
		this.membership = membership;
	}


	public Boolean getPaused() {
		return paused;
	}


	public void setPaused(Boolean paused) {
		this.paused = paused;
	}


	public Boolean getRinginuse() {
		return ringinuse;
	}


	public void setRinginuse(Boolean ringinuse) {
		this.ringinuse = ringinuse;
	}


	public Integer getStatus() {
		return status;
	}


	public void setStatus(Integer status) {
		this.status = status;
	}
	
	public String getStatusS() {
		return Message.addCatalogText("queue" + "."  + status);
	}
	
	
}