package it.callite.utility;
import jakarta.mail.Authenticator;
import jakarta.mail.PasswordAuthentication;

public class SMTPAuthenticator extends Authenticator {
	String user;
	String pw;

	public SMTPAuthenticator (String username, String password){
		super();
		this.user = username;
		this.pw = password;
	}

	public PasswordAuthentication getPasswordAuthentication(){
		return new PasswordAuthentication(user, pw);
	}
}