package it.callite.utility;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler;
import org.apache.poi.xssf.usermodel.XSSFComment;
public class SheetToCSV implements SheetContentsHandler {
	Map<Integer, List<String>> data;
	int currentRow = 0;
	public SheetToCSV(Map<Integer, List<String>> data) {
		this.data = data;
	}
	@Override
	public void startRow(int rowNum) {
		currentRow = rowNum;
		data.put(rowNum, new ArrayList<String>());
	}
	@Override
	public void endRow(int rowNum) {
	}
	@Override
	public void cell(String cellReference, String formattedValue, XSSFComment comment) {
		List<String> ls = data.get(currentRow);
		ls.add(formattedValue);
	}
	@Override
	public void headerFooter(String arg0, boolean arg1, String arg2) {
	}
	
	
}