package it.callite.utility;
import java.util.List;
import java.util.Map;

import it.callite.model.Anagrafica;
import it.callite.model.Appuntamento;
import it.callite.model.Contatto;
import it.callite.model.Contratto;
import it.callite.model.Indirizzo;
import it.callite.model.StoriaAppuntamento;
import it.callite.model.StoriaContatto;
import it.callite.model.StoriaContratto;
public class StampaUtils  {
	public StampaUtils() {
	}
	
	public String catalogG(String message) {
		return ApplicationUtil.stampa(message);
	}
	public static Colonna stampaAnagrafica(Anagrafica anagrafica, String metodo) {
		return ModelExport.stampaAnagrafica(anagrafica, metodo, null);
	}
	
	public static Colonna stampaIndirizzoLegale(Indirizzo indirizzo, String metodo) {
		return ModelExport.stampaIndirizzoLegale(indirizzo, metodo, null);
	}
	
	public static Colonna stampaIndirizzoOperativo(Indirizzo indirizzo, String metodo) {
		return ModelExport.stampaIndirizzoLegale(indirizzo, metodo, null);
	}
	
	public static Colonna stampaConsenso(Anagrafica anagrafica, String metodo) {
		return ModelExport.stampaConsenso(anagrafica, metodo, null);
	}
	
	public static Colonna stampaContatto(Contatto contatto, String metodo) {
		return ModelExport.stampaContatto(contatto, metodo, null);
	}
	
	public static Colonna stampaContratto(Contratto contratto, String metodo) {
		return ModelExport.stampaContratto(contratto, metodo, null);
	}
	
	public static Colonna stampaAppuntamento(Appuntamento appuntamento, String metodo) {
		return ModelExport.stampaAppuntamento(appuntamento, metodo, null);
	}
	
	public static Colonna stampaStoriaContatto(StoriaContatto contatto, String metodo) {
		return ModelExport.stampaStoriaContatto(contatto, metodo, null);
	}
	
	public static Colonna stampaStoriaContratto(StoriaContratto contratto, String metodo) {
		return ModelExport.stampaStoriaContratto(contratto, metodo, null);
	}
	
	public static Colonna stampaStoriaAppuntamento(StoriaAppuntamento appuntamento, String metodo) {
		return ModelExport.stampaStoriaAppuntamento(appuntamento, metodo, null);
	}
	
	public Map<String,List<Object>> prepareGruppoList(Boolean raggruppa, List<?> a) {
		return ApplicationUtil.prepareGruppoList(raggruppa, a);
	}
}