package it.callite.utility;

import it.callite.constants.config.DefaultsFtp;
import it.callite.service.config.ConfigurazioneFtpService;
public class UtilFTP {

	private String host;
	private String username;
	private String password;
	private Integer port;
	
	
	public UtilFTP(ConfigurazioneFtpService configurazioneFtpService) {
		this.host = ApplicationUtil.trimToEmpty(configurazioneFtpService.getValore(DefaultsFtp.KEY_FTP_REGISTRAZIONI_HOST));
		this.username = ApplicationUtil.trimToEmpty(configurazioneFtpService.getValore(DefaultsFtp.KEY_FTP_REGISTRAZIONI_USERNAME));
		this.password = ApplicationUtil.trimToEmpty(configurazioneFtpService.getValore(DefaultsFtp.KEY_FTP_REGISTRAZIONI_PASSWORD));
		try {
			this.port = Integer.parseInt(ApplicationUtil.trimToEmpty(configurazioneFtpService.getValore(DefaultsFtp.KEY_FTP_REGISTRAZIONI_PORT)));
		} catch (NumberFormatException e) {
			this.port = 0;
		}
	}
	public String getHost() {
		return host;
	}
	public void setHost(String host) {
		this.host = host;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Integer getPort() {
		return port;
	}
	public void setPort(Integer port) {
		this.port = port;
	}
	
}