package it.callite.utility;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.TimeZone;

import it.callite.message.Message;
@SuppressWarnings("serial")
public class VelocityUtils implements Serializable {
	public VelocityUtils() {
	}
	
	public boolean isNull(Object object) {
		return object == null;
	}
	public boolean isNotNull(Object object) {
		return object != null;
	}
	public Date UTC(Date date) {
		TimeZone utc = TimeZone.getDefault();
		long now = date.getTime();
		long datea = now - utc.getOffset(now);
		return ApplicationUtil.date(datea);
	}
	
	public String catalogT(String message) { 
		return Message.addCatalogText(message);
	}
	
	public String file(String valore, Integer max_width, Integer max_height) {
		return ApplicationUtil.file(valore, max_width, max_height);
	}
	
	public String catalogM(String message) { 
		return Message.addCatalogMessage(message);
	}
	
	public String trim(String string) {
		return ApplicationUtil.trimHtml(string);
	}
	
	public String format(BigDecimal number) {
		return ApplicationUtil.formatNumber(number);
	}
	
	public String format(Integer number) {
		return ApplicationUtil.formatNumber(number);
	}
	
	public String format(Long number) {
		return ApplicationUtil.formatNumber(number);
	}
	public String html(String string) {
		return ApplicationUtil.escapeHtml(string);
	}
	public boolean notEmpty(List<?> a) {
		return ApplicationUtil.notEmpty(a);
	}
	public boolean empty(List<?> a) {
		return ApplicationUtil.empty(a);
	}
	
	public String size(List<?> a) {
		return ApplicationUtil.formatNumber(ApplicationUtil.size(a));
	}
	
	public boolean blank(String a) {
		return ApplicationUtil.isBlank(a);
	}
	
	public boolean notBlank(String a) {
		return ApplicationUtil.isNotBlank(a);
	}
}