package it.callite.utility;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.springframework.faces.model.OneSelectionTrackingListDataModel;

import it.callite.model.generic.SelezionatoAbstract;
@SuppressWarnings("serial")
public class VisualizzazioneTabella implements Serializable {

	private OneSelectionTrackingListDataModel visualizzatiList = new OneSelectionTrackingListDataModel();
	private OneSelectionTrackingListDataModel selezionatiList = new OneSelectionTrackingListDataModel();

	public VisualizzazioneTabella() {
		
	}
	public SelezionatoAbstract getSelezionato() {
		return (SelezionatoAbstract) visualizzatiList.getSelectedRow();
	}
	public OneSelectionTrackingListDataModel getVisualizzatiList() {
		return visualizzatiList;
	}

	public void setVisualizzatiList(OneSelectionTrackingListDataModel visualizzatiList) {
		this.visualizzatiList = visualizzatiList;
	}

	public OneSelectionTrackingListDataModel getSelezionatiList() {
		return selezionatiList;
	}

	public void setSelezionatiList(OneSelectionTrackingListDataModel selezionatiList) {
		this.selezionatiList = selezionatiList;
	}
	
	public int getTotale_risultati() {
		return visualizzatiList.getRowCount();
	}
	
	@SuppressWarnings("unchecked")
	public List<SelezionatoAbstract> toSelezionatiList() {
		List<SelezionatoAbstract> lista = new ArrayList<SelezionatoAbstract>();
		if (selezionatiList != null) {
			Object oslist_data = selezionatiList.getWrappedData();
			if (oslist_data != null)
				lista = (List<SelezionatoAbstract>) oslist_data;
		}
		return lista;
	}
	
	@SuppressWarnings("unchecked")
	public List<SelezionatoAbstract> toVisualizzatiList() {
		List<SelezionatoAbstract> lista = new ArrayList<SelezionatoAbstract>();
		if (visualizzatiList != null) {
			Object oslist_data = visualizzatiList.getWrappedData();
			if (oslist_data != null)
				lista = (List<SelezionatoAbstract>) oslist_data;
		}
		return lista;
	}
}
