package it.callite.utility.chat;
import java.util.ArrayList;
import java.util.List;

import it.callite.dao.AutodialerDao;
import it.callite.model.sip.SipBuddies;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.UtilChat;
public class SendBuddyThread extends Thread {
	private UtilChat  utilChat;
	private List<SipBuddies> accounts;
	private String messaggio;
	private Boolean invia;
	private AutodialerDao autodialerDao;
	public SendBuddyThread(UtilChat utilChat, List<SipBuddies> accs, SipBuddies acc, String messaggio, Boolean invia, AutodialerDao autodialerDao) {
		this.autodialerDao = autodialerDao;
		this.invia = invia;
		this.utilChat = utilChat;
		this.messaggio = messaggio;
		this.accounts = new ArrayList<SipBuddies>();
		if(ApplicationUtil.notEmpty(accs)) {
			accounts.addAll(accs);
		}
		if(acc != null) {
			accounts.add(acc);
		}
	}
	public void run() {
		if(invia) {
			autodialerDao.sendMessage(accounts, utilChat.getUsername(), messaggio);
		} else {
			ApplicationUtil.sendMessageAdmin(utilChat, accounts, ApplicationUtil.trimToEmpty(messaggio));
		}
	}
}