package it.callite.utility.massivo;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import it.callite.model.Lista;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class ListaMassivo implements Serializable {
	
	private Map<String, Valore> map = new HashMap<String, Valore>();
	public ListaMassivo() {
		set("inverti");
		set("data_fine");
		set("data_inizio");
		set("week_fine");
		set("week_inizio");
		set("ora_fine");
		set("ora_inizio");
		set("rem_prefisso");
		set("add_prefisso");
		set("append_prefisso");
		set("consenso_telefono");
		set("callers");
		set("musicclass");
		set("stato");
		set("priorita");
		set("codice");
		set("ordine");
		set("telefono");
	}
	
	public Valore set(String chiave) {
		return map.put(chiave, new Valore());
	}
	public Valore get(String chiave) {
		return map.get(chiave);
	}
	public Map<String, Valore> getMap() {
		return map;
	}
	public void modifica(Lista lista) {
		if(ApplicationUtil.isTrue(map.get("inverti").getLogico())) {
			lista.setInverti(map.get("inverti").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("data_fine").getLogico())) {
			lista.setData_fine(map.get("data_fine").getData());
		}
		if(ApplicationUtil.isTrue(map.get("data_inizio").getLogico())) {
			lista.setData_inizio(map.get("data_inizio").getData());
		}
		if(ApplicationUtil.isTrue(map.get("week_fine").getLogico())) {
			lista.setWeek_fine(map.get("week_fine").getLungo());
		}
		if(ApplicationUtil.isTrue(map.get("week_inizio").getLogico())) {
			lista.setWeek_inizio(map.get("week_inizio").getLungo());
		}
		if(ApplicationUtil.isTrue(map.get("ora_fine").getLogico())) {
			lista.setOra_fine(map.get("ora_fine").getData());
		}
		if(ApplicationUtil.isTrue(map.get("ora_inizio").getLogico())) {
			lista.setOra_inizio(map.get("ora_inizio").getData());
		}
		
		if(ApplicationUtil.isTrue(map.get("callers").getLogico())) {
			lista.setCallers(map.get("callers").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("musicclass").getLogico())) {
			lista.setMusicclass(map.get("musicclass").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("rem_prefisso").getLogico())) {
			lista.setRem_prefisso(map.get("rem_prefisso").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("add_prefisso").getLogico())) {
			lista.setAdd_prefisso(map.get("add_prefisso").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("append_prefisso").getLogico())) {
			lista.setAppend_prefisso(map.get("append_prefisso").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("consenso_telefono").getLogico())) {
			lista.setConsenso_telefono(map.get("consenso_telefono").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("stato").getLogico())) {
			lista.setStato(map.get("stato").getIntero());
		}
		if(ApplicationUtil.isTrue(map.get("priorita").getLogico())) {
			lista.setPriorita(map.get("priorita").getIntero());
		}
		if(ApplicationUtil.isTrue(map.get("codice").getLogico())) {
			lista.setCodice(map.get("codice").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("ordine").getLogico())) {
			lista.setOrdine(map.get("ordine").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("telefono").getLogico())) {
			lista.setTelefono(map.get("telefono").getCorto());
		}
		
	}
	
}