package it.callite.utility.thread;

import it.callite.dao.OperazioneDao;
import it.callite.model.Operazione;


public class SalvaOperazioneThread extends Thread {

	private OperazioneDao operazioneDao;
	private Operazione operazione;

	public SalvaOperazioneThread(OperazioneDao operazioneDao, Operazione operazione) {
		this.operazioneDao = operazioneDao;
		this.operazione = operazione;
	}

	public void run() {
		if (operazione != null) {
			operazioneDao.salva(operazione);
		}
	}

}
