package it.callite.utility.thread.anagrafica;
import java.util.Date;

import it.callite.constants.ConstantsGlobal;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;

public class ExcelImportBaseThread extends Thread {

	private String identificativo;
	private Date inizio;
	private Integer corrente;
	private Boolean completato;
	private Long tempoTotale;

	public ExcelImportBaseThread() {
		this.identificativo = System.currentTimeMillis() + "";
		this.corrente = 0;
		this.completato = false;
		this.inizio = ApplicationUtil.date();
		this.tempoTotale = 0L;
	}

	public void run() {
		
	}

	public String getIdentificativo() {
		return identificativo;
	}

	public void setIdentificativo(String identificativo) {
		this.identificativo = identificativo;
	}

	public Date getInizio() {
		return inizio;
	}

	public void setInizio(Date inizio) {
		this.inizio = inizio;
	}

	public Integer getCorrente() {
		return corrente;
	}

	public void setCorrente(Integer corrente) {
		this.corrente = corrente;
	}

	public Boolean getCompletato() {
		return completato;
	}

	public void setCompletato(Boolean completato) {
		this.completato = completato;
	}
	
	public synchronized String getTempo() {
		Double tempoTotaleT = Double.valueOf(tempoTotale / ((double) ConstantsGlobal.millis));
		return ApplicationUtil.format(tempoTotaleT);
	}
	
	public synchronized String getDescrizione() {
		return Message.addCatalogText("corrente." + corrente);
	}
	
}