package it.callite.utility.thread.email;
import it.callite.model.Comunicazione;
import it.callite.service.SmtpService;
import it.callite.utility.MailSupport;
public class MailSenderThread extends Thread {
	private Comunicazione comunicazione;
	private SmtpService smtpService;
	public MailSenderThread(SmtpService smtpService, Comunicazione comunicazione) {
		this.comunicazione = comunicazione;
		this.smtpService = smtpService;
	}
	public void run() {
		MailSupport ms = smtpService.getMailSupport(true);
		smtpService.email(ms,comunicazione);
		ms.close();
	}
}