package it.callite.utility.utils.registrazione;


import java.io.File;
import java.io.IOException;
import java.nio.file.DirectoryStream.Filter;
import java.nio.file.Path;

import it.callite.criteria.RegistrazioneCriteria;

public class StreamFileFilter implements Filter<Path> {
	
	private String accept;
	private RegistrazioneCriteria mm;
	
	public StreamFileFilter(String accept, RegistrazioneCriteria mm) {
		this.accept = accept;
		this.mm = mm;
	}
	
	@Override
	public boolean accept(Path entry) throws IOException {
		File file = entry.toFile();
		boolean b = mm != null ? mm.isRicerca(file.getName(), file.length(), file.lastModified()) : true;
		boolean a = accept != null ? file.getName().endsWith(accept) : true;
		return a && b;
	}
}
