package it.callite.utility.utils.registrazione;


import java.io.File;
import java.io.IOException;
import java.nio.file.DirectoryStream.Filter;

import it.callite.criteria.RegistrazioneReportCriteria;

import java.nio.file.Path;

public class StreamRegistrazioneFilter implements Filter<Path> {

	private String accept;
	private RegistrazioneReportCriteria mm;
	
	public StreamRegistrazioneFilter(String accept, RegistrazioneReportCriteria mm) {
		this.accept = accept;
		this.mm = mm;
	}
	
	@Override
	public boolean accept(Path entry) throws IOException {
		File file = entry.toFile();
		boolean b = mm != null ? mm.isRicerca(file.getName(), file.length(), file.lastModified()) : true;
		boolean a = accept != null ? file.getName().endsWith(accept) : true;
		return a && b;
	}
}
