var _importNode = window.document.importNode;
window.document.importNode = function(node, deep){
	try{
		return _importNode.apply(this, arguments);
	} catch(e) {
		if( e.code == DOMException.NOT_SUPPORTED_ERR ){
			// clone and adopt
			return document.adoptNode(node.cloneNode(deep));
		}
		throw e;
	}
};