var trident = navigator.userAgent.indexOf("Trident") > 0;

if (window.addEventListener) {
	//window.addEventListener("load", loadPhone);
	//window.addEventListener("close", unloadPhone);
	window.addEventListener("beforeunload", unloadPhone);
	window.addEventListener("pagehide", unloadPhone);
	window.addEventListener("unload", unloadPhone);
} else if (window.attachEvent) {
	//window.attachEvent("onload", loadPhone);
	//window.attachEvent("onclose", unloadPhone);
	window.attachEvent("onbeforeunload", unloadPhone);
	window.attachEvent("onpagehide", unloadPhone);
	window.attachEvent("onunload", unloadPhone);
} else {
	//window.onload = loadPhone;
	//window.onclose = unloadPhone;
	window.onbeforeunload = unloadPhone;
	window.onpagehide = unloadPhone;
	window.onunload = unloadPhone;
}
var engine;
var LINEE = 9;
var LINE_BASE = 1;
var CurrentLine = 1;
var SIPInited = false;
var SIPRegistered = false;
var regLocale = "";
var EditSpkVol = 100;
var EditMicVol = 100;
var phoneStarted = false;
var Sessions = new Array(LINEE+1);

var secParzialeChiamata = 0;
var secParzialeConversazione = 0;
var secParzialeRegLocale = 0;
var secParzialeRegRemota = 0;
var secTotaleChiamata = 0;
var secTotaleConversazione = 0;
var secTotaleRegLocale = 0;
var secTotaleRegRemota = 0;
var SDParzialeConversazione;
var SDParzialeChiamata;
var SDParzialeRegLocale;
var SDParzialeRegRemota;
var SDTotaleConversazione;
var SDTotaleChiamata;
var SDTotaleRegLocale;
var SDTotaleRegRemota;
var LANGUAGE;
var FORNITORE;
var contextPath;

function onBLFStateChange(peername, direction, state, callid){
	//addStatusLog("onBLFStateChange: " + peername + "**" + direction + "**" + state + "**" + callid);
}

function onPresenceStateChange(peername, presence, displayname, email){
	//addStatusLog("onPresenceStateChange: " + peername + "**" + presence + "**" + displayname + "**" + email);
}

function onAppStateChange(state){
	//addStatusLog("onAppStateChange: " + state);
}

function onDTMF(dtmf, line){
	//addStatusLog("onDTMF: " + dtmf + "**" + line);
}

function onLog(logmessage) {
	//addStatusLog("onLog: " + logmessage);
}

function onEvent(type, event) {
	//addStatusLog("onEvent: " + type + "**" + event);
}

function onCallStateChange(event, direction, peername, peerdisplayname, line, callid){
	//addStatusLog("onCallStateChange: " + event + "**" + direction + "**" + peername + "**" + peerdisplayname + "**" + line + "**" + callid);
	if (event == 'ringing'){
		if (direction == '1')	{
			onRinging(line);
		} else {
			onIncoming(line, peerdisplayname, peername);
		}
	}
	if (event == 'connected'){
		if (direction == '1')	{
			onAnswered(line);
		}
	}
	if (event == 'trying'){
		if (direction == '1')	{
			onTrying(line);
		}
	}
}

function onCdr(caller, called, connecttime, duration, direction, peerdisplayname, reason, line, callid){
	//addStatusLog("onCdr: " + caller + "**" + called + "**" + connecttime + "**" + duration + "**" + direction + "**" + peerdisplayname + "**" + reason + "**" + line + "**" + callid);
	if(!Sessions[line].GetAgganciata()) {
		webphone_api.getsipmessage(0, 0, function (r){
			var code = Number(r.substring(7, 11));
			var errori = [403, 404, 408, 480, 486, 488, 500, 502, 503, 505, 603];
			if(errori.indexOf(code) > -1) {
				onFailure(line, reason, code);
			} else {
				onClosed(line, '');
			}
		});
	}
	Sessions[line].Clear();
}

function onChat(from, msg, line, group){
	//addStatusLog("onChat: " + from + "**" + msg + "**" + line);
	var text = from + ": " + msg;
	StartPlayTone();
	addAlertLog(text);
}

function onRegStateChange(loaded){
	//addStatusLog("onRegStateChange: " + loaded);
	if(loaded == 'registered') {
		registerSip(true);
	}
	if(loaded == 'unregistered') {
		registerSip(false);
	}
	if(loaded == 'failed') {
		registerSip(false);
	}
}

function load(){
	webphone_api.delsettings(2);
	webphone_api.setparameter("resetsettings", true);

	if(phoneS.value != "auto") {
		var engine = ["ns", "webrtc", "java", "flash", "nativedial", "app", "p2p", "accessnum", "callback", "otherbrowser"];
		var index = engine.indexOf(phoneS.value);
		var predef = index > -1 ? index : 0;
		for (var i = 0; i < engine.length; i++) {
			var s = "enginepriority_" + engine[i];
			var v = (i == predef) ? 5 : 1;
			webphone_api.setparameter(s, v);
		}
	}

	webphone_api.setparameter("appengine_startat", 1);
	webphone_api.setparameter("forcereregister", 1);
	webphone_api.setparameter("preferred_storage", 0); 
	webphone_api.setparameter("logtoconsole", false); 
	webphone_api.setparameter("featureset", 0); 
	webphone_api.setparameter("closecall_timeout", 0); 
	webphone_api.setparameter("closecall_timeout_err", 0); 
	webphone_api.setparameter("natopenpackets", 0);
	webphone_api.setparameter("dtmfmode", 2);
	webphone_api.setparameter("multilinegui", 1);
	webphone_api.setparameter("incomingcallpopup", 0);
	webphone_api.setparameter("hasincomingcallpopup", false);
	webphone_api.setparameter("savetocontacts", 0);
	webphone_api.setparameter("displayaudiodevice", false);
	webphone_api.setparameter("displayvolumecontrols", false);
	webphone_api.setparameter("displaynotification", 0);
	webphone_api.setparameter("showserverinput", 0);
	webphone_api.setparameter("register", 1);
	webphone_api.setparameter("autostart", 0);
	webphone_api.setparameter("featureset", 0);
	webphone_api.setparameter("useloginpage", 0);
	webphone_api.setparameter("conferencerooms", 0);
	webphone_api.setparameter("showsynccontactsmenu", -1);
	webphone_api.setparameter("registerinterval", 1);
	webphone_api.setparameter("changesptoring", 0);
	webphone_api.setparameter("automute", 0);
	webphone_api.setparameter("autohold", 0);
	webphone_api.setparameter("playring", 0);
	webphone_api.setparameter("ringincall", 0); 
	webphone_api.setparameter("beeponincoming", 0); 
	webphone_api.setparameter("beeponconnect", 0); 
	webphone_api.setparameter("cancloseaudioline", 3);
	webphone_api.setparameter("singleaudiostream", 5);
	webphone_api.setparameter("useaudiorecord", 0);
	webphone_api.setparameter("useaudiodevicerecord", 0);
	webphone_api.setparameter("use_rport", 0); 
	webphone_api.setparameter("keepaliveival", 0); 
	webphone_api.setparameter("wskeepaliveival", 0); 
	webphone_api.setparameter("playdtmfsound", 2); 
	webphone_api.setparameter("checkvolumesettings", 0); 
	webphone_api.setparameter("usecommdevice", 0); 
	webphone_api.setparameter("autodetectwebrtc", 1); 
	webphone_api.setparameter("use_fast_ice", 0); 
	webphone_api.setparameter("use_fast_stun", 0); 
	webphone_api.setparameter("upnpnats", 0); 
	webphone_api.setparameter("stunturnonlocals", 0); 
	webphone_api.setparameter("denoise", 0); 
}

var MYLIBRARY = MYLIBRARY || (function(){
	var _args = {};
	return {
		init : function(Args) {
			_args = Args;
			contextPath = _args[0];
			getJSON(contextPath + '/language', function(data) {
				LANGUAGE = data;
			}, function(status) {
			});
		}
	};
}());

function getElementsStartsWithId(id) {
	var children = top.mainTop.document.getElementsByTagName("a");
	for (var i = 0; i < children.length; i++) {
		var child = children[i];
		var lio = child.id.lastIndexOf(id);
		if (lio >= 0) {
			child.click();
		}
	}
}

function libero(value) {
	var a = top.mainControl.document.getElementById("liberoForm:libero");
	if (a != undefined) {
		a.value = value;
		top.mainControl.document.getElementById("liberoForm:liberoButton").click();
	}
}

function addAlertLog(value) {
	addStatusLog(value);
	if (messaggiPopup.value == "1") {
		alert(value);
	} 
	if (messaggiPopup.value == "2") {
		prepareNotify(value);
	}
}


function addStatusLog(value) {
	var separator = "\u00B7";
	listStatusLog.style.color = "black";
	if (listStatusLog.value.length == 0)
		listStatusLog.value += separator + value;
	else
		listStatusLog.value += "\n" + separator + value;

	listStatusLog.scrollTop = listStatusLog.scrollHeight;
}

function clearStatusLog(value) {
	var separator = "\u00B7";
	listStatusLog.style.color = "black";
	if(value == "") {
		listStatusLog.value = value;
	} else {
		listStatusLog.value = separator + value;
	}
}

function resetTimer() {
	azzeraTotaleRegRemota();
	azzeraParzialeRegRemota();
	azzeraTotaleRegLocale();
	azzeraParzialeRegLocale();
	azzeraTotaleChiamata();
	azzeraParzialeChiamata();
	azzeraTotaleConversazione();
	azzeraParzialeConversazione();
}

function loadPhone() {
	ClearDevices();	

	for (var i = LINE_BASE; i <= LINEE; i++) {
		Sessions[i] = new CallSession;
	}
	window.setInterval(startControlloLinee,1000);
}


function ClearDevices() {

	while(ComboDial.length > 0) {
		ComboDial.remove(0);
	}
	ComboDial.selectedIndex = 0;

	while (ComboSpeakers.length > 0) {
		ComboSpeakers.remove(0);
	}
	ComboSpeakers.selectedIndex = 0;

	while (ComboMicroPhones.length > 0) {
		ComboMicroPhones.remove(0);
	}
	ComboMicroPhones.selectedIndex = 0;

	while (ComboTrunks.length > 0) {
		ComboTrunks.remove(0);
	}
	ComboTrunks.selectedIndex = 0;

	CurrentLine = 1;
	EditPhoneNo.value = "";
	tonoUscita.checked = false;
	tonoIngresso.checked = false;
	CheckMuteSpk.checked = false;
	CheckMuteMic.checked = false;
	CheckAA.checked = false;
	CheckDND.checked = false;
	CheckConference.checked = false;
	ComboDial.disabled = false;
}

function unloadPhone() {
	libero(0);
	ClearDevices();
	hidePhone();
	SIPInited = false;
	SIPRegistered = false;
	regLocale = "";
	StopRingInTone();
	StopRingOutTone();
	clearStatusLog("");
	ComboTrunks.disabled = false;
	BtnComboTrunkDown.disabled = false;
	BtnComboTrunkUp.disabled = false;
	if (chatAbilitata.value != "false") {

	}
	for (var i = LINE_BASE; i <= LINEE; i++) {
		Sessions[i].Reset();
	}
	webphone_api.unregister();
	//webphone_api.stop();
	webphone_api.delsettings(2);
	webphone_api.setparameter("resetsettings", true);
}

function catalog(val) {
	var value = LANGUAGE[0][val];
	if(value == undefined) {
		value = val;
	}
	return value;
}

function displayPhone(avvia) {
	if(avvia) {
		impostaComboTrunks();
		BtnDial.style.display = "block";
		if(document.getElementById("divPhone") != undefined) {
			window.setInterval(impostaPhone, 1000);
		}
	}
	
	if(abilitaNumeroU.value == "0") {
		comboDialPanel.style.display = "none";
		EditPhoneNo.disabled = true;
	} else if(abilitaNumeroU.value == "1") {
		comboDialPanel.style.display = "block";
		EditPhoneNo.disabled = true;
	} else {
		comboDialPanel.style.display = "block";
		EditPhoneNo.disabled = false;
	} 

	EditPhoneNo.style.display = "block";
	comboTimePanel.style.display = "block";
	if(attivaTrunk.value == "false" || trunk.value == "") {
		comboTrunkPanel.style.display = "none";
	} else {
		comboTrunkPanel.style.display = "block";
	}
}

function hidePhone() {
	resetTotaleRegRemota();
	resetParzialeRegRemota();
	resetTotaleRegLocale();
	resetParzialeRegLocale();
	resetTotaleChiamata();
	resetParzialeChiamata();
	resetTotaleConversazione();
	resetParzialeConversazione();
	EditMicVol_Level.value = 0;
	EditSpkVol_Level.value = 0;
	BtnDial.style.display = "none";
	BtnAccept.style.display = "none";
	BtnReject.style.display = "none";
	BtnHangUpINT.style.display = "none";
	BtnTransfer.style.display = "none";
	BtnSondaggio.style.display = "none";
	BtnHold.style.display = "none";
	BtnUnHold.style.display = "none";
	RegistraRemotoStart.style.display = "none";
	RegistraRemotoStop.style.display = "none";
	RegistraLocaleStart.style.display = "none";
	RegistraLocaleStop.style.display = "none";
	EditPhoneNo.style.display = "none";
	comboDialPanel.style.display = "none";
	comboTimePanel.style.display = "none";
	comboTrunkPanel.style.display = "none";
}

function online() {
	if (utenteId.value == "") {
		addStatusLog(catalog("phone.cambio.password"));
		return;
	}
	if (username.value == "") {
		addStatusLog(catalog("phone.inserisci.username"));
		return;
	}

	if (password.value == "") {
		addStatusLog(catalog("phone.inserisci.password"));
		return;
	}

	if (server.value == "") {
		addStatusLog(catalog("phone.inserisci.sip.server"));
		return;
	}

	if (porta.value == "") {
		addStatusLog(catalog("phone.inserisci.sip.porta"));
		return;
	}
	if (!phoneStarted) {
		phoneStarted = true;
		loadPhone();
	}
	if (!SIPInited) {
		clearStatusLog("");
	} else {
		if(!CheckReload.checked) {
			displayPhone(false);
			inizializzaImpostazioni(false);
			//addStatusLog(catalog("phone.ricarica"));
			return;
		} else {
			unloadPhone();
			clearStatusLog(catalog("phone.riavvio"));
		}
	}
	CheckReload.checked = false;
	libero(0);
	load(); 
	if (sipTransport.value == "UDP") {
		webphone_api.setparameter("transport", 0);
	}
	if (sipTransport.value == "TCP") {
		webphone_api.setparameter("transport", 1);
	}
	if (sipTransport.value == "TLS") {
		webphone_api.setparameter("transport", 2);
	}
	webphone_api.setparameter("serveraddress", server.value + ":" + porta.value);
	if (wss.value != "") {
		webphone_api.setparameter("webrtcserveraddress", "wss://"+server.value+":"+wss.value+"/ws");
	}
	webphone_api.setparameter("username", username.value);
	webphone_api.setparameter("password", password.value);
	webphone_api.setparameter("displayname", chiamante.value);
	webphone_api.setparameter("useragent", catalog("text.appname"));
	webphone_api.setparameter("brandname", catalog("text.appname"));
	
	if(serverSTUN.value != '' && portaSTUN.value != '' ) {
		webphone_api.setparameter("stunserveraddress", serverSTUN.value +":"+ portaSTUN.value);
	} 
	if(dominio.value != '') {
		webphone_api.setparameter("realm", dominio.value);
	}
	var localRTP1 = Number(portaRTP1.value);
	var localRTP2 = Number(portaRTP2.value);
	var localSIPPort = Math.round((Math.random() * (localRTP2-localRTP1)) + localRTP1);
	webphone_api.setparameter("rtpport", localSIPPort);
	addStatusLog(catalog("phone.in.fase.di.avvio") + " " + "(" + localSIPPort + ")");

	SIPInited = true;
	inizializzaImpostazioni(true);	

	if (ComboDial.length <= 0) {
		SIPInited = false;
		addStatusLog(catalog("phone.anomalia.linee"));
		return;
	}

	addStatusLog(catalog("phone.in.fase.di.registrazione"));
	webphone_api.start();
	//webphone_api.register();
	if (chatAbilitata.value != "false") {
	}
}

function inizializzaImpostazioni(load) {
	if (!SIPInited) {
		return;
	}

	if(load) {
		if(ComboDial.length <= 0) {
			for (var i = LINE_BASE; i <= LINEE; i++) {
				var oOption = document.createElement("OPTION"); 
				oOption.text= i; 
				oOption.value= 0; 
				ComboDial.options.add(oOption); 
			}
			ComboDial.selectedIndex = 0;
		}
	}
	if (CheckG729.checked) {
		webphone_api.setparameter("use_g729", 3);
	} else {
		webphone_api.setparameter("use_g729", 0);
	}
	if (CheckALAW.checked) {
		webphone_api.setparameter("use_pcma", 3);
	} else {
		webphone_api.setparameter("use_pcma", 0);
	}
	if (CheckULAW.checked) {
		webphone_api.setparameter("use_pcmu", 3);
	} else {
		webphone_api.setparameter("use_pcmu", 0);
	}
	if (CheckGSM.checked) {
		webphone_api.setparameter("use_gsm", 3);
	} else {
		webphone_api.setparameter("use_gsm", 0);
	}
	if (CheckILBC.checked) {
		webphone_api.setparameter("use_ilbc", 3);
	} else {
		webphone_api.setparameter("use_ilbc", 0);
	}
	if (CheckSPEEX.checked) {
		webphone_api.setparameter("use_speex", 3);
	} else {
		webphone_api.setparameter("use_speex", 0);
	}
	if (CheckG722.checked) {
		webphone_api.setparameter("use_g722", 3);
	} else {
		webphone_api.setparameter("use_g722", 0);
	}
	if (CheckG723.checked) {
		webphone_api.setparameter("use_g723", 3);
	} else {
		webphone_api.setparameter("use_g723", 0);
	}
	if (CheckOPUS.checked) {
		webphone_api.setparameter("use_opus", 3);
	} else {
		webphone_api.setparameter("use_opus", 0);
	}

	//AEC Acoustic Echo Cancellation
	if (sipAEC.value == "true") {
		webphone_api.setparameter("aec", 2);
		webphone_api.setparameter("aec2", 2);
	} else {
		webphone_api.setparameter("aec", 0);
		webphone_api.setparameter("aec2", 0);
	}
	//AGC Automatic Gain Control
	if (sipAGC.value == "true") {
		webphone_api.setparameter("agc", 2);
	} else {
		webphone_api.setparameter("agc", 0);
	}
}



function BtnSpkVolDown_onclick() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}

	if (EditSpkVol_Level.value == 0)
		return;

	EditSpkVol_Level.value = Number(EditSpkVol_Level.value) - 1;
	EditSpkVol = Number(EditSpkVol_Level.value) * (100/10);

	if (EditSpkVol <= 0) {
		EditSpkVol = 0;
	}
	webphone_api.setvolume(1, EditSpkVol);
}

function BtnSpkVolUp_onclick() {

	if (!SIPInited || !SIPRegistered) {
		return;
	}

	if (EditSpkVol_Level.value == 10)
		return;

	EditSpkVol_Level.value = Number(EditSpkVol_Level.value) + 1;
	EditSpkVol = Number(EditSpkVol_Level.value) * (100/10);

	if (EditSpkVol >= 100) {
		EditSpkVol = 100;
	}
	webphone_api.setvolume(1, EditSpkVol);
}

function BtnMicVolDown_onclick() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}

	if (EditMicVol_Level.value == 0)
		return;

	EditMicVol_Level.value = Number(EditMicVol_Level.value) - 1;
	EditMicVol = Number(EditMicVol_Level.value) * (100/10);

	if (EditMicVol <= 0) {
		EditMicVol = 0;
	}
	webphone_api.setvolume(0, EditMicVol);
}

function BtnMicVolUp_onclick() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	if (EditMicVol_Level.value == 10)
		return;

	EditMicVol_Level.value = Number(EditMicVol_Level.value) + 1;
	EditMicVol = Number(EditMicVol_Level.value) * (100/10);

	if (EditMicVol >= 100) {
		EditMicVol = 100;
	}

	webphone_api.setvolume(0, EditMicVol);
}

function BtnDialPad0_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "0";	}
	
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("0");
	}
}

function BtnDialPad1_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "1";	}
	
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("1");
	}
}

function BtnDialPad2_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "2";	}

	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("2");
	}
}

function BtnDialPad3_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "3";	}
	
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("3");
	}
}

function BtnDialPad4_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "4";	}
	
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("4");
	}
}

function BtnDialPad5_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "5";	}
	
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("5");
	}
}

function BtnDialPad6_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "6";	}
	
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("6");
	}
}

function BtnDialPad7_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "7";	}

	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("7");
	}
}

function BtnDialPad8_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "8";	}
		
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("8");
	}
}

function BtnDialPad9_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "9";	}

	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("9");
	}
}

function BtnDialPadStar_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "*";	}
	
	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("*");
	}
}

function BtnDialPadNo_onclick() {
	if(abilitaNumeroU.value != "1") {	EditPhoneNo.value += "#";	}

	if (SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("#");
	}
}

function avviaRecRem(mostra) {
	if (SIPInited && SIPRegistered && Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("*");
		webphone_api.dtmf("1");
		ComboDial.disabled = true;
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.avvio.registrazione"));
		startTotaleRegRemota();
		startParzialeRegRemota();
		Sessions[CurrentLine].SetRecRemState(true);
		if(mostra) {
			mostraRecRemStop();
		} else {
			nascondiRecRem();
		}
		mostraTimerRemota();
		clickTopElement("hiddenForm:btnRegistraStart");
	}
}

function fermaRecRem() {
	if (SIPInited && SIPRegistered && Sessions[CurrentLine].GetCallState()) {
		webphone_api.dtmf("*");
		webphone_api.dtmf("1");
		ComboDial.disabled = false;
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.fine.registrazione"));
		stopTotaleRegRemota();
		resetParzialeRegRemota();
		mostraRecRemStart();
		nascondiTimerRemota();
		clickTopElement("hiddenForm:btnRegistraStop");
	}
	Sessions[CurrentLine].SetRecRemState(false);
}

function trasferisciRecRem() {
	if (SIPInited && SIPRegistered && Sessions[CurrentLine].GetCallState() && Sessions[CurrentLine].GetRecRemState()) {
		webphone_api.dtmf("*");
		webphone_api.dtmf("1");
		ComboDial.disabled = false;
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.fine.registrazione"));
		stopTotaleRegRemota();
		resetParzialeRegRemota();
		nascondiTimerRemota();
		clickTopElement("hiddenForm:btnRegistraStop");
	}
	Sessions[CurrentLine].SetRecRemState(false);
}


function subStringChiamante(ch) { 
	var index1 = ch.lastIndexOf("<sip:");
	if(index1 > -1) {
		ch = ch.substring(0, index1);
	}
	return ch;
}
function clearIngresso(numero, ing) {
	if(ing) { 
		var index = numero.indexOf(separatoreM.value);
		if(index > -1) {
			numero = numero.substring(0, index);
		}
	}
	return numero;
}
function subStringChiamata(numero, a, i, r, t) { 
	var index = numero.indexOf("@");
	if(index > -1) {
		numero = numero.substring(0, index);
	}
	if(a) {
		var sA = separatoreA.value;
		var indexA = numero.indexOf(sA);
		if(indexA > -1) {
			numero = numero.substring(indexA + sA.length);
		}
	}
	if(i) {
		var sI = separatoreI.value;
		var indexI = numero.indexOf(sI);
		if(indexI > -1) {
			numero = numero.substring(indexI + sI.length);
		}
	}
	if(r) {
		var sR = separatoreR.value;
		var indexR = numero.indexOf(sR);
		if(indexR > -1) {
			numero = numero.substring(indexR + sR.length);
		}
	}
	if(t) {
		var sT = separatoreT.value;
		var indexT = numero.indexOf(sT);
		if(indexT > -1) {
			numero = numero.substring(indexT + sT.length);
		}
	}
	return numero;
}

function subStringCaller(numero) { 
	var index = numero.indexOf("@");
	if(index > -1) {
		numero = numero.substring(0, index);
	}
	return numero;
}

function isRemota(numero) { 
	return (numero.indexOf(separatoreR.value) == 0);
} 

function isAutodialer(numero) { 
	return (numero.indexOf(separatoreA.value) == 0);
}

function isInbound(numero) { 
	return (numero.indexOf(separatoreI.value) == 0);
}

function isIngresso(numero) { 
	return (numero.indexOf(separatoreT.value) == 0);
}

function cambiaLineaA(line) {
	startRecordControl();
	if (CheckConference.checked) {
		CurrentLine = line;
		ComboDial.selectedIndex = (line - LINE_BASE);
		webphone_api.setline(CurrentLine);
	} else {
		if (Sessions[CurrentLine].GetCallState()) {
			Sessions[CurrentLine].SetHoldState(true);
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.trattenuta"));
		}
		CurrentLine = line;
		ComboDial.selectedIndex = (line - LINE_BASE);
		webphone_api.hold(true);
		webphone_api.setline(CurrentLine);
	}
	stopRecordControl();
	addStatusLog(catalog("phone.cambio.linea") + ": " + CurrentLine);
}

function prepareAutodialer() {
	var ritardoT = top.mainTop.document.getElementById("comandiForm:ritardoT");
	if(!(ritardoT != undefined && ritardoT.value == "true")) {
		StartPlayBell();
	}
	if (Sessions[CurrentLine].GetCallState() && !Sessions[CurrentLine].GetRecvState() && Sessions[CurrentLine].GetRespState() && Sessions[CurrentLine].GetAutoState()) {
		var hiddenPredefinito = top.mainTop.document.getElementById("comandiForm:predefinito");
		if(hiddenPredefinito != undefined) {
			EditPhoneNo.value = trim(hiddenPredefinito.value);
		}
		mostraAgganciaPannello();
		mostraAutoRegistrazione();
	}
}

function prepareIngresso() {
	StartPlayBell();
	if (Sessions[CurrentLine].GetCallState() && !Sessions[CurrentLine].GetRecvState() && Sessions[CurrentLine].GetRespState() && Sessions[CurrentLine].GetOpenIngresso()) {
		var hiddenPredefinito = top.mainTop.document.getElementById("comandiForm:predefinito");
		if(hiddenPredefinito != undefined) {
			EditPhoneNo.value = trim(hiddenPredefinito.value);
		}
		mostraAgganciaPannello();
		mostraAutoRegistrazione();
	}
	Sessions[CurrentLine].SetOpenIngresso(false);
}

function openIngresso(numero) {
	var hiddenIngresso = top.mainTop.document.getElementById("commandForm:immediateIngresso");
	if(hiddenIngresso != undefined && numero != "") {
		hiddenIngresso.href = contextPath + "/pannello?id=" + window.btoa(numero);
		hiddenIngresso.click();
	}
}

function startRecordControl() {
	Sessions[CurrentLine].SetNumero(EditPhoneNo.value);
	StopRingInTone();
	StopRingOutTone();
	resetTotaleRegRemota();
	resetParzialeRegRemota();
	resetTotaleRegLocale();
	resetParzialeRegLocale();
	resetTotaleChiamata();
	resetParzialeChiamata();
	resetTotaleConversazione();
	resetParzialeConversazione();
}

function stopRecordControl() {
	EditPhoneNo.value = Sessions[CurrentLine].GetNumero();
}


function BtnLines_onchanged() {
	if (!SIPInited || !SIPRegistered) {
		ComboDial.selectedIndex = 0;
		return;
	}
	if (CurrentLine == (ComboDial.selectedIndex + LINE_BASE)) {
		return;
	}
	startRecordControl();
	if (CheckConference.checked) {
		CurrentLine = ComboDial.selectedIndex + LINE_BASE;
		webphone_api.setline(CurrentLine);
	} else {
		if (Sessions[CurrentLine].GetCallState()) {
			Sessions[CurrentLine].SetHoldState(true);
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.trattenuta"));
		}
		CurrentLine = ComboDial.selectedIndex + LINE_BASE;
		webphone_api.hold(true);
		webphone_api.setline(CurrentLine);
		webphone_api.hold(false);
		if (Sessions[CurrentLine].GetCallState()) {
			Sessions[CurrentLine].SetHoldState(false);
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.rilasciata"));
		}
	}
	cambiaLinea();
	stopRecordControl();
}

function mostraTimerRemota() {
	stwaRegRemotaLabel.style.display = "block";
	stwaTotaleRegRemota.style.display = "block";
	stwaParzialeRegRemota.style.display = "block";
}

function nascondiTimerRemota() {
	stwaRegRemotaLabel.style.display = "none";
	stwaTotaleRegRemota.style.display = "none";
	stwaParzialeRegRemota.style.display = "none";
}

function mostraTimerLocale() {
	stwaRegLocaleLabel.style.display = "block";
	stwaTotaleRegLocale.style.display = "block";
	stwaParzialeRegLocale.style.display = "block";
}

function nascondiTimerLocale() {
	stwaRegLocaleLabel.style.display = "none";
	stwaTotaleRegLocale.style.display = "none";
	stwaParzialeRegLocale.style.display = "none";
}

function mostraRecRemStart() {
	blockTopElement("comandiForm:image1");
	hideTopElement("comandiForm:image2");
	RegistraRemotoStart.style.display = "block";
	RegistraRemotoStop.style.display = "none";
}

function mostraRecRemStop() {
	hideTopElement("comandiForm:image1");
	blockTopElement("comandiForm:image2");	
	RegistraRemotoStart.style.display = "none";
	RegistraRemotoStop.style.display = "block";
}

function nascondiRecRem() {
	hideTopElement("comandiForm:image1");
	hideTopElement("comandiForm:image2");
	RegistraRemotoStart.style.display = "none";
	RegistraRemotoStop.style.display = "none";

}

function mostraRecLocStart() {
	blockTopElement("comandiForm:image3");
	hideTopElement("comandiForm:image4");	
	RegistraLocaleStart.style.display = "block";
	RegistraLocaleStop.style.display = "none";
}

function mostraRecLocStop() {
	hideTopElement("comandiForm:image3");
	blockTopElement("comandiForm:image4");	
	RegistraLocaleStart.style.display = "none";
	RegistraLocaleStop.style.display = "block";
}

function nascondiRecLoc() {
	hideTopElement("comandiForm:image3");
	hideTopElement("comandiForm:image4");
	RegistraLocaleStart.style.display = "none";
	RegistraLocaleStop.style.display = "none";
}


function registra1() {
	avviaRecRem(true);
}

function registra2() {
	fermaRecRem();
}

function registra3() {
	avviaRecLoc(true);
}

function registra4() {
	fermaRecLoc();
}

function chiama() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	mostraBarra();
	if(!ComboDial.disabled) {
		EditPhoneNo.value = trim(EditPhoneNo.value);
		if (EditPhoneNo.value == "") {
			var hiddenPredefinito = top.mainTop.document.getElementById("comandiForm:predefinito");
			if(hiddenPredefinito != undefined) {
				EditPhoneNo.value = trim(hiddenPredefinito.value);
			}
		}
		if (EditPhoneNo.value == "") {
			StartErrorCode("ntv");
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.ntv"));
			return;
		}
		if (!testNumber(EditPhoneNo.value)) {
			EditPhoneNo.value = "";
			StartErrorCode("nac");
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.nac"));
			return;
		}
		if (Sessions[CurrentLine].GetCallState() || Sessions[CurrentLine].GetRecvState()) {
			EditPhoneNo.value = "";
			StartErrorCode("loc");
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.loc"));
			return;
		}
		addHeaders();
		webphone_api.setline(CurrentLine);
		if (!CheckConference.checked) {
			webphone_api.call(EditPhoneNo.value);
		}
		joinConference(CurrentLine, EditPhoneNo.value);
		ComboDial.disabled = true;
		libero(2);
		Sessions[CurrentLine].SetTransfState(testEsterno(EditPhoneNo.value) || testInterno(EditPhoneNo.value, "", ""));
		Sessions[CurrentLine].SetCallState(true);
		startTotaleChiamata();
		startParzialeChiamata();
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.in.uscita") + " <" + EditPhoneNo.value + ">");
		clickTopElement("hiddenForm:btnChiama");
		mostraAgganciaPannello();
		mostraAggancia();
		nascondiHold();
	} else {
		StartErrorCode("anc");
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.anc"));
	}
}

function chiamaA() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	mostraBarra();
	if(!ComboDial.disabled) {
		EditPhoneNo.value = trim(EditPhoneNo.value);
		if (Sessions[CurrentLine].GetCallState() || Sessions[CurrentLine].GetRecvState()) {
			EditPhoneNo.value = "";
			StartErrorCode("loc");
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.loc"));
			return;
		}
		addHeaders();
		webphone_api.setline(CurrentLine); 
		if (!CheckConference.checked) {
			webphone_api.call(EditPhoneNo.value);
		}
		joinConference(CurrentLine, EditPhoneNo.value);
		ComboDial.disabled = true;
		libero(2);
		Sessions[CurrentLine].SetCallState(true);
		startTotaleChiamata();
		startParzialeChiamata();
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.monitor") + " <" + EditPhoneNo.value + ">");
		mostraAggancia();
		nascondiHold();
	} else {
		StartErrorCode("anc");
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.anc"));
	}
}

function ascolta() {

	if (!SIPInited || !SIPRegistered) {
		return;
	}
	mostraBarra();
	if(!ComboDial.disabled) {
		if(Sessions[CurrentLine].GetCallState()	|| Sessions[CurrentLine].GetRecvState()) {
			var LineIndex = -1;
			for (var i = LINE_BASE; i <= LINEE; i++) {
				if (!Sessions[i].GetCallState()	&& !Sessions[i].GetRecvState()) {
					LineIndex = i;
					break;
				}
			}
			if (LineIndex == -1) {
				StartErrorCode("alo");
				addStatusLog(catalog("phone.reason.alo"));
				telefonoEXT.value = "";
				return;
			}
			if (CurrentLine != LineIndex) {
				cambiaLineaA(LineIndex);
			}
		}
		addHeaders();
		webphone_api.setline(CurrentLine); 
		if (!CheckConference.checked) {
			webphone_api.call(telefonoEXT.value);
		}
		joinConference(CurrentLine, telefonoEXT.value);
		ComboDial.disabled = true;
		libero(2);
		Sessions[CurrentLine].SetCallState(true);
		startTotaleChiamata();
		startParzialeChiamata();
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.ascolto.audio") + " " + telefonoEXT.value);
		clickTopElement("hiddenForm:btnChiama");
		mostraAgganciaPannello();
		mostraAggancia();
		nascondiHold();
	} else {
		StartErrorCode("anc");
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.anc"));
	}
	telefonoEXT.value = "";
}

function telefona() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	mostraBarra();
	addStatusLog(catalog("phone.chiamata.remota") + " <" + telefonoEXT.value + ">");
	telefonoEXT.value = "";
}

function chiamaATre() {

	if (!SIPInited || !SIPRegistered) {
		return;
	}
	mostraBarra();
	if(!ComboDial.disabled) {
		if(Sessions[CurrentLine].GetCallState()	|| Sessions[CurrentLine].GetRecvState()) {
			var LineIndex = -1;
			for (var i = LINE_BASE; i <= LINEE; i++) {
				if (!Sessions[i].GetCallState()	&& !Sessions[i].GetRecvState()) {
					LineIndex = i;
					break;
				}
			}
			if (LineIndex == -1) {
				StartErrorCode("alo");
				addStatusLog(catalog("phone.reason.alo"));
				telefonoEXT.value = "";
				return;
			}
			if (CurrentLine != LineIndex) {
				cambiaLineaA(LineIndex);
			}
		}
		if(conferenzaEXT.value=="true") {
			CheckConference.checked = true;
			attivaConferenza();
		}
		EditPhoneNo.value = trim(telefonoEXT.value);
		addHeadersE();
		webphone_api.setline(CurrentLine);
		if (!CheckConference.checked) {
			webphone_api.call(EditPhoneNo.value);
		}
		joinConference(CurrentLine, EditPhoneNo.value);
		trunkEXT.value = "";
		calleridEXT.value = "";
		musicclassEXT.value = "";
		vtxEXT.value = "";
		vrxEXT.value = "";
		prefissoEXT.value = "";
		antecallEXT.value = "";
		conferenzaEXT.value="";
		telefonoEXT.value = "";
		opposizioneEXT.value = "";
		registrazioneEXT.value = "";
		ComboDial.disabled = true;
		libero(2);
		Sessions[CurrentLine].SetCallState(true);
		startTotaleChiamata();
		startParzialeChiamata();
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.in.uscita") + " <" + EditPhoneNo.value + ">");
		clickTopElement("hiddenForm:btnChiama");
		mostraAgganciaPannello();
		mostraAggancia();
		nascondiHold();
	} else {
		StartErrorCode("anc");
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.anc"));
	}
	telefonoEXT.value = "";
}

function agganciaINT() {
	fnHangUp(true);
}

function agganciaEXT() {
	fnHangUp(false);
}

function fnHangUp(interna) {
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	StopRingOutTone();
	StopRingInTone();
	stopTotaleRegRemota();
	resetParzialeRegRemota();
	stopTotaleRegLocale();
	resetParzialeRegLocale();
	stopTotaleChiamata();
	resetParzialeChiamata();
	stopTotaleConversazione();
	resetParzialeConversazione();
	mostraChiamaPannello();
	mostraChiama();
	nascondiHold();
	ComboDial.disabled = false;
	if (!Sessions[CurrentLine].GetCallState() && !Sessions[CurrentLine].GetRecvState()) {
		libero(1);
		return;
	}
	chiudiRegistrazione();
	if(interna) {
		clickTopElement("hiddenForm:btnRegistraStop");
		clickTopElement("hiddenForm:btnAggancia");
	}
	if (Sessions[CurrentLine].GetCallState()) {
		Sessions[CurrentLine].SetAgganciata(true);
		webphone_api.hangup();
		Sessions[CurrentLine].Reset();
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.agganciata"));
		libero(1);
		return;
	}
	if (Sessions[CurrentLine].GetRecvState()) {
		Sessions[CurrentLine].SetAgganciata(true);
		webphone_api.reject();
		Sessions[CurrentLine].Reset();
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.rifiutata"));
		libero(1);
		return;
	}
	Sessions[CurrentLine].Reset();
	libero(1);
}

function accetta() {
	StopRingInTone();
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	/*
	if (!Sessions[CurrentLine].GetRecvState()) {
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.la.linea.corrente.non.ha.chiamate.in.entrata"));
		return;
	}
	*/
	libero(3);
	if(Sessions[CurrentLine].GetOpenIngresso()) {
		openIngresso(Sessions[CurrentLine].GetIngresso());
	}
	webphone_api.accept();
	Sessions[CurrentLine].SetCallState(true);
	Sessions[CurrentLine].SetRecvState(false);
	Sessions[CurrentLine].SetRespState(true);
	joinConference(CurrentLine, "");
	addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.risposta"));
	mostraAutoRegistrazione();
	startTotaleChiamata();
	startParzialeChiamata();
	startTotaleConversazione();
	startParzialeConversazione();
	mostraAggancia();
	mostraHold();
}

function rifiuta() {
	StopRingInTone();
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	if (!Sessions[CurrentLine].GetRecvState()) {
		Sessions[CurrentLine].Reset();
		return;
	}
	Sessions[CurrentLine].SetAgganciata(true);
	webphone_api.reject();
	Sessions[CurrentLine].Reset();
	addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.rifiutata"));
	mostraChiamaPannello();
	mostraChiama();
	nascondiHold();
	libero(1);
}

function trattieniON() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}

	if (!Sessions[CurrentLine].GetCallState() || Sessions[CurrentLine].GetHoldState()) {
		return;
	}
	webphone_api.hold(true);
	Sessions[CurrentLine].SetHoldState(true);
	mostraUnHold();
	addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.trattenuta"));
	//CheckMute();

}

function apriTrasferisci() {
	numeroEXT.value = "";
	var modal = document.getElementById('myModal');
	if(modal != undefined) {
		modal.style.display = "block";
	}

}
function chiudiTrasferisci() {
	var modal = document.getElementById('myModal');
	if(modal != undefined) {
		modal.style.display = "none";
	}

}
function trasferisci() {

	if (!SIPInited || !SIPRegistered) {
		return;
	}
	chiudiTrasferisci();
	numeroEXT.value = trim(numeroEXT.value);
	if (!Sessions[CurrentLine].GetCallState()) {
		numeroEXT.value = "";
		StartErrorCode("cnc");
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.cnc"));
		return;
	}
	if (numeroEXT.value == "") {
		StartErrorCode("ntv");
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.ntv"));
		return;
	}
	if(!testTrasferisci(numeroEXT.value)) {
		numeroEXT.value = "";
		StartErrorCode("nac");
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.nac"));
		return;
	}
	trasferisciRecLoc();
	trasferisciRecRem();
	webphone_api.setparameter("transfertype", 1);
	//webphone_api.setparameter("transfertype", 5);
	webphone_api.transfer((esternaTrasferisci() ? "*" : "") + numeroEXT.value);
	addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.trasferimento.avviato"));
	Sessions[CurrentLine].Reset();
	var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
	if(hiddenId != undefined) {
		clickTopElement("hiddenForm:btnAggancia");
	} 
	StopRingOutTone();
	StopRingInTone();
	stopTotaleChiamata();
	resetParzialeChiamata();
	stopTotaleConversazione();
	resetParzialeConversazione();
	mostraChiamaPannello();
	mostraChiama();
	nascondiHold();
	libero(1);
	numeroEXT.value = "";
}

function sondaggio() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}
	var hiddenSon = top.mainTop.document.getElementById("comandiForm:hiddenSon");
	if(hiddenSon != undefined && hiddenSon.value != "") {
		numeroEXT.value = hiddenSon.value;
		if (!Sessions[CurrentLine].GetCallState()) {
			numeroEXT.value = "";
			StartErrorCode("cnc");
			addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.reason.cnc"));
			return;
		}
		trasferisciRecLoc();
		trasferisciRecRem();
		webphone_api.setparameter("transfertype", 1);
		//webphone_api.setparameter("transfertype", 5);
		webphone_api.transfer("#" + numeroEXT.value);
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.sondaggio.avviato"));
		Sessions[CurrentLine].Reset();
		var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
		if(hiddenId != undefined) {
			clickTopElement("hiddenForm:btnAggancia");
		} 
		StopRingOutTone();
		StopRingInTone();
		stopTotaleChiamata();
		resetParzialeChiamata();
		stopTotaleConversazione();
		resetParzialeConversazione();
		mostraChiamaPannello();
		mostraChiama();
		nascondiHold();
		libero(1);
		numeroEXT.value = "";
	}
}


function trattieniOFF() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}

	if (!Sessions[CurrentLine].GetCallState() || !Sessions[CurrentLine].GetHoldState()) {
		return;
	}
	webphone_api.hold(false);
	Sessions[CurrentLine].SetHoldState(false);
	mostraHold();
	addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.chiamata.rilasciata"));
	//CheckMute();
}

function cambiaSpeaker() {
	if (!SIPInited) {
		return;
	}
	var devO = ComboSpeakers.options[ComboSpeakers.selectedIndex].text;
	webphone_api.setaudiodevice(1, devO, 2);
}

function cambiaMicrofono() {
	if (!SIPInited) {
		return;
	}
	var devI = ComboMicroPhones.options[ComboMicroPhones.selectedIndex].text;
	webphone_api.setaudiodevice(0, devI, 2);
}

function cambiaTrunk() {
	trunkID.value = ComboTrunks.options[ComboTrunks.selectedIndex].value;
	var SELECTEDF = FORNITORE[0][trunkID.value];
	vtx.value = SELECTEDF[0]["vtx"];
	vrx.value = SELECTEDF[0]["vrx"];
	trunk.value = SELECTEDF[0]["trunk"];
	prefissoT.value = SELECTEDF[0]["prefissoT"];
	antecallT.value = SELECTEDF[0]["antecallT"];
	opposizioneT.value = SELECTEDF[0]["opposizioneT"];
	registrazioneT.value = SELECTEDF[0]["registrazioneT"];
	interurbaneT.value = SELECTEDF[0]["interurbaneT"];
	calleridT.value = SELECTEDF[0]["calleridT"];
	musicclass.value = SELECTEDF[0]["musicclass"];
	EditComboTrunk_Level.value = Math.floor((Number(vtx.value) + Number(vrx.value))/2);
}

function impostaComboTrunks() {
	getJSON(contextPath + '/trunk', function(data) {
		FORNITORE = data;
		EditComboTrunk_Level.value = Math.floor((Number(vtx.value) + Number(vrx.value))/2);

		while (ComboTrunks.length > 0) {
			ComboTrunks.remove(0);
		}
		ComboTrunks.selectedIndex = 0;
		var keys = Object.keys(FORNITORE[0]);
		var trovato = false;
		for (var i = 0; i < keys.length; ++i) {
			var oOption = document.createElement("OPTION");
			var tn = keys[i];
			oOption.text = tn;
			oOption.value = tn;
			if(trunkID.value == tn) {
				trovato = true;
				oOption.selected="selected";
			}
			ComboTrunks.add(oOption);
		}
		if (ComboTrunks.length <= 0 || !trovato) {
			comboTrunkPanel.style.display = "none";
			addStatusLog(catalog("phone.anomalia.trunk"));
		}
	}, function(status) {
	});
}

function impostaPhone() {
	getJSON(contextPath + '/interno', function(data) {
		var divElemet = document.getElementById("divPhone");
		var selectList = document.getElementById("selectPhone");
		if(divElemet != undefined && selectList != undefined) {
			var PHONE = data;
			var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
			var abilita = SIPInited && SIPRegistered && hiddenId == undefined;
			var selectCall = document.getElementById("selectCall");
			while (selectList.length > 0) {
				selectList.remove(0);
			}
			var keys = Object.keys(PHONE[0]);
			keys.sort();
			selectList.multiple = true;
			selectList.disabled = !((selectCall != undefined ? true : false) && abilita);
			var j = 0;
			for (var i = 0; i < keys.length; i++) {
				var tn = keys[i];
				if(tn != username.value) {
					var oOption = document.createElement("OPTION");
					oOption.text = tn + " - " + PHONE[0][tn][0]["chiamante"];
					oOption.value = tn;
					oOption.style.color = controlloInterno(PHONE[0][tn][0]["stato"]);
					selectList.add(oOption);
					j++;
				}
			}
			selectList.size = j;
			if(selectCall != undefined) {
				selectCall.disabled = !abilita;
			}
			if(j > 0) {
				divElemet.style = "display: block;";
			} else {
				divElemet.style = "display: none;";
			}
		}
	}, function(status) {
	});
}

function selectPhone() {
	var selectList = document.getElementById("selectPhone");
	var selectCall = document.getElementById("selectCall");
	if(selectCall != undefined && selectList != undefined) {
		agganciaEXT();
		EditPhoneNo.value = selectCall.value + "" + selectList.options[selectList.selectedIndex].value;
		chiamaA();
	}
}


function BtnComboTrunkDown_onclick() {
	if (!SIPInited || !SIPRegistered) {
		return;
	}

	if (EditComboTrunk_Level.value == 0)
		return;

	EditComboTrunk_Level.value = Number(EditComboTrunk_Level.value) - 1;
	vtx.value = Number(vtx.value) - 1;
	vrx.value = Number(vrx.value) - 1;

}

function BtnComboTrunkUp_onclick() {

	if (!SIPInited || !SIPRegistered) {
		return;
	}
	if (EditComboTrunk_Level.value == 10)
		return;

	EditComboTrunk_Level.value = Number(EditComboTrunk_Level.value) + 1;
	vtx.value = Number(vtx.value) + 1;
	vrx.value = Number(vrx.value) + 1;

}

function CheckConference_onclick() {
	if (!SIPInited || !SIPRegistered) {
		CheckConference.checked = false;
		return;
	}

	if (CheckConference.checked) {
		joinConferenceAll();
	} else {
		webphone_api.conference("", false); 
		for (var i = LINE_BASE; i <= LINEE; i++) {
			if (Sessions[i].GetCallState()) {
				if(CurrentLine != i) {
					webphone_api.setline(i);
					webphone_api.hold(true);
					Sessions[i].SetHoldState(true);
				}
			}
		}
		webphone_api.setline(CurrentLine);
		webphone_api.hold(false);
		Sessions[CurrentLine].SetHoldState(false);
		addStatusLog(catalog("phone.conferenza") + ": " + catalog("phone.disattivato"));
	}
}

function attivaConferenza() {
	if (!SIPInited || !SIPRegistered) {
		CheckConference.checked = false;
		return;
	}
	joinConferenceAll();
}

function joinConferenceAll() {
	if (!SIPInited) {
		return;
	}

	if (CheckConference.checked) {
		webphone_api.conference("", true); 
		addStatusLog(catalog("phone.conferenza") + ": " + catalog("phone.attivato"));
		for (var i = LINE_BASE; i <= LINEE; i++) {
			if (Sessions[i].GetCallState()) {
				webphone_api.setline(i);
				webphone_api.hold(false);
				Sessions[i].SetHoldState(false);
				addStatusLog(catalog("phone.sulla.linea") + " " + i + ": " + catalog("phone.chiamata.aggiunta"));
			}
		}
	}
}

function joinConference(index, numero) {
	if (!SIPInited) {
		return;
	}

	if (CheckConference.checked && index != undefined) {
		webphone_api.conference(numero, true); 
		addStatusLog(catalog("phone.sulla.linea") + " " + index + ": " + catalog("phone.chiamata.aggiunta"));
	}
	//CheckMute();
}

function avviaRecLoc(mostra) {
	if(!SIPInited){ 
		return;
	}
	var numero = trim(EditPhoneNo.value);
	var fileName = numero + "_" + utenteId.value;
	var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
	if(hiddenId != undefined) {
		fileName += "_" + hiddenId.value;
	} 
	var hiddenName = top.mainTop.document.getElementById("comandiForm:hiddenName");
	if(hiddenName != undefined) {
		fileName += "_" + hiddenName.value;
	} 
	if (folder.value==""){
		addStatusLog(catalog("phone.percorso.registrazione.non.corretto"));
		return;
	}
	ComboDial.disabled = true;
	regLocale = folder.value + "/" + fileName + "-DATETIME"+".wav";
	webphone_api.setparameter("voicerecupload", regLocale);
	webphone_api.voicerecord(true, regLocale);
	Sessions[CurrentLine].SetRecLocState(true);
	if(mostra) {
		mostraRecLocStop();
	} else { 
		nascondiRecLoc();
	}
	startTotaleRegLocale();
	startParzialeRegLocale();
	mostraTimerLocale();
	clickTopElement("hiddenForm:btnRegistraStart");
	addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.avvio.registrazione"));
}

function fermaRecLoc() {
	ComboDial.disabled = false;
	chiudiRegistrazione();
	stopTotaleRegLocale();
	resetParzialeRegLocale();
	mostraRecLocStart();
	nascondiTimerLocale();
	clickTopElement("hiddenForm:btnRegistraStop");
}

function trasferisciRecLoc() {
	if (Sessions[CurrentLine].GetRecLocState()) {
		ComboDial.disabled = false;
		chiudiRegistrazione();
		stopTotaleRegLocale();
		resetParzialeRegLocale();
		nascondiTimerLocale();
		clickTopElement("hiddenForm:btnRegistraStop");
	}
}


function chiudiRegistrazione() {
	Sessions[CurrentLine].SetRecLocState(false);
	if(!SIPInited){ 
		return;
	}

	if(regLocale != "") {
		webphone_api.setparameter("voicerecupload", regLocale);
		webphone_api.voicerecord(false, regLocale);
		addStatusLog(catalog("phone.sulla.linea") + " " + CurrentLine + ": " + catalog("phone.fine.registrazione"));
		regLocale = "";
	}

}


function CheckAA_onclick() {
	if (!SIPInited || !SIPRegistered) {
		CheckAA.checked = false;
		return;
	}
	if (CheckAA.checked) {
		addStatusLog(catalog("phone.risp.automatico") + ": " + catalog("phone.attivato"));
	} else {		
		addStatusLog(catalog("phone.risp.automatico") + ": " + catalog("phone.disattivato"));
	}
}


function CheckTonoUscita_onclick() {
	if (!SIPInited || !SIPRegistered) {
		tonoUscita.checked = false;
		return;
	}
	var ro = document.getElementById("ringout");
	if(ro != undefined) {
		if (tonoUscita.checked) {
			if(trident) {
				ro.volume = -10000;
			} else {
				ro.volume = 0;
			}
			addStatusLog(catalog("phone.tono") + ": " + catalog("phone.disattivato"));
		} else {

			if(trident) {
				ro.volume = 0;
			} else {
				ro.volume = 1;
			}
			addStatusLog(catalog("phone.tono") + ": " + catalog("phone.attivato"));
		}
	}
}

function CheckTonoIngresso_onclick() {

	if (!SIPInited || !SIPRegistered) {
		tonoIngresso.checked = false;
		return;
	}
	var ri = document.getElementById("ringin");
	if(ri != undefined) {
		if (tonoIngresso.checked) {
			if(trident) {
				ri.volume = -10000;
			} else {
				ri.volume = 0;
			}
			addStatusLog(catalog("phone.suoneria") + ": " + catalog("phone.disattivato"));
		} else {
			if(trident) {
				ri.volume = 0;
			} else {
				ri.volume = 1;
			}
			addStatusLog(catalog("phone.suoneria") + ": " + catalog("phone.attivato"));
		}
	}
}

function CheckDND_onclick() {

	if (!SIPInited || !SIPRegistered) {
		CheckDND.checked = false;
		return;
	}

	if (CheckDND.checked) {
		addStatusLog(catalog("phone.non.disturbare") + ": " + catalog("phone.attivato"));
	} else {
		addStatusLog(catalog("phone.non.disturbare") + ": " + catalog("phone.disattivato"));
	}
}

function CheckMicMute_onclick() {

	if (!SIPInited || !SIPRegistered) {
		CheckMuteMic.checked = false;
		return;
	}

	if (CheckMuteMic.checked) {
		webphone_api.setline(-2);
		webphone_api.mute(true, 2);
		addStatusLog(catalog("phone.microfono") + ": " + catalog("phone.disattivato"));
	} else {
		webphone_api.setline(-2);
		webphone_api.mute(false, 2);
		addStatusLog(catalog("phone.microfono") + ": " + catalog("phone.attivato"));
	}
	//webphone_api.setline(CurrentLine);
}


function CheckSpkMute_onclick() {

	if (!SIPInited || !SIPRegistered) {
		CheckMuteSpk.checked = false;
		return;
	}

	if (CheckMuteSpk.checked) {
		webphone_api.setline(-2);
		webphone_api.mute(true, 1);
		addStatusLog(catalog("phone.cuffie") + ": " + catalog("phone.disattivato"));
	} else {
		webphone_api.setline(-2);
		webphone_api.mute(false, 1);
		addStatusLog(catalog("phone.cuffie") + ": " + catalog("phone.attivato"));
	}
	//webphone_api.setline(CurrentLine);
}

function aggiustaVolume() {
	EditMicVol_Level.value = 10;
	EditSpkVol_Level.value = 10;
	webphone_api.setvolume(0, EditMicVol);
	webphone_api.setvolume(1, EditSpkVol);
	webphone_api.setvolume(2, 0);
	CheckMuteSpk.checked=false;
	CheckMuteMic.checked=false;
	//webphone_api.mute(false, 1);
	//webphone_api.mute(false, 2);
	//var devO = ComboSpeakers.options[ComboSpeakers.selectedIndex].text;
	//webphone_api.setaudiodevice(1, devO, 2);
	//var devI = ComboMicroPhones.options[ComboMicroPhones.selectedIndex].text;
	//webphone_api.setaudiodevice(0, devI, 2);
}


function registerSip(registrazione) {
	if(registrazione) {
		if(!SIPRegistered) {
			SIPRegistered = true;
			aggiustaVolume();
			displayPhone(true);

			webphone_api.getaudiodevicelist(1, function (devicename) {
				if(ComboSpeakers.length <= 0) {
					var devO = devicename.split('\n');
					for (var i = 0; i < devO.length; ++i) {
						var oOption = document.createElement("OPTION");
						oOption.text = devO[i];
						oOption.value = 0;
						ComboSpeakers.add(oOption);
					}
					ComboSpeakers.selectedIndex = 0;
				}
				if(ComboSpeakers.length <= 0) {
					addAlertLog(catalog("phone.controlla.cuffie"));
				}
			});

			webphone_api.getaudiodevicelist(0, function (devicename) {
				if(ComboMicroPhones.length <= 0) {
					var devI = devicename.split('\n');
					for (var i = 0; i < devI.length; ++i) {
						var oOption = document.createElement("OPTION");
						oOption.text = devI[i];
						oOption.value = 0;
						ComboMicroPhones.add(oOption);
					}
					ComboMicroPhones.selectedIndex = 0;
				}
				if(ComboMicroPhones.length <= 0) {
					addAlertLog(catalog("phone.controlla.microfono"));
				}
			});
			engine = webphone_api.getenginename();
			addStatusLog(catalog("phone.registrazione.ok") + ": " + username.value + " " + "(" + engine + ")");
			if(engine == "webrtc") {
				getLocalStream();
			}
			libero(1);
		}
	} else {
		if(SIPRegistered) {
			libero(0);
			SIPRegistered = false;
			addStatusLog(catalog("phone.registrazione.fallita") + ": " + username.value);
			hidePhone();
			for (var i = LINE_BASE; i <= LINEE; i++) {
				Sessions[i].Reset();
			}
			while (ComboSpeakers.length > 0) {
				ComboSpeakers.remove(0);
			}
			ComboSpeakers.selectedIndex = 0;

			while (ComboMicroPhones.length > 0) {
				ComboMicroPhones.remove(0);
			}
			ComboMicroPhones.selectedIndex = 0;
			StopRingInTone();
			StopRingOutTone();
			regLocale = "";
			CurrentLine = 1;
			EditPhoneNo.value = "";
			tonoUscita.checked = false;
			tonoIngresso.checked = false;
			CheckMuteSpk.checked = false;
			CheckMuteMic.checked = false;
			CheckAA.checked = false;
			CheckDND.checked = false;
			CheckConference.checked = false;
			ComboDial.disabled = false;
		}
	}

}

function onIncoming(LineIndex, callerDisplayName, caller) {
	if (LineIndex > LINEE) {
		Sessions[LineIndex].SetAgganciata(true);
		webphone_api.reject(LineIndex);
		Sessions[LineIndex].Reset();
		return;
	}
	if (!Sessions[LineIndex].GetIncoming()) {
		Sessions[LineIndex].SetIncoming(true);
	} else {
		return;
	}
	if (!Sessions[LineIndex].GetCallState()	&& !Sessions[LineIndex].GetRecvState()) {
		Sessions[LineIndex].SetRecvState(true);
	} else {
		Sessions[LineIndex].SetAgganciata(true);
		webphone_api.reject(LineIndex);
		Sessions[LineIndex].Reset();
		return;
	}
	mostraBarra();
	var nomeChiamante = decodeURIComponent("" + callerDisplayName);
	var numChiamante = decodeURIComponent("" + caller);
	var callerName = subStringChiamante(nomeChiamante);
	var rch = isRemota(numChiamante);
	var aut = isAutodialer(numChiamante);
	var inb = isInbound(numChiamante);
	var ing = isIngresso(caller);
	var autoD = (aut || inb);
	var numero = subStringChiamata(numChiamante, aut, inb, rch, ing);
	var cnumero = clearIngresso(numero, ing);
	var idx = callerName.indexOf("&");
	if(idx == 0) {
		callerName = catalog("phone.chiamata.trasferita") + " " + callerName.substring(idx+1);
	}
	if (CheckDND.checked) {
		if(!autoD && !rch) {
			Sessions[LineIndex].SetAgganciata(true);
			webphone_api.reject(LineIndex);
			Sessions[LineIndex].Reset();
			addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.rifiutata") + " (" + catalog("phone.non.disturbare") + ") " + callerName + " <" + cnumero + ">");
			return;
		} else {
			addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.non.disturbare") + " " + catalog("phone.ignorato"));
		}
	}
	Sessions[LineIndex].SetIngresso(subStringCaller(numero));
	Sessions[LineIndex].SetOpenIngresso(ing);
	Sessions[LineIndex].SetTransfState(rch || aut || inb);
	if (autoD) {
		var idContatto = top.mainTop.document.getElementById("comandiForm:idContatto");
		var rispondiAutodialer = top.mainTop.document.getElementById("comandiForm:rispondiAutodialer");
		var autoDA = idContatto != undefined && rispondiAutodialer != undefined;
		if (autoDA) {
			libero(3);
			Sessions[LineIndex].SetCallState(true);
			Sessions[LineIndex].SetRecvState(false);
			Sessions[LineIndex].SetRespState(true);
			Sessions[LineIndex].SetAutoState(true);
			idContatto.value = numero;
			rispondiAutodialer.click();
			var ritardoT = top.mainTop.document.getElementById("comandiForm:ritardoT");
			if(ritardoT != undefined && ritardoT.value == "true") {
				StartPlayBell();
			 	alert(catalog("phone.chiamata.ritardoT"));
			}
			if(Sessions[LineIndex].GetCallState()) {
				webphone_api.accept();
				if (CurrentLine != LineIndex) {
					cambiaLineaA(LineIndex);
					ComboDial.disabled = false;
				}
				joinConference(LineIndex, "");
				startTotaleChiamata();
				startParzialeChiamata();
				startTotaleConversazione();
				startParzialeConversazione();
				mostraAggancia();
				mostraHold();
			}
			if(aut) {
				addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.autodialer") + " " + cnumero);
			}
			if(inb) {
				addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.inbound") + " " + cnumero);
			}
			return;
		} else {
			Sessions[LineIndex].SetAgganciata(true);
			webphone_api.reject(LineIndex);
			Sessions[LineIndex].Reset();
			addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.non.gestibile") + " " + cnumero);
			return;
		}
	}
	addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.in.arrivo") + " " + callerName + " <" + cnumero + ">");
	var needIgnoreAutoAnswer = false;
	for (var i = LINE_BASE; i <= LINEE; i++) {
		if (Sessions[i].GetCallState()) {
			needIgnoreAutoAnswer = true;
			break;
		}
	}
	if (!needIgnoreAutoAnswer && (CheckAA.checked || rch) && !ComboDial.disabled) {
		libero(3);
		Sessions[LineIndex].SetCallState(true);
		Sessions[LineIndex].SetRecvState(false);
		Sessions[LineIndex].SetRespState(true);
		Sessions[LineIndex].SetAutoState(false);
		if(ing) {
			openIngresso(numero);
		}
		if (CurrentLine != LineIndex) {
			cambiaLineaA(LineIndex);
		}
		webphone_api.accept();
		joinConference(LineIndex, "");
		nascondiPannelloTutto();
		mostraAutoRegistrazione();
		startTotaleChiamata();
		startParzialeChiamata();
		startTotaleConversazione();
		startParzialeConversazione();
		mostraAggancia();
		mostraHold();
		if(!rch) {
			addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.risposta") + " (" + catalog("phone.risp.automatico") + ") " + callerName + " <" + cnumero + ">");
		} else {
			addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.risposta") + " (" + catalog("phone.chiamata.remota") + ") " + callerName + " <" + cnumero + ">");
		}
		return;
	}
	if ((needIgnoreAutoAnswer || ComboDial.disabled) && CheckAA.checked) {
		addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.risp.automatico") + " " + catalog("phone.ignorato"));
	}
	if (CurrentLine == LineIndex) {
		libero(2);
		nascondiPannelloTutto();
		mostraAccetta();
		nascondiHold();
		StartRingInTone();
	} 
}

function onTrying(LineIndex) {
	addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.attiva"));
}

function onRinging(LineIndex) {
	if (!Sessions[LineIndex].GetRinging()) {
		Sessions[LineIndex].SetRinging(true);
	} else {
		return;
	}
	webphone_api.getsipmessage(0, 0, function (r){
		var code = Number(r.substring(7, 11));
		if(code == 180) {
			if (CurrentLine == LineIndex) {
				StartRingOutTone();
			}
			Sessions[LineIndex].SetEarlyMedia(true);
			addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.tentativo"));
		} 
		if(code == 183) {
			Sessions[LineIndex].SetEarlyMedia(false);
			addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.in.corso"));
		}
	});
}

function onAnswered(LineIndex) {
	if (!Sessions[LineIndex].GetAnswered()) {
		Sessions[LineIndex].SetAnswered(true);
	} else {
		return;
	}
	Sessions[LineIndex].SetCallState(true);
	Sessions[LineIndex].SetRespState(true);
	Sessions[LineIndex].SetAutoState(true);
	if (CurrentLine == LineIndex) {
		ComboDial.disabled = false;
		libero(3);
		StopRingOutTone();
		mostraAutoRegistrazione();
		startTotaleConversazione();
		startParzialeConversazione();
		mostraHold();
	}
	addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.stabilita"));
	clickTopElement("hiddenForm:btnRisponde");
}

function onClosed(LineIndex, reason) {
	Sessions[LineIndex].Reset();
	addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.chiusa") + (reason != '' ? (" (" + reason + ")") : ''));
	if (CurrentLine == LineIndex) {
		ComboDial.disabled = false;
		StopRingInTone();
		StopRingOutTone();
		mostraChiamaPannello();
		mostraChiama();
		nascondiHold();
		stopTotaleChiamata();
		resetParzialeChiamata();
		stopTotaleConversazione();
		resetParzialeConversazione();
		chiudiRegistrazione();
		clickTopElement("hiddenForm:btnRegistraStop");
		libero(1);
	}
	clickTopElement("hiddenForm:btnAggancia");
}

function onFailure(LineIndex, reason, code) {
	Sessions[LineIndex].Reset();
	var valueLang = LANGUAGE[0]["phone.reason." + code];
	if(valueLang != undefined) {
		reason = valueLang;
	}
	addStatusLog(catalog("phone.sulla.linea") + " " + LineIndex + ": " + catalog("phone.chiamata.fallita") + " (" + reason + " " + code + ")");
	clickTopElement("hiddenForm:btnAggancia");
	if (CurrentLine == LineIndex) {
		ComboDial.disabled = false;
		StopRingInTone();
		StopRingOutTone();
		stopTotaleChiamata();
		resetParzialeChiamata();
		stopTotaleConversazione();
		resetParzialeConversazione();
		mostraChiamaPannello();
		mostraChiama();
		nascondiHold();
		StartErrorCode(code);
		getElementsStartsWithId("comandiForm:esito_" + code);
		libero(1);
	}

}

function mostraHold() {
	if(validTrattieni()) {
		BtnHold.style.display = "block";
		BtnUnHold.style.display = "none";
	} else {
		BtnHold.style.display = "none";
		BtnUnHold.style.display = "none";
	}
	if(validTrasferisci()) {
		BtnTransfer.style.display = "block";
	}
	if(validSondaggio()) {
		BtnSondaggio.style.display = "block";
	}
}

function mostraUnHold() { 
	if(validTrasferisci()) {
		BtnTransfer.style.display = "none";
	}
	if(validSondaggio()) {
		BtnSondaggio.style.display = "none";
	}
	if(validTrattieni()) {
		BtnHold.style.display = "none";
		BtnUnHold.style.display = "block";
	} else {
		BtnHold.style.display = "none";
		BtnUnHold.style.display = "none";
	}
}

function nascondiHold() { 
	BtnTransfer.style.display = "none";
	BtnSondaggio.style.display = "none";
	BtnHold.style.display = "none";
	BtnUnHold.style.display = "none";
}

function mostraChiama() { 
	EditPhoneNo.value = "";
	ComboDial.disabled = false;
	BtnDial.style.display = "block";
	BtnAccept.style.display = "none";
	BtnReject.style.display = "none";
	BtnHangUpINT.style.display = "none";
	ComboTrunks.disabled = false;
	BtnComboTrunkDown.disabled = false;
	BtnComboTrunkUp.disabled = false;
}

function mostraAccetta() { 
	BtnAccept.style.display = "block";
	BtnReject.style.display = "block";
	BtnDial.style.display = "none";
	BtnHangUpINT.style.display = "none";
	ComboTrunks.disabled = true;
	BtnComboTrunkDown.disabled = true;
	BtnComboTrunkUp.disabled = true;
}

function mostraAggancia() { 
	BtnAccept.style.display = "none";
	BtnReject.style.display = "none";
	BtnDial.style.display = "none";
	BtnHangUpINT.style.display = "block";
	ComboTrunks.disabled = true;
	BtnComboTrunkDown.disabled = true;
	BtnComboTrunkUp.disabled = true;
}

function mostraAgganciaPannello() { 

	hideTopElement("comandiForm:buttonChiama");
	hideTopElement("comandiForm:chiama2");
	hideTopElement("comandiForm:chiama3");
	hideTopElement("comandiForm:chiama4");
	hideTopElement("comandiForm:chiama5");

	var ct = top.mainTop.document.getElementById("comandiForm:campiTelefonici");
	if(ct != undefined) {
		var rows = ct.getElementsByTagName("tr");
		for(i=0; i!=rows.length; i++){
			hideTopElement("comandiForm:campiTelefonici:"+ rows[i].rowIndex+":chiama6");
		}
	}
	blockTopElement("comandiForm:buttonAggancia");
	nascondiRecRem();
	nascondiRecLoc();
}


function mostraAutoRegistrazione() {
	if(validRecLoc()) {
		if((isTrueA("comandiForm:hiddenRecLoc") && isFalseA("comandiForm:hiddenRecLocAuto")) || (isTrueB("hiddenRecLoc") && isFalseB("hiddenRecLocAuto"))) {
			mostraRecLocStart();
		}

		if((isTrueA("comandiForm:hiddenRecLoc") && isTrueA("comandiForm:hiddenRecLocAuto")) || (isTrueB("hiddenRecLoc") && isTrueB("hiddenRecLocAuto"))) {
			avviaRecLoc(false);
		}
	}
	if(validRecRem()) {
		if((isTrueA("comandiForm:hiddenRecRem") && isFalseA("comandiForm:hiddenRecRemAuto")) || (isTrueB("hiddenRecRem") && isFalseB("hiddenRecRemAuto"))) {
			mostraRecRemStart();
		}

		if((isTrueA("comandiForm:hiddenRecRem") && isTrueA("comandiForm:hiddenRecRemAuto")) || (isTrueB("hiddenRecRem") && isTrueB("hiddenRecRemAuto"))) {
			avviaRecRem(false);
		}
	}
}

function testNumber(numero) {
	var test = testEsterno(numero) || testAltro(numero);
	if(interne.value == "true") {
		return test || testInterno(numero, "(\\*6(0|1|2|7|8))?", "");
	} else {
		return test;
	}
}

function testAltro(numero) {
	return testPark(numero) || testCoda(numero) || testPickup(numero);
}

function testEsterno(numero) {
	var validatoreT = ((interurbaneU.value == "true") || (interurbaneT.value == "true")) ? interurbana1Validator.value : interurbana2Validator.value;
	var regularExpressionTelefono = new RegExp("^" + validatoreT + "$");
	return regularExpressionTelefono.test(numero);
}

function testInterno(numero, option1, option2) {
	var regularExpressionInterno = new RegExp("^" + option1 + internoValidator.value + option2 + "$");
	return (numero != username.value) && regularExpressionInterno.test(numero);
}

function testPark(numero) {
	var base = 700;
	return Number(numero) > base && Number(numero) < (base+100);
}

function testCoda(numero) {
	var regularExpressionInterno = new RegExp("^\\*69(0|1|2|3)[" + chiamataReplace.value + "]+$");
	return regularExpressionInterno.test(numero);
}

function testPickup(numero) {
	var cids = extraValidator.value;
	if(cids != undefined && cids != '') {
		var cidsA = cleanArray(cids.split(separatore1.value));
		if(cidsA != undefined && cidsA.length > 0) {
			return cidsA.includes(numero);
		}
	}
	return false;
}

function testTrasferisci(numero) {
	return testInterno(numero, "", "(#[" + chiamataReplace.value + "]+)?") || (testEsterno(numero) && esternaTrasferisci());
}

function trim(numero) {
	return numero.replace(new RegExp("[^" + chiamataReplace.value + "\\*#\\+]+", "g"), "");
}

function esternaTrasferisci() {
	return Sessions[CurrentLine].GetTransfState();
}

function validTrattieni() {
	return true;
}

function validRecRem() {
	var regularExpression = new RegExp("^\\*6[0-9].*$");
	var numero1 = EditPhoneNo.value;
	var numero2 = Sessions[CurrentLine].GetNumero();
	var numero3 = Sessions[CurrentLine].GetIngresso();
	var valid1 = numero1 != "" && !regularExpression.test(numero1) && !testAltro(numero1);
	var valid2 = numero2 != "" && !regularExpression.test(numero2) && !testAltro(numero2);
	var valid3 = numero3 != "";
	return (valid1 || valid2 || valid3);
}

function validRecLoc() {
	var numero1 = EditPhoneNo.value;
	var numero2 = Sessions[CurrentLine].GetNumero();
	var numero3 = Sessions[CurrentLine].GetIngresso();
	var valid1 = numero1 != "";
	var valid2 = numero2 != "";
	var valid3 = numero3 != "";
	return folder.value != "" && (engine != "webrtc") && (valid1 || valid2 || valid3);
}

function validTrasferisci() {
	var regularExpression = new RegExp("^\\*6[0-9].*$");
	var numero1 = EditPhoneNo.value;
	var numero2 = Sessions[CurrentLine].GetNumero();
	var numero3 = Sessions[CurrentLine].GetIngresso();
	var valid1 = numero1 != "" && !regularExpression.test(numero1);
	var valid2 = numero2 != "" && !regularExpression.test(numero2);
	var valid3 = numero3 != "";
	return (valid1 || valid2 || valid3);
}

function validSondaggio() {
	var hiddenSon = top.mainTop.document.getElementById("comandiForm:hiddenSon");
	return hiddenSon != undefined && hiddenSon.value != "" && validTrasferisci();
}

function mostraChiamaPannello() { 
	nascondiRecRem();
	nascondiRecLoc();
	nascondiTimerLocale();
	nascondiTimerRemota();
	hideTopElement("comandiForm:buttonAggancia");
	blockTopElement("comandiForm:buttonChiama");
	blockTopElement("comandiForm:chiama2");
	blockTopElement("comandiForm:chiama3");
	blockTopElement("comandiForm:chiama4");
	blockTopElement("comandiForm:chiama5");

	var ct = top.mainTop.document.getElementById("comandiForm:campiTelefonici");
	if(ct != undefined) {
		var rows = ct.getElementsByTagName("tr");
		for(i=0; i!=rows.length; i++){
			blockTopElement("comandiForm:campiTelefonici:"+ rows[i].rowIndex+":chiama6");
		}
	}
}


function nascondiPannelloTutto() {
	hideTopElement("comandiForm:buttonAggancia");
	nascondiPannello();
}

function nascondiPannello() {

	EditPhoneNo.value = "";

	hideTopElement("comandiForm:buttonChiama");
	hideTopElement("comandiForm:chiama2");
	hideTopElement("comandiForm:chiama3");
	hideTopElement("comandiForm:chiama4");
	hideTopElement("comandiForm:chiama5");

	var ct = top.mainTop.document.getElementById("comandiForm:campiTelefonici");
	if(ct != undefined) {
		var rows = ct.getElementsByTagName("tr");
		for(i=0; i!=rows.length; i++){
			hideTopElement("comandiForm:campiTelefonici:"+ rows[i].rowIndex+":chiama6");
		}
	}

	nascondiRecRem();
	nascondiRecLoc();
	nascondiTimerLocale();
	nascondiTimerRemota();
}

function blockTopElement(elemento) {
	var el = top.mainTop.document.getElementById(elemento);
	if(el != undefined) {
		el.style.display = "block";
	}
}

function hideTopElement(elemento) {
	var el = top.mainTop.document.getElementById(elemento);
	if(el != undefined) {
		el.style.display = "none";
	}
}


function clickTopElement(elemento) {
	var el = top.mainTop.document.getElementById(elemento);
	if (el != undefined) {
		el.click();
	}
}

function blockElement(elemento) {
	var el = document.getElementById(elemento);
	if(el != undefined) {
		el.style.display = "block";
	}
}

function hideElement(elemento) {
	var el = document.getElementById(elemento);
	if(el != undefined) {
		el.style.display = "none";
	}
}


function isTrueA(elemento) {
	var el = top.mainTop.document.getElementById(elemento);
	if(el != undefined) {
		if(el.value == "true") {
			return true;
		}
	}
	return false;
}

function isFalseA(elemento) {
	var el = top.mainTop.document.getElementById(elemento);
	if(el != undefined) {
		if(el.value == "false") {
			return true;
		} 
	}
	return false;
}

function isTrueB(elemento) {
	var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
	if(hiddenId == undefined) {
		var el = document.getElementById(elemento);
		if(el != undefined) {
			if(el.value == "true") {
				return true;
			}
		}
	} 
	return false;
}

function isFalseB(elemento) {
	var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
	if(hiddenId == undefined) {
		var el = document.getElementById(elemento);
		if(el != undefined) {
			if(el.value == "false") {
				return true;
			} 
		}
	}
	return false;
}

function cambiaLinea() {
	addStatusLog(catalog("phone.cambio.linea") + ": " + CurrentLine);
	nascondiPannelloTutto();
	if (Sessions[CurrentLine].GetCallState() && !Sessions[CurrentLine].GetRecvState() && !Sessions[CurrentLine].GetRespState() && !Sessions[CurrentLine].GetAutoState()) {
		libero(2);
		startTotaleChiamata();
		startParzialeChiamata();
		mostraAgganciaPannello();
		mostraAggancia();
		nascondiHold();
		if (Sessions[CurrentLine].GetEarlyMedia()) {
			StartRingOutTone();
		}
	} else if (Sessions[CurrentLine].GetCallState() && !Sessions[CurrentLine].GetRecvState() && Sessions[CurrentLine].GetRespState() && Sessions[CurrentLine].GetAutoState()) {
		libero(3);
		startTotaleChiamata();
		startParzialeChiamata();
		startTotaleConversazione();
		startParzialeConversazione();
		mostraAgganciaPannello();
		mostraAggancia();
		mostraHold();
		mostraAutoRegistrazione();
	} else if (!Sessions[CurrentLine].GetCallState() && Sessions[CurrentLine].GetRecvState() && !Sessions[CurrentLine].GetRespState() && !Sessions[CurrentLine].GetAutoState()) {
		libero(2);
		mostraAccetta();
		nascondiHold();
		StartRingInTone();
	} else if (Sessions[CurrentLine].GetCallState() && !Sessions[CurrentLine].GetRecvState() && Sessions[CurrentLine].GetRespState() && !Sessions[CurrentLine].GetAutoState()) {
		libero(3);
		startTotaleChiamata();
		startParzialeChiamata();
		startTotaleConversazione();
		startParzialeConversazione();
		mostraAggancia();
		mostraHold();
		mostraAutoRegistrazione();
	} else if (!Sessions[CurrentLine].GetCallState() && !Sessions[CurrentLine].GetRecvState() && !Sessions[CurrentLine].GetRespState() && !Sessions[CurrentLine].GetAutoState()) {
		mostraChiamaPannello();
		mostraChiama();
		nascondiHold();
		libero(1);
	}
}


function StartRingInTone() {
	var a = document.getElementById("ringin");
	if(a != undefined) {
		if(trident) {
			a.src = document.getElementById("mringin").value;
			a.loop = -1;
		} else {
			if(!a.progress) {
				a.currentTime = 0;
				a.loop = true;
				a.play();
			}
		}
	}
}

function StopRingInTone() {
	var a = document.getElementById("ringin");
	if(a != undefined) {
		if(trident) {
			a.src = "";
		} else {
			a.pause();
		}
	}
}

function StartRingOutTone() {
	var a = document.getElementById("ringout");
	if(a != undefined) {
		if(trident) {
			a.src = document.getElementById("mringout").value;
			a.loop = -1;
		} else {
			if(!a.progress) {
				a.currentTime = 0;
				a.loop = true;
				a.play();
			}
		}
	}
}

function StopRingOutTone() {
	var a = document.getElementById("ringout");
	if(a != undefined) {
		if(trident) {
			a.src = "";
		} else {
			a.pause();
		}
	}
}

function StartPlayTone() {
	if(riproduciAudio.value == "true") {
		var a = document.getElementById("tone");
		if(a != undefined) {
			if(trident) {
				a.src = document.getElementById("mtone").value;
			} else {
				if(!a.progress) {
					a.currentTime = 0;
					a.play();
				}
			}
		}
	}
}

function StartPlayBell() {
	if(riproduciAudio.value == "true") {
		var a = document.getElementById("bell");
		if(a != undefined) {
			if(trident) {
				a.src = document.getElementById("mbell").value;
			} else {
				if(!a.progress) {
					a.currentTime = 0;
					a.play();
				}
			}
		}
	}
}

function StartErrorCode(reason) {
	if(riproduciAudio.value == "true") {
		var a = document.getElementById(reason);
		if(a != undefined) {
			if(trident) {
				a.src = document.getElementById("m"+reason).value;
			} else {
				if(!a.progress) {
					a.currentTime = 0;
					a.play();
				}
			}
		}
	}
}

function StartDtmf(dt) {
	if(riproduciAudio.value == "true") {
		var a = document.getElementById(dt);
		if(a != undefined) {
			if(trident) {
				a.src = document.getElementById("m"+dt).value;
			} else {
				if(!a.progress) {
					a.currentTime = 0;
					a.play();
				}
			}
		}
	}
}

function controlloInterno(libero) {
	switch (libero) {
		case 0:
    		return 'grey'; break;
 		case 1:
    		return 'black'; break;
  		case 2:
    		return 'orange'; break;
    	case 3:
    		return 'red'; break;
  		default:
   			return 'grey';
	}
}

function startControlloLinee() {
	for (var i = LINE_BASE; i <= LINEE; i++) {
		var index = (i-1);
		var color = "black";
		if(Sessions[i].GetCallState()) {
			color = "red";
		} else {
			if(Sessions[i].GetRecvState()) {
				color = "orange";
			}
		}
		if (ComboDial.length > 0) {
			if(ComboDial.selectedIndex == index) {
				ComboDial.style.color = color;
			} 
			ComboDial.options[index].style.color = color;
		}
	}
}

function startParzialeChiamata() {
	secParzialeChiamata++;
	impostaParzialeChiamata(secParzialeChiamata);
	SDParzialeChiamata=window.setTimeout(startParzialeChiamata, 1000);
}

function stopParzialeChiamata() {
	window.clearTimeout(SDParzialeChiamata);
}

function resetParzialeChiamata() {
	stopParzialeChiamata();
	azzeraParzialeChiamata();
}

function azzeraParzialeChiamata() {
	secParzialeChiamata = 0;
	impostaParzialeChiamata(secParzialeChiamata);
}

function impostaParzialeChiamata(secondi) {
	stwaParzialeChiamata.value = formatta(secondi);
}

function startParzialeConversazione() {
	secParzialeConversazione++;
	impostaParzialeConversazione(secParzialeConversazione);
	SDParzialeConversazione=window.setTimeout(startParzialeConversazione, 1000);
}

function stopParzialeConversazione() {
	window.clearTimeout(SDParzialeConversazione);
}

function resetParzialeConversazione() {
	stopParzialeConversazione();
	azzeraParzialeConversazione();
}

function azzeraParzialeConversazione() {
	secParzialeConversazione = 0;
	impostaParzialeConversazione(secParzialeConversazione);
}

function impostaParzialeConversazione(secondi) {
	stwaParzialeConversazione.value = formatta(secondi);
}

function startParzialeRegLocale() {
	secParzialeRegLocale++;
	impostaParzialeRegLocale(secParzialeRegLocale);
	SDParzialeRegLocale=window.setTimeout(startParzialeRegLocale, 1000);
}

function stopParzialeRegLocale() {
	window.clearTimeout(SDParzialeRegLocale);
}

function resetParzialeRegLocale() {
	stopParzialeRegLocale();
	azzeraParzialeRegLocale();
}

function azzeraParzialeRegLocale() {
	secParzialeRegLocale = 0;
	impostaParzialeRegLocale(secParzialeRegLocale);
}

function impostaParzialeRegLocale(secondi) {
	stwaParzialeRegLocale.value = formatta(secondi);
}

function startParzialeRegRemota() {
	secParzialeRegRemota++;
	impostaParzialeRegRemota(secParzialeRegRemota);
	SDParzialeRegRemota=window.setTimeout(startParzialeRegRemota, 1000);
}

function stopParzialeRegRemota() {
	window.clearTimeout(SDParzialeRegRemota);
}

function resetParzialeRegRemota() {
	stopParzialeRegRemota();
	azzeraParzialeRegRemota();
}

function azzeraParzialeRegRemota() {
	secParzialeRegRemota = 0;
	impostaParzialeRegRemota(secParzialeRegRemota);
}

function impostaParzialeRegRemota(secondi) {
	stwaParzialeRegRemota.value = formatta(secondi);
}

function startTotaleChiamata() {
	secTotaleChiamata++;
	impostaTotaleChiamata(secTotaleChiamata);
	SDTotaleChiamata=window.setTimeout(startTotaleChiamata, 1000);
}

function stopTotaleChiamata() {
	window.clearTimeout(SDTotaleChiamata);
}

function resetTotaleChiamata() {
	stopTotaleChiamata();
	azzeraTotaleChiamata();
}

function azzeraTotaleChiamata() {
	secTotaleChiamata = 0;
	impostaTotaleChiamata(secTotaleChiamata);
}

function impostaTotaleChiamata(secondi) {
	stwaTotaleChiamata.value = formatta(secondi);
}

function startTotaleConversazione() {
	secTotaleConversazione++;
	impostaTotaleConversazione(secTotaleConversazione);
	SDTotaleConversazione=window.setTimeout(startTotaleConversazione, 1000);
}

function stopTotaleConversazione() {
	window.clearTimeout(SDTotaleConversazione);
}

function resetTotaleConversazione() {
	stopTotaleConversazione();
	azzeraTotaleConversazione();
}

function azzeraTotaleConversazione() {
	secTotaleConversazione = 0;
	impostaTotaleConversazione(secTotaleConversazione);
}

function impostaTotaleConversazione(secondi) {
	stwaTotaleConversazione.value = formatta(secondi);
}

function startTotaleRegLocale() {
	secTotaleRegLocale++;
	impostaTotaleRegLocale(secTotaleRegLocale);
	SDTotaleRegLocale=window.setTimeout(startTotaleRegLocale, 1000);
}

function stopTotaleRegLocale() {
	window.clearTimeout(SDTotaleRegLocale);
}

function resetTotaleRegLocale() {
	stopTotaleRegLocale();
	azzeraTotaleRegLocale();
}

function azzeraTotaleRegLocale() {
	secTotaleRegLocale = 0;
	impostaTotaleRegLocale(secTotaleRegLocale);
}

function impostaTotaleRegLocale(secondi) {
	stwaTotaleRegLocale.value = formatta(secondi);
}

function startTotaleRegRemota() {
	secTotaleRegRemota++;
	impostaTotaleRegRemota(secTotaleRegRemota);
	SDTotaleRegRemota=window.setTimeout(startTotaleRegRemota, 1000);
}

function stopTotaleRegRemota() {
	window.clearTimeout(SDTotaleRegRemota);
}

function resetTotaleRegRemota() {
	stopTotaleRegRemota();
	azzeraTotaleRegRemota();
}

function azzeraTotaleRegRemota() {
	secTotaleRegRemota = 0;
	impostaTotaleRegRemota(secTotaleRegRemota);
}

function impostaTotaleRegRemota(secondi) {
	stwaTotaleRegRemota.value = formatta(secondi);
}

function formatTrunk(trunkId) {
	if(protocol.value == "true") {
		return trunkId +"/";
	} else {
		return "@" + trunkId;
	}
}

function acceptNumber(event) {
	if(abilitaNumeroU.value == "3") {
		if (!event) {
			event = window.event;
		}
		var eventValue = event.charCode;
		var inChiamata = SIPInited && SIPRegistered	&& Sessions[CurrentLine].GetCallState();
		var o = inChiamata ? false : (eventValue == 0) || (eventValue == 43);
		var c = o || (eventValue == 35) || (eventValue == 42) || (eventValue >= 48 && eventValue <= 57);
		if (!c) return stop(event);
		if(eventValue >= 48 && eventValue <= 57) {
			if (inChiamata) {
				webphone_api.dtmf("" + eventValue-48);
			}
		}
		if(eventValue == 42) {
			if (inChiamata) {
				webphone_api.dtmf("*");
			}
		}
		if(eventValue == 35) {
			if (inChiamata) {
				webphone_api.dtmf("#");
			}
		}
	}
}

function cleanArray(actual) {
	var newArray = new Array();
	for (var i = 0; i < actual.length; i++) {
		if (actual[i] != undefined && actual[i] != '') {
			newArray.push(actual[i]);
		}
	}
	return newArray;
}

function randomValue(cids) {
	if(cids != undefined && cids != '') {
		var cidsA = cleanArray(cids.split(separatore1.value));
		if(cidsA != undefined && cidsA.length > 0) {
			var index = Math.floor(Math.random() * cidsA.length);
			return generateRandom(cidsA[index]);
		}
	}
	return '';
}

function generateRandom(s) {
	if(s!= '') {
		var c = separatore2.value;
		var sep = s.indexOf(c);
		if(sep > -1) {
			var prefix = s.substring(0, sep);
			var expS = s.substring(sep+1).replace(new RegExp("\\"+c+"+" , "g"), "");
			if(prefix != '' && expS != '') {
				var exp = Number(expS);
				var pow = Math.pow(10, exp);
				var suffix = Math.round(Math.random() * pow) +"";
				while (suffix.length < exp) suffix = "0" + suffix;
				return prefix+suffix;
			}
			return prefix;
		}
	}
	return s;
}

function addHeaders() {
	var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
	var hiddenCid = top.mainTop.document.getElementById("comandiForm:hiddenCid");
	var userfield = top.mainTop.document.getElementById("comandiForm:userfield");
	var hiddenMusic = top.mainTop.document.getElementById("comandiForm:hiddenMusic");
	var hiddenCmp = top.mainTop.document.getElementById("comandiForm:hiddenCmp");
	var acT = antecallT.value;
	var a00 = utenteId.value;
	var a01 = (hiddenId != undefined && hiddenId.value != '') ? hiddenId.value : "0";
	var a02 = (opposizioneU.value == "true" || opposizioneT.value == "true") ? "1" : "0";
	var a03 = prefissoU.value + prefissoT.value;
	var a04 = (hiddenCid != undefined && hiddenCid.value != '') ? (acT + randomValue(hiddenCid.value)) : (acT + randomValue(calleridU.value != '' ? calleridU.value : calleridT.value));
	var a05 = (hiddenMusic != undefined && hiddenMusic.value != '') ? hiddenMusic.value : musicclass.value;
	var a06 = formatTrunk(trunk.value);
	var a07 = vtx.value;
	var a08 = vrx.value;
	var a09 = (registrazioneU.value == "true" || registrazioneT.value == "true") ? "1" : "0";
	var a10 = (userfield != undefined && userfield.value != '') ? userfield.value : "0";
	var a11 = (hiddenCmp != undefined && hiddenCmp.value != '') ? hiddenCmp.value : "0";
	var srr = new Array();
	srr.push("X-USR-Id: " + a00);
	srr.push("X-CRM-Id: " + a01);
	srr.push("X-OPP-Id: " + a02);
	srr.push("X-PRT-Id: " + a03);
	srr.push("X-CID-Id: " + a04);
	srr.push("X-MSC-Id: " + a05);
	srr.push("X-TRK-Id: " + a06);
	srr.push("X-VTX-Id: " + a07);
	srr.push("X-VRX-Id: " + a08);
	srr.push("X-REC-Id: " + a09);
	srr.push("X-GLB-Id: " + a10);
	srr.push("X-CMP-Id: " + a11);
	webphone_api.setparameter('customsipheader', srr.join('\n'));
}

function addHeadersE() {
	var hiddenId = top.mainTop.document.getElementById("comandiForm:hiddenId");
	var userfield = top.mainTop.document.getElementById("comandiForm:userfield");
	var hiddenCmp = top.mainTop.document.getElementById("comandiForm:hiddenCmp");
	var acT = trunkEXT.value != '' ? antecallEXT.value : antecallT.value;
	var a00 = utenteId.value;
	var a01 = (hiddenId != undefined && hiddenId.value != '') ? hiddenId.value : "0";
	var a02 = (trunkEXT.value != '') ? (opposizioneEXT.value == "true" ? "1" : "0" ) : ((opposizioneU.value == "true" || opposizioneT.value == "true") ? "1" : "0");
	var a03 = (trunkEXT.value != '') ? (prefissoEXT.value) : (prefissoU.value + prefissoT.value);
	var a04 = (trunkEXT.value != '') ? (acT + randomValue(calleridEXT.value)) : (acT + randomValue(calleridU.value != '' ? calleridU.value : calleridT.value));
	var a05 = (trunkEXT.value != '') ? musicclassEXT.value : musicclass.value;
	var a06 = (trunkEXT.value != '') ? formatTrunk(trunkEXT.value) : formatTrunk(trunk.value);
	var a07 = (trunkEXT.value != '') ? vtxEXT.value : vtx.value;
	var a08 = (trunkEXT.value != '') ? vrxEXT.value : vrx.value;
	var a09 = (trunkEXT.value != '') ? (registrazioneEXT.value == "true" ? "1" : "0" ) : ((registrazioneU.value == "true" || registrazioneT.value == "true") ? "1" : "0");
	var a10 = (userfield != undefined && userfield.value != '') ? userfield.value : "0";
	var a11 = (hiddenCmp != undefined && hiddenCmp.value != '') ? hiddenCmp.value : "0";
	var srr = new Array();
	srr.push("X-USR-Id: " + a00);
	srr.push("X-CRM-Id: " + a01);
	srr.push("X-OPP-Id: " + a02);
	srr.push("X-PRT-Id: " + a03);
	srr.push("X-CID-Id: " + a04);
	srr.push("X-MSC-Id: " + a05);
	srr.push("X-TRK-Id: " + a06);
	srr.push("X-VTX-Id: " + a07);
	srr.push("X-VRX-Id: " + a08);
	srr.push("X-REC-Id: " + a09);
	srr.push("X-GLB-Id: " + a10);
	srr.push("X-CMP-Id: " + a11);
	webphone_api.setparameter('customsipheader', srr.join('\n'));
}

function checkParameters(s, param) {
	for(i=0; i!=param.length; i++){
		if(s.toLowerCase().startsWith(param[i].toLowerCase())) {
			return true;
		}
	}
	return false;
}

function getLocalStream() {
	if (!navigator.getUserMedia) {
		navigator.getUserMedia = navigator.getUserMedia || navigator.webkitGetUserMedia || navigator.mozGetUserMedia || navigator.msGetUserMedia;
	}
	navigator.mediaDevices.getUserMedia({ video: false, audio: true }).then((stream) => { 
  		window.localStream = stream; 
  		window.srcObject = stream; 
  		window.autoplay = true; 
	}).catch((err) => {
      	addAlertLog(catalog("phone.controlla.microfono"));
	});
}

webphone_api.onChat(onChat);
webphone_api.onRegStateChange(onRegStateChange);
webphone_api.onCdr(onCdr);
webphone_api.onEvent(onEvent);
webphone_api.onCallStateChange(onCallStateChange);
webphone_api.onAppStateChange(onAppStateChange);
//webphone_api.onDTMF(onDTMF);
//webphone_api.onLog(onLog);
//webphone_api.onPresenceStateChange(onPresenceStateChange);
//webphone_api.onBLFStateChange(onBLFStateChange);
