package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.InvalidChannelName;

public class QueueCallerLeaveEvent extends ChannelEventHelper
{
    private static final long serialVersionUID = 1L;

    private String queue;

    public QueueCallerLeaveEvent(final it.asterisk.manager.event.QueueCallerLeaveEvent event) throws InvalidChannelName
    {
        super(event.getChannel(), event.getUniqueId(), event.getCallerIdNum(), event.getCallerIdName());

        queue = event.getQueue();
    }

    public String getQueueName()
    {
        return queue;
    }

}
