package it.callite.action;

import java.io.Serializable;

import it.callite.utility.ApplicationUtil;

@SuppressWarnings("serial")
public class AutomationBean implements Serializable {

	private Integer abilita;
	private boolean start;
	private int time;
	private String action;

	public AutomationBean() {
	}

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public void inizializza(Integer a, Boolean s) {
		abilita = ApplicationUtil.gtZero(a) ? a.intValue() : 0;
		time = ApplicationUtil.gtZero(a) ? a.intValue() : 0;
		start = ApplicationUtil.isTrue(s);
	}

	public String execute() {
		return isAvvia() ? action : null;
	}

	public boolean isStart() {
		return start;
	}

	public void setStart(boolean start) {
		this.start = start;
	}

	public int getTime() {
		if(start && ApplicationUtil.gtZero(abilita)) {
			time --;
			if(time < 0) {
				time = abilita.intValue();
			} 
		}
		return time;
	}

	public void setTime(int time) {
		this.time = time;
	}


	public boolean isAvvia() {
		return (start && time == 0 && ApplicationUtil.gtZero(abilita));
	}

	public Integer getAbilita() {
		return abilita;
	}

	public void setAbilita(Integer abilita) {
		this.abilita = abilita;
	}

}
