package it.callite.action;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

import org.springframework.beans.factory.annotation.Autowired;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.ImpostazioneDao;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.CaptureServer;
@SuppressWarnings("serial")
public class CaptureBean implements Serializable {

	@Autowired
	private ImpostazioneDao impostazioneDao;

	private String command;

	public CaptureBean() {
	}

	public List<SelectItem> getServices() {
		List<SelectItem> sis = new ArrayList<SelectItem>();
		List<CaptureServer> lss = impostazioneDao.getMonitor();
		if(ApplicationUtil.notEmpty(lss)) {
			for(CaptureServer ss : lss) {
				if(ApplicationUtil.getService(ss.getService())) {
					sis.add(new SelectItem(ss.getPorta(), ss.getName()));
				}
			}
		}
		return sis;
	}

	public void start(){
		if(ApplicationUtil.isNotBlank(command)) {
			String home = impostazioneDao.getHome();
			String path = home + ConstantsGlobal.path_capture;
			String c = "tcpdump" + " " + command + " " + "-w" + " '" + path + "/" + System.currentTimeMillis()+ "[" + command + "]" + "." + ConstantsMap.cap + "'";
			String[] commandS = new String[] {ConstantsGlobal.path_shell, "-c", c};
			ApplicationUtil.executeRuntime(commandS);
		}
	}

	public void stop() {
		String c = "pkill -9 -f tcpdump";
		String[] commandS = new String[] {ConstantsGlobal.path_shell, "-c", c};
		ApplicationUtil.executeRuntime(commandS);
	}
	public void setCommand(String command) {
		this.command = command;
	}
	public String getCommand() {
		return command;
	}

}