package it.callite.action;
import java.util.HashMap;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.AnagraficaDao;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class ColorBean extends HashMap<String, String> {
	private AnagraficaDao anagraficaDao;
	public String get(Object item) {
		String chiave = ApplicationUtil.trimToEmpty((String) item);
		if(!ConstantsMap.totalM.contains(chiave)) {
			String colore = anagraficaDao.getColoreByChiave(CampoAggiuntivoAnagrafica.class, chiave);
			if(ApplicationUtil.isBlank(colore)) {
				colore = anagraficaDao.getColoreByChiave(CampoAggiuntivoContratto.class, chiave);
			}
			if(ApplicationUtil.isNotBlank(colore)) {
				return colore;
			} 
		}
		return ConstantsGlobal.colore;
	}
	public void setAnagraficaDao(AnagraficaDao anagraficaDao) {
		this.anagraficaDao = anagraficaDao;
	}
}