package it.callite.action;
import java.util.HashMap;
import it.callite.constants.ConstantsMap;
import it.callite.dao.AnagraficaDao;
import it.callite.message.Message;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class LanguageBean extends HashMap<String, String> {
	private AnagraficaDao anagraficaDao;
	public String get(Object item) {
		String chiave = ApplicationUtil.trimToEmpty((String) item);
		String etichetta = null;
		if(ConstantsMap.totalM.contains(chiave)) {
			etichetta = Message.addCatalogText(chiave);
		}
		if(ApplicationUtil.isBlank(etichetta)) {
			etichetta = anagraficaDao.getEtichettaByChiave(CampoAggiuntivoAnagrafica.class, chiave);
			if(ApplicationUtil.isBlank(etichetta)) {
				etichetta = anagraficaDao.getEtichettaByChiave(CampoAggiuntivoContratto.class, chiave);
			}
		}
		if(ApplicationUtil.isBlank(etichetta)) {
			return chiave;
		} else {
			return etichetta;
		}
	}
	public void setAnagraficaDao(AnagraficaDao anagraficaDao) {
		this.anagraficaDao = anagraficaDao;
	}
}