package it.callite.action;

import java.io.Serializable;
import java.util.HashMap;

import javax.faces.event.ActionEvent;

import it.callite.utility.ApplicationUtil;

@SuppressWarnings("serial")
public class MenuMultiploBean implements Serializable {

	private HashMap<String, Boolean> menu = new HashMap<String, Boolean>();
	private String current;
	private Integer size;

	public MenuMultiploBean() {
	}

	public String getCurrent() {
		return current;
	}

	public HashMap<String, Boolean> getMenu() {
		return menu;
	}

	public Integer getSize() {
		return size;
	}
	public void init(int s) {
		current = "menu" + 0;
		size = s;
		menu.clear();
		if(ApplicationUtil.gtZero(size)) {
			for(int i = 0; i < size.intValue(); i++) {
				String m = "menu" + i;
				if(ApplicationUtil.equals(m, current)) {
					menu.put(m, true);
				} else {
					menu.put(m, false);
				}
			}

		}
	}

	public void processAction(ActionEvent event) {
		if(ApplicationUtil.gtZero(size)) {
			for(int i = 0; i < size.intValue(); i++) {
				String m = "menu" + i;
				if(ApplicationUtil.equals(m, current)) {
					Object o = menu.get(m);
					menu.put(m, Boolean.valueOf(o.toString()));
				} else {
					menu.put(m, false);
				}
			}
		}
	}

	public void setCurrent(String current) {
		this.current = current;
	}

	public void setMenu(HashMap<String, Boolean> menu) {
		this.menu = menu;
	}


	public void setSize(Integer size) {
		this.size = size;
	}

	
}
