package it.callite.chiamate;



import it.callite.chiamate.sincronizzazione.CodaSincroniaAppuntamenti;
import it.callite.chiamate.sincronizzazione.CodaSincroniaContatti;
import it.callite.chiamate.sincronizzazione.CodaSincroniaContratti;
import it.callite.chiamate.sincronizzazione.CodaSincroniaNote;
import it.callite.chiamate.sincronizzazione.CodaSincroniaPrenotazioni;



public class Chiamate {
 
	private static CodaOperatori codaOperatori = new CodaOperatori();
	private static CodaProcessi codaProcessi = new CodaProcessi();
	private static CodaAsterisk codaAsterisk = new CodaAsterisk();
	private static CodaAutodialer codaAutodialer = new CodaAutodialer();
	private static CodaContatti codaContatti = new CodaContatti();
	private static CodaBuddy codaBuddy = new CodaBuddy();
	private static CodaEsiti codaEsiti = new CodaEsiti();
	private static CodaCampagne codaCampagne = new CodaCampagne();
	private static CodaStatistiche codaStatistiche = new CodaStatistiche();
	private static CodaLogin codaLogin = new CodaLogin();
	private static CodaIP codaIP = new CodaIP();
	private static CodaSpia codaSpia = new CodaSpia();
	private static CodaQueue codaQueue = new CodaQueue();
	private static CodaTelefono codaTelefono = new CodaTelefono();
	private static CodaRisposta codaRisposta = new CodaRisposta();
	private static CodaInterni codaInterni = new CodaInterni();
	
	private static CodaSincroniaContratti codaSincroniaContratti = new CodaSincroniaContratti();
	private static CodaSincroniaContatti codaSincroniaContatti = new CodaSincroniaContatti();
	private static CodaSincroniaAppuntamenti codaSincroniaAppuntamenti = new CodaSincroniaAppuntamenti();
	private static CodaSincroniaNote codaSincroniaNote = new CodaSincroniaNote();
	private static CodaSincroniaPrenotazioni codaSincroniaPrenotazioni = new CodaSincroniaPrenotazioni();

	private static CodaMessaggi contattiAttiviEmail = new CodaMessaggi();
	private static CodaMessaggi contattiAttiviRmail = new CodaMessaggi();
	private static CodaMessaggi contattiAttiviTelecom = new CodaMessaggi();

	public static CodaMessaggi getContattiAttiviRmail() {
		return contattiAttiviRmail;
	}

	
	public static CodaMessaggi getContattiAttiviTelecom() {
		return contattiAttiviTelecom;
	}
	

	public static CodaMessaggi getContattiAttiviEmail() {
		return contattiAttiviEmail;
	}
	public static CodaContatti getCodaContatti() {
		return codaContatti;
	}
	
	public static CodaBuddy getCodaBuddy() {
		return codaBuddy;
	}

	public static CodaSincroniaContratti getCodaSincroniaContratti() {
		return codaSincroniaContratti;
	}

	public static CodaSincroniaContatti getCodaSincroniaContatti() {
		return codaSincroniaContatti;
	}

	public static CodaSincroniaAppuntamenti getCodaSincroniaAppuntamenti() {
		return codaSincroniaAppuntamenti;
	}

	public static CodaSincroniaNote getCodaSincroniaNote() {
		return codaSincroniaNote;
	}

	public static CodaSincroniaPrenotazioni getCodaSincroniaPrenotazioni() {
		return codaSincroniaPrenotazioni;
	}

	public static CodaAutodialer getCodaAutodialer() {
		return codaAutodialer;
	}

	public static CodaEsiti getCodaEsiti() {
		return codaEsiti;
	}
	
	public static CodaCampagne getCodaCampagne() {
		return codaCampagne;
	}
	
	public static CodaStatistiche getCodaStatistiche() {
		return codaStatistiche;
	}
	
	public static CodaLogin getCodaLogin() {
		return codaLogin;
	}

	public static CodaOperatori getCodaOperatori() {
		return codaOperatori;
	}
	public static CodaIP getCodaIP() {
		return codaIP;
	}
	public static CodaSpia getCodaSpia() {
		return codaSpia;
	}
	
	public static CodaInterni getCodaInterni() {
		return codaInterni;
	}
	
	public static CodaRisposta getCodaRisposta() {
		return codaRisposta;
	}
	
	public static CodaQueue getCodaQueue() {
		return codaQueue;
	}
	
	public static CodaTelefono getCodaTelefono() {
		return codaTelefono;
	}
	public static CodaProcessi getCodaProcessi() {
		return codaProcessi;
	}
	
	public static CodaAsterisk getCodaAsterisk() {
		return codaAsterisk;
	}
	public static void pulizia(boolean p) {
		codaOperatori.clear();
		codaLogin.clear();
		codaEsiti.clear();
		codaAutodialer.clear();
		codaContatti.clear();
		codaBuddy.clear();
		codaCampagne.clear();
		codaStatistiche.clear();
		if(p) {
			codaProcessi.clear();
		}
		//codaAsterisk.clear();

		codaSincroniaContratti.clear();
		codaSincroniaContatti.clear();
		codaSincroniaAppuntamenti.clear();
		codaSincroniaNote.clear();
		codaSincroniaPrenotazioni.clear();

		contattiAttiviEmail.clear();
		contattiAttiviRmail.clear();
		contattiAttiviTelecom.clear();
		codaSpia.clear();
		codaQueue.clear();
		codaTelefono.clear();
		codaRisposta.clear();
		codaInterni.clear();
	}

}
