package it.callite.chiamate;




import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import it.callite.utility.ApplicationUtil;


public class CodaAsterisk {

	private Map<String, Boolean> data;

	public CodaAsterisk() {
		data =  new HashMap<String, Boolean>();
	}

	public synchronized void clear() {
		data.clear();
	}

	public synchronized void remove(String modulo) {
		data.remove(modulo);
	}

	public synchronized void removeList(Set<String> moduli) {
		data.keySet().removeAll(moduli);
	}

	public synchronized Boolean get(String modulo) {
		return	data.get(modulo);
	}

	public synchronized void put(String modulo, Boolean ic) {
		data.put(modulo, ic);
	}

	public synchronized int getSize() {
		return data.size();
	}

	public synchronized Set<String>  keySet() {
		return data.keySet();
	}


	public synchronized boolean contains(String modulo){
		if (ApplicationUtil.notEmpty(data)) {
			return data.containsKey(modulo);
		}
		return false;
	}


	public synchronized List<Boolean> list(){
		return new ArrayList<Boolean>(data.values());
	}

	public synchronized Map<String, Boolean> getData() {
		return data;
	}

}