package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class AgenteColumn extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	public AgenteColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id, 					true);
		add(ConstantsColumn.data_creazione, 		false);
		add(ConstantsColumn.denominazione, 			true);
		add(ConstantsColumn.nome_completo, 			true);
		add(ConstantsColumn.ragione_sociale,	 	true);
		add(ConstantsColumn.cognome, 				false);
		add(ConstantsColumn.nome, 					false);
		add(ConstantsColumn.codice, 				true);
		add(ConstantsColumn.telefono_fisso,		 	false);
		add(ConstantsColumn.telefono_mobile,		false);
		add(ConstantsColumn.telefono_fax, 			false);
		add(ConstantsColumn.telefono_altro, 		false);
		add(ConstantsColumn.email, 					false);
		add(ConstantsColumn.codice_fiscale, 		false);
		add(ConstantsColumn.partita_iva, 			false);
		add(ConstantsColumn.luogo_nascita,			false);
		add(ConstantsColumn.date_nascita,			false);
		add(ConstantsColumn.link,					false);
		add(ConstantsColumn.pf,						false);
		add(ConstantsColumn.maschio, 				false);
		add(ConstantsColumn.agente_padre, 			false);
		add(ConstantsColumn.email_report,			false);
		add(ConstantsColumn.qualifica, 				false);
		add(ConstantsColumn.ufficio, 				false);
		add(ConstantsColumn.autonomo, 				true);
		add(ConstantsColumn.visualizzaStoria, 		false);
		add(ConstantsColumn.indirizzo_legale,		false);
		add(ConstantsColumn.indirizzo_operativo, 	false);
		addSeparatore("1");
		add(ConstantsColumn.utenti, 				false);
		add(ConstantsColumn.zone, 					false);
		add(ConstantsColumn.allegati, 				false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.nome_completo);
		ordinamento(ConstantsColumn.ragione_sociale);
		ordinamento(ConstantsColumn.cognome);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.codice);
		ordinamento(ConstantsColumn.telefono_fisso);
		ordinamento(ConstantsColumn.telefono_mobile);
		ordinamento(ConstantsColumn.telefono_fax);
		ordinamento(ConstantsColumn.telefono_altro);
		ordinamento(ConstantsColumn.email);
		ordinamento(ConstantsColumn.codice_fiscale);
		ordinamento(ConstantsColumn.partita_iva);
		ordinamento(ConstantsColumn.luogo_nascita);
		ordinamento(ConstantsColumn.date_nascita);
		ordinamento(ConstantsColumn.link);
		ordinamento(ConstantsColumn.pf);
		ordinamento(ConstantsColumn.maschio);
		ordinamento(ConstantsColumn.autonomo);
		ordinamento(ConstantsColumn.visualizzaStoria);
		return getAction();
	}

}
