package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class AgenteContattoColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public AgenteContattoColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id, 					true);
		add(ConstantsColumn.data_creazione, 		true);
		add(ConstantsColumn.bloccato,				true);
		add(ConstantsColumn.anagrafica, 			true);
		add(ConstantsColumn.campagna, 				true);
		add(ConstantsColumn.lista, 					true);
		add(ConstantsColumn.nota, 					false);
		add(ConstantsColumn.tipo, 					false);
		add(ConstantsColumn.utile, 					false);
		add(ConstantsColumn.positivo, 				false);
		add(ConstantsColumn.chiuso, 				false);
		add(ConstantsColumn.data_archiviazione, 	false);
		add(ConstantsColumn.data_presentazione, 	true);
		add(ConstantsColumn.data_lavorazione,   	false);
		add(ConstantsColumn.esito_chiamata, 		true);
		add(ConstantsColumn.esito_archiviazione, 	true);
		add(ConstantsColumn.telefono, 				false);
		add(ConstantsColumn.email, 					false);
		add(ConstantsColumn.link, 					false);
		add(ConstantsColumn.dati_base,				false);
		add(ConstantsColumn.dati_fiscali,			false);
		add(ConstantsColumn.agente, 				false);
		add(ConstantsColumn.proprietario, 			false);
		add(ConstantsColumn.indirizzo, 				false);
		addSeparatore("1");
		add(ConstantsColumn.allegati, 				false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.bloccato);
		ordinamento(ConstantsColumn.tipo);
		ordinamento(ConstantsColumn.chiuso);
		ordinamento(ConstantsColumn.data_archiviazione);
		ordinamento(ConstantsColumn.data_presentazione);
		ordinamento(ConstantsColumn.data_lavorazione);
		return getAction();
	}
	
}
