package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class AgenteContrattoColumn extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public AgenteContrattoColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione,		true);
		add(ConstantsColumn.bloccato,			true);
		add(ConstantsColumn.esito, 				true);
		add(ConstantsColumn.stato, 				false);
		add(ConstantsColumn.data_contabile,		false);
		add(ConstantsColumn.data_stipula, 		true);
		add(ConstantsColumn.data_attivazione, 	false);
		add(ConstantsColumn.data_caricamento, 	false);
		add(ConstantsColumn.data_esito, 		false);
		add(ConstantsColumn.data_stato, 		false);
		add(ConstantsColumn.data_lavorazione,   false);
		add(ConstantsColumn.agente, 			true);
		add(ConstantsColumn.operatore, 			false);
		add(ConstantsColumn.categoria, 			false);
		add(ConstantsColumn.prodotto, 			true);
		add(ConstantsColumn.seriale, 			true);
		add(ConstantsColumn.anagrafica, 		true);
		add(ConstantsColumn.telefono, 			false);
		add(ConstantsColumn.email,	 			false);
		add(ConstantsColumn.link, 				false);
		add(ConstantsColumn.dati_base,			false);
		add(ConstantsColumn.dati_fiscali,		false);
		add(ConstantsColumn.nota, 				false);
		add(ConstantsColumn.indirizzo,			false);
		add(ConstantsColumn.quantita, 			false);
		add(ConstantsColumn.importo, 			false);
		addSeparatore("1");
		add(ConstantsColumn.allegati, 			false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.bloccato);
		ordinamento(ConstantsColumn.stato);
		ordinamento(ConstantsColumn.data_contabile);
		ordinamento(ConstantsColumn.data_stipula);
		ordinamento(ConstantsColumn.data_attivazione);
		ordinamento(ConstantsColumn.data_caricamento);
		ordinamento(ConstantsColumn.data_esito);
		ordinamento(ConstantsColumn.data_stato);
		ordinamento(ConstantsColumn.data_lavorazione);
		return getAction();
	}
	
}
