package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class AutodialerColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	public AutodialerColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,						true);
		add(ConstantsColumn.data_creazione, 		false);
		add(ConstantsColumn.nome, 					true);
		add(ConstantsColumn.statoAttiva, 			true);
		add(ConstantsColumn.stato, 					true);
		add(ConstantsColumn.trunk, 					true);
		add(ConstantsColumn.durata_chiamata, 		false);
		add(ConstantsColumn.aggressivita, 			false);
		add(ConstantsColumn.context, 				false);
		add(ConstantsColumn.abbattimento, 			false);
		add(ConstantsColumn.inbound, 				false);
		add(ConstantsColumn.producer_profondita, 	false);
		add(ConstantsColumn.consumer_profondita, 	false);
		add(ConstantsColumn.producer_modalita, 		false);
		add(ConstantsColumn.consumer_modalita, 		false);
		add(ConstantsColumn.calcola_media, 			true);
		add(ConstantsColumn.calcola_attesa, 		true);
		add(ConstantsColumn.precedenza, 			false);
		add(ConstantsColumn.contatti, 				false);
		add(ConstantsColumn.telefono, 				false);
		add(ConstantsColumn.amd, 					true);
		add(ConstantsColumn.messaggio_sonoro, 		true);
		add(ConstantsColumn.schedulare, 			true);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.stato);
		ordinamento(ConstantsColumn.inverti);
		ordinamento(ConstantsColumn.data_inizio);
		ordinamento(ConstantsColumn.data_fine);
		ordinamento(ConstantsColumn.week_inizio);
		ordinamento(ConstantsColumn.week_fine);
		ordinamento(ConstantsColumn.ora_inizio);
		ordinamento(ConstantsColumn.ora_fine);
		return getAction();
	}
	
}
	
