package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class CampagnaColumn extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public CampagnaColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione, 	true);
		add(ConstantsColumn.nome, 				true);
		add(ConstantsColumn.codice, 			false);
		add(ConstantsColumn.descrizione, 		false);
		add(ConstantsColumn.statoAttiva, 		true);
		add(ConstantsColumn.stato, 				true);
		add(ConstantsColumn.estrazione_lista,	false);
		add(ConstantsColumn.logo, 				false);
		add(ConstantsColumn.tipo, 				true);
		add(ConstantsColumn.autodialer, 		true);
		add(ConstantsColumn.priorita, 			true);
		add(ConstantsColumn.callers,			false);
		add(ConstantsColumn.musicclass,			false);
		add(ConstantsColumn.inbound,			false);
		add(ConstantsColumn.telefono, 			false);
		add(ConstantsColumn.ordine,				false);
		addSeparatore("1");
		add(ConstantsColumn.contatti, 			false);
		add(ConstantsColumn.liste, 				false);
		add(ConstantsColumn.prodotti,			false);
		add(ConstantsColumn.team, 				false);
		add(ConstantsColumn.zone, 				false);
		add(ConstantsColumn.partner,			false);
		add(ConstantsColumn.risposte, 			false);
		add(ConstantsColumn.esiti, 				false);
		addSeparatore("2");
		add(ConstantsColumn.email,	 			false);
		add(ConstantsColumn.rmail,	 		false);
		add(ConstantsColumn.telecom,	 		false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.codice);
		ordinamento(ConstantsColumn.tipo);
		ordinamento(ConstantsColumn.stato);
		ordinamento(ConstantsColumn.priorita);
		ordinamento(ConstantsColumn.telefono);
		ordinamento(ConstantsColumn.inverti);
		ordinamento(ConstantsColumn.data_inizio);
		ordinamento(ConstantsColumn.data_fine);
		ordinamento(ConstantsColumn.week_inizio);
		ordinamento(ConstantsColumn.week_fine);
		ordinamento(ConstantsColumn.ora_inizio);
		ordinamento(ConstantsColumn.ora_fine);
		return getAction();
	}
	
}
