package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class ContattoPannelloColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public ContattoPannelloColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,						true);
		add(ConstantsColumn.data_creazione, 		false);
		add(ConstantsColumn.campagna, 				true);
		add(ConstantsColumn.lista, 					true);
		add(ConstantsColumn.anagrafica,				true);
		add(ConstantsColumn.telefono,				false);
		add(ConstantsColumn.email,					false);
		add(ConstantsColumn.link,					false);
		add(ConstantsColumn.logo, 					true);
		add(ConstantsColumn.data_presentazione, 	true);
		addSeparatore("1");
		add(ConstantsColumn.allegati, 				false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.data_presentazione);
		return getAction();
	}
	
}
