package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class MonitorColumn  extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public MonitorColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.campagna, 		true);
		add(ConstantsColumn.lista, 			false);
		add(ConstantsColumn.agente, 	 	false);
		add(ConstantsColumn.contatto, 		true);
		add(ConstantsColumn.stato, 			true);
		add(ConstantsColumn.interno, 		true);
		add(ConstantsColumn.logged,			true);
		add(ConstantsColumn.libero, 		true);
		add(ConstantsColumn.tipo, 		 	false);
		add(ConstantsColumn.ip, 		 	false);
		add(ConstantsColumn.data_azione, 	false);
		add(ConstantsColumn.tempo, 			true);
		
		
		return getAction();
	}
	
}
