package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class TeamColumn extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;

	public TeamColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id, 					true);
		add(ConstantsColumn.nome, 					true);
		add(ConstantsColumn.turno, 					true);
		addSeparatore("1");
		add(ConstantsColumn.supervisori, 			false);
		add(ConstantsColumn.operatori, 				false);
		add(ConstantsColumn.campagne, 				false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.turno);
		return getAction();
	}

}
