package it.callite.comparator;

import java.io.File;
import java.util.Comparator;

public class FileComparator implements Comparator<File> {

	public FileComparator() {
	}

	@Override
	public int compare(File o1, File o2) {
		String a1 = o1.getName();
		String a2 = o2.getName();
		if(a1 != null && a2 != null) {
			return a1.compareTo(a2);
		} else if(a1 != null && a2 == null) {
			return -1;
		} else if(a1 == null && a2 != null) {
			return 1;
		} else {
			return 0;
		}
	}
	
}
