package it.callite.constants;
import it.callite.message.Message;

public enum ConstantsFormat {
	year("year"),
	date("date"),
	time("time"),
	orarioT("orarioT"),
	orarioQ("orarioQ"),
	seconds("seconds"),
	dateTime("dateTime"),
	dateSeconds("dateSeconds"),
	dayDate("dayDate"),
	dayDateSeconds("dayDateSeconds"),
	calendarDate("calendarDate"),
	inputDate("inputDate"),
	timestamp("timestamp"),
	exportDateTime("exportDateTime"),
	invoiceDate("invoiceDate"),
	invokeDate("invokeDate"),
	path("path"),
	currency("currency"),
	number("number"),
	percentuale("percentuale"),
	currencyX("currencyX"),
	numberX("numberX"),
	percentualeX("percentualeX"),
	stringDate("stringDate"),
	stringNumber("stringNumber");

	private final String testo;

	private ConstantsFormat(String testo) {
		this.testo=testo;
	}

	public String stampa() {
		return Message.addCatalogFormat(testo);
	}

	@Override
	public String toString() {
		return stampa();
	}

}
