package it.callite.constants;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public enum ConstantsLanguage {
	ABILITATO("abilitato"),
	ACCONTI("acconti"),
	AGENTE("agente"),
	AGENTI("agenti"),
	ALLEGATO("allegato"),
	ALLEGATI("allegati"),
	ALTRO("altro"),
	ANAGRAFICA("anagrafica"),
	IMPORT_FILE("import_file"),
	ANAGRAFICHE("anagrafiche"),
	ANOMALIA("anomalia"),
	ANONIMO("anonimo"),
	APERTI("aperti"),
	APPNAME("appname"),
	TEST("test"),
	ANAGRAFICHE_IN_ALLEGATO("anagrafiche_in_allegato"),
	APPUNTAMENTI("appuntamenti"),
	APPUNTAMENTI_CONFERMATO("appuntamenti_confermato"), 
	APPUNTAMENTI_IN_ALLEGATO("appuntamenti_in_allegato"),
	APPUNTAMENTI_UTILE("appuntamenti_utile"), 
	APPUNTAMENTO("appuntamento"),
	ARCHIVIAZIONE("archiviazione"),
	PERSONALE("personale"),
	ARCHIVIAZIONI("archiviazioni"),
	ARCHIVIAZIONI_POSITIVO("archiviazioni_positivo"),
	ARCHIVIAZIONI_UTILE("archiviazioni_utile"),
	ASCENDENTE("ascendente"),
	ATTESE("attese"),
	ATTIVO("attivo"),
	AUDIO("audio"),
	AUTO_CONTATTI("auto_contatti"),
	AUTOMATICA("automatica"),
	AUTONOMO("autonomo"),
	BILLSEC("billsec"),
	BILLSECH("billsecH"),
	BLOCCATO("bloccato"),
	CALLDATE("calldate"),
	ANSWERDATE("answerdate"),
	ENDDATE("enddate"),
	CALLERS("callers"),
	CAMBIO_PASSWORD("cambioPassword"),
	CAMPAGNA("campagna"),
	CAMPAGNE("campagne"),
	CATEGORIA("categoria"),
	CATEGORIA_MERCEOLOGICA("settore"),
	CDR("cdr"),
	CEL("cel"),
	ASCOLTO_INTERVENTO("ascolto_intervento"),
	ASCOLTO_ATTIVO("ascolto_attivo"),
	ASCOLTO_SILENZIOSO("ascolto_silenzioso"),
	CHIUSI("chiusi"),
	CHIUSO("chiuso"),
	CODICE("codice"),
	CODICE_FISCALE("codice_fiscale"),
	CODICEA("codiceA"),
	COGNOME("cognome"),
	COLORE("colore"),
	COMEDIA("comedia"),
	CONTATTI("contatti"),
	CONTATTI_IN_ALLEGATO("contatti_in_allegato"),
	CONTATTO("contatto"),
	CONTEGGIO("conteggio"),
	CONTEST("contest"),
	CONTRATTI("contratti"),
	CONTRATTI_CONFERMATO("contratti_confermato"),
	CONTRATTI_IN_ALLEGATO("contratti_in_allegato"),
	CONTRATTI_UTILE("contratti_utile"),
	CONTRATTO("contratto"),
	CONVERSAZIONI("conversazioni"),
	COORDINATORE("coordinatore"),
	COPY("copy"),
	LINGUA("lingua"),
	DA_CHIAMARE("da_chiamare"),
	DAINVIARE("dainviare"),
	DATA("data"),
	DATA_ACCONTO("data_acconto"),
	DATA_AGGANCIO("data_aggancio"),
	DATA_APERTURA("data_apertura"),
	DATA_APPUNTAMENTO("data_appuntamento"),
	DATA_ARCHIVIAZIONE("data_archiviazione"), 
	DATA_ATTESA("data_attesa"), 
	DATA_ATTIVAZIONE("data_attivazione"), 
	DATA_CARICAMENTO("data_caricamento"), 
	DATA_AVVIO("data_avvio"),
	DATA_CHIAMATA("data_chiamata"),
	DATA_CONFERMA("data_conferma"),
	DATA_CREAZIONE("data_creazione"),
	DATA_ESITO("data_esito"),
	DATA_ESTRATTO("data_estratto"),
	DATA_GESTIONE("data_gestione"),
	DATA_INVIO("data_invio"),
	DATA_RICEZIONE("data_ricezione"),
	DATA_LAVORAZIONE("data_lavorazione"),
	DATA_MARCATURA("data_marcatura"),
	DATA_NASCITA("data_nascita"),
	DATA_NOTA("data_nota"),
	DATA_PAUSA("data_pausa"),
	DATA_PRESENTAZIONE("data_presentazione"),
	DATA_RIFIUTO("data_rifiuto"),
	DATA_RISPOSTA("data_risposta"),
	DATA_LINK("data_link"),
	DATA_STATO("data_stato"),
	DATA_STIPULA("data_stipula"),
	DATA_CONTABILE("data_contabile"),
	DATA_TERMINE("data_termine"),
	DATE_APERTURA("date_apertura"),
	DATE_CHIAMATA("date_chiamata"),
	DATE_ESITO("date_esito"),
	DATE_FINE("date_fine"),
	DATE_REC_FINE("date_rec_fine"),
	DATE_REC_INIZIO("date_rec_inizio"),
	DATE_ATTESA_FINE("date_attesa_fine"),
	DATE_ATTESA_INIZIO("date_attesa_inizio"),
	DATE_RISPOSTA("date_risposta"),
	DATI("dati"),
	DATI_AGGIUNTIVI("dati_aggiuntivi"),
	DEFAULT("default"),
	DENOMINAZIONE("denominazione"),
	DESCRIZIONE("descrizione"),
	DESTINATARIO("destinatario"),
	MITTENTE("mittente"),
	DESTINATARIO_VUOTO("destinatario_vuoto"),
	ERRORE_INVIO("errore_invio"),
	DETTAGLI("dettagli"),
	DIRETTO_AGENTE("diretto_agente"),
	DISABILITATO("disabilitato"),
	DISCENDENTE("discendente"),
	DISPONIBILI("disponibili"),
	DISPOSITION("disposition"),
	DOCUMENTO("documento"),
	DUPLICATA("duplicata"),
	DUPLICATO("duplicato"),
	OPPOSIZIONE("opposizione"),
	DURATA("durata"),
	DURATAH("durataH"),
	DURATION("duration"),
	DURATIONH("durationH"),
	EMAIL("email"),
	ESAURITO("esaurito"),
	ESCLUSE("escluse"),
	ESITO_APPUNTAMENTO("esito_appuntamento"),
	ESITO_ARCHIVIAZIONE("esito_archiviazione"),
	ESITO_CHIAMATA("esito_chiamata"),
	ESITO_CONTRATTO("esito_contratto"),
	ESTRATTI("estratti"),
	ESTRATTI_DETTAGLIO("estratti_dettaglio"),
	ESTRATTO("estratto"),
	EXCEL("excel"),
	EXPORT("export"),
	FATTURA("fattura"),
	FATTURA_NON_PRESENTE("fattura_non_presente"),
	FATTURE("fatture"),
	FEMMINAS("femminas"),
	FISSO("fisso"),
	GENERA_ESTRATTO("generaEstratto"),
	GENERALE("generale"),
	GETTONE("gettone"),
	GIORNALIERO("giornaliero"),
	ID("id"),
	VOTO("voto"),
	IMMAGINI("immagini"),
	IMPORT("import"),
	IMPORTO("importo"),
	INALTERATO("inalterato"),
	INATTIVO("inattivo"),
	INBOUND("inboundB"),
	INDIRIZZO("indirizzo"),
	INDIRIZZO_LEGALE("indirizzo_legale"),
	INDIRIZZO_OPERATIVO("indirizzo_operativo"),
	INSERITO("inserito"),
	INTERNO("interno"),
	INUTILE("inutile"),
	INVIATA("inviata"),
	INVIATO("inviato"),
	INVIO_ACCOUNT("invio_account"),
	LAVORATI("lavorati"),
	LAVORATI_CHIUSO("lavorati_chiuso"),
	LAVORATO("lavorato"),
	RMAIL("rmail"),
	LINK("link"),
	LISTA("lista"),
	LISTE("liste"),
	LOCALIZZAZIONE("localizzazione"),
	LOGHI("loghi"),
	LOGIN_EXCEPTION("login_exception"),
	LOGIN_FAILED("login_failed"),
	LOGIN_KO("login_ko"),
	LOGIN_OK("login_ok"),
	LOGIN_TIMEOUT("login_timeout"),
	LUOGO_NASCITA("luogo_nascita"),
	CONSENSO_TFISSO("consenso_tfisso"),
	CONSENSO_TMOBILE("consenso_tmobile"),
	CONSENSO_TFAX("consenso_tfax"),
	CONSENSO_TALTRO("consenso_taltro"),
	CONSENSO_EMAIL("consenso_email"),
	CONSENSO_RMAIL("consenso_rmail"),
	MARCATURA("marcatura"),
	MARCATURAC("marcaturaC"),
	MARCATURAS("marcaturaS"),
	MARCATURE("marcature"),
	MASCHIOS("maschios"),
	MEDIA_CONV_EFF("media_conv_eff"),
	MEDIA_CONV_EFFH("media_conv_effH"),
	MEDIA_TOT("media_tot"),
	MEDIA_TOTH("media_totH"),
	MENSILE("mensile"),
	MESSAGGIO("messaggio"),
	MOBILE("mobile"),
	MODIFICA("modifica"),
	MODULI("moduli"),
	MONETA("moneta"),
	MOTIVO("motivo"),
	NEGATIVO("negativo"),
	NO("no"),
	NO_APPUNTAMENTI("no_appuntamenti"),
	NO_APPUNTAMENTO("no_appuntamento"),
	NO_CONTATTI("no_contatti"),
	NO_CONTATTO("no_contatto"),
	NO_CONTRATTI("no_contratti"),
	NO_CONTRATTO("no_contratto"),
	NO_ANAGRAFICHE("no_anagrafiche"),
	NO_ANAGRAFICA("no_anagrafica"),
	NO_DOCUMENTI("no_documenti"),
	NO_DOCUMENTO("no_documento"),
	NO_FATTURA("no_fattura"),
	NO_REGISTRAZIONE("no_registrazione"),
	NO_REGISTRAZIONI("no_registrazioni"),
	NOME("nome"),
	NOME_COMPLETO("nome_completo"),
	NON_TROVATO("non_trovato"),
	TROVATO("trovato"),
	NON_UTILE("non_utile"),
	NONAUTONOMO("non_autonomo"),
	NOTA("nota"),
	NOTE("note"),
	NOTE_IN_ALLEGATO("note_in_allegato"),
	NOTIFICA("notifica"),
	NOTIFICA_LOGIN("notificaLogin"),
	NOTIZIA("notizia"),
	NUMERO_APPUNTAMENTI("numero_appuntamenti"),
	NUMERO_CHIAMATE("numero_chiamate"),
	NUMERO_CONTRATTI("numero_contratti"),
	NUOVI("nuovi"),
	NUOVO("nuovoN"),
	OBIETTIVO("obiettivo"),
	OCCUPATO("occupato"),
	OFFLINE("offline"),
	OGGETTO("oggetto"),
	OK("ok"),
	OPERATORE("operatore"),
	OPERATORI("operatori"),
	OPERAZIONE("operazione"),
	OPERAZIONI("operazioni"),
	OPPOSIZIONI("opposizioni"),
	ORA_FINE("ora_fine"),
	ORA_INIZIO("ora_inizio"),
	PARTITA_IVA("partita_iva"),
	PARTITAA("partitaA"),
	PAUSE("pause"),
	PDA("pda"), 
	PDF("pdf"), 
	PERCENTUALE("percentuale"), 
	PERSONA_FISICA("persona_fisica"), 
	PERSONA_GIURIDICA("persona_giuridica"), 
	POSITIVO("positivo"),
	PRENOTAZIONE("prenotazione"), 
	PRENOTAZIONI("prenotazioni"), 
	PRENOTAZIONI_IN_ALLEGATO("prenotazioni_in_allegato"), 
	PRIMA_AGENTE("prima_agente"), 
	PRIMA_OAGENTE("prima_oagente"), 
	PRODOTTO("prodotto"), 
	PROPRIETARIO("proprietario"), 
	PROSSIMI("prossimi"),  
	QUALIFICA("qualifica"), 
	QUANTITA("quantita"),  
	QUERY("query"), 
	RAGIONE_SOCIALE("ragione_sociale"), 
	RANDOM("random"),
	REGISTRAZIONI("registrazioni"), 
	REPORT("report"), 
	REPORT_IN_ALLEGATO("report_in_allegato"), 
	REPORT_LISTE("report_liste"), 
	REPORT_OPERATORE("report_operatore"),
	REPORT_TEAM("report_team"), 
	REPORT_ZONA("report_zona"), 
	RESET("reset"), 
	RESPINTO("respinto"), 
	RETE_AGENTE("rete_agente"), 
	RETE_OAGENTE("rete_oagente"), 
	RICARICATO("ricaricato"), 
	RICHIAMARE0("richiamare_0"),
	RICHIAMARE1("richiamare_1"), 
	RICHIAMI("richiami"), 
	RICHIAMO_PRIVATO("richiamo_privato"), 
	RICHIAMO_PUBBLICO("richiamo_pubblico"), 
	RIEPILOGO("riepilogo"), 
	RIEPILOGO_APPUNTAMENTO("riepilogo_appuntamenti"), 
	RIEPILOGO_CONTRATTO("riepilogo_contratti"), 
	RIEPILOGO_LISTE("riepilogo_liste"), 
	RIEPILOGO_OPERATORE("riepilogo_operatore"),
	RIPETIZIONI("ripetizioni"), 
	SECONDI_AVVIO("secondi_avvio"), 
	SECONDI_AVVIOH("secondi_avvioH"), 
	SECONDI_CHIAMATA("secondi_chiamata"), 
	SECONDI_CHIAMATAH("secondi_chiamataH"), 
	SECONDI_CONV_EFF("secondi_conv_eff"), 
	SECONDI_CONV_EFFH("secondi_conv_effH"), 
	SECONDI_CONVERSAZIONE("secondi_conversazione"),
	SECONDI_CONVERSAZIONEH("secondi_conversazioneH"),
	SECONDI_POST("secondi_post"), 
	SECONDI_POSTH("secondi_postH"), 
	SECONDI_PRE("secondi_pre"), 
	SECONDI_PREH("secondi_preH"), 
	SECONDI_REC("secondi_rec"), 
	SECONDI_RECH("secondi_recH"), 
	SECONDI_TOT("secondi_tot"), 
	SECONDI_TOTALE("secondi_totale"), 
	SECONDI_TOTALEH("secondi_totaleH"),
	SECONDI_TOTH("secondi_totH"), 
	SEGNALAZIONE("segnalazione"), 
	SELEZIONATO("selezionato"), 
	SEPARATORE("separatore"),
	SERIALE("seriale"), 
	SESSO("sesso"), 
	SETTIMANALE("settimanale"), 
	ANNUALE("annuale"), 
	SEZIONE_ARCHIVIATE("sezione_archiviate"),
	SEZIONE_PERSONALI("sezione_personali"), 
	SEZIONE_PRIVATE("sezione_private"), 
	SEZIONE_PUBBLICHE("sezione_pubbliche"), 
	SI("si"), 
	SINCRONIZZATI("sincronizzati"), 
	SOMMA("somma"), 
	SONDAGGIO("sondaggio"), 
	SOTTO_AGENTE("sotto_agente"), 
	SOTTO_OAGENTE("sotto_oagente"),
	SQUILLANDO("squillando"),
	STAMPA("stampa"), 
	STATO("stato"), 
	STATO_IN_ATTESA("stato_in_attesa"), 
	STATO_IN_PAGAMENTO("stato_in_pagamento"), 
	STATO_IN_STORNO("stato_in_storno"), 
	STATO_PAGATO("stato_pagato"), 
	STATO_STORNATO("stato_stornato"), 
	STORAGE("storage"), 
	MEMORIA("memoria"), 
	CPU("cpu"), 
	STORIA("storia"), 
	SUPERVISORE("supervisore"), 
	TELEFONO("telefono"), 
	TELEFONO_ALTRO("telefono_altro"),
	TELEFONO_FAX("telefono_fax"),
	TELEFONO_FISSO("telefono_fisso"), 
	TELEFONO_MOBILE("telefono_mobile"), 
	TELECOM("telecom"), 
	TEMPO("tempo"), 
	COLONNA("colonna"), 
	TEMPO_CONV_EFF("tempo_conv_eff"), 
	TEMPO_CONV_EFFH("tempo_conv_effH"), 
	TEMPO_TOT("tempo_tot"), 
	TEMPO_TOTH("tempo_totH"), 
	TENTATIVI("tentativi"), 
	TESTO_ANNULLATA("testo_annullata"), 
	TESTO_IN_INVIO("testo_in_invio"), 
	TESTO_INVIATA("testo_inviata"), 
	TESTO_NON_INVIATA("testo_non_inviata"),
	TESTO_PAUSE("testo_pause"), 
	TESTO_SCHEDULATA("testo_schedulata"),
	TESTO_APERTO("testo_aperto"), 
	TIPO("tipo"), 
	TIPO_BUSINESS("tipo_business"), 
	TIPO_MISTO("tipo_misto"), 
	TIPO_RESIDENZIALE("tipo_residenziale"), 
	TIPO_SERIALE("tipo_seriale"), 
	TIPOLOGIA_TELEFONO("tipologia_telefono"), 
	TOTALE("totale"), 
	TRATTINI("trattini"), 
	TUTTI("tutti"), 
	TUTTO("tutto"),
	NORMALE("normale"),
	TONO("tono"),
	ALL("all"),
	NONE("none"),
	UFFICIO("ufficio"), 
	USERNAME("username"), 
	ACCOUNT("account"), 
	UTENTE("utente"), 
	UTENTI("utenti"), 
	UTILE("utile"), 
	VALIDA("valida"), 
	VALORE("valore"), 
	VELOCITA("velocita"), 
	RICHIESTO("richiesto"), 
	NON_CONSENTITO("non_consentito"),
	NON_VALIDO("non_valido"), 
	RICERCA("ricerca"), 
	CONSENSO_NEGATO("consenso_negato"),
	MESSAGGIO1("messaggio1"),
	MESSAGGIO2("messaggio2"), 
	FRONTESPIZIO("frontespizio"), 
	BUSTA("busta"), 
	BODY("body"), 
	ZIPTEXT("ziptext"), 
	ZIPFILE("zipfile"), 
	IP("ip"), 
	ACCONTO("ACCONTO"),
	SECONDI_CONV_TOT("secondi_conv_tot"), 
	SECONDI_CONV_TOTH("secondi_conv_totH"), 
	TEMPO_CONV_TOT("tempo_conv_tot"),
	TEMPO_CONV_TOTH("tempo_conv_totH"),
	MEDIA_CONV_TOT("media_conv_tot"),
	MEDIA_CONV_TOTH("media_conv_totH"),
	TEMPO_POST("tempo_post"),
	TEMPO_POSTH("tempo_postH"),
	MEDIA_POST("media_post"),
	MEDIA_POSTH("media_postH"),
	TEMPO_PRE("tempo_pre"),
	TEMPO_PREH("tempo_preH"),
	MEDIA_PRE("media_pre"),
	MEDIA_PREH("media_preH"),
	TEMPO_REC("tempo_rec"),
	TEMPO_RECH("tempo_recH"),
	MEDIA_REC("media_rec"),
	MEDIA_RECH("media_recH"),
	SECONDI_ATTESA("secondi_attesa"), 
	SECONDI_ATTESAH("secondi_attesaH"), 
	TEMPO_ATTESA("tempo_attesa"),
	TEMPO_ATTESAH("tempo_attesaH"),
	MEDIA_ATTESA("media_attesa"),
	MEDIA_ATTESAH("media_attesaH"), 
	SECONDIH("secondiH"), 
	RICHIESTA_CONTATTO("richiesta_contatto"), 
	CANCELLETTO("cancelletto"), 
	VERO("vero"), 
	FALSO("falso"), 
	RESIDENTIAL("residential"), 
	NOTIFICA0("notifica0"),
	NOTIFICA1("notifica1"),
	BUSINESS("business"), 
	AUTODIALER("autodialer"), 
	CHIAMATE("chiamate"), 
	AMI("ami.server"), 
	AGI("agi.server"), 
	SISTEMA("sistema"), 
	SERVIZI("servizi"), 
	TIMEALIVE("timealive"), 
	ACCOUNT_BLOCCATO("account_bloccato"), 
	ACCOUNT_FILTRATO("account_filtrato"), 
	ATTENDERE("attendere"), 
	INESISTENTE("inesistente"), 
	MINUTI("minuti"), 
	SECONDI("secondi"),
	SCADENZA("scadenza"), 
	REVISIONE("revisione"), 
	CHIAVE("chiave"), 
	INVIO_OTP("invio_otp"), 
	OTP("otp"), 
	RECUPERO("recupero"), 
	RECUPERA_OTP("recupera_otp"), 
	VALIDITA("validita"), 
	RISPOSTA("risposta"), 
	DOWNLOAD("download"), 
	ACCESSI("accessi"), 
	BROWSER("browserM"), 
	CENTRALINO("centralino"),
	FILE("file"),
	DISCONNESSO("disconnesso"),
	MUSICHE("musiche"), 
	CAPTURE("capture"), 
	IMPORTARE("importare"),
	AGGIUNGERE("aggiungere"),
	RIMUOVERE("rimuovere"),
	INSERIRE("inserire"),
	MENU("menu"), 
	ELEMENTI("elementi"), 
	BLOCCO_CHIAMATE("blocco_chiamate"), 
	REPORT_DATA("report_data"),
	REPORT_INVIO("report_invio"),
	TEMPLATES("templates"), 
	CAUSE("cause"), 
	RINGING("ringing"), 
	ERRORE("errore"),
	VUOTO("vuoto"),
	CALLER1("caller1"),
	CALLEE1("callee1"),
	CALLER2("caller2"),
	CALLEE2("callee2"), 
	INVOICE("invoice"), 
	IMPORT_IN_ALLEGATO("import_in_allegato"),
	FIRMA_NAME("firma_name"), 
	FIRMA_MENTION("firma_mention"), 
	FIRMA_OGGETTO("firma_oggetto"), 
	TIMEOUT("timeout"), 
	NOGROUP("nogroup"), 
	UPLOAD("upload"),
	PREMUTO("premuto"),
	BASE("base"), 
	TEMPLATE("template"),
	PARAMETERS("parameters"),
	RESPONSE("response"),
	WEBHOOK("webhook"),
	RICEZIONE("ricezione"),
	GRUPPO("gruppo"),
	CHAT("chat"),
	SMS("sms"), 
	TELEGRAMMA("telegramma"), 
	LETTERA("lettera"), 
	FAX("fax"), 
	ONLINE1("online1"),
	ONLINE2("online2"); 

	private final String testo;

	private ConstantsLanguage(String testo) {
		this.testo=testo;
	}

	public String stampa() {
		return Message.addCatalogText(testo);
	}
	public String upper() {
		return ApplicationUtil.upperCase(stampa());
	}
	public String lower() {
		return ApplicationUtil.lowerCase(stampa());
	}
	@Override
	public String toString() {
		return stampa();
	}

}
