package it.callite.constants;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

import javax.faces.model.SelectItem;

import it.callite.utility.ApplicationUtil;
import it.callite.utility.Colore;
public class ConstantsMap {

	public static final String geocodifica					= "geocodifica";
	public static final String indirizzo					= "indirizzo";
	public static final String indirizzo_legale				= "indirizzo_legale";
	public static final String indirizzo_operativo 			= "indirizzo_operativo";
	
	public static final String anagrafica 				= "anagrafica";
	public static final String consenso	 				= "consenso";
	public static final String contatto					= "contatto";
	public static final String contratto				= "contratto";
	public static final String appuntamento 			= "appuntamento";
	public static final String storia_contatto			= "storia_contatto";
	public static final String storia_contratto			= "storia_contratto";
	public static final String storia_appuntamento 		= "storia_appuntamento";
	public static final String dati_anagrafica 			= "dati_anagrafica";
	public static final String dati_contratto 			= "dati_contratto";
	public static final String scheda_sondaggio			= "scheda_sondaggio";
	public static final String scheda_prodotto			= "scheda_prodotto";
	public static final String scheda_anagrafica		= "scheda_anagrafica";
	public static final String scheda_contatto			= "scheda_contatto";
	public static final String scheda_appuntamento		= "scheda_appuntamento";
	public static final String scheda_contratto			= "scheda_contratto";
	public static final String file_pda 				= "file_pda";
	public static final String file_registrazione 		= "file_registrazione";

	public static final String c_telefono_fisso			= "telefono_fisso";
	public static final String c_telefono_mobile		= "telefono_mobile";
	public static final String c_telefono_fax			= "telefono_fax";
	public static final String c_telefono_altro			= "telefono_altro";
	public static final String c_email					= "email";
	public static final String c_rmail					= "rmail";

	public static final String fattura_data 							= "data";
	public static final String fattura_progressivo 						= "progressivo";
	public static final String fattura_descrizione 						= "descrizione";
	public static final String fattura_nota 							= "nota";
	public static final String fattura_quantita 						= "quantita";
	public static final String fattura_denominazione 					= "denominazione";
	public static final String fattura_importo 							= "importo";

	public static final String opposizione_segnalazione 				= "opposizione_segnalazione";
	public static final String opposizione_descrizione 					= "opposizione_descrizione";

	public static final String anagrafica_id 							= "anagrafica_id";
	public static final String anagrafica_data_inserimento 				= "anagrafica_data_inserimento";
	public static final String anagrafica_privacy 						= "anagrafica_privacy";
	public static final String anagrafica_denominazione 				= "anagrafica_denominazione";
	public static final String anagrafica_cognome 						= "anagrafica_cognome";
	public static final String anagrafica_nome 							= "anagrafica_nome";
	public static final String anagrafica_nome_completo 				= "anagrafica_nome_completo";
	public static final String anagrafica_ragione_sociale 				= "anagrafica_ragione_sociale";
	public static final String anagrafica_telefono_fisso 				= "anagrafica_telefono_fisso";
	public static final String anagrafica_telefono_fax 					= "anagrafica_telefono_fax";
	public static final String anagrafica_telefono_mobile 				= "anagrafica_telefono_mobile";
	public static final String anagrafica_telefono_altro 				= "anagrafica_telefono_altro";
	public static final String anagrafica_email 						= "anagrafica_email";
	public static final String anagrafica_codice_fiscale 				= "anagrafica_codice_fiscale";
	public static final String anagrafica_partita_iva 					= "anagrafica_partita_iva";
	public static final String anagrafica_link 							= "anagrafica_link";
	public static final String anagrafica_nota 							= "anagrafica_nota";
	public static final String anagrafica_luogo_nascita 				= "anagrafica_luogo_nascita";
	public static final String anagrafica_data_nascita 					= "anagrafica_data_nascita";
	public static final String anagrafica_settore 						= "anagrafica_settore";
	public static final String anagrafica_tipo 							= "anagrafica_tipo";
	public static final String anagrafica_sesso 						= "anagrafica_sesso";
	public static final String anagrafica_sorgente			 			= "anagrafica_sorgente";
	public static final String indirizzo_legale_latitudine 				= "indirizzo_legale_latitudine";
	public static final String indirizzo_legale_longitudine 			= "indirizzo_legale_longitudine";
	public static final String indirizzo_legale_dettagli 				= "indirizzo_legale_dettagli";
	public static final String indirizzo_legale_provincia 				= "indirizzo_legale_provincia";
	public static final String indirizzo_legale_comune 					= "indirizzo_legale_comune";
	public static final String indirizzo_legale_regione 				= "indirizzo_legale_regione";
	public static final String indirizzo_legale_cap 					= "indirizzo_legale_cap";
	public static final String indirizzo_legale_strada 					= "indirizzo_legale_strada";
	public static final String indirizzo_legale_presso 					= "indirizzo_legale_presso";
	public static final String indirizzo_legale_civico 					= "indirizzo_legale_civico";
	public static final String indirizzo_legale_indirizzo_completo 		= "indirizzo_legale_indirizzo_completo";
	public static final String indirizzo_legale_strada_completo 		= "indirizzo_legale_strada_completo";
	public static final String indirizzo_legale_comune_completo 		= "indirizzo_legale_comune_completo";
	public static final String indirizzo_operativo_latitudine 			= "indirizzo_operativo_latitudine";
	public static final String indirizzo_operativo_longitudine 			= "indirizzo_operativo_longitudine";
	public static final String indirizzo_operativo_dettagli 			= "indirizzo_operativo_dettagli";
	public static final String indirizzo_operativo_provincia 			= "indirizzo_operativo_provincia";
	public static final String indirizzo_operativo_comune 				= "indirizzo_operativo_comune";
	public static final String indirizzo_operativo_regione 				= "indirizzo_operativo_regione";
	public static final String indirizzo_operativo_cap 					= "indirizzo_operativo_cap";
	public static final String indirizzo_operativo_strada 				= "indirizzo_operativo_strada";
	public static final String indirizzo_operativo_presso 				= "indirizzo_operativo_presso";
	public static final String indirizzo_operativo_civico 				= "indirizzo_operativo_civico";
	public static final String indirizzo_operativo_indirizzo_completo 	= "indirizzo_operativo_indirizzo_completo";
	public static final String indirizzo_operativo_strada_completo 		= "indirizzo_operativo_strada_completo";
	public static final String indirizzo_operativo_comune_completo 		= "indirizzo_operativo_comune_completo";
	public static final String indirizzo_destinatario 					= "indirizzo_destinatario";
	public static final String indirizzo_latitudine 					= "indirizzo_latitudine";
	public static final String indirizzo_longitudine 					= "indirizzo_longitudine";
	public static final String indirizzo_dettagli 						= "indirizzo_dettagli";
	public static final String indirizzo_provincia						= "indirizzo_provincia";
	public static final String indirizzo_comune 						= "indirizzo_comune";
	public static final String indirizzo_regione 						= "indirizzo_regione";
	public static final String indirizzo_cap 							= "indirizzo_cap";
	public static final String indirizzo_strada 						= "indirizzo_strada";
	public static final String indirizzo_presso 						= "indirizzo_presso";
	public static final String indirizzo_civico 						= "indirizzo_civico";
	public static final String indirizzo_indirizzo_completo 			= "indirizzo_indirizzo_completo";
	public static final String indirizzo_strada_completo 				= "indirizzo_strada_completo";
	public static final String indirizzo_comune_completo 				= "indirizzo_comune_completo";
	public static final String consenso_tfissoS							= "consenso_tfissoS";
	public static final String consenso_tmobileS						= "consenso_tmobileS";
	public static final String consenso_tfaxS							= "consenso_tfaxS";
	public static final String consenso_taltroS							= "consenso_taltroS";
	public static final String consenso_emailS							= "consenso_emailS";
	public static final String consenso_rmailS							= "consenso_rmailS";
	public static final String contatto_id 								= "contatto_id";
	public static final String contatto_campagna_denominazione 			= "contatto_campagna_denominazione";
	public static final String contatto_lista_denominazione 			= "contatto_lista_denominazione";
	public static final String contatto_bloccato 						= "contatto_bloccato";
	public static final String contatto_campagna_codice 				= "contatto_campagna_codice";
	public static final String contatto_lista_codice 					= "contatto_lista_codice";
	public static final String contatto_data_creazione 					= "contatto_data_creazione";
	public static final String contatto_data_lavorazione 	 			= "contatto_data_lavorazione";
	public static final String contatto_data_archiviazione 	 			= "contatto_data_archiviazione";
	public static final String contatto_data_presentazione 	 			= "contatto_data_presentazione";
	public static final String contatto_esito_chiamata 	 	 			= "contatto_esito_chiamata";
	public static final String contatto_esito_archiviazione 			= "contatto_esito_archiviazione";
	public static final String contatto_esito_generale 		 			= "contatto_esito_generale";
	public static final String contatto_codice_chiamata 	 			= "contatto_codice_chiamata";
	public static final String contatto_codice_archiviazione 			= "contatto_codice_archiviazione";
	public static final String contatto_codice_generale 	 			= "contatto_codice_generale";
	public static final String contatto_proprietario_denominazione		= "contatto_proprietario_denominazione";
	public static final String contatto_proprietario_codice				= "contatto_proprietario_codice";
	public static final String contatto_operatore_denominazione 		= "contatto_operatore_denominazione";
	public static final String contatto_operatore_codice		 		= "contatto_operatore_codice";
	public static final String contatto_agente_denominazione 			= "contatto_agente_denominazione";
	public static final String contatto_agente_codice		 			= "contatto_agente_codice";
	public static final String contatto_nota			 	 			= "contatto_nota";
	public static final String contatto_telefono_predefinito 			= "contatto_telefono_predefinito";
	public static final String contatto_stato 				 			= "contatto_stato";
	public static final String contatto_positivo 			 			= "contatto_positivo";
	public static final String contatto_utile 				 			= "contatto_utile";
	public static final String contatto_chiuso 				 			= "contatto_chiuso";
	public static final String appuntamento_id 							= "appuntamento_id";
	public static final String appuntamento_bloccato 					= "appuntamento_bloccato";
	public static final String appuntamento_data_creazione 				= "appuntamento_data_creazione";
	public static final String appuntamento_data_lavorazione 			= "appuntamento_data_lavorazione";
	public static final String appuntamento_data_esito 					= "appuntamento_data_esito";
	public static final String appuntamento_data_stato 					= "appuntamento_data_stato";
	public static final String appuntamento_data_conferma 				= "appuntamento_data_conferma";
	public static final String appuntamento_data_appuntamento 			= "appuntamento_data_appuntamento";
	public static final String appuntamento_data_ora 					= "appuntamento_data_ora";
	public static final String appuntamento_ora_inizio 					= "appuntamento_ora_inizio";
	public static final String appuntamento_ora_fine 					= "appuntamento_ora_fine";
	public static final String appuntamento_nota 						= "appuntamento_nota";
	public static final String appuntamento_operatore_denominazione 	= "appuntamento_operatore_denominazione";
	public static final String appuntamento_operatore_codice		 	= "appuntamento_operatore_codice";
	public static final String appuntamento_agente_denominazione 		= "appuntamento_agente_denominazione";
	public static final String appuntamento_agente_codice 				= "appuntamento_agente_codice";
	public static final String appuntamento_utente_denominazione		= "appuntamento_utente_denominazione";
	public static final String appuntamento_utente_codice				= "appuntamento_utente_codice";
	public static final String appuntamento_esito_appuntamento			= "appuntamento_esito_appuntamento";
	public static final String appuntamento_codice_appuntamento 		= "appuntamento_codice_appuntamento";
	public static final String appuntamento_stato 						= "appuntamento_stato";
	public static final String appuntamento_localizzazione 				= "appuntamento_localizzazione";
	public static final String contratto_id 							= "contratto_id";
	public static final String contratto_bloccato						= "contratto_bloccato";
	public static final String contratto_data_creazione					= "contratto_data_creazione";
	public static final String contratto_data_lavorazione				= "contratto_data_lavorazione";
	public static final String contratto_data_esito 					= "contratto_data_esito";
	public static final String contratto_data_stato 					= "contratto_data_stato";
	public static final String contratto_data_contabile					= "contratto_data_contabile";
	public static final String contratto_data_stipula 					= "contratto_data_stipula";
	public static final String contratto_data_attivazione				= "contratto_data_attivazione";
	public static final String contratto_data_caricamento				= "contratto_data_caricamento";
	public static final String contratto_categoria_denominazione 		= "contratto_categoria_denominazione";
	public static final String contratto_prodotto_denominazione 		= "contratto_prodotto_denominazione";
	public static final String contratto_esito_contratto 				= "contratto_esito_contratto";
	public static final String contratto_codice_contratto 				= "contratto_codice_contratto";
	public static final String contratto_operatore_denominazione		= "contratto_operatore_denominazione";
	public static final String contratto_operatore_codice				= "contratto_operatore_codice";
	public static final String contratto_agente_denominazione 			= "contratto_agente_denominazione";
	public static final String contratto_agente_codice		 			= "contratto_agente_codice";
	public static final String contratto_utente_denominazione			= "contratto_utente_denominazione";
	public static final String contratto_utente_codice					= "contratto_utente_codice";
	public static final String contratto_nota 							= "contratto_nota";
	public static final String contratto_seriale 						= "contratto_seriale";
	public static final String contratto_tipo_seriale 					= "contratto_tipo_seriale";
	public static final String contratto_quantita 						= "contratto_quantita";
	public static final String contratto_costo_scontato 				= "contratto_costo_scontato";
	public static final String contratto_stato 							= "contratto_stato";
	public static final String storia_contatto_id 								= "storia_contatto_id";
	public static final String storia_contatto_data 							= "storia_contatto_data";
	public static final String storia_contatto_data_archiviazione 	 			= "storia_contatto_data_archiviazione";
	public static final String storia_contatto_campagna_denominazione 	 		= "storia_contatto_campagna_denominazione";
	public static final String storia_contatto_lista_denominazione 	 			= "storia_contatto_lista_denominazione";
	public static final String storia_contatto_campagna_codice 	 				= "storia_contatto_campagna_codice";
	public static final String storia_contatto_bloccato		 	 				= "storia_contatto_bloccato";
	public static final String storia_contatto_lista_codice 	 				= "storia_contatto_lista_codice";
	public static final String storia_contatto_data_presentazione 	 			= "storia_contatto_data_presentazione";
	public static final String storia_contatto_esito_chiamata 	 	 			= "storia_contatto_esito_chiamata";
	public static final String storia_contatto_esito_archiviazione 				= "storia_contatto_esito_archiviazione";
	public static final String storia_contatto_esito_generale 		 			= "storia_contatto_esito_generale";
	public static final String storia_contatto_codice_chiamata 	 				= "storia_contatto_codice_chiamata";
	public static final String storia_contatto_codice_archiviazione 			= "storia_contatto_codice_archiviazione";
	public static final String storia_contatto_codice_generale 	 				= "storia_contatto_codice_generale";
	public static final String storia_contatto_proprietario_denominazione		= "storia_contatto_proprietario_denominazione";
	public static final String storia_contatto_proprietario_codice				= "storia_contatto_proprietario_codice";
	public static final String storia_contatto_operatore_denominazione 			= "storia_contatto_operatore_denominazione";
	public static final String storia_contatto_operatore_codice		 			= "storia_contatto_operatore_codice";
	public static final String storia_contatto_agente_denominazione 			= "storia_contatto_agente_denominazione";
	public static final String storia_contatto_agente_codice		 			= "storia_contatto_agente_codice";
	public static final String storia_contatto_nota			 	 				= "storia_contatto_nota";
	public static final String storia_contatto_stato 				 			= "storia_contatto_stato";
	public static final String storia_contatto_positivo 			 			= "storia_contatto_positivo";
	public static final String storia_contatto_utile 				 			= "storia_contatto_utile";
	public static final String storia_contatto_chiuso 				 			= "storia_contatto_chiuso";
	public static final String storia_contatto_secondi_tot 				 		= "storia_contatto_secondi_tot";
	public static final String storia_contatto_secondi_conv_eff 				= "storia_contatto_secondi_conv_eff";
	public static final String storia_contatto_secondi_conv_tot 				= "storia_contatto_secondi_conv_tot";
	public static final String storia_contatto_secondi_post 				 	= "storia_contatto_secondi_post";
	public static final String storia_contatto_secondi_pre 				 		= "storia_contatto_secondi_pre";
	public static final String storia_contatto_secondi_rec 				 		= "storia_contatto_secondi_rec";
	public static final String storia_contatto_secondi_attesa			 		= "storia_contatto_secondi_attesa";
	public static final String storia_contatto_secondi_totH				 		= "storia_contatto_secondi_totH";
	public static final String storia_contatto_secondi_conv_effH				= "storia_contatto_secondi_conv_effH";
	public static final String storia_contatto_secondi_conv_totH 			 	= "storia_contatto_secondi_conv_totH";
	public static final String storia_contatto_secondi_postH				 	= "storia_contatto_secondi_postH";
	public static final String storia_contatto_secondi_preH 				 	= "storia_contatto_secondi_preH";
	public static final String storia_contatto_secondi_recH 				 	= "storia_contatto_secondi_recH";
	public static final String storia_contatto_secondi_attesaH 				 	= "storia_contatto_secondi_attesaH";
	public static final String storia_contatto_date_apertura 				 	= "storia_contatto_date_apertura";
	public static final String storia_contatto_date_chiamata 				 	= "storia_contatto_date_chiamata";
	public static final String storia_contatto_date_risposta 				 	= "storia_contatto_date_risposta";
	public static final String storia_contatto_date_rec_inizio 				 	= "storia_contatto_date_rec_inizio";
	public static final String storia_contatto_date_rec_fine 				 	= "storia_contatto_date_rec_fine";
	public static final String storia_contatto_date_fine 				 		= "storia_contatto_date_fine";
	public static final String storia_contatto_date_esito 				 		= "storia_contatto_date_esito";
	public static final String storia_contatto_date_attesa_inizio 				= "storia_contatto_date_attesa_inizio";
	public static final String storia_contatto_date_attesa_fine 				= "storia_contatto_date_attesa_fine";
	public static final String storia_appuntamento_id 							= "storia_appuntamento_id";
	public static final String storia_appuntamento_data 						= "storia_appuntamento_data";
	public static final String storia_appuntamento_bloccato				 		= "storia_appuntamento_bloccato";
	public static final String storia_appuntamento_data_esito 					= "storia_appuntamento_data_esito";
	public static final String storia_appuntamento_data_stato 					= "storia_appuntamento_data_stato";
	public static final String storia_appuntamento_data_conferma 				= "storia_appuntamento_data_conferma";
	public static final String storia_appuntamento_data_inizio 					= "storia_appuntamento_data_inizio";
	public static final String storia_appuntamento_data_fine 					= "storia_appuntamento_data_fine";
	public static final String storia_appuntamento_nota 						= "storia_appuntamento_nota";
	public static final String storia_appuntamento_operatore_denominazione 		= "storia_appuntamento_operatore_denominazione";
	public static final String storia_appuntamento_operatore_codice		 		= "storia_appuntamento_operatore_codice";
	public static final String storia_appuntamento_agente_denominazione 		= "storia_appuntamento_agente_denominazione";
	public static final String storia_appuntamento_agente_codice 				= "storia_appuntamento_agente_codice";
	public static final String storia_appuntamento_utente_denominazione			= "storia_appuntamento_utente_denominazione";
	public static final String storia_appuntamento_utente_codice				= "storia_appuntamento_utente_codice";
	public static final String storia_appuntamento_esito_appuntamento			= "storia_appuntamento_esito_appuntamento";
	public static final String storia_appuntamento_codice_appuntamento 			= "storia_appuntamento_codice_appuntamento";
	public static final String storia_appuntamento_stato 						= "storia_appuntamento_stato";
	public static final String storia_appuntamento_localizzazione 				= "storia_appuntamento_localizzazione";
	public static final String storia_contratto_id 								= "storia_contratto_id";
	public static final String storia_contratto_data							= "storia_contratto_data";
	public static final String storia_contratto_bloccato						= "storia_contratto_bloccato";
	public static final String storia_contratto_data_esito 						= "storia_contratto_data_esito";
	public static final String storia_contratto_data_stato 						= "storia_contratto_data_stato";
	public static final String storia_contratto_data_contabile 					= "storia_contratto_data_contabile";
	public static final String storia_contratto_data_stipula 					= "storia_contratto_data_stipula";
	public static final String storia_contratto_data_attivazione				= "storia_contratto_data_attivazione";
	public static final String storia_contratto_data_caricamento				= "storia_contratto_data_caricamento";
	public static final String storia_contratto_categoria_denominazione 		= "storia_contratto_categoria_denominazione";
	public static final String storia_contratto_prodotto_denominazione 			= "storia_contratto_prodotto_denominazione";
	public static final String storia_contratto_esito_contratto 				= "storia_contratto_esito_contratto";
	public static final String storia_contratto_codice_contratto 				= "storia_contratto_codice_contratto";
	public static final String storia_contratto_operatore_denominazione			= "storia_contratto_operatore_denominazione";
	public static final String storia_contratto_operatore_codice				= "storia_contratto_operatore_codice";
	public static final String storia_contratto_agente_denominazione 			= "storia_contratto_agente_denominazione";
	public static final String storia_contratto_agente_codice		 			= "storia_contratto_agente_codice";
	public static final String storia_contratto_utente_denominazione			= "storia_contratto_utente_denominazione";
	public static final String storia_contratto_utente_codice					= "storia_contratto_utente_codice";
	public static final String storia_contratto_nota 							= "storia_contratto_nota";
	public static final String storia_contratto_seriale 						= "storia_contratto_seriale";
	public static final String storia_contratto_tipo_seriale 					= "storia_contratto_tipo_seriale";
	public static final String storia_contratto_quantita 						= "storia_contratto_quantita";
	public static final String storia_contratto_costo_scontato 					= "storia_contratto_costo_scontato";
	public static final String storia_contratto_stato 							= "storia_contratto_stato";

	public static final String prefisso_fisso 							= "prefisso_fisso";
	public static final String prefisso_mobile 							= "prefisso_mobile";
	public static final String prefisso_fax 							= "prefisso_fax";
	public static final String prefisso_altro 							= "prefisso_altro";
	public static final String separatore								= "separatore";
	public static final String chiave 									= "chiave";
	public static final String identificativo 							= "identificativo";
	public static final String telefono_fisso 							= "telefono_fisso";
	public static final String telefono_fax 							= "telefono_fax";
	public static final String telefono_mobile 							= "telefono_mobile";
	public static final String telefono_altro 							= "telefono_altro";
	public static final String operatore 								= "operatore";
	public static final String coordinatore 							= "coordinatore";
	public static final String supervisore 								= "supervisore";
	public static final String manager 									= "manager";
	public static final String backoffice 								= "backoffice";
	public static final String rete 									= "rete";
	public static final String partner 									= "partner";
	public static final String agente 									= "agente";
	public static final String email_giorno_appuntamenti 									= "email_giorno_appuntamenti";
	public static final String email_giorno_appuntamentiC 									= "email_giorno_appuntamentiC";
	public static final String email_giorno_appuntamenti_pdf_admin 							= "email_giorno_appuntamenti_pdf_admin";
	public static final String email_giorno_appuntamenti_pdf_agente 						= "email_giorno_appuntamenti_pdf_agente";
	public static final String email_giorno_appuntamenti_storia								= "email_giorno_appuntamenti_storia";
	public static final String email_giorno_appuntamentiC_storia							= "email_giorno_appuntamentiC_storia";
	public static final String email_giorno_appuntamenti_xls_admin 							= "email_giorno_appuntamenti_xls_admin";
	public static final String email_giorno_appuntamenti_xls_agente	 						= "email_giorno_appuntamenti_xls_agente";
	public static final String email_giorno_appuntamenti_anagrafica	 						= "email_giorno_appuntamenti_anagrafica";
	public static final String email_giorno_calendar_anagrafica	 							= "email_giorno_calendar_anagrafica";
	public static final String email_giorno_contratti 										= "email_giorno_contratti";
	public static final String email_giorno_contrattiC										= "email_giorno_contrattiC";
	public static final String email_giorno_anagrafiche_pdf 								= "email_giorno_anagrafiche_pdf";
	public static final String email_giorno_anagrafiche_xls 								= "email_giorno_anagrafiche_xls";
	public static final String email_giorno_contratti_pdf_admin 							= "email_giorno_contratti_pdf_admin";
	public static final String email_giorno_contratti_pdf_agente 							= "email_giorno_contratti_pdf_agente";
	public static final String email_giorno_contratti_storia 								= "email_giorno_contratti_storia";
	public static final String email_giorno_contrattiC_storia 								= "email_giorno_contrattiC_storia";
	public static final String email_giorno_contratti_xls_admin 							= "email_giorno_contratti_xls_admin";
	public static final String email_giorno_contratti_xls_agente 							= "email_giorno_contratti_xls_agente";
	public static final String email_giorno_contratti_anagrafica 							= "email_giorno_contratti_anagrafica";
	public static final String email_giorno_generale 										= "email_giorno_generale";
	public static final String email_giorno_generale_storia 								= "email_giorno_generale_storia";
	public static final String email_giorno_lavorato										= "email_giorno_lavorato";
	public static final String email_giorno_lista 											= "email_giorno_lista";
	public static final String email_giorno_lista_storia 									= "email_giorno_lista_storia";
	public static final String email_giorno_liste 											= "email_giorno_liste";
	public static final String email_giorno_liste_storia 									= "email_giorno_liste_storia";
	public static final String email_giorno_marcature_pdf									= "email_giorno_marcature_pdf";
	public static final String email_giorno_marcature_xls 									= "email_giorno_marcature_xls";
	public static final String email_giorno_accessi_pdf										= "email_giorno_accessi_pdf";
	public static final String email_giorno_accessi_xls 									= "email_giorno_accessi_xls";
	public static final String email_giorno_note_pdf_admin 									= "email_giorno_note_pdf_admin";
	public static final String email_giorno_note_pdf_agente 								= "email_giorno_note_pdf_agente";
	public static final String email_giorno_note_xls_admin 									= "email_giorno_note_xls_admin";
	public static final String email_giorno_note_xls_agente 								= "email_giorno_note_xls_agente";
	public static final String email_giorno_operatore 										= "email_giorno_operatore";
	public static final String email_giorno_operatore_storia 								= "email_giorno_operatore_storia";
	public static final String email_giorno_operazioni_pdf									= "email_giorno_operazioni_pdf";
	public static final String email_giorno_operazioni_xls 									= "email_giorno_operazioni_xls";
	public static final String email_giorno_pause_pdf										= "email_giorno_pause_pdf";
	public static final String email_giorno_pause_xls 										= "email_giorno_pause_xls";
	public static final String email_giorno_prenotazioni_pdf_admin 							= "email_giorno_prenotazioni_pdf_admin";
	public static final String email_giorno_prenotazioni_pdf_agente 						= "email_giorno_prenotazioni_pdf_agente";
	public static final String email_giorno_prenotazioni_xls_admin 							= "email_giorno_prenotazioni_xls_admin";
	public static final String email_giorno_prenotazioni_xls_agente 						= "email_giorno_prenotazioni_xls_agente";
	public static final String email_giorno_storia_appuntamento_pdf							= "email_giorno_storia_appuntamento_pdf";
	public static final String email_giorno_storia_appuntamento_xls							= "email_giorno_storia_appuntamento_xls";
	public static final String email_giorno_storia_contatto_pdf								= "email_giorno_storia_contatto_pdf";
	public static final String email_giorno_storia_contatto_xls 							= "email_giorno_storia_contatto_xls";
	public static final String email_giorno_storia_contratto_pdf							= "email_giorno_storia_contratto_pdf";
	public static final String email_giorno_storia_contratto_xls							= "email_giorno_storia_contratto_xls";
	public static final String email_giorno_team 											= "email_giorno_team";
	public static final String email_giorno_zona 											= "email_giorno_zona";
	public static final String email_mese_appuntamenti 										= "email_mese_appuntamenti";
	public static final String email_mese_appuntamentiC 									= "email_mese_appuntamentiC";
	public static final String email_mese_appuntamenti_pdf_admin							= "email_mese_appuntamenti_pdf_admin";
	public static final String email_mese_appuntamenti_pdf_agente							= "email_mese_appuntamenti_pdf_agente";
	public static final String email_mese_appuntamenti_storia 								= "email_mese_appuntamenti_storia";
	public static final String email_mese_appuntamentiC_storia 								= "email_mese_appuntamentiC_storia";
	public static final String email_mese_appuntamenti_xls_admin							= "email_mese_appuntamenti_xls_admin";
	public static final String email_mese_appuntamenti_xls_agente							= "email_mese_appuntamenti_xls_agente";
	public static final String email_mese_appuntamenti_anagrafica							= "email_mese_appuntamenti_anagrafica";
	public static final String email_mese_calendar_anagrafica								= "email_mese_calendar_anagrafica";
	public static final String email_mese_contratti 										= "email_mese_contratti";
	public static final String email_mese_contrattiC 										= "email_mese_contrattiC";
	public static final String email_mese_anagrafiche_pdf									= "email_mese_anagrafiche_pdf";
	public static final String email_mese_anagrafiche_xls									= "email_mese_anagrafiche_xls";
	public static final String email_mese_contratti_pdf_admin								= "email_mese_contratti_pdf_admin";
	public static final String email_mese_contratti_pdf_agente								= "email_mese_contratti_pdf_agente";
	public static final String email_mese_contratti_storia 									= "email_mese_contratti_storia";
	public static final String email_mese_contrattiC_storia 								= "email_mese_contrattiC_storia";
	public static final String email_mese_contratti_xls_admin								= "email_mese_contratti_xls_admin";
	public static final String email_mese_contratti_xls_agente								= "email_mese_contratti_xls_agente";
	public static final String email_mese_contratti_anagrafica								= "email_mese_contratti_anagrafica";
	public static final String email_mese_generale 											= "email_mese_generale";
	public static final String email_mese_generale_storia 									= "email_mese_generale_storia";
	public static final String email_mese_lavorato											= "email_mese_lavorato";
	public static final String email_mese_lista 											= "email_mese_lista";
	public static final String email_mese_lista_storia 										= "email_mese_lista_storia";
	public static final String email_mese_liste 											= "email_mese_liste";
	public static final String email_mese_liste_storia 										= "email_mese_liste_storia";
	public static final String email_mese_marcature_pdf										= "email_giorno_marcature_pdf";
	public static final String email_mese_marcature_xls 									= "email_mese_marcature_xls";
	public static final String email_mese_accessi_pdf										= "email_giorno_accessi_pdf";
	public static final String email_mese_accessi_xls 										= "email_mese_accessi_xls";
	public static final String email_mese_note_pdf_admin									= "email_mese_note_pdf_admin";
	public static final String email_mese_note_pdf_agente									= "email_mese_note_pdf_agente";
	public static final String email_mese_note_xls_admin									= "email_mese_note_xls_admin";
	public static final String email_mese_note_xls_agente									= "email_mese_note_xls_agente";
	public static final String email_mese_operatore 										= "email_mese_operatore";
	public static final String email_mese_operatore_storia 									= "email_mese_operatore_storia";
	public static final String email_mese_operazioni_pdf									= "email_giorno_operazioni_pdf";
	public static final String email_mese_operazioni_xls 									= "email_mese_operazioni_xls";
	public static final String email_mese_pause_pdf											= "email_giorno_pause_pdf";
	public static final String email_mese_pause_xls 										= "email_mese_pause_xls";
	public static final String email_mese_prenotazioni_pdf_admin							= "email_mese_prenotazioni_pdf_admin";
	public static final String email_mese_prenotazioni_pdf_agente							= "email_mese_prenotazioni_pdf_agente";
	public static final String email_mese_prenotazioni_xls_admin							= "email_mese_prenotazioni_xls_admin";
	public static final String email_mese_prenotazioni_xls_agente							= "email_mese_prenotazioni_xls_agente";
	public static final String email_mese_storia_appuntamento_pdf							= "email_mese_storia_appuntamento_pdf";
	public static final String email_mese_storia_appuntamento_xls							= "email_mese_storia_appuntamento_xls";
	public static final String email_mese_storia_contatto_pdf								= "email_mese_storia_contatto_pdf";
	public static final String email_mese_storia_contatto_xls								= "email_mese_storia_contatto_xls";
	public static final String email_mese_storia_contratto_pdf								= "email_mese_storia_contratto_pdf";
	public static final String email_mese_storia_contratto_xls								= "email_mese_storia_contratto_xls";
	public static final String email_mese_team 												= "email_mese_team";
	public static final String email_mese_zona												= "email_mese_zona";
	public static final String email_settimana_appuntamenti 								= "email_settimana_appuntamenti";
	public static final String email_settimana_appuntamentiC 								= "email_settimana_appuntamentiC";
	public static final String email_settimana_appuntamenti_pdf_admin						= "email_settimana_appuntamenti_pdf_admin";
	public static final String email_settimana_appuntamenti_pdf_agente						= "email_settimana_appuntamenti_pdf_agente";
	public static final String email_settimana_appuntamenti_storia 							= "email_settimana_appuntamenti_storia";
	public static final String email_settimana_appuntamentiC_storia 						= "email_settimana_appuntamentiC_storia";
	public static final String email_settimana_appuntamenti_xls_admin						= "email_settimana_appuntamenti_xls_admin";
	public static final String email_settimana_appuntamenti_xls_agente						= "email_settimana_appuntamenti_xls_agente";
	public static final String email_settimana_appuntamenti_anagrafica						= "email_settimana_appuntamenti_anagrafica";
	public static final String email_settimana_calendar_anagrafica							= "email_settimana_calendar_anagrafica";
	public static final String email_settimana_contratti 									= "email_settimana_contratti";
	public static final String email_settimana_contrattiC 									= "email_settimana_contrattiC";
	public static final String email_settimana_anagrafiche_pdf								= "email_settimana_anagrafiche_pdf";
	public static final String email_settimana_anagrafiche_xls								= "email_settimana_anagrafiche_xls";
	public static final String email_settimana_contratti_pdf_admin							= "email_settimana_contratti_pdf_admin";
	public static final String email_settimana_contratti_pdf_agente							= "email_settimana_contratti_pdf_agente";
	public static final String email_settimana_contratti_storia 							= "email_settimana_contratti_storia";
	public static final String email_settimana_contrattiC_storia 							= "email_settimana_contrattiC_storia";
	public static final String email_settimana_contratti_xls_admin							= "email_settimana_contratti_xls_admin";
	public static final String email_settimana_contratti_xls_agente							= "email_settimana_contratti_xls_agente";
	public static final String email_settimana_contratti_anagrafica							= "email_settimana_contratti_anagrafica";
	public static final String email_settimana_generale 									= "email_settimana_generale";
	public static final String email_settimana_generale_storia 								= "email_settimana_generale_storia";
	public static final String email_settimana_lavorato										= "email_settimana_lavorato";
	public static final String email_settimana_lista 										= "email_settimana_lista";
	public static final String email_settimana_lista_storia 								= "email_settimana_lista_storia";
	public static final String email_settimana_liste 										= "email_settimana_liste";
	public static final String email_settimana_liste_storia 								= "email_settimana_liste_storia";
	public static final String email_settimana_marcature_pdf								= "email_giorno_marcature_pdf";
	public static final String email_settimana_marcature_xls 								= "email_settimana_marcature_xls";
	public static final String email_settimana_accessi_pdf									= "email_giorno_accessi_pdf";
	public static final String email_settimana_accessi_xls 									= "email_settimana_accessi_xls";
	public static final String email_settimana_note_pdf_admin								= "email_settimana_note_pdf_admin";
	public static final String email_settimana_note_pdf_agente								= "email_settimana_note_pdf_agente";
	public static final String email_settimana_note_xls_admin								= "email_settimana_note_xls_admin";
	public static final String email_settimana_note_xls_agente								= "email_settimana_note_xls_agente";
	public static final String email_settimana_operatore 									= "email_settimana_operatore";
	public static final String email_settimana_operatore_storia 							= "email_settimana_operatore_storia";
	public static final String email_settimana_operazioni_pdf								= "email_giorno_operazioni_pdf";
	public static final String email_settimana_operazioni_xls 								= "email_settimana_operazioni_xls";
	public static final String email_settimana_pause_pdf									= "email_giorno_pause_pdf";
	public static final String email_settimana_pause_xls 									= "email_settimana_pause_xls";
	public static final String email_settimana_prenotazioni_pdf_admin						= "email_settimana_prenotazioni_pdf_admin";
	public static final String email_settimana_prenotazioni_pdf_agente						= "email_settimana_prenotazioni_pdf_agente";
	public static final String email_settimana_prenotazioni_xls_admin						= "email_settimana_prenotazioni_xls_admin";
	public static final String email_settimana_prenotazioni_xls_agente						= "email_settimana_prenotazioni_xls_agente";
	public static final String email_settimana_storia_appuntamento_pdf						= "email_settimana_storia_appuntamento_pdf";
	public static final String email_settimana_storia_appuntamento_xls						= "email_settimana_storia_appuntamento_xls";
	public static final String email_settimana_storia_contatto_pdf							= "email_settimana_storia_contatto_pdf";
	public static final String email_settimana_storia_contatto_xls							= "email_settimana_storia_contatto_xls";
	public static final String email_settimana_storia_contratto_pdf							= "email_settimana_storia_contratto_pdf";
	public static final String email_settimana_storia_contratto_xls							= "email_settimana_storia_contratto_xls";
	public static final String email_settimana_team 										= "email_settimana_team";
	public static final String email_settimana_zona 										= "email_settimana_zona";
	public static final String email_anno_appuntamenti 										= "email_anno_appuntamenti";
	public static final String email_anno_appuntamentiC 									= "email_anno_appuntamentiC";
	public static final String email_anno_appuntamenti_pdf_admin							= "email_anno_appuntamenti_pdf_admin";
	public static final String email_anno_appuntamenti_pdf_agente							= "email_anno_appuntamenti_pdf_agente";
	public static final String email_anno_appuntamenti_storia 								= "email_anno_appuntamenti_storia";
	public static final String email_anno_appuntamentiC_storia 								= "email_anno_appuntamentiC_storia";
	public static final String email_anno_appuntamenti_xls_admin							= "email_anno_appuntamenti_xls_admin";
	public static final String email_anno_appuntamenti_xls_agente							= "email_anno_appuntamenti_xls_agente";
	public static final String email_anno_appuntamenti_anagrafica							= "email_anno_appuntamenti_anagrafica";
	public static final String email_anno_calendar_anagrafica								= "email_anno_calendar_anagrafica";
	public static final String email_anno_contratti 										= "email_anno_contratti";
	public static final String email_anno_contrattiC 										= "email_anno_contrattiC";
	public static final String email_anno_anagrafiche_pdf									= "email_anno_anagrafiche_pdf";
	public static final String email_anno_anagrafiche_xls									= "email_anno_anagrafiche_xls";
	public static final String email_anno_contratti_pdf_admin								= "email_anno_contratti_pdf_admin";
	public static final String email_anno_contratti_pdf_agente								= "email_anno_contratti_pdf_agente";
	public static final String email_anno_contratti_storia 									= "email_anno_contratti_storia";
	public static final String email_anno_contrattiC_storia 								= "email_anno_contrattiC_storia";
	public static final String email_anno_contratti_xls_admin								= "email_anno_contratti_xls_admin";
	public static final String email_anno_contratti_xls_agente								= "email_anno_contratti_xls_agente";
	public static final String email_anno_contratti_anagrafica								= "email_anno_contratti_anagrafica";
	public static final String email_anno_generale 											= "email_anno_generale";
	public static final String email_anno_generale_storia 									= "email_anno_generale_storia";
	public static final String email_anno_lavorato											= "email_anno_lavorato";
	public static final String email_anno_lista 											= "email_anno_lista";
	public static final String email_anno_lista_storia 										= "email_anno_lista_storia";
	public static final String email_anno_liste 											= "email_anno_liste";
	public static final String email_anno_liste_storia 										= "email_anno_liste_storia";
	public static final String email_anno_marcature_pdf										= "email_giorno_marcature_pdf";
	public static final String email_anno_marcature_xls 									= "email_anno_marcature_xls";
	public static final String email_anno_accessi_pdf										= "email_giorno_accessi_pdf";
	public static final String email_anno_accessi_xls 										= "email_anno_accessi_xls";
	public static final String email_anno_note_pdf_admin									= "email_anno_note_pdf_admin";
	public static final String email_anno_note_pdf_agente									= "email_anno_note_pdf_agente";
	public static final String email_anno_note_xls_admin									= "email_anno_note_xls_admin";
	public static final String email_anno_note_xls_agente									= "email_anno_note_xls_agente";
	public static final String email_anno_operatore 										= "email_anno_operatore";
	public static final String email_anno_operatore_storia 									= "email_anno_operatore_storia";
	public static final String email_anno_operazioni_pdf									= "email_giorno_operazioni_pdf";
	public static final String email_anno_operazioni_xls 									= "email_anno_operazioni_xls";
	public static final String email_anno_pause_pdf											= "email_giorno_pause_pdf";
	public static final String email_anno_pause_xls 										= "email_anno_pause_xls";
	public static final String email_anno_prenotazioni_pdf_admin							= "email_anno_prenotazioni_pdf_admin";
	public static final String email_anno_prenotazioni_pdf_agente							= "email_anno_prenotazioni_pdf_agente";
	public static final String email_anno_prenotazioni_xls_admin							= "email_anno_prenotazioni_xls_admin";
	public static final String email_anno_prenotazioni_xls_agente							= "email_anno_prenotazioni_xls_agente";
	public static final String email_anno_storia_appuntamento_pdf							= "email_anno_storia_appuntamento_pdf";
	public static final String email_anno_storia_appuntamento_xls							= "email_anno_storia_appuntamento_xls";
	public static final String email_anno_storia_contatto_pdf								= "email_anno_storia_contatto_pdf";
	public static final String email_anno_storia_contatto_xls								= "email_anno_storia_contatto_xls";
	public static final String email_anno_storia_contratto_pdf								= "email_anno_storia_contratto_pdf";
	public static final String email_anno_storia_contratto_xls								= "email_anno_storia_contratto_xls";
	public static final String email_anno_team 												= "email_anno_team";
	public static final String email_anno_zona 												= "email_anno_zona";
	public static final String invia_mail_prossimi_giorno_appuntamenti_scheda_agente		= "invia_mail_prossimi_giorno_appuntamenti_scheda_agente";
	public static final String invia_mail_prossimi_giorno_appuntamenti_scheda_admin			= "invia_mail_prossimi_giorno_appuntamenti_scheda_admin";
	public static final String invia_mail_prossimi_giorno_appuntamenti_concatena_agente		= "invia_mail_prossimi_giorno_appuntamenti_concatena_agente";
	public static final String invia_mail_prossimi_giorno_appuntamenti_concatena_admin		= "invia_mail_prossimi_giorno_appuntamenti_concatena_admin";
	public static final String invia_mail_prossimi_giorno_appuntamenti_xls_agente 			= "invia_mail_prossimi_giorno_appuntamenti_xls_agente";
	public static final String invia_mail_prossimi_giorno_appuntamenti_xls_admin 			= "invia_mail_prossimi_giorno_appuntamenti_xls_admin";
	public static final String invia_mail_prossimi_giorno_appuntamenti_pdf_agente 			= "invia_mail_prossimi_giorno_appuntamenti_pdf_agente";
	public static final String invia_mail_prossimi_giorno_appuntamenti_pdf_admin 			= "invia_mail_prossimi_giorno_appuntamenti_pdf_admin";
	public static final String invia_mail_prossimi_giorno_appuntamenti_anagrafica 			= "invia_mail_prossimi_giorno_appuntamenti_anagrafica";
	public static final String invia_mail_prossimi_giorno_calendar_anagrafica 				= "invia_mail_prossimi_giorno_calendar_anagrafica";
	public static final String invia_mail_prossimi_mese_appuntamenti_scheda_agente			= "invia_mail_prossimi_mese_appuntamenti_scheda_agente";
	public static final String invia_mail_prossimi_mese_appuntamenti_scheda_admin			= "invia_mail_prossimi_mese_appuntamenti_scheda_admin";
	public static final String invia_mail_prossimi_mese_appuntamenti_concatena_agente		= "invia_mail_prossimi_mese_appuntamenti_concatena_agente";
	public static final String invia_mail_prossimi_mese_appuntamenti_concatena_admin		= "invia_mail_prossimi_mese_appuntamenti_concatena_admin";
	public static final String invia_mail_prossimi_mese_appuntamenti_xls_agente 			= "invia_mail_prossimi_mese_appuntamenti_xls_agente";
	public static final String invia_mail_prossimi_mese_appuntamenti_xls_admin 				= "invia_mail_prossimi_mese_appuntamenti_xls_admin";
	public static final String invia_mail_prossimi_mese_appuntamenti_pdf_agente 			= "invia_mail_prossimi_mese_appuntamenti_pdf_agente";
	public static final String invia_mail_prossimi_mese_appuntamenti_pdf_admin 				= "invia_mail_prossimi_mese_appuntamenti_pdf_admin";
	public static final String invia_mail_prossimi_mese_appuntamenti_anagrafica 			= "invia_mail_prossimi_mese_appuntamenti_anagrafica";
	public static final String invia_mail_prossimi_mese_calendar_anagrafica 				= "invia_mail_prossimi_mese_calendar_anagrafica";
	public static final String invia_mail_prossimi_settimana_appuntamenti_scheda_agente		= "invia_mail_prossimi_settimana_appuntamenti_scheda_agente";
	public static final String invia_mail_prossimi_settimana_appuntamenti_scheda_admin		= "invia_mail_prossimi_settimana_appuntamenti_scheda_admin";
	public static final String invia_mail_prossimi_settimana_appuntamenti_concatena_agente	= "invia_mail_prossimi_settimana_appuntamenti_concatena_agente";
	public static final String invia_mail_prossimi_settimana_appuntamenti_concatena_admin	= "invia_mail_prossimi_settimana_appuntamenti_concatena_admin";
	public static final String invia_mail_prossimi_settimana_appuntamenti_xls_agente 		= "invia_mail_prossimi_settimana_appuntamenti_xls_agente";
	public static final String invia_mail_prossimi_settimana_appuntamenti_xls_admin 		= "invia_mail_prossimi_settimana_appuntamenti_xls_admin";
	public static final String invia_mail_prossimi_settimana_appuntamenti_pdf_agente 		= "invia_mail_prossimi_settimana_appuntamenti_pdf_agente";
	public static final String invia_mail_prossimi_settimana_appuntamenti_pdf_admin 		= "invia_mail_prossimi_settimana_appuntamenti_pdf_admin";
	public static final String invia_mail_prossimi_settimana_appuntamenti_anagrafica 		= "invia_mail_prossimi_settimana_appuntamenti_anagrafica";
	public static final String invia_mail_prossimi_settimana_calendar_anagrafica 			= "invia_mail_prossimi_settimana_calendar_anagrafica";
	public static final String invia_mail_prossimi_anno_appuntamenti_scheda_agente			= "invia_mail_prossimi_anno_appuntamenti_scheda_agente";
	public static final String invia_mail_prossimi_anno_appuntamenti_scheda_admin			= "invia_mail_prossimi_anno_appuntamenti_scheda_admin";
	public static final String invia_mail_prossimi_anno_appuntamenti_concatena_agente		= "invia_mail_prossimi_anno_appuntamenti_concatena_agente";
	public static final String invia_mail_prossimi_anno_appuntamenti_concatena_admin		= "invia_mail_prossimi_anno_appuntamenti_concatena_admin";
	public static final String invia_mail_prossimi_anno_appuntamenti_xls_agente 			= "invia_mail_prossimi_anno_appuntamenti_xls_agente";
	public static final String invia_mail_prossimi_anno_appuntamenti_xls_admin 				= "invia_mail_prossimi_anno_appuntamenti_xls_admin";
	public static final String invia_mail_prossimi_anno_appuntamenti_pdf_agente 			= "invia_mail_prossimi_anno_appuntamenti_pdf_agente";
	public static final String invia_mail_prossimi_anno_appuntamenti_pdf_admin 				= "invia_mail_prossimi_anno_appuntamenti_pdf_admin";
	public static final String invia_mail_prossimi_anno_appuntamenti_anagrafica 			= "invia_mail_prossimi_anno_appuntamenti_anagrafica";
	public static final String invia_mail_prossimi_anno_calendar_anagrafica 				= "invia_mail_prossimi_anno_calendar_anagrafica";
	public static final String invia_invoke_giorno 											= "invia_invoke_giorno";
	public static final String invia_invoke_mese 											= "invia_invoke_mese";
	public static final String invia_invoke_settimana 										= "invia_invoke_settimana";
	public static final String invia_invoke_anno 											= "invia_invoke_anno";
	public static final String invia_mail_sistema_scadenza									= "invia_mail_sistema_scadenza";
	public static final String invia_mail_sistema_anomalia 									= "invia_mail_sistema_anomalia";
	public static final String genera_calendario_sistema 									= "genera_calendario_sistema";
	public static final String genera_pulizia_sistema 										= "genera_pulizia_sistema";
	public static final String genera_pulizia_storage 										= "genera_pulizia_storage";
	public static final String genera_pulizia_anagrafiche 									= "genera_pulizia_anagrafiche";
	public static final String genera_pulizia_liste 										= "genera_pulizia_liste";
	public static final String genera_pulizia_opposizioni 									= "genera_pulizia_opposizioni";
	public static final String genera_elimina_pausa 										= "genera_elimina_pausa";
	public static final String genera_elimina_marcatura 									= "genera_elimina_marcatura";
	public static final String genera_elimina_accesso 										= "genera_elimina_accesso";
	public static final String genera_elimina_cdr 											= "genera_elimina_cdr";
	public static final String genera_elimina_cel 											= "genera_elimina_cel";
	public static final String genera_elimina_autodialer									= "genera_elimina_autodialer";
	public static final String genera_elimina_comunicazione									= "genera_elimina_comunicazione";
	public static final String genera_elimina_backup_import									= "genera_elimina_backup_import";
	public static final String genera_elimina_backup_database								= "genera_elimina_backup_database";
	public static final String genera_elimina_operazione									= "genera_elimina_operazione";
	public static final String genera_elimina_webhook										= "genera_elimina_webhook";
	public static final String genera_elimina_ricezione										= "genera_elimina_ricezione";
	public static final String genera_elimina_messaggio										= "genera_elimina_messaggio";
	public static final String genera_elimina_notizia										= "genera_elimina_notizia";
	public static final String genera_elimina_notifica 										= "genera_elimina_notifica";
	public static final String genera_elimina_sondaggio 									= "genera_elimina_sondaggio";
	public static final String genera_elimina_posta 										= "genera_elimina_posta";
	public static final String genera_elimina_registrazione 								= "genera_elimina_registrazione";
	public static final String genera_elimina_pda			 								= "genera_elimina_pda";
	public static final String genera_elimina_storia 										= "genera_elimina_storia";
	public static final String genera_elimina_allegato 										= "genera_elimina_allegato";
	public static final String genera_riavvia_sistema 										= "genera_riavvia_sistema";
	public static final String genera_restart_sistema 										= "genera_restart_sistema";
	public static final String genera_backup_sistema 										= "genera_backup_sistema";
	public static final String genera_aggiornamento_sistema 								= "genera_aggiornamento_sistema";
	public static final String send_message		 											= "send_message";
	public static final String group_scheduler 												= "group_scheduler";
	public static final String group_invoice 												= "group_invoice";
	public static final String group_command 												= "group_command";

	public static final String RICERCA_STRING_TUTTO 			= "TUTTO";
	public static final String RICERCA_STRING_SPECIFICA 		= "SPECIFICA";
	public static final String RICERCA_STRING_MINORE			= "MINORE";
	public static final String RICERCA_STRING_MAGGIORE			= "MAGGIORE";
	public static final String RICERCA_STRING_UGUALE 			= "UGUALE";
	public static final String RICERCA_STRING_INTERVALLO		= "INTERVALLO";
	public static final String r_type1		= "post"; 
	public static final String r_type2		= "delete";
	public static final String r_type3		= "options";
	public static final String r_type4		= "patch";
	public static final String r_type5		= "put";
	public static final String r_type6		= "get";
	public static final String r_type7		= "head";

	public static final String r_system1		= "r_system1";
	public static final String r_system2		= "r_system2";
	public static final String r_system3		= "r_system3";
	public static final String r_system4		= "r_system4";

	public static final String tema_A = "DEFAULT";
	public static final String tema_B = "standard";
	public static final String tema_0 = "ruby";
	public static final String tema_1 = "wine";
	public static final String tema_2 = "emeraldTown";
	public static final String tema_3 = "blueSky";
	public static final String tema_4 = "japanCherry";
	public static final String tema_5 = "classic";
	public static final String tema_6 = "deepMarine";
	public static final String tema_7 = "laguna";
	public static final String tema_8 = "glassX";
	public static final String tema_9 = "darkX";

	public static final String SSL 	= "SSL";
	public static final String TLS 	= "TLS";
	public static final String NONE = "NONE";
	
	public static final String NO 	= "NO";
	public static final String IMAP = "IMAP";
	public static final String POP 	= "POP";

	public static final String protocol1 	= "smtp";
	public static final String protocol2 	= "smtps";

	public static final String LOG0 = "LOG0";
	public static final String LOG1 = "LOG1";
	public static final String LOG2 = "LOG2";
	public static final String LOG3 = "LOG3";
	public static final String LOG4 = "LOG4";
	public static final String LOG5 = "LOG5";
	public static final String LOG6 = "LOG6";
	public static final String LOG7 = "LOG7";
	public static final String LOG8 = "LOG8";
	public static final String LOG9 = "LOG9";

	public static final String visual = "visual";
	public static final String source = "source";

	public static final String T_UDP 		= "UDP";
	public static final String T_TCP 		= "TCP";
	public static final String T_TLS 		= "TLS";

	public static final String T_NONE 		= "NONE";
	public static final String T_FORCE 		= "FORCE";
	public static final String T_PREFER		= "PREFER";

	public static final String VOID 	= "---";

	public static final String g729 	= "g729";
	public static final String alaw 	= "alaw";
	public static final String ulaw 	= "ulaw";
	public static final String gsm 		= "gsm";
	public static final String ilbc 	= "ilbc";
	public static final String speex 	= "speex";
	public static final String g722 	= "g722";
	public static final String g723		= "g723";
	public static final String opus 	= "opus";

	public static final String conf 		= "conf";
	public static final String html 		= "html";
	public static final String htm 			= "htm";
	public static final String pdf 			= "pdf";
	public static final String zip 			= "zip";
	public static final String bat 			= "bat";
	public static final String sh 			= "sh";
	public static final String cmd 			= "cmd";
	public static final String rptdesign	= "rptdesign";
	public static final String xml 			= "xml";
	public static final String json 		= "json";
	public static final String xlsx 		= "xlsx";
	public static final String xlsm 		= "xlsm";
	public static final String xlsb 		= "xlsb";
	public static final String xlt 			= "xlt";
	public static final String xltx 		= "xltx";
	public static final String xls 			= "xls";
	public static final String csv 			= "csv";
	public static final String dbf 			= "dbf";
	public static final String txt 			= "txt";
	public static final String png 			= "png";
	public static final String jpg 			= "jpg";
	public static final String gif 			= "gif";
	public static final String jpeg			= "jpeg";
	public static final String svg			= "svg";
	public static final String bmp 			= "bmp";
	public static final String vcf 			= "vcf";
	public static final String ics 			= "ics";
	public static final String xhtml 		= "xhtml";
	public static final String fdf 			= "fdf";
	public static final String doc 			= "doc";
	public static final String dot 			= "dot";
	public static final String docx 		= "docx";
	public static final String rtf 			= "rtf";
	public static final String tif 			= "tif";
	public static final String tiff 		= "tiff";
	public static final String jpe 			= "jpe";
	public static final String dib 			= "dib";
	public static final String jfif 		= "jfif";
	public static final String pcx 			= "pcx";
	public static final String dcx 			= "dcx";
	public static final String max 			= "max";
	public static final String odt 			= "odt";
	public static final String sxw 			= "sxw";
	public static final String wpd 			= "wpd";
	public static final String ods 			= "ods";
	public static final String sxc 			= "sxc";
	public static final String tsv 			= "tsv";
	public static final String odp 			= "odp";
	public static final String sxi 			= "sxi";
	public static final String ppt 			= "ppt";
	public static final String odg 			= "odg";
	public static final String sql			= "sql";
	public static final String mp3 			= "mp3";
	public static final String ogg 			= "ogg";
	public static final String wav 			= "wav";
	public static final String aac 	 		= "aac";
	public static final String ac3  	  	= "ac3";
	public static final String aiff 	  	= "aiff";
	public static final String asf  	  	= "asf";
	public static final String mov  	  	= "mov";
	public static final String m4a  	  	= "m4a";
	public static final String mp2  	  	= "mp2";
	public static final String mp4  	  	= "mp4";
	public static final String mpeg  		= "mpeg";
	public static final String lck 			= "lck";
	public static final String gz 			= "gz";
	public static final String log 			= "log";
	public static final String cap 			= "cap";

	public static final String properties 		= "properties";
	public static final String messages 		= "messages";

	public static final String no 					= "no";
	public static final String campagna				= "campagna";
	public static final String tutto 				= "tutto";
	public static final String destinatari			= "destinatari";
	public static final String si					= "si";
	public static final String chiama				= "chiama";

	public static final String campagna0			= "campagna0";
	public static final String campagna1			= "campagna1";
	public static final String campagna2			= "campagna2";
	public static final String campagna3			= "campagna3";
	
	public static final String calendario0			= "calendario0";
	public static final String calendario1			= "calendario1";
	public static final String calendario2			= "calendario2";
	public static final String calendario3			= "calendario3";

	public static final int t0 				= 0;
	public static final int t1 				= 1;
	public static final int t2 				= 2;
	public static final int t3 				= 3;

	public static final String day 		= "day";
	public static final String week 	= "week";
	public static final String month 	= "month";
	public static final String year 	= "year";
	public static final String all 		= "all";

	public static final String inline 			= "inline";
	public static final String all_a 			= "all_a";
	public static final String all_b 			= "all_b";
	public static final String all_c 			= "all_c";
	public static final String all_d 			= "all_d";
	public static final String includi 			= "includi";
	public static final String escludi			= "escludi";
	public static final String singola 			= "singola";
	public static final String multipla			= "multipla";
	public static final String aperto			= "aperto";
	public static final String menu				= "menu";
	public static final String diretta 			= "diretta";
	public static final String indiretta 		= "indiretta";
	public static final String telefonico 		= "telefonico";
	public static final String messaggistica	= "messaggistica";

	public static final String phone1 		= "phone1";
	public static final String phone2 		= "phone2";

	public static final String [] phoneA 	= {"auto", "ns", "webrtc", "java", "flash"};

	public static final String TRUE 	= "true";
	public static final String FALSE 	= "false";
	public static final String NULL 	= "null";

	public static final String p_n 	= "NO";
	public static final String p_g 	= "giorno";
	public static final String p_s 	= "settimana";
	public static final String p_m 	= "mese";
	public static final String p_a 	= "anno";

	public static final String context_u = "uscita";
	public static final String context_a = "ingresso";
	public static final String context_b = "inbound";

	public static final int REC_NO 						= 1;
	public static final int REC_SI 						= 2;
	public static final int REC_AUTO	 				= 3;

	public static final int TIPO_APERTO 				= 1;
	public static final int TIPO_ONEMENU 				= 2;
	public static final int TIPO_BINARIO 				= 3;
	public static final int TIPO_ONERADIO 				= 4;
	public static final int TIPO_FORM 					= 5;
	public static final int TIPO_REGULARE 				= 6;
	public static final int TIPO_DATAORA				= 7;
	public static final int TIPO_BOOLEANO 				= 8;
	public static final int TIPO_TEXTAREA 				= 9;
	public static final int TIPO_EDITOR 				= 10;
	public static final int TIPO_MANYMENU 				= 11;
	public static final int TIPO_MANYCHECKBOX 			= 12;
	public static final int TIPO_TELEFONICO 			= 13;
	public static final int TIPO_SPINNER 				= 14;
	public static final int TIPO_SLIDER 				= 15;
	public static final int TIPO_DATA					= 16;
	public static final int TIPO_ORA					= 17;
	public static final int TIPO_SUGGERIMENTO			= 18;
	public static final int TIPO_COMBOBOX				= 19;
	public static final int TIPO_PICKLIST				= 20;
	public static final int TIPO_INPLACEINPUT			= 21;
	public static final int TIPO_INPLACESELECT			= 22;
	public static final int TIPO_COLOR					= 23;
	public static final int TIPO_LINK 					= 24;
	public static final int TIPO_UNIVOCO 				= 25;
	public static final int TIPO_NUMERO 				= 26;
	public static final int TIPO_INTERO 				= 27;
	public static final int TIPO_FILE	 				= 28;

	public static final short OPERAZIONE_APRI_ARCHIVIATA 					= 1;						
	public static final short OPERAZIONE_APRI_PANNELLO 						= 2;						
	public static final short OPERAZIONE_APRI_PRIVATA 						= 3;						
	public static final short OPERAZIONE_APRI_PUBBLICHE 					= 4;						
	public static final short OPERAZIONE_CHIAMA 							= 5;						
	public static final short OPERAZIONE_CONVERSAZIONE 						= 6;						
	public static final short OPERAZIONE_ELIMINA_APPUNTAMENTO 				= 7;						
	public static final short OPERAZIONE_ELIMINA_CONTATTO					= 8;						
	public static final short OPERAZIONE_ELIMINA_CONTRATTO 					= 9;						
	public static final short OPERAZIONE_ELIMINA_PRENOTAZIONE				= 10;						
	public static final short OPERAZIONE_ESITA_IRREPERIBILE 				= 11;						
	public static final short OPERAZIONE_ESITA_NORMALE						= 12;						
	public static final short OPERAZIONE_EXPORT_ACCONTO						= 13;						
	public static final short OPERAZIONE_EXPORT_APPUNTAMENTO				= 14;						
	public static final short OPERAZIONE_EXPORT_CONTATTO					= 15;						
	public static final short OPERAZIONE_EXPORT_CONTRATTO					= 16;						
	public static final short OPERAZIONE_EXPORT_ESTRATTO					= 17;						
	public static final short OPERAZIONE_EXPORT_PRENOTAZIONE				= 18;
	public static final short OPERAZIONE_EXPORT_AUTO_CONTATTO 				= 19;
	public static final short OPERAZIONE_EXPORT_NOTA 						= 20;
	public static final short OPERAZIONE_EXPORT_CHIAMATE					= 21;
	public static final short OPERAZIONE_FINE_CHIAMATA 						= 22;							
	public static final short OPERAZIONE_HOME 								= 23;						
	public static final short OPERAZIONE_INVIO_CONTATTO_MASSIVO 			= 24;						
	public static final short OPERAZIONE_INVIO_EMAIL_MASSIVO 				= 25;
	public static final short OPERAZIONE_INVIO_RMAIL_MASSIVO 				= 26;	
	public static final short OPERAZIONE_INVIO_TELECOM_MASSIVO 				= 27;		
	public static final short OPERAZIONE_LOGIN 								= 28;						
	public static final short OPERAZIONE_LOGOUT 							= 29;						
	public static final short OPERAZIONE_LST_APPUNTAMENTI 					= 30;						
	public static final short OPERAZIONE_LST_ARCHIVIATE 					= 31;						
	public static final short OPERAZIONE_LST_CALENDARIO 					= 32;						
	public static final short OPERAZIONE_LST_CAMPAGNE 						= 33;						
	public static final short OPERAZIONE_LST_CONTATTI 						= 34;						
	public static final short OPERAZIONE_LST_CONTRATTI 						= 35;						
	public static final short OPERAZIONE_LST_ESTRATTI 						= 36;						
	public static final short OPERAZIONE_LST_MESSAGGISTICA 					= 37;						
	public static final short OPERAZIONE_LST_PRENOTAZIONI					= 38;	
	public static final short OPERAZIONE_LST_NOTE							= 39;		
	public static final short OPERAZIONE_LST_PRIVATE						= 40;						
	public static final short OPERAZIONE_LST_STORICI 						= 41;		
	public static final short OPERAZIONE_LST_REPORTISTICA 					= 42;		
	public static final short OPERAZIONE_MODIFICA_CONTATTO					= 43;						
	public static final short OPERAZIONE_PAUSA 								= 44;						
	public static final short OPERAZIONE_REVERT_APPUNTAMENTO				= 45;						
	public static final short OPERAZIONE_REVERT_CONTATTO					= 46;						
	public static final short OPERAZIONE_REVERT_CONTRATTO					= 47;						
	public static final short OPERAZIONE_RIPROGRAMMA_ARCHIVIATO 			= 48;						
	public static final short OPERAZIONE_RIPROGRAMMA_GENERICO				= 49;						
	public static final short OPERAZIONE_RIPROGRAMMA_PRIVATO 				= 50;						
	public static final short OPERAZIONE_RIPROGRAMMA_PUBBLICO 				= 51;						
	public static final short OPERAZIONE_RIPROGRAMMA_RESET					= 52;						
	public static final short OPERAZIONE_SALVA_CONTATTO 					= 53;						
	public static final short OPERAZIONE_SPOSTA_CONTATTO					= 54;		
	public static final short OPERAZIONE_SALVA_PRENOTAZIONE					= 55;	
	public static final short OPERAZIONE_LST_CAMPAGNA						= 56;		
	public static final short OPERAZIONE_LST_RIPROGRAMMA					= 57;	
	public static final short OPERAZIONE_ELIMINA_NOTA						= 58;		
	public static final short OPERAZIONE_IMPORT_CONTATTO					= 59;	
	public static final short OPERAZIONE_IMPORT_CONTRATTO					= 60;	
	public static final short OPERAZIONE_IMPORT_APPUNTAMENTO				= 61;	
	public static final short OPERAZIONE_NAVIGAZIONE 						= 62;	
	public static final short OPERAZIONE_MODIFICA_APPUNTAMENTO				= 63;	
	public static final short OPERAZIONE_MODIFICA_CONTRATTO					= 64;	
	public static final short OPERAZIONE_ATTESA_CONTATTO					= 65;
	public static final short OPERAZIONE_APRI_POPUP							= 66;
	public static final short OPERAZIONE_EXPORT_STORIA_APPUNTAMENTO			= 67;						
	public static final short OPERAZIONE_EXPORT_STORIA_CONTATTO				= 68;						
	public static final short OPERAZIONE_EXPORT_STORIA_CONTRATTO			= 69;	
	public static final short OPERAZIONE_VISUALIZZA_APPUNTAMENTO			= 70;						
	public static final short OPERAZIONE_VISUALIZZA_CONTATTO				= 71;						
	public static final short OPERAZIONE_VISUALIZZA_CONTRATTO 				= 72;						
	public static final short OPERAZIONE_VISUALIZZA_PRENOTAZIONE			= 73;		
	public static final short OPERAZIONE_VISUALIZZA_NOTA					= 74;	
	public static final short OPERAZIONE_VISUALIZZA_STORIA_APPUNTAMENTO		= 75;						
	public static final short OPERAZIONE_VISUALIZZA_STORIA_CONTATTO			= 76;						
	public static final short OPERAZIONE_VISUALIZZA_STORIA_CONTRATTO 		= 77;	
	public static final short OPERAZIONE_ELIMINA_STORIA_APPUNTAMENTO 		= 78;						
	public static final short OPERAZIONE_ELIMINA_STORIA_CONTATTO			= 79;						
	public static final short OPERAZIONE_ELIMINA_STORIA_CONTRATTO 			= 80;
	public static final short OPERAZIONE_ELEMENTO_APPUNTAMENTO				= 81;						
	public static final short OPERAZIONE_ELEMENTO_CONTATTO					= 82;						
	public static final short OPERAZIONE_ELEMENTO_CONTRATTO 				= 83;						
	public static final short OPERAZIONE_ELEMENTO_PRENOTAZIONE				= 84;		
	public static final short OPERAZIONE_ELEMENTO_NOTA						= 85;

	public static final short STATO_LOGIN 				= 1;
	public static final short STATO_LST_CAMPAGNE 		= 2;
	public static final short STATO_LST_PRIVATE 		= 3;
	public static final short STATO_SCHEDA_CONTATTO 	= 4;
	public static final short STATO_CHIAMATA 			= 5;
	public static final short STATO_CONVERSAZIONE 		= 6;
	public static final short STATO_POST_CHIAMATA 		= 7;
	public static final short STATO_LOGOUT 				= 8;
	public static final short STATO_PAUSA 				= 9;
	public static final short STATO_HOME 				= 10;
	public static final short STATO_LST_ARCHIVIATE 		= 11;
	public static final short STATO_ATTESA_CONTATTO 	= 12;
	public static final short STATO_LST_APPUNTAMENTI 	= 13;
	public static final short STATO_LST_CONTRATTI 		= 14;
	public static final short STATO_LST_MESSAGGISTICA 	= 15;
	public static final short STATO_LST_CONTATTI 		= 16;
	public static final short STATO_LST_ESTRATTI 		= 17;
	public static final short STATO_LST_CALENDARIO 		= 18;
	public static final short STATO_ESITA_CONTATTO 		= 19;
	public static final short STATO_LST_STORICI 		= 20;
	public static final short STATO_LST_PRENOTAZIONI	= 21;
	public static final short STATO_LST_REPORTISTICA 	= 22;
	public static final short STATO_LST_NOTE			= 23;
	public static final short STATO_LST_CAMPAGNA		= 24;
	public static final short STATO_LST_RIPROGRAMMA		= 25;
	public static final short STATO_IMPORT_CONTATTO		= 26;
	public static final short STATO_IMPORT_CONTRATTO	= 27;
	public static final short STATO_IMPORT_APPUNTAMENTO	= 28;

	public static final int CHIAMATA_INIZIALE 			= 1;
	public static final int CHIAMATA_ATTIVA 			= 2;
	public static final int CHIAMATA_INCORSO 			= 3;
	public static final int CHIAMATA_RISPOSTA 			= 4;
	public static final int CHIAMATA_CONGESTIONE 		= 5;
	public static final int CHIAMATA_OCCUPATA 			= 6;
	public static final int CHIAMATA_NONRISPOSTA 		= 7;
	public static final int CHIAMATA_RINGING	 		= 8;
	public static final int CHIAMATA_FALLITA 			= 9;
	public static final int CHIAMATA_RIFIUTATA 			= 10;
	public static final int CHIAMATA_HANGUP 			= 11;
	public static final int CHIAMATA_APERTA 			= 12;
	public static final int CHIAMATA_AGGANCIATA 		= 13;
	public static final int CHIAMATA_CHIUSURA 			= 14;
	public static final int CHIAMATA_UP 				= 15;
	public static final int CHIAMATA_SALTATA 			= 16;
	public static final int CHIAMATA_SCHEDULATA 		= 17;
	public static final int CHIAMATA_RIMOSSA	 		= 18;
	public static final int CHIAMATA_ESITATA	 		= 19;
	public static final int CHIAMATA_INBOUND			= 20;
	public static final int AGI_AGGANCIATA 				= 21;
	public static final int AGI_PRENOTA 				= 22;
	public static final int AGI_MACCHINA 				= 23;
	public static final int AGI_ABBATTUTA 				= 24;
	public static final int AGI_FALLITA 				= 25;
	public static final int AGI_SALTATA 				= 26;
	public static final int AGI_USCITA 					= 27;
	public static final int AGI_INBOUND					= 28;

	public static final int TIPO_STRADA_1 	= 1;
	public static final int TIPO_STRADA_2 	= 2;
	public static final int TIPO_STRADA_3 	= 3;
	public static final int TIPO_STRADA_4 	= 4;
	public static final int TIPO_STRADA_5 	= 5;
	public static final int TIPO_STRADA_6 	= 6;
	public static final int TIPO_STRADA_7 	= 7;
	public static final int TIPO_STRADA_8 	= 8;
	public static final int TIPO_STRADA_9 	= 9;
	public static final int TIPO_STRADA_10 	= 10;
	public static final int TIPO_STRADA_11 	= 11;
	public static final int TIPO_STRADA_12 	= 12;
	public static final int TIPO_STRADA_13 	= 13;
	public static final int TIPO_STRADA_14 	= 14;
	public static final int TIPO_STRADA_15 	= 15;
	public static final int TIPO_STRADA_16 	= 16;

	public static final int autodialer_modalita0 = 0;
	public static final int autodialer_modalita1 = 1;
	public static final int autodialer_modalita2 = 2;
	public static final int autodialer_modalita3 = 3;
	
	public static final int tipo_acconto1 = 1;
	public static final int tipo_acconto2 = 2;
	public static final int tipo_acconto3 = 3;
	
	public static final String storia0				= "storia0";
	public static final String storia1				= "storia1";
	public static final String storia2				= "storia2";
	
	public static final String autodialer0				= "autodialer0";
	public static final String autodialer1				= "autodialer1";
	public static final String autodialer2				= "autodialer2";
	
	public static final String immediate0				= "immediate0";
	public static final String immediate1				= "immediate1";
	public static final String immediate2				= "immediate2";
	
	public static final String toggle0				= "toggle0";
	public static final String toggle1				= "toggle1";

	public static final String team0				= "team0";
	public static final String team1				= "team1";
	public static final String team2				= "team2";
	
	public static final String registrazione0				= "registrazione0";
	public static final String registrazione1				= "registrazione1";
	public static final String registrazione2				= "registrazione2";
	
	public static final String interno0				= "interno0";
	public static final String interno1				= "interno1";
	public static final String interno2				= "interno2";
	
	public static final String semaforo0				= "semaforo0";
	public static final String semaforo1				= "semaforo1";
	public static final String semaforo2				= "semaforo2";
	public static final String semaforo3				= "semaforo3";
	public static final String semaforo4				= "semaforo4";
	public static final String semaforo5				= "semaforo5";
	public static final String semaforo6				= "semaforo6";
	public static final String semaforo7				= "semaforo7";
	public static final String semaforo8				= "semaforo8";
	
	public static final String inserimento0				= "inserimento0";
	public static final String inserimento1				= "inserimento1";
	public static final String inserimento2				= "inserimento2";
	
	public static final String indirizzo0				= "indirizzo0";
	public static final String indirizzo1				= "indirizzo1";
	public static final String indirizzo2				= "indirizzo2";
	public static final String indirizzo3				= "indirizzo3";
	
	public static final String notificaN				= "notificaN";
	public static final String notifica0				= "notifica0";
	public static final String notifica1				= "notifica1";
	public static final String notifica2				= "notifica2";
	public static final String notifica3				= "notifica3";
	
	public static final String notificaL0				= "notificaL0";
	public static final String notificaL1				= "notificaL1";
	public static final String notificaL2				= "notificaL2";
	
	public static final String login0					= "login0";
	public static final String login1					= "login1";
	public static final String login2					= "login2";
	public static final String login3					= "login3";
	public static final String login4					= "login4";
	
	public static final String validatore0				= "validatore0";
	public static final String validatore1				= "validatore1";
	public static final String validatore2				= "validatore2";
	public static final String validatore3				= "validatore3";
	
	public static final String realtime0				= "realtime0";
	public static final String realtime1				= "realtime1";
	public static final String realtime2				= "realtime2";
	
	public static final String popup0				= "popup0";
	public static final String popup1				= "popup1";
	public static final String popup2				= "popup2";
	
	public static final String chat0				= "chat0";
	public static final String chat1				= "chat1";
	public static final String chat2				= "chat2";

	public static final int value0					= 0;
	public static final int value1					= 1;
	public static final int value2					= 2;
	public static final int value3					= 3;
	public static final int value4					= 4;
	public static final int value5					= 5;
	public static final int value6					= 6;
	public static final int value7					= 7;
	public static final int value8					= 8;
	
	
	public static final String calendar1			= "1";
	public static final String calendar2			= "2";
	public static final String calendar3			= "3";
	public static final String calendar4			= "4";
	public static final String calendar5			= "5";
	public static final String calendar6			= "6";
	public static final String calendar7			= "7";

	public static final String statoL0					= "statoL0";
	public static final String statoL1					= "statoL1";
	public static final String statoL2					= "statoL2";
	public static final String statoL3					= "statoL3";

	public static final String privacy0					= "privacy0";
	public static final String privacy1					= "privacy1";
	public static final String privacy2					= "privacy2";
	public static final String privacy3					= "privacy3";

	public static final String ulogin0					= "ulogin0";
	public static final String ulogin1					= "ulogin1";
	public static final String ulogin2					= "ulogin2";
	
	public static final String size0					= "size0";
	public static final String size1					= "size1";
	public static final String size2					= "size2";
	public static final String size3					= "size3";
	public static final String size4					= "size4";
	public static final String size5					= "size5";
	public static final String size6					= "size6";
	public static final String size7					= "size7";

	public static final String attivoL0					= "attivoL0";
	public static final String attivoL1					= "attivoL1";
	public static final String attivoL2					= "attivoL2";
	public static final String logType0					= "logType0";
	public static final String logType1					= "logType1";
	public static final String logType2					= "logType2";
	public static final String logType3					= "logType3";
	public static final String otp0						= "otp0";
	public static final String otp1						= "otp1";
	public static final String otp2						= "otp2";
	public static final String otp3						= "otp3";
	public static final String richiamo0				= "richiamo0";
	public static final String richiamo1				= "richiamo1";
	public static final String appuntamento1			= "t_valore1";
	public static final String appuntamento2			= "t_valore2";
	public static final String timer0				= "timer0";
	public static final String timer1				= "timer1";
	public static final String timer2				= "timer2";
	public static final String nota1				= "t_valore1";
	public static final String nota2				= "t_valore2";
	public static final String NIENTE				= "---";

	public static final String rewrite0					= "rewrite0";
	public static final String rewrite1					= "rewrite1";
	public static final String rewrite2					= "rewrite2";
	public static final int agenti_tutti				= 0;
	public static final int agenti_autonomo 			= 1;
	public static final int agenti_pertinenza_regione 	= 2;
	public static final int agenti_pertinenza_provincia = 3;
	public static final int agenti_pertinenza_comune 	= 4;
	public static final int agenti_pertinenza_cap 		= 5;
	public static final int agenti_nessuno				= 6;
	public static final int agenti_personali			= 7;
	public static final int agenti_rete					= 8;
	public static final int agenti_sottorete			= 9;
	public static final int agenti_primalinea			= 10;
	public static final int ripeti_mai 					= 0;
	public static final int ripeti_giorno 				= 1;
	public static final int ripeti_settimana			= 2;
	public static final int ripeti_mese					= 3;
	public static final int ripeti_anno 				= 4;
	public static final String sceltaChiudi 				= "sceltaChiudi";
	public static final String sceltaOk 					= "sceltaOk";
	public static final String sceltaData 					= "sceltaData";
	public static final String sceltaInserisciContatto	 	= "sceltaInserisciContatto";
	public static final String sceltaModificaContatto 		= "sceltaModificaContatto";
	public static final String sceltaSondaggio 				= "sceltaSondaggio";
	public static final String sceltaTemplateEmail 			= "sceltaTemplateEmail";
	public static final String sceltaTemplateRmail 			= "sceltaTemplateRmail";
	public static final String sceltaTemplateTelecom	 	= "sceltaTemplateTelecom";
	public static final String sceltaProdotti 				= "sceltaProdotti";
	public static final String sceltaCampi 					= "sceltaCampi";
	public static final String sceltaVocalOrder 			= "sceltaVocalOrder";
	public static final String sceltaContrattoPda 			= "sceltaContrattoPda";
	public static final String sceltaRegistrazioni			= "sceltaRegistrazioni";
	public static final String sceltaCalendarioForm			= "sceltaCalendarioForm";
	public static final String sceltaCalendario 			= "sceltaCalendario";
	public static final String sceltaFinale 				= "sceltaFinale";
	
	public static final String[] a_query 		= 	new String[] {sql,txt};
	public static final String[] a_backup 		= 	new String[] {gz};
	public static final String[] a_sql 			= 	new String[] {sql, gz};
	public static final String[] a_immagini 	= 	new String[] {jpg,jpeg,gif,png,bmp,jpe,dib,jfif};
	public static final String[] a_template 	= 	new String[] {xls,xlt,xlsx,xltx,xlsm,xlsb,dbf,csv,txt,zip};
	public static final String[] a_convert 		= 	new String[] {xls,xlt,xlsx,xltx,xlsm,xlsb,dbf,csv,txt,ods,sxc,zip};
	public static final String[] a_excel 		=	new String[] {xls,xlt,xlsx,xltx,xlsm,xlsb,dbf,zip};
	public static final String[] a_xml 			=	new String[] {xml,json,zip};
	public static final String[] a_fattura 		= 	new String[] {xls,xlt,xlsx,xltx,xlsm};
	public static final String[] a_pda1 		= 	new String[] {pdf};
	public static final String[] a_pda2 		= 	new String[] {xls,xlt,xlsx,xltx,xlsm};
	public static final String[] a_audio1 		= 	new String[] {wav,gsm};
	public static final String[] a_audio2 		= 	new String[] {aac,ac3,aiff,opus,asf,mov,m4a,mp2,mp3,mp4,mpeg,ogg};
	public static final String[] a_busta 		= 	new String[] {pdf};
	public static final String[] a_xhtml 		= 	new String[] {xhtml,zip};
	public static final String[] a_html 		= 	new String[] {html};
	public static final String[] a_stream 		= 	new String[] {wav,mp3,ogg};
	public static final String[] a_aiuto 		= 	new String[] {pdf};
	public static final String[] a_command 		= 	new String[] {sh};
	public static final String[] a_compress 	= 	new String[] {zip};
	public static final String[] a_report	 	= 	new String[] {rptdesign};
	public static final String[] a_segreterie 	= 	new String[] {wav,gsm,txt};
	public static final String[] a_properties 	= 	new String[] {properties,zip};
	public static final String[] a_all 			= 	new String[] {html,htm,pdf,zip,bat,sh,rptdesign,xml,json,xlsx,xlsm,xlsb,xlt,xltx,xls,csv,dbf,txt,png,jpg,gif,jpeg,svg,bmp,vcf,ics,xhtml,fdf,doc,dot,docx,rtf,tif,tiff,jpe,dib,jfif,pcx,dcx,max,odt,sxw,wpd,ods,sxc,tsv,odp,sxi,ppt,odg,sql,mp3,opus,ogg,wav,aac,ac3,aiff,asf,mov,m4a,mp2,mp4,mpeg,lck,gz,log,cap};

	public static final Set<String> mapPrefisso = new LinkedHashSet<String>();
	static {
		mapPrefisso.add(prefisso_fisso);
		mapPrefisso.add(prefisso_mobile);
		mapPrefisso.add(prefisso_fax);
		mapPrefisso.add(prefisso_altro);
	}
	public static final Set<String> mapIndirizzo = new LinkedHashSet<String>();
	static {
		mapIndirizzo.add(indirizzo_regione);
		mapIndirizzo.add(indirizzo_provincia);
		mapIndirizzo.add(indirizzo_comune);
		mapIndirizzo.add(indirizzo_cap);
		mapIndirizzo.add(indirizzo_strada);
		mapIndirizzo.add(indirizzo_civico);
		mapIndirizzo.add(indirizzo_presso);
		mapIndirizzo.add(indirizzo_dettagli);
		mapIndirizzo.add(indirizzo_latitudine);
		mapIndirizzo.add(indirizzo_longitudine);
		mapIndirizzo.add(indirizzo_indirizzo_completo);
		mapIndirizzo.add(indirizzo_strada_completo);
		mapIndirizzo.add(indirizzo_comune_completo);
	}
	public static final Set<String> mapAnagrafica = new LinkedHashSet<String>();
	static {
		mapAnagrafica.add(anagrafica_id);
		mapAnagrafica.add(anagrafica_privacy);
		mapAnagrafica.add(anagrafica_data_inserimento);
		mapAnagrafica.add(anagrafica_sorgente);
		mapAnagrafica.add(anagrafica_denominazione);
		mapAnagrafica.add(anagrafica_cognome);
		mapAnagrafica.add(anagrafica_nome);
		mapAnagrafica.add(anagrafica_nome_completo);
		mapAnagrafica.add(anagrafica_ragione_sociale);
		mapAnagrafica.add(anagrafica_codice_fiscale);
		mapAnagrafica.add(anagrafica_partita_iva);
		mapAnagrafica.add(anagrafica_telefono_fisso);
		mapAnagrafica.add(anagrafica_telefono_mobile);
		mapAnagrafica.add(anagrafica_telefono_fax);
		mapAnagrafica.add(anagrafica_telefono_altro);
		mapAnagrafica.add(anagrafica_email);
		mapAnagrafica.add(anagrafica_link);
		mapAnagrafica.add(anagrafica_data_nascita);
		mapAnagrafica.add(anagrafica_luogo_nascita);
		mapAnagrafica.add(anagrafica_settore);
		mapAnagrafica.add(anagrafica_tipo);
		mapAnagrafica.add(anagrafica_sesso);
		mapAnagrafica.add(anagrafica_nota);
	};
	public static final Set<String> mapIndirizzoLegale = new LinkedHashSet<String>();
	static {
		mapIndirizzoLegale.add(indirizzo_legale_regione);
		mapIndirizzoLegale.add(indirizzo_legale_provincia);
		mapIndirizzoLegale.add(indirizzo_legale_comune);
		mapIndirizzoLegale.add(indirizzo_legale_cap);
		mapIndirizzoLegale.add(indirizzo_legale_strada);
		mapIndirizzoLegale.add(indirizzo_legale_civico);
		mapIndirizzoLegale.add(indirizzo_legale_presso);
		mapIndirizzoLegale.add(indirizzo_legale_dettagli);
		mapIndirizzoLegale.add(indirizzo_legale_latitudine);
		mapIndirizzoLegale.add(indirizzo_legale_longitudine);
		mapIndirizzoLegale.add(indirizzo_legale_indirizzo_completo);
		mapIndirizzoLegale.add(indirizzo_legale_strada_completo);
		mapIndirizzoLegale.add(indirizzo_legale_comune_completo);
	};
	public static final Set<String> mapIndirizzoOperativo = new LinkedHashSet<String>();
	static {
		mapIndirizzoOperativo.add(indirizzo_operativo_regione);
		mapIndirizzoOperativo.add(indirizzo_operativo_provincia);
		mapIndirizzoOperativo.add(indirizzo_operativo_comune);
		mapIndirizzoOperativo.add(indirizzo_operativo_cap);
		mapIndirizzoOperativo.add(indirizzo_operativo_strada);
		mapIndirizzoOperativo.add(indirizzo_operativo_civico);
		mapIndirizzoOperativo.add(indirizzo_operativo_presso);
		mapIndirizzoOperativo.add(indirizzo_operativo_dettagli);
		mapIndirizzoOperativo.add(indirizzo_operativo_latitudine);
		mapIndirizzoOperativo.add(indirizzo_operativo_longitudine);
		mapIndirizzoOperativo.add(indirizzo_operativo_indirizzo_completo);
		mapIndirizzoOperativo.add(indirizzo_operativo_strada_completo);
		mapIndirizzoOperativo.add(indirizzo_operativo_comune_completo);
	};
	
	public static final Set<String> mapConsenso = new LinkedHashSet<String>();
	static {
		mapConsenso.add(consenso_tfissoS);
		mapConsenso.add(consenso_tmobileS);
		mapConsenso.add(consenso_tfaxS);
		mapConsenso.add(consenso_taltroS);
		mapConsenso.add(consenso_emailS);
		mapConsenso.add(consenso_rmailS);
	};
	public static final Set<String> mapContatto = new LinkedHashSet<String>();
	static {	
		mapContatto.add(contatto_id);
		mapContatto.add(contatto_bloccato);
		mapContatto.add(contatto_data_creazione);
		mapContatto.add(contatto_data_archiviazione);
		mapContatto.add(contatto_data_presentazione);
		mapContatto.add(contatto_data_lavorazione);
		mapContatto.add(contatto_campagna_denominazione);
		mapContatto.add(contatto_campagna_codice);
		mapContatto.add(contatto_lista_denominazione);
		mapContatto.add(contatto_lista_codice);
		mapContatto.add(contatto_esito_chiamata);
		mapContatto.add(contatto_codice_chiamata);
		mapContatto.add(contatto_esito_archiviazione);
		mapContatto.add(contatto_codice_archiviazione);
		mapContatto.add(contatto_esito_generale);
		mapContatto.add(contatto_codice_generale);
		mapContatto.add(contatto_positivo);
		mapContatto.add(contatto_utile);
		mapContatto.add(contatto_chiuso);
		mapContatto.add(contatto_nota);
		mapContatto.add(contatto_telefono_predefinito);
		mapContatto.add(contatto_proprietario_denominazione);
		mapContatto.add(contatto_proprietario_codice);
		mapContatto.add(contatto_operatore_denominazione);
		mapContatto.add(contatto_operatore_codice);
		mapContatto.add(contatto_agente_denominazione);
		mapContatto.add(contatto_agente_codice);
		mapContatto.add(contatto_stato);
	};
	public static final Set<String> mapAppuntamento = new LinkedHashSet<String>();
	static {	
		mapAppuntamento.add(appuntamento_id);
		mapAppuntamento.add(appuntamento_bloccato);
		mapAppuntamento.add(appuntamento_data_creazione);
		mapAppuntamento.add(appuntamento_data_appuntamento);
		mapAppuntamento.add(appuntamento_ora_inizio);
		mapAppuntamento.add(appuntamento_ora_fine);
		mapAppuntamento.add(appuntamento_data_appuntamento);
		mapAppuntamento.add(appuntamento_data_conferma);
		mapAppuntamento.add(appuntamento_data_esito);
		mapAppuntamento.add(appuntamento_data_stato);
		mapAppuntamento.add(appuntamento_data_lavorazione);
		mapAppuntamento.add(appuntamento_nota);
		mapAppuntamento.add(appuntamento_operatore_denominazione);
		mapAppuntamento.add(appuntamento_operatore_codice);
		mapAppuntamento.add(appuntamento_agente_denominazione);
		mapAppuntamento.add(appuntamento_agente_codice);
		mapAppuntamento.add(appuntamento_utente_denominazione);
		mapAppuntamento.add(appuntamento_utente_codice);
		mapAppuntamento.add(appuntamento_esito_appuntamento);
		mapAppuntamento.add(appuntamento_codice_appuntamento);
		mapAppuntamento.add(appuntamento_stato);
		mapAppuntamento.add(appuntamento_localizzazione);
	};
	public static final Set<String> mapContratto = new LinkedHashSet<String>();
	static {	
		mapContratto.add(contratto_id);
		mapContratto.add(contratto_bloccato);
		mapContratto.add(contratto_data_creazione);
		mapContratto.add(contratto_data_contabile);
		mapContratto.add(contratto_data_stipula);
		mapContratto.add(contratto_data_attivazione);
		mapContratto.add(contratto_data_caricamento);
		mapContratto.add(contratto_data_esito);
		mapContratto.add(contratto_data_stato);
		mapContratto.add(contratto_data_lavorazione);
		mapContratto.add(contratto_nota);
		mapContratto.add(contratto_tipo_seriale);
		mapContratto.add(contratto_seriale);
		mapContratto.add(contratto_quantita);
		mapContratto.add(contratto_costo_scontato);
		mapContratto.add(contratto_operatore_denominazione);
		mapContratto.add(contratto_operatore_codice);
		mapContratto.add(contratto_agente_denominazione);
		mapContratto.add(contratto_agente_codice);
		mapContratto.add(contratto_utente_denominazione);
		mapContratto.add(contratto_utente_codice);
		mapContratto.add(contratto_categoria_denominazione);
		mapContratto.add(contratto_prodotto_denominazione);
		mapContratto.add(contratto_esito_contratto);
		mapContratto.add(contratto_codice_contratto);
		mapContratto.add(contratto_stato);
	};
	public static final Set<String> mapStoriaContatto = new LinkedHashSet<String>();
	static {
		mapStoriaContatto.add(storia_contatto_id);
		mapStoriaContatto.add(storia_contatto_data);
		mapStoriaContatto.add(storia_contatto_bloccato);
		mapStoriaContatto.add(storia_contatto_data_archiviazione);
		mapStoriaContatto.add(storia_contatto_data_presentazione);
		mapStoriaContatto.add(storia_contatto_campagna_denominazione);
		mapStoriaContatto.add(storia_contatto_campagna_codice);
		mapStoriaContatto.add(storia_contatto_lista_denominazione);
		mapStoriaContatto.add(storia_contatto_lista_codice);
		mapStoriaContatto.add(storia_contatto_esito_chiamata);
		mapStoriaContatto.add(storia_contatto_codice_chiamata);
		mapStoriaContatto.add(storia_contatto_esito_archiviazione);
		mapStoriaContatto.add(storia_contatto_codice_archiviazione);
		mapStoriaContatto.add(storia_contatto_esito_generale);
		mapStoriaContatto.add(storia_contatto_codice_generale);
		mapStoriaContatto.add(storia_contatto_proprietario_denominazione);
		mapStoriaContatto.add(storia_contatto_proprietario_codice);
		mapStoriaContatto.add(storia_contatto_operatore_denominazione);
		mapStoriaContatto.add(storia_contatto_operatore_codice);
		mapStoriaContatto.add(storia_contatto_agente_denominazione);
		mapStoriaContatto.add(storia_contatto_agente_codice);
		mapStoriaContatto.add(storia_contatto_nota);
		mapStoriaContatto.add(storia_contatto_stato);
		mapStoriaContatto.add(storia_contatto_positivo);
		mapStoriaContatto.add(storia_contatto_utile);
		mapStoriaContatto.add(storia_contatto_chiuso);
		mapStoriaContatto.add(storia_contatto_secondi_tot);
		mapStoriaContatto.add(storia_contatto_secondi_conv_eff);
		mapStoriaContatto.add(storia_contatto_secondi_conv_tot);
		mapStoriaContatto.add(storia_contatto_secondi_post);
		mapStoriaContatto.add(storia_contatto_secondi_pre);
		mapStoriaContatto.add(storia_contatto_secondi_rec);
		mapStoriaContatto.add(storia_contatto_secondi_attesa);
		mapStoriaContatto.add(storia_contatto_secondi_totH);
		mapStoriaContatto.add(storia_contatto_secondi_conv_effH);
		mapStoriaContatto.add(storia_contatto_secondi_conv_totH);
		mapStoriaContatto.add(storia_contatto_secondi_postH);
		mapStoriaContatto.add(storia_contatto_secondi_preH);
		mapStoriaContatto.add(storia_contatto_secondi_recH);
		mapStoriaContatto.add(storia_contatto_secondi_attesaH);
		mapStoriaContatto.add(storia_contatto_date_apertura);
		mapStoriaContatto.add(storia_contatto_date_chiamata);
		mapStoriaContatto.add(storia_contatto_date_risposta);
		mapStoriaContatto.add(storia_contatto_date_rec_inizio);
		mapStoriaContatto.add(storia_contatto_date_rec_fine);
		mapStoriaContatto.add(storia_contatto_date_fine);
		mapStoriaContatto.add(storia_contatto_date_esito);
		mapStoriaContatto.add(storia_contatto_date_attesa_inizio);
		mapStoriaContatto.add(storia_contatto_date_attesa_fine);
	}
	public static final Set<String> mapStoriaAppuntamento = new LinkedHashSet<String>();
	static {	
		mapStoriaAppuntamento.add(storia_appuntamento_id);
		mapStoriaAppuntamento.add(storia_appuntamento_data);
		mapStoriaAppuntamento.add(storia_appuntamento_bloccato);
		mapStoriaAppuntamento.add(storia_appuntamento_data_esito);
		mapStoriaAppuntamento.add(storia_appuntamento_data_stato);
		mapStoriaAppuntamento.add(storia_appuntamento_data_conferma);
		mapStoriaAppuntamento.add(storia_appuntamento_data_inizio);
		mapStoriaAppuntamento.add(storia_appuntamento_data_fine);
		mapStoriaAppuntamento.add(storia_appuntamento_nota);
		mapStoriaAppuntamento.add(storia_appuntamento_operatore_denominazione);
		mapStoriaAppuntamento.add(storia_appuntamento_operatore_codice);
		mapStoriaAppuntamento.add(storia_appuntamento_agente_denominazione);
		mapStoriaAppuntamento.add(storia_appuntamento_agente_codice);
		mapStoriaAppuntamento.add(storia_appuntamento_utente_denominazione);
		mapStoriaAppuntamento.add(storia_appuntamento_utente_codice);
		mapStoriaAppuntamento.add(storia_appuntamento_esito_appuntamento);
		mapStoriaAppuntamento.add(storia_appuntamento_codice_appuntamento);
		mapStoriaAppuntamento.add(storia_appuntamento_stato);
		mapStoriaAppuntamento.add(storia_appuntamento_localizzazione);
	}
	public static final Set<String> mapStoriaContratto = new LinkedHashSet<String>();
	static {	
		mapStoriaContratto.add(storia_contratto_id);
		mapStoriaContratto.add(storia_contratto_data);
		mapStoriaContratto.add(storia_contratto_bloccato);
		mapStoriaContratto.add(storia_contratto_data_esito);
		mapStoriaContratto.add(storia_contratto_data_stato);
		mapStoriaContratto.add(storia_contratto_data_contabile);
		mapStoriaContratto.add(storia_contratto_data_stipula);
		mapStoriaContratto.add(storia_contratto_data_attivazione);
		mapStoriaContratto.add(storia_contratto_data_caricamento);
		mapStoriaContratto.add(storia_contratto_categoria_denominazione);
		mapStoriaContratto.add(storia_contratto_prodotto_denominazione);
		mapStoriaContratto.add(storia_contratto_esito_contratto);
		mapStoriaContratto.add(storia_contratto_codice_contratto);
		mapStoriaContratto.add(storia_contratto_operatore_denominazione);
		mapStoriaContratto.add(storia_contratto_operatore_codice);
		mapStoriaContratto.add(storia_contratto_agente_denominazione);
		mapStoriaContratto.add(storia_contratto_agente_codice);
		mapStoriaContratto.add(storia_contratto_utente_denominazione);
		mapStoriaContratto.add(storia_contratto_utente_codice);
		mapStoriaContratto.add(storia_contratto_nota);
		mapStoriaContratto.add(storia_contratto_seriale);
		mapStoriaContratto.add(storia_contratto_tipo_seriale);
		mapStoriaContratto.add(storia_contratto_quantita);
		mapStoriaContratto.add(storia_contratto_costo_scontato);
		mapStoriaContratto.add(storia_contratto_stato);
	}
	public static final Set<String> telefonoMap = new LinkedHashSet<String>();
	static {
		telefonoMap.add(anagrafica_telefono_fisso);
		telefonoMap.add(anagrafica_telefono_mobile);
		telefonoMap.add(anagrafica_telefono_fax);
		telefonoMap.add(anagrafica_telefono_altro);
	}

	public static final Set<String> telefonoFMap = new LinkedHashSet<String>();
	static {
		telefonoFMap.add(telefono_fisso);
		telefonoFMap.add(telefono_mobile);
		telefonoFMap.add(telefono_fax);
		telefonoFMap.add(telefono_altro);
	}
	public static final Set<String> opposizioneIMap = new LinkedHashSet<String>();
	static {
		opposizioneIMap.add(opposizione_descrizione);
		opposizioneIMap.add(opposizione_segnalazione);
	}
	public static final Set<String> contrattoIMap = new LinkedHashSet<String>();
	static {
		contrattoIMap.add(chiave);
		contrattoIMap.add(contratto_data_contabile);
		contrattoIMap.add(contratto_data_stipula);
		contrattoIMap.add(contratto_data_attivazione);
		contrattoIMap.add(contratto_data_caricamento);
		contrattoIMap.add(contratto_costo_scontato);
		contrattoIMap.add(contratto_quantita);
		contrattoIMap.add(contratto_nota);
	}

	public static final Set<String> appuntamentoIMap = new LinkedHashSet<String>();
	static {
		appuntamentoIMap.add(chiave);
		appuntamentoIMap.add(appuntamento_data_appuntamento);
		appuntamentoIMap.add(appuntamento_nota);
	}
	public static final Set<String> contattoIMap = new LinkedHashSet<String>();
	static {
		contattoIMap.add(chiave);
		contattoIMap.add(contatto_nota);
		contattoIMap.add(consenso_tfissoS);
		contattoIMap.add(consenso_tmobileS);
		contattoIMap.add(consenso_tfaxS);
		contattoIMap.add(consenso_taltroS);
		contattoIMap.add(consenso_emailS);
		contattoIMap.add(consenso_rmailS);
	}
	public static final Set<String> anagraficaMap = new LinkedHashSet<String>();
	static {
		anagraficaMap.addAll(mapAnagrafica);
		anagraficaMap.addAll(mapIndirizzoLegale);
		anagraficaMap.addAll(mapIndirizzoOperativo);
		anagraficaMap.addAll(mapConsenso);
	}

	public static final Set<String> contrattoMap = new LinkedHashSet<String>();
	static {	
		contrattoMap.addAll(anagraficaMap);
		contrattoMap.addAll(mapContatto);
		contrattoMap.addAll(mapContratto);
	}

	public static final Set<String> contattoMap = new LinkedHashSet<String>();
	static {	
		contattoMap.addAll(anagraficaMap);
		contattoMap.addAll(mapContatto);
	}

	public static final Set<String> appuntamentoMap = new LinkedHashSet<String>();
	static {	
		appuntamentoMap.addAll(anagraficaMap);
		appuntamentoMap.addAll(mapContatto);
		appuntamentoMap.addAll(mapAppuntamento);
	}

	public static final Set<String> storiaContattoMap = new LinkedHashSet<String>();
	static {	
		storiaContattoMap.addAll(anagraficaMap);
		storiaContattoMap.addAll(mapContatto);
		storiaContattoMap.addAll(mapStoriaContatto);
	}
	public static final Set<String> storiaAppuntamentoMap = new LinkedHashSet<String>();
	static {	
		storiaAppuntamentoMap.addAll(anagraficaMap);
		storiaAppuntamentoMap.addAll(mapContatto);
		storiaAppuntamentoMap.addAll(mapAppuntamento);
		storiaAppuntamentoMap.addAll(mapStoriaAppuntamento);
	}
	public static final Set<String> storiaContrattoMap = new LinkedHashSet<String>();
	static {	
		storiaContrattoMap.addAll(anagraficaMap);
		storiaContrattoMap.addAll(mapContatto);
		storiaContrattoMap.addAll(mapContratto);
		storiaContrattoMap.addAll(mapStoriaContratto);
	}

	public static final Set<String> bustaMap = new LinkedHashSet<String>();
	static {
		bustaMap.addAll(mapIndirizzo);
		bustaMap.addAll(anagraficaMap);
	}

	public static final Set<String> destinatarioMap = new LinkedHashSet<String>();
	static {
		destinatarioMap.add(indirizzo_destinatario);
		destinatarioMap.addAll(mapIndirizzo);
		destinatarioMap.addAll(anagraficaMap);
	}

	public static final Set<String> totalS = new LinkedHashSet<String>();
	static {
		totalS.add(separatore);
		totalS.addAll(anagraficaMap);
		totalS.addAll(destinatarioMap);
		totalS.addAll(mapPrefisso);
		totalS.addAll(mapContatto);
		totalS.addAll(mapAppuntamento);
		totalS.addAll(mapContratto);
		totalS.addAll(mapStoriaContatto);
		totalS.addAll(mapStoriaAppuntamento);
		totalS.addAll(mapStoriaContratto);
	}

	public static final Set<String> totalM = new LinkedHashSet<String>();
	static {
		totalM.addAll(opposizioneIMap);
		totalM.addAll(contrattoIMap);
		totalM.addAll(appuntamentoIMap);
		totalM.addAll(contattoIMap);
		totalM.addAll(totalS);
	}
	public static final Set<String> anagraficaIOMap = new LinkedHashSet<String>();
	static {
		anagraficaIOMap.add(anagrafica_tipo);
		anagraficaIOMap.add(anagrafica_cognome);
		anagraficaIOMap.add(anagrafica_nome);
		anagraficaIOMap.add(anagrafica_nome_completo);
		anagraficaIOMap.add(anagrafica_ragione_sociale);
		anagraficaIOMap.add(anagrafica_codice_fiscale);
		anagraficaIOMap.add(anagrafica_partita_iva);
		anagraficaIOMap.add(anagrafica_settore);
		anagraficaIOMap.add(anagrafica_data_nascita);
		anagraficaIOMap.add(anagrafica_luogo_nascita);
		anagraficaIOMap.add(anagrafica_link);
		anagraficaIOMap.add(anagrafica_sesso);
		anagraficaIOMap.add(anagrafica_nota);
		anagraficaIOMap.add(anagrafica_telefono_fisso);
		anagraficaIOMap.add(anagrafica_telefono_mobile);
		anagraficaIOMap.add(anagrafica_telefono_fax);
		anagraficaIOMap.add(anagrafica_telefono_altro);
		anagraficaIOMap.add(anagrafica_email);
		anagraficaIOMap.add(indirizzo_legale_regione);
		anagraficaIOMap.add(indirizzo_legale_provincia);
		anagraficaIOMap.add(indirizzo_legale_comune);
		anagraficaIOMap.add(indirizzo_legale_cap);
		anagraficaIOMap.add(indirizzo_legale_strada);
		anagraficaIOMap.add(indirizzo_legale_civico);
		anagraficaIOMap.add(indirizzo_legale_presso);
		anagraficaIOMap.add(indirizzo_legale_dettagli);
		anagraficaIOMap.add(indirizzo_legale_latitudine);
		anagraficaIOMap.add(indirizzo_legale_longitudine);
		anagraficaIOMap.add(indirizzo_operativo_regione);
		anagraficaIOMap.add(indirizzo_operativo_provincia);
		anagraficaIOMap.add(indirizzo_operativo_comune);
		anagraficaIOMap.add(indirizzo_operativo_cap);
		anagraficaIOMap.add(indirizzo_operativo_strada);
		anagraficaIOMap.add(indirizzo_operativo_civico);
		anagraficaIOMap.add(indirizzo_operativo_presso);
		anagraficaIOMap.add(indirizzo_operativo_dettagli);
		anagraficaIOMap.add(indirizzo_operativo_latitudine);
		anagraficaIOMap.add(indirizzo_operativo_longitudine);
		anagraficaIOMap.add(consenso_tfissoS);
		anagraficaIOMap.add(consenso_tmobileS);
		anagraficaIOMap.add(consenso_tfaxS);
		anagraficaIOMap.add(consenso_taltroS);
		anagraficaIOMap.add(consenso_emailS);
		anagraficaIOMap.add(consenso_rmailS);
	}

	public static final Set<String> anagraficaIMap = new LinkedHashSet<String>();
	static {
		anagraficaIMap.addAll(anagraficaIOMap);
		anagraficaIMap.addAll(mapPrefisso);
	}
	
	public static final Set<String> ordineCampoMap = new LinkedHashSet<String>();
	static {
		ordineCampoMap.add(anagrafica_id);
		ordineCampoMap.addAll(anagraficaIOMap);
	}

	public static List<String> getSchedulatori() {
		List<String> list = new ArrayList<String>();
		list.add(email_giorno_appuntamenti);
		list.add(email_giorno_appuntamenti_pdf_admin);
		list.add(email_giorno_appuntamenti_pdf_agente);
		list.add(email_giorno_appuntamenti_storia);
		list.add(email_giorno_appuntamenti_xls_admin);
		list.add(email_giorno_appuntamenti_xls_agente);
		list.add(email_giorno_appuntamenti_anagrafica);
		list.add(email_giorno_calendar_anagrafica);
		list.add(email_giorno_contratti);
		list.add(email_giorno_anagrafiche_pdf);
		list.add(email_giorno_anagrafiche_xls);
		list.add(email_giorno_contratti_pdf_admin);
		list.add(email_giorno_contratti_pdf_agente);
		list.add(email_giorno_contratti_storia);
		list.add(email_giorno_contratti_xls_admin);
		list.add(email_giorno_contratti_xls_agente);
		list.add(email_giorno_contratti_anagrafica);
		list.add(email_giorno_generale);
		list.add(email_giorno_generale_storia);
		list.add(email_giorno_lavorato);
		list.add(email_giorno_lista);
		list.add(email_giorno_lista_storia);
		list.add(email_giorno_liste);
		list.add(email_giorno_liste_storia);
		list.add(email_giorno_marcature_pdf);
		list.add(email_giorno_marcature_xls);
		list.add(email_giorno_accessi_pdf);
		list.add(email_giorno_accessi_xls);
		list.add(email_giorno_note_pdf_admin);
		list.add(email_giorno_note_pdf_agente);
		list.add(email_giorno_note_xls_admin);
		list.add(email_giorno_note_xls_agente);
		list.add(email_giorno_operatore);
		list.add(email_giorno_operatore_storia);
		list.add(email_giorno_operazioni_pdf);
		list.add(email_giorno_operazioni_xls);
		list.add(email_giorno_pause_pdf);
		list.add(email_giorno_pause_xls);
		list.add(email_giorno_prenotazioni_pdf_admin);
		list.add(email_giorno_prenotazioni_pdf_agente);
		list.add(email_giorno_prenotazioni_xls_admin);
		list.add(email_giorno_prenotazioni_xls_agente);
		list.add(email_giorno_storia_appuntamento_pdf);
		list.add(email_giorno_storia_appuntamento_xls);
		list.add(email_giorno_storia_contatto_pdf);
		list.add(email_giorno_storia_contatto_xls);
		list.add(email_giorno_storia_contratto_pdf);
		list.add(email_giorno_storia_contratto_xls);
		list.add(email_giorno_team);
		list.add(email_giorno_zona);
		list.add(email_mese_appuntamenti);
		list.add(email_mese_appuntamenti_pdf_admin);
		list.add(email_mese_appuntamenti_pdf_agente);
		list.add(email_mese_appuntamenti_storia);
		list.add(email_mese_appuntamenti_xls_admin);
		list.add(email_mese_appuntamenti_xls_agente);
		list.add(email_mese_appuntamenti_anagrafica);
		list.add(email_mese_calendar_anagrafica);
		list.add(email_mese_contratti);
		list.add(email_mese_anagrafiche_pdf);
		list.add(email_mese_anagrafiche_xls);
		list.add(email_mese_contratti_pdf_admin);
		list.add(email_mese_contratti_pdf_agente);
		list.add(email_mese_contratti_storia);
		list.add(email_mese_contratti_xls_admin);
		list.add(email_mese_contratti_xls_agente);
		list.add(email_mese_contratti_anagrafica);
		list.add(email_mese_generale);
		list.add(email_mese_generale_storia);
		list.add(email_mese_lavorato);
		list.add(email_mese_lista);
		list.add(email_mese_lista_storia);
		list.add(email_mese_liste);
		list.add(email_mese_liste_storia);
		list.add(email_mese_marcature_pdf);
		list.add(email_mese_marcature_xls);
		list.add(email_mese_accessi_pdf);
		list.add(email_mese_accessi_xls);
		list.add(email_mese_note_pdf_admin);
		list.add(email_mese_note_pdf_agente);
		list.add(email_mese_note_xls_admin);
		list.add(email_mese_note_xls_agente);
		list.add(email_mese_operatore);
		list.add(email_mese_operatore_storia);
		list.add(email_mese_operazioni_pdf);
		list.add(email_mese_operazioni_xls);
		list.add(email_mese_pause_pdf);
		list.add(email_mese_pause_xls);
		list.add(email_mese_prenotazioni_pdf_admin);
		list.add(email_mese_prenotazioni_pdf_agente);
		list.add(email_mese_prenotazioni_xls_admin);
		list.add(email_mese_prenotazioni_xls_agente);
		list.add(email_mese_storia_appuntamento_pdf);
		list.add(email_mese_storia_appuntamento_xls);
		list.add(email_mese_storia_contatto_pdf);
		list.add(email_mese_storia_contatto_xls);
		list.add(email_mese_storia_contratto_pdf);
		list.add(email_mese_storia_contratto_xls);
		list.add(email_mese_team);
		list.add(email_mese_zona);
		list.add(email_settimana_appuntamenti);
		list.add(email_settimana_appuntamenti_pdf_admin);
		list.add(email_settimana_appuntamenti_pdf_agente);
		list.add(email_settimana_appuntamenti_storia);
		list.add(email_settimana_appuntamenti_xls_admin);
		list.add(email_settimana_appuntamenti_xls_agente);
		list.add(email_settimana_appuntamenti_anagrafica);
		list.add(email_settimana_calendar_anagrafica);
		list.add(email_settimana_contratti);
		list.add(email_settimana_anagrafiche_pdf);
		list.add(email_settimana_anagrafiche_xls);
		list.add(email_settimana_contratti_pdf_admin);
		list.add(email_settimana_contratti_pdf_agente);
		list.add(email_settimana_contratti_storia);
		list.add(email_settimana_contratti_xls_admin);
		list.add(email_settimana_contratti_xls_agente);
		list.add(email_settimana_contratti_anagrafica);
		list.add(email_settimana_generale);
		list.add(email_settimana_generale_storia);
		list.add(email_settimana_lavorato);
		list.add(email_settimana_lista);
		list.add(email_settimana_lista_storia);
		list.add(email_settimana_liste);
		list.add(email_settimana_liste_storia);
		list.add(email_settimana_marcature_pdf);
		list.add(email_settimana_marcature_xls);
		list.add(email_settimana_accessi_pdf);
		list.add(email_settimana_accessi_xls);
		list.add(email_settimana_note_pdf_admin);
		list.add(email_settimana_note_pdf_agente);
		list.add(email_settimana_note_xls_admin);
		list.add(email_settimana_note_xls_agente);
		list.add(email_settimana_operatore);
		list.add(email_settimana_operatore_storia);
		list.add(email_settimana_operazioni_pdf);
		list.add(email_settimana_operazioni_xls);
		list.add(email_settimana_pause_pdf);
		list.add(email_settimana_pause_xls);
		list.add(email_settimana_prenotazioni_pdf_admin);
		list.add(email_settimana_prenotazioni_pdf_agente);
		list.add(email_settimana_prenotazioni_xls_admin);
		list.add(email_settimana_prenotazioni_xls_agente);
		list.add(email_settimana_storia_appuntamento_pdf);
		list.add(email_settimana_storia_appuntamento_xls);
		list.add(email_settimana_storia_contatto_pdf);
		list.add(email_settimana_storia_contatto_xls);
		list.add(email_settimana_storia_contratto_pdf);
		list.add(email_settimana_storia_contratto_xls);
		list.add(email_settimana_team);
		list.add(email_settimana_zona);
		list.add(email_anno_appuntamenti);
		list.add(email_anno_appuntamenti_pdf_admin);
		list.add(email_anno_appuntamenti_pdf_agente);
		list.add(email_anno_appuntamenti_storia);
		list.add(email_anno_appuntamenti_xls_admin);
		list.add(email_anno_appuntamenti_xls_agente);
		list.add(email_anno_appuntamenti_anagrafica);
		list.add(email_anno_calendar_anagrafica);
		list.add(email_anno_contratti);
		list.add(email_anno_anagrafiche_pdf);
		list.add(email_anno_anagrafiche_xls);
		list.add(email_anno_contratti_pdf_admin);
		list.add(email_anno_contratti_pdf_agente);
		list.add(email_anno_contratti_storia);
		list.add(email_anno_contratti_xls_admin);
		list.add(email_anno_contratti_xls_agente);
		list.add(email_anno_contratti_anagrafica);
		list.add(email_anno_generale);
		list.add(email_anno_generale_storia);
		list.add(email_anno_lavorato);
		list.add(email_anno_lista);
		list.add(email_anno_lista_storia);
		list.add(email_anno_liste);
		list.add(email_anno_liste_storia);
		list.add(email_anno_marcature_pdf);
		list.add(email_anno_marcature_xls);
		list.add(email_anno_accessi_pdf);
		list.add(email_anno_accessi_xls);
		list.add(email_anno_note_pdf_admin);
		list.add(email_anno_note_pdf_agente);
		list.add(email_anno_note_xls_admin);
		list.add(email_anno_note_xls_agente);
		list.add(email_anno_operatore);
		list.add(email_anno_operatore_storia);
		list.add(email_anno_operazioni_pdf);
		list.add(email_anno_operazioni_xls);
		list.add(email_anno_pause_pdf);
		list.add(email_anno_pause_xls);
		list.add(email_anno_prenotazioni_pdf_admin);
		list.add(email_anno_prenotazioni_pdf_agente);
		list.add(email_anno_prenotazioni_xls_admin);
		list.add(email_anno_prenotazioni_xls_agente);
		list.add(email_anno_storia_appuntamento_pdf);
		list.add(email_anno_storia_appuntamento_xls);
		list.add(email_anno_storia_contatto_pdf);
		list.add(email_anno_storia_contatto_xls);
		list.add(email_anno_storia_contratto_pdf);
		list.add(email_anno_storia_contratto_xls);
		list.add(email_anno_team);
		list.add(email_anno_zona);
		list.add(invia_mail_prossimi_giorno_appuntamenti_pdf_admin);
		list.add(invia_mail_prossimi_giorno_appuntamenti_pdf_agente);
		list.add(invia_mail_prossimi_giorno_appuntamenti_scheda_admin);
		list.add(invia_mail_prossimi_giorno_appuntamenti_scheda_agente);
		list.add(invia_mail_prossimi_giorno_appuntamenti_concatena_admin);
		list.add(invia_mail_prossimi_giorno_appuntamenti_concatena_agente);
		list.add(invia_mail_prossimi_giorno_appuntamenti_xls_admin);
		list.add(invia_mail_prossimi_giorno_appuntamenti_xls_agente);
		list.add(invia_mail_prossimi_giorno_appuntamenti_anagrafica);
		list.add(invia_mail_prossimi_giorno_calendar_anagrafica);
		list.add(invia_mail_prossimi_mese_appuntamenti_pdf_admin);
		list.add(invia_mail_prossimi_mese_appuntamenti_pdf_agente);
		list.add(invia_mail_prossimi_mese_appuntamenti_scheda_admin);
		list.add(invia_mail_prossimi_mese_appuntamenti_scheda_agente);
		list.add(invia_mail_prossimi_mese_appuntamenti_concatena_admin);
		list.add(invia_mail_prossimi_mese_appuntamenti_concatena_agente);
		list.add(invia_mail_prossimi_mese_appuntamenti_xls_admin);
		list.add(invia_mail_prossimi_mese_appuntamenti_xls_agente);
		list.add(invia_mail_prossimi_mese_appuntamenti_anagrafica);
		list.add(invia_mail_prossimi_mese_calendar_anagrafica);
		list.add(invia_mail_prossimi_settimana_appuntamenti_pdf_admin);
		list.add(invia_mail_prossimi_settimana_appuntamenti_pdf_agente);
		list.add(invia_mail_prossimi_settimana_appuntamenti_scheda_admin);
		list.add(invia_mail_prossimi_settimana_appuntamenti_scheda_agente);
		list.add(invia_mail_prossimi_settimana_appuntamenti_concatena_admin);
		list.add(invia_mail_prossimi_settimana_appuntamenti_concatena_agente);
		list.add(invia_mail_prossimi_settimana_appuntamenti_xls_admin);
		list.add(invia_mail_prossimi_settimana_appuntamenti_xls_agente);
		list.add(invia_mail_prossimi_settimana_appuntamenti_anagrafica);
		list.add(invia_mail_prossimi_settimana_calendar_anagrafica);
		list.add(invia_mail_prossimi_anno_appuntamenti_pdf_admin);
		list.add(invia_mail_prossimi_anno_appuntamenti_pdf_agente);
		list.add(invia_mail_prossimi_anno_appuntamenti_scheda_admin);
		list.add(invia_mail_prossimi_anno_appuntamenti_scheda_agente);
		list.add(invia_mail_prossimi_anno_appuntamenti_concatena_admin);
		list.add(invia_mail_prossimi_anno_appuntamenti_concatena_agente);
		list.add(invia_mail_prossimi_anno_appuntamenti_xls_admin);
		list.add(invia_mail_prossimi_anno_appuntamenti_xls_agente);
		list.add(invia_mail_prossimi_anno_appuntamenti_anagrafica);
		list.add(invia_mail_prossimi_anno_calendar_anagrafica);
		list.add(invia_invoke_giorno);
		list.add(invia_invoke_mese);
		list.add(invia_invoke_settimana);
		list.add(invia_invoke_anno);
		list.add(invia_mail_sistema_scadenza);
		list.add(invia_mail_sistema_anomalia);
		list.add(genera_restart_sistema);
		list.add(genera_riavvia_sistema);
		list.add(genera_backup_sistema);
		list.add(genera_aggiornamento_sistema);
		list.add(genera_calendario_sistema);
		list.add(genera_pulizia_sistema);
		list.add(genera_pulizia_storage);
		list.add(genera_pulizia_anagrafiche);
		list.add(genera_pulizia_liste);
		list.add(genera_pulizia_opposizioni);
		list.add(genera_elimina_pausa);
		list.add(genera_elimina_marcatura);
		list.add(genera_elimina_accesso);
		list.add(genera_elimina_cdr);
		list.add(genera_elimina_cel);
		list.add(genera_elimina_autodialer);
		list.add(genera_elimina_comunicazione);
		list.add(genera_elimina_operazione);
		list.add(genera_elimina_webhook);
		list.add(genera_elimina_ricezione);
		list.add(genera_elimina_messaggio);
		list.add(genera_elimina_notizia);
		list.add(genera_elimina_notifica);
		list.add(genera_elimina_sondaggio);
		list.add(genera_elimina_posta);
		list.add(genera_elimina_registrazione);
		list.add(genera_elimina_storia);
		list.add(genera_elimina_allegato);
		list.add(genera_elimina_pda);
		list.add(genera_elimina_backup_import);
		list.add(genera_elimina_backup_database);
		return list;
	}
	public static final List<String> TIPI_RICERCA_TESTO = new ArrayList<String>();
	static {	
		TIPI_RICERCA_TESTO.add(RICERCA_STRING_TUTTO);
		TIPI_RICERCA_TESTO.add(RICERCA_STRING_SPECIFICA);
	}
	public static final List<String> TIPI_RICERCA_NUMERO = new ArrayList<String>();
	static {	
		TIPI_RICERCA_NUMERO.add(RICERCA_STRING_TUTTO);
		TIPI_RICERCA_NUMERO.add(RICERCA_STRING_MINORE);
		TIPI_RICERCA_NUMERO.add(RICERCA_STRING_MAGGIORE);
		TIPI_RICERCA_NUMERO.add(RICERCA_STRING_UGUALE);
		TIPI_RICERCA_NUMERO.add(RICERCA_STRING_INTERVALLO);
	}
	public static final List<String> TIPI_RICERCA_ALTRO = new ArrayList<String>();
	static {	
		TIPI_RICERCA_ALTRO.add(RICERCA_STRING_TUTTO);
		TIPI_RICERCA_ALTRO.add(RICERCA_STRING_SPECIFICA);
	}
	public static final List<String> temi = new ArrayList<String>();
	static {	
		temi.add(tema_A);
		temi.add(tema_B);
		temi.add(tema_0);
		temi.add(tema_1);
		temi.add(tema_2);
		temi.add(tema_3);
		temi.add(tema_4);
		temi.add(tema_5);
		temi.add(tema_6);
		temi.add(tema_7);
		temi.add(tema_8);
		temi.add(tema_9);
	}
	public static String getStampa() {
		List<String> list = new ArrayList<String>();
		list.add(html);
		list.add(pdf);
		list.add(doc);
		list.add(odt);
		list.add(sxw);
		list.add(rtf);
		list.add(txt);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getTransport() {
		List<String> list = new ArrayList<String>();
		list.add(T_UDP);
		list.add(T_TCP);
		list.add(T_TLS);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getLimite(int step, int max) {
		List<String> s = new ArrayList<String>();
		for (int i = 1; i <= max; i++) {
			s.add(Integer.valueOf(i*step).toString());
		}
		return ApplicationUtil.detoken(s, ConstantsGlobal.colonSeparator);
	}
	public static String getRemPrefisso() {
		return "";
	}
	public static String getAddPrefisso() {
		int as [] = {1,2,4,5,6,7,8,9};
		String numero1 = "0";
		String numero2 = "";
		List<String> s = new ArrayList<String>();
		for (int a : as) {
			s.add(a + ConstantsGlobal.pipeSeparator + numero1 + ConstantsGlobal.commaSeparator + numero2);
		}
		return ApplicationUtil.detoken(s, ConstantsGlobal.colonSeparator);
	}
	public static List<Integer> getTime(int max) {
		List<Integer> s = new ArrayList<Integer>();
		for (int i = 1; i <= max; i++) {
			s.add(Integer.valueOf(i*ConstantsGlobal.defaultTimeS));
		}
		return s;
	}
	public static List<Integer> getTimeAppuntamento() {
		return getTime(ConstantsGlobal.numTimeAppuntamento);
	}
	public static List<Integer> getTimeNota() {
		return getTime(ConstantsGlobal.numTimeNota);
	}
	public static String getTimeAppuntamentoString() {
		return ApplicationUtil.detoken(getTimeAppuntamento(), ConstantsGlobal.colonSeparator);
	}
	public static String getTimeNotaString() {
		return ApplicationUtil.detoken(getTimeNota(), ConstantsGlobal.colonSeparator);
	}
	public static String getLog() {
		List<String> list = new ArrayList<String>();
		list.add(LOG0);
		list.add(LOG1);
		list.add(LOG2);
		list.add(LOG3);
		list.add(LOG4);
		list.add(LOG5);
		list.add(LOG6);
		list.add(LOG7);
		list.add(LOG8);
		list.add(LOG9);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getEditor() {
		List<String> list = new ArrayList<String>();
		list.add(visual);
		list.add(source);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getCampagna() {
		List<String> list = new ArrayList<String>();
		list.add(campagna0);
		list.add(campagna1);
		list.add(campagna2);
		list.add(campagna3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getCalendario() {
		List<String> list = new ArrayList<String>();
		list.add(calendario0);
		list.add(calendario1);
		list.add(calendario2);
		list.add(calendario3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getCalendar() {
		List<String> list = new ArrayList<String>();
		list.add(calendar1);
		list.add(calendar2);
		list.add(calendar3);
		list.add(calendar4);
		list.add(calendar5);
		list.add(calendar6);
		list.add(calendar7);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getRichiami() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(si);
		list.add(chiama);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static List<String> getValoriStatici() {
		List<String> list = new ArrayList<String>();
		list.add(g729);
		list.add(alaw);
		list.add(ulaw);
		list.add(gsm);
		list.add(ilbc);
		list.add(speex);
		list.add(g722);
		list.add(g723);
		list.add(opus);
		return list;
	}
	public static String getValoriStaticiString() {
		List<String> nc = getValoriStatici();
		nc.add(0, VOID);
		return ApplicationUtil.detoken(nc, ConstantsGlobal.colonSeparator);
	}
	public static List<String> getErrori() {
		List<String> list = new ArrayList<String>();
		list.add("403");
		list.add("404");
		list.add("408");
		list.add("480");
		list.add("486");
		list.add("488");
		list.add("500");
		list.add("502");
		list.add("503");
		list.add("505");
		list.add("603");
		list.add("alo");
		list.add("anc");
		list.add("cnc");
		list.add("loc");
		list.add("nac");
		list.add("ntv");
		return list;
	}
	public static List<String> getSuoni() {
		List<String> list = new ArrayList<String>();
		list.add("ringin");
		list.add("ringout");
		list.add("bell");
		list.add("tone");
		return list;
	}
	public static List<String> getDtmf() {
		List<String> list = new ArrayList<String>();
		list.add("0");
		list.add("1");
		list.add("2");
		list.add("3");
		list.add("4");
		list.add("5");
		list.add("6");
		list.add("7");
		list.add("8");
		list.add("9");
		list.add("a");
		list.add("c");
		return list;
	}

	public static List<String> getAccettabili() {
		List<String> list = new ArrayList<String>();
		list.add(htm);
		list.add(html);
		list.add(xhtml);
		list.add(pdf);
		list.add(xls);
		list.add(xlt);
		list.add(xlsx);
		list.add(xltx);
		list.add(xlsm);
		list.add(xlsb);
		list.add(bmp);
		list.add(jpeg);
		list.add(svg);
		list.add(jpg);
		list.add(csv);
		list.add(dbf);
		list.add(txt);
		list.add(gif);
		list.add(png);
		list.add(fdf);
		list.add(dot);
		list.add(doc);
		list.add(docx);
		list.add(rtf);
		list.add(tif);
		list.add(tiff);
		list.add(jpe);
		list.add(dib);
		list.add(jfif);
		list.add(pcx);
		list.add(dcx);
		list.add(max);
		list.add(odt);
		list.add(sxw);
		list.add(wpd);
		list.add(ods);
		list.add(sxc);
		list.add(tsv);
		list.add(odp);
		list.add(sxi);
		list.add(ppt);
		list.add(odg);
		return list;
	}
	public static String audioSupportato() {
		List<String> list = new ArrayList<String>();
		list.add(VOID);
		list.addAll(audioSupportatoL());
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static List<String> audioSupportatoL() {
		List<String> list = new ArrayList<String>();
		if(ApplicationUtil.getPath(ConstantsGlobal.path_ffmpeg, true)) {
			list.add(aac);
			list.add(ac3);
			list.add(aiff);
			list.add(asf);
			list.add(mov);
			list.add(m4a);
			list.add(mp2);
			list.add(mp3);
			list.add(mp4);
			list.add(mpeg);
			list.add(ogg);
			list.add(opus);
		}
		return list;
	}
	public static List<String> audioConcatenabili() {
		List<String> list = new ArrayList<String>();
		list.add(aac);
		list.add(ac3);
		list.add(ogg);
		list.add(opus);
		list.add(mp2);
		list.add(mp3);
		return list;
	}
	public static String getPeriodo() {
		List<String> list = new ArrayList<String>();
		list.add(p_n);
		list.add(p_g);
		list.add(p_s);
		list.add(p_m);
		list.add(p_a);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getElementiEmailNotifica() {
		List<String> list = new ArrayList<String>();
		list.add(scheda_sondaggio);
		list.add(scheda_prodotto);
		list.add(scheda_anagrafica);
		list.add(scheda_contatto);
		list.add(scheda_appuntamento);
		list.add(scheda_contratto);
		list.add(file_registrazione);
		list.add(file_pda);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getElementiSchedaAnagrafica() {
		List<String> list = new ArrayList<String>();
		list.add(anagrafica);
		list.add(indirizzo_legale);
		list.add(indirizzo_operativo);
		list.add(consenso);
		list.add(dati_anagrafica);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getElementiSchedaContatto() {
		List<String> list = new ArrayList<String>();
		list.add(anagrafica);
		list.add(indirizzo_legale);
		list.add(indirizzo_operativo);
		list.add(consenso);
		list.add(dati_anagrafica);
		list.add(contatto);
		list.add(storia_contatto);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getElementiSchedaContratto() {
		List<String> list = new ArrayList<String>();
		list.add(anagrafica);
		list.add(indirizzo_legale);
		list.add(indirizzo_operativo);
		list.add(consenso);
		list.add(dati_anagrafica);
		list.add(contatto);
		list.add(storia_contatto);
		list.add(contratto);
		list.add(dati_contratto);
		list.add(storia_contratto);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getElementiSchedaAppuntamento() {
		List<String> list = new ArrayList<String>();
		list.add(anagrafica);
		list.add(indirizzo_legale);
		list.add(indirizzo_operativo);
		list.add(consenso);
		list.add(dati_anagrafica);
		list.add(contatto);
		list.add(storia_contatto);
		list.add(appuntamento);
		list.add(storia_appuntamento);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getElementiAnagrafica() {
		List<String> list = new ArrayList<String>();
		list.addAll(mapAnagrafica);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getElementiAllegati() {
		List<String> list = new ArrayList<String>();
		list.addAll(ApplicationUtil.asList(a_all));
		Collections.sort(list);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getElementiIndirizzoLegale() {
		List<String> list = new ArrayList<String>();
		list.addAll(mapIndirizzoLegale);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getElementiIndirizzoOperativo() {
		List<String> list = new ArrayList<String>();
		list.addAll(mapIndirizzoOperativo);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getElementiConsenso() {
		List<String> list = new ArrayList<String>();
		list.addAll(mapConsenso);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getElementiContatto() {
		List<String> list = new ArrayList<String>();
		list.addAll(mapContatto);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getElementiContratto() {
		List<String> list = new ArrayList<String>();
		list.addAll(mapContratto);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getElementiAppuntamento() {
		List<String> list = new ArrayList<String>();
		list.addAll(mapAppuntamento);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getBoolean() {
		List<String> list = new ArrayList<String>();
		list.add(TRUE);
		list.add(FALSE);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getNotifica() {
		List<String> list = new ArrayList<String>();
		list.add(notificaN);
		list.add(notifica0);
		list.add(notifica1);
		list.add(notifica2);
		list.add(notifica3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getLoginOTP() {
		List<String> list = new ArrayList<String>();
		list.add(otp0);
		list.add(otp1);
		list.add(otp2);
		list.add(otp3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getNotificaLogin() {
		List<String> list = new ArrayList<String>();
		list.add(notificaL0);
		list.add(notificaL1);
		list.add(notificaL2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getAdminLogin() {
		List<String> list = new ArrayList<String>();
		list.add(ulogin0);
		list.add(ulogin1);
		list.add(ulogin2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getSizeScreen() {
		List<String> list = new ArrayList<String>();
		list.add(size0);
		list.add(size1);
		list.add(size2);
		list.add(size3);
		list.add(size4);
		list.add(size5);
		list.add(size6);
		list.add(size7);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getStatiL() {
		List<String> list = new ArrayList<String>();
		list.add(statoL0);
		list.add(statoL1);
		list.add(statoL2);
		list.add(statoL3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getPrivacy() {
		List<String> list = new ArrayList<String>();
		list.add(privacy0);
		list.add(privacy1);
		list.add(privacy2);
		list.add(privacy3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getAttivoL() {
		List<String> list = new ArrayList<String>();
		list.add(attivoL0);
		list.add(attivoL1);
		list.add(attivoL2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getRewrite() {
		List<String> list = new ArrayList<String>();
		list.add(rewrite0);
		list.add(rewrite1);
		list.add(rewrite2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getLogType() {
		List<String> list = new ArrayList<String>();
		list.add(logType0);
		list.add(logType1);
		list.add(logType2);
		list.add(logType3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getRichiamo() {
		List<String> list = new ArrayList<String>();
		list.add(richiamo0);
		list.add(richiamo1);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getTimer() {
		List<String> list = new ArrayList<String>();
		list.add(timer0);
		list.add(timer1);
		list.add(timer2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getTipoEstrazione() {
		List<String> list = new ArrayList<String>();
		list.add(diretta);
		list.add(indiretta);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getDuplicatoTemplate() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(inline);
		list.addAll(getDuplicatoList());
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getDuplicatoForm() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.addAll(getDuplicatoList());
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getMostraStatistiche() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(destinatari);
		list.add(tutto);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getConsentiteForm() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(includi);
		list.add(escludi);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getDomande() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(singola);
		list.add(multipla);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getIndirizzi() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(aperto);
		list.add(menu);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getConsensi() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(telefonico);
		list.add(messaggistica);
		list.add(tutto);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getTipoAppuntamento() {
		List<String> list = new ArrayList<String>();
		list.add(appuntamento1);
		list.add(appuntamento2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getTipoPopup() {
		List<String> list = new ArrayList<String>();
		list.add( NIENTE);
		list.add("erratiPopup");
		list.add("unisciPopup-identificativo");
		list.add("unisciPopup-telefono_fisso");
		list.add("unisciPopup-telefono_mobile");
		list.add("unisciPopup-telefono_fax");
		list.add("unisciPopup-telefono_altro");
		list.add("unisciPopup-email");
		list.add("unisciPopup-link");
		list.add("unisciPopup-codice");
		list.add("unisciPopup-partita");
		list.add("pulisciPopup-identificativo");
		list.add("pulisciPopup-telefono_fisso");
		list.add("pulisciPopup-telefono_mobile");
		list.add("pulisciPopup-telefono_fax");
		list.add("pulisciPopup-telefono_altro");
		list.add("pulisciPopup-email");
		list.add("pulisciPopup-link");
		list.add("pulisciPopup-codice");
		list.add("pulisciPopup-partita");
		list.add("opposizionePopup-identificativo");
		list.add("opposizionePopup-telefono_fisso");
		list.add("opposizionePopup-telefono_mobile");
		list.add("opposizionePopup-telefono_fax");
		list.add("opposizionePopup-telefono_altro");
		list.add("opposizionePopup-email");
		list.add("opposizionePopup-link");
		list.add("opposizionePopup-codice");
		list.add("opposizionePopup-partita");
		list.add("vuotoPopup-identificativo");
		list.add("vuotoPopup-telefono_fisso");
		list.add("vuotoPopup-telefono_mobile");
		list.add("vuotoPopup-telefono_fax");
		list.add("vuotoPopup-telefono_altro");
		list.add("vuotoPopup-email");
		list.add("vuotoPopup-link");
		list.add("vuotoPopup-codice");
		list.add("vuotoPopup-partita");
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getTipoNota() {
		List<String> list = new ArrayList<String>();
		list.add(nota1);
		list.add(nota2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getImmediateGeneric() {
		List<String> list = new ArrayList<String>();
		list.add(immediate0);
		list.add(immediate1);
		list.add(immediate2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getToggleGeneric() {
		List<String> list = new ArrayList<String>();
		list.add(toggle0);
		list.add(toggle1);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getRegistrazione() {
		List<String> list = new ArrayList<String>();
		list.add(registrazione0);
		list.add(registrazione1);
		list.add(registrazione2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getInterni() {
		List<String> list = new ArrayList<String>();
		list.add(interno0);
		list.add(interno1);
		list.add(interno2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static List<String> getOrdineList() {
		List<String> geocodifica = new ArrayList<String>();
		geocodifica.add(indirizzo_legale + "_" + geocodifica + ConstantsGlobal.colonSeparator + ConstantsGlobal.asc);
		geocodifica.add(indirizzo_legale + "_" + geocodifica + ConstantsGlobal.colonSeparator + ConstantsGlobal.desc);
		geocodifica.add(indirizzo_operativo + "_" + geocodifica + ConstantsGlobal.colonSeparator + ConstantsGlobal.asc);
		geocodifica.add(indirizzo_operativo + "_" + geocodifica + ConstantsGlobal.colonSeparator + ConstantsGlobal.desc);
		return geocodifica;
	}
	public static String getDettaglioPannello() {
		List<String> list = new ArrayList<String>();
		list.add(autodialer0);
		list.add(autodialer1);
		list.add(autodialer2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getImmediateSemaforo() {
		List<String> list = new ArrayList<String>();
		list.add(semaforo0);
		list.add(semaforo1);
		list.add(semaforo2);
		list.add(semaforo3);
		list.add(semaforo4);
		list.add(semaforo5);
		list.add(semaforo6);
		list.add(semaforo7);
		list.add(semaforo8);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getImmediatePannello() {
		List<String> list = new ArrayList<String>();
		list.add(immediate0);
		list.add(immediate1);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getInserimento() {
		List<String> list = new ArrayList<String>();
		list.add(inserimento0);
		list.add(inserimento1);
		list.add(inserimento2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getLogin() {
		List<String> list = new ArrayList<String>();
		list.add(login0);
		list.add(login1);
		list.add(login2);
		list.add(login3);
		list.add(login4);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getValidatoreA() {
		List<String> list = new ArrayList<String>();
		list.add(validatore0);
		list.add(validatore1);
		list.add(validatore2);
		list.add(validatore3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getChat() {
		List<String> list = new ArrayList<String>();
		list.add(chat0);
		list.add(chat1);
		list.add(chat2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getRealtime() {
		List<String> list = new ArrayList<String>();
		list.add(realtime0);
		list.add(realtime1);
		list.add(realtime2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getPopup() {
		List<String> list = new ArrayList<String>();
		list.add(popup0);
		list.add(popup1);
		list.add(popup2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	
	public static String getValidatoreB() {
		List<String> list = new ArrayList<String>();
		list.add(validatore1);
		list.add(validatore2);
		list.add(validatore3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String getStoria() {
		List<String> list = new ArrayList<String>();
		list.add(storia0);
		list.add(storia1);
		list.add(storia2);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getIndirizzo() {
		List<String> list = new ArrayList<String>();
		list.add(indirizzo0);
		list.add(indirizzo1);
		list.add(indirizzo2);
		list.add(indirizzo3);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static String getPrecedenza() {
		List<String> list = new ArrayList<String>();
		list.add(no);
		list.add(campagna);
		list.add(tutto);
		return ApplicationUtil.detoken(list, ConstantsGlobal.colonSeparator);
	}
	public static List<String> getDuplicatoList() {
		List<String> list = new ArrayList<String>();
		list.add(all_a);
		list.add(all_b);
		list.add(all_c);
		list.add(all_d);
		return list;
	}
	public static List<String> getEncryptionList() {
		List<String> list = new ArrayList<String>();
		list.add(SSL);
		list.add(TLS);
		list.add(NONE);
		return list;
	}
	public static String getEncryption() {
		List<String> e = getEncryptionList();
		return ApplicationUtil.detoken(e, ConstantsGlobal.colonSeparator);
	}
	
	public static List<String> getProtocolList() {
		List<String> list = new ArrayList<String>();
		list.add(protocol1);
		list.add(protocol2);
		return list;
	}
	public static String getProtocol() {
		List<String> e = getProtocolList();
		return ApplicationUtil.detoken(e, ConstantsGlobal.colonSeparator);
	}

	public static List<Integer> getTipoCampo() {
		List<Integer> list = new ArrayList<Integer>();
		list.add(TIPO_APERTO);
		list.add(TIPO_LINK);
		list.add(TIPO_TELEFONICO);
		list.add(TIPO_COLOR);
		list.add(TIPO_REGULARE);
		list.add(TIPO_UNIVOCO);
		list.add(TIPO_BOOLEANO);
		list.add(TIPO_TEXTAREA);
		list.add(TIPO_EDITOR);
		list.add(TIPO_SPINNER);
		list.add(TIPO_SLIDER);
		list.add(TIPO_NUMERO);
		list.add(TIPO_INTERO);
		list.add(TIPO_BINARIO);
		list.add(TIPO_SUGGERIMENTO);
		list.add(TIPO_COMBOBOX);
		list.add(TIPO_ONEMENU);
		list.add(TIPO_ONERADIO);
		list.add(TIPO_INPLACEINPUT);
		list.add(TIPO_INPLACESELECT);
		list.add(TIPO_DATAORA);
		list.add(TIPO_DATA);
		list.add(TIPO_ORA);
		list.add(TIPO_MANYMENU);
		list.add(TIPO_MANYCHECKBOX);
		list.add(TIPO_PICKLIST);
		list.add(TIPO_FILE);
		return list;
	}
	public static List<Colore> f1 = new ArrayList<Colore>();
	public static List<Colore> f2 = new ArrayList<Colore>();
	static {
		f1.add(new Colore(5, ConstantsGlobal.color_red));
		f1.add(new Colore(1, ConstantsGlobal.color_blue));
		f2.add(new Colore(30, ConstantsGlobal.color_red));
		f2.add(new Colore(10, ConstantsGlobal.color_blue));
	}
	public static Map<Short, List<Colore>> getColori() {
		Map<Short, List<Colore>> colori = new LinkedHashMap<Short, List<Colore>>();
		colori.put(STATO_LOGIN, 					f1);
		colori.put(STATO_LOGOUT, 					f1);
		colori.put(STATO_HOME, 						f1);
		colori.put(STATO_PAUSA, 					f1);
		colori.put(STATO_SCHEDA_CONTATTO, 			f1);
		colori.put(STATO_CHIAMATA, 					f1);
		colori.put(STATO_CONVERSAZIONE, 			f1);
		colori.put(STATO_POST_CHIAMATA, 			f1);
		colori.put(STATO_ESITA_CONTATTO, 			f1);
		colori.put(STATO_ATTESA_CONTATTO,			f1);
		colori.put(STATO_LST_CAMPAGNE, 				f2);
		colori.put(STATO_LST_PRIVATE, 				f2);
		colori.put(STATO_LST_ARCHIVIATE, 			f2);
		colori.put(STATO_LST_CONTATTI, 				f2);
		colori.put(STATO_LST_APPUNTAMENTI, 			f2);
		colori.put(STATO_LST_CALENDARIO, 			f2);
		colori.put(STATO_LST_CONTRATTI, 			f2);
		colori.put(STATO_LST_MESSAGGISTICA,			f2);
		colori.put(STATO_LST_ESTRATTI, 				f2);
		colori.put(STATO_LST_STORICI, 				f2);
		colori.put(STATO_LST_PRENOTAZIONI, 			f2);
		colori.put(STATO_LST_REPORTISTICA, 			f2);
		colori.put(STATO_LST_NOTE, 					f2);
		colori.put(STATO_LST_RIPROGRAMMA, 			f2);
		colori.put(STATO_LST_CAMPAGNA, 				f2);
		colori.put(STATO_IMPORT_CONTATTO, 			f2);
		colori.put(STATO_IMPORT_CONTRATTO, 			f2);
		colori.put(STATO_IMPORT_APPUNTAMENTO, 		f2);
		return colori;
	}
	public static List<Short> getStato() {
		return new ArrayList<Short>(getColori().keySet());
	}
	public static List<Short> getPannello() {
		List<Short> ls = new ArrayList<Short>();
		ls.add(STATO_SCHEDA_CONTATTO);
		ls.add(STATO_CHIAMATA);
		ls.add(STATO_CONVERSAZIONE);
		ls.add(STATO_POST_CHIAMATA);
		ls.add(STATO_ESITA_CONTATTO);
		return ls;
	}
	public static List<Integer> getTipoStrade() {
		List<Integer> list = new ArrayList<Integer>();
		list.add(TIPO_STRADA_1);
		list.add(TIPO_STRADA_2);
		list.add(TIPO_STRADA_3);
		list.add(TIPO_STRADA_4);
		list.add(TIPO_STRADA_5);
		list.add(TIPO_STRADA_6);
		list.add(TIPO_STRADA_7);
		list.add(TIPO_STRADA_8);
		list.add(TIPO_STRADA_9);
		list.add(TIPO_STRADA_10);
		list.add(TIPO_STRADA_11);
		list.add(TIPO_STRADA_12);
		list.add(TIPO_STRADA_13);
		list.add(TIPO_STRADA_14);
		list.add(TIPO_STRADA_15);
		list.add(TIPO_STRADA_16);
		return list;
	}
	public static List<Integer> getAutoModalita() {
		List<Integer> list = new ArrayList<Integer>();
		list.add(autodialer_modalita0);
		list.add(autodialer_modalita1);
		list.add(autodialer_modalita2);
		list.add(autodialer_modalita3);
		return list;
	}
	public static List<Integer> getTipoAcconto() {
		List<Integer> list = new ArrayList<Integer>();
		list.add(tipo_acconto1);
		list.add(tipo_acconto2);
		list.add(tipo_acconto3);
		return list;
	}
	public static List<Integer> getRipetizioni() {
		List<Integer> list = new ArrayList<Integer>();
		list.add(ripeti_mai);
		list.add(ripeti_giorno);
		list.add(ripeti_settimana);
		list.add(ripeti_mese);
		list.add(ripeti_anno);
		return list;
	}
	public static List<Short> getOperazione() {
		List<Short> list = new ArrayList<Short>();
		list.add(OPERAZIONE_APRI_ARCHIVIATA);						
		list.add(OPERAZIONE_APRI_PANNELLO);						
		list.add(OPERAZIONE_APRI_PRIVATA);						
		list.add(OPERAZIONE_APRI_PUBBLICHE);						
		list.add(OPERAZIONE_CHIAMA);						
		list.add(OPERAZIONE_CONVERSAZIONE);	
		list.add(OPERAZIONE_FINE_CHIAMATA);	
		list.add(OPERAZIONE_APRI_POPUP);
		list.add(OPERAZIONE_ATTESA_CONTATTO);
		list.add(OPERAZIONE_ELIMINA_APPUNTAMENTO);						
		list.add(OPERAZIONE_ELIMINA_CONTATTO);						
		list.add(OPERAZIONE_ELIMINA_CONTRATTO);						
		list.add(OPERAZIONE_ELIMINA_PRENOTAZIONE);	
		list.add(OPERAZIONE_ELIMINA_NOTA);		
		list.add(OPERAZIONE_ELIMINA_STORIA_APPUNTAMENTO);						
		list.add(OPERAZIONE_ELIMINA_STORIA_CONTATTO);				
		list.add(OPERAZIONE_ELIMINA_STORIA_CONTRATTO);
		list.add(OPERAZIONE_ESITA_IRREPERIBILE);						
		list.add(OPERAZIONE_ESITA_NORMALE);			
		list.add(OPERAZIONE_VISUALIZZA_APPUNTAMENTO);								
		list.add(OPERAZIONE_VISUALIZZA_CONTATTO);								
		list.add(OPERAZIONE_VISUALIZZA_CONTRATTO);								
		list.add(OPERAZIONE_VISUALIZZA_PRENOTAZIONE);				
		list.add(OPERAZIONE_VISUALIZZA_NOTA);			
		list.add(OPERAZIONE_VISUALIZZA_STORIA_APPUNTAMENTO);								
		list.add(OPERAZIONE_VISUALIZZA_STORIA_CONTATTO);								
		list.add(OPERAZIONE_VISUALIZZA_STORIA_CONTRATTO);		
		list.add(OPERAZIONE_ELEMENTO_APPUNTAMENTO);						
		list.add(OPERAZIONE_ELEMENTO_CONTATTO);						
		list.add(OPERAZIONE_ELEMENTO_CONTRATTO);						
		list.add(OPERAZIONE_ELEMENTO_PRENOTAZIONE);		
		list.add(OPERAZIONE_ELEMENTO_NOTA);	
		list.add(OPERAZIONE_EXPORT_ACCONTO);						
		list.add(OPERAZIONE_EXPORT_APPUNTAMENTO);						
		list.add(OPERAZIONE_EXPORT_CONTATTO);						
		list.add(OPERAZIONE_EXPORT_CONTRATTO);						
		list.add(OPERAZIONE_EXPORT_ESTRATTO);						
		list.add(OPERAZIONE_EXPORT_PRENOTAZIONE);
		list.add(OPERAZIONE_EXPORT_STORIA_APPUNTAMENTO);						
		list.add(OPERAZIONE_EXPORT_STORIA_CONTATTO);						
		list.add(OPERAZIONE_EXPORT_STORIA_CONTRATTO);		
		list.add(OPERAZIONE_EXPORT_AUTO_CONTATTO);
		list.add(OPERAZIONE_EXPORT_NOTA);
		list.add(OPERAZIONE_INVIO_CONTATTO_MASSIVO);						
		list.add(OPERAZIONE_INVIO_EMAIL_MASSIVO);						
		list.add(OPERAZIONE_INVIO_RMAIL_MASSIVO);						
		list.add(OPERAZIONE_INVIO_TELECOM_MASSIVO);	
		list.add(OPERAZIONE_NAVIGAZIONE);	
		list.add(OPERAZIONE_HOME);	
		list.add(OPERAZIONE_LOGIN);						
		list.add(OPERAZIONE_LOGOUT);	
		list.add(OPERAZIONE_PAUSA);		
		list.add(OPERAZIONE_LST_APPUNTAMENTI);						
		list.add(OPERAZIONE_LST_ARCHIVIATE);						
		list.add(OPERAZIONE_LST_CALENDARIO);						
		list.add(OPERAZIONE_LST_CAMPAGNE);						
		list.add(OPERAZIONE_LST_CONTATTI);						
		list.add(OPERAZIONE_LST_CONTRATTI);						
		list.add(OPERAZIONE_LST_ESTRATTI);						
		list.add(OPERAZIONE_LST_MESSAGGISTICA);						
		list.add(OPERAZIONE_LST_PRENOTAZIONI);	
		list.add(OPERAZIONE_LST_NOTE);		
		list.add(OPERAZIONE_LST_PRIVATE);						
		list.add(OPERAZIONE_LST_STORICI);		
		list.add(OPERAZIONE_LST_REPORTISTICA);	
		list.add(OPERAZIONE_LST_CAMPAGNA);	
		list.add(OPERAZIONE_LST_RIPROGRAMMA);
		list.add(OPERAZIONE_REVERT_APPUNTAMENTO);						
		list.add(OPERAZIONE_REVERT_CONTATTO);						
		list.add(OPERAZIONE_REVERT_CONTRATTO);						
		list.add(OPERAZIONE_RIPROGRAMMA_ARCHIVIATO);						
		list.add(OPERAZIONE_RIPROGRAMMA_GENERICO);						
		list.add(OPERAZIONE_RIPROGRAMMA_PRIVATO);						
		list.add(OPERAZIONE_RIPROGRAMMA_PUBBLICO);						
		list.add(OPERAZIONE_RIPROGRAMMA_RESET);		
		list.add(OPERAZIONE_MODIFICA_CONTATTO);	
		list.add(OPERAZIONE_MODIFICA_APPUNTAMENTO);		
		list.add(OPERAZIONE_MODIFICA_CONTRATTO);		
		list.add(OPERAZIONE_SPOSTA_CONTATTO);	
		list.add(OPERAZIONE_SALVA_CONTATTO);	
		list.add(OPERAZIONE_SALVA_PRENOTAZIONE);	
		list.add(OPERAZIONE_IMPORT_CONTATTO);		
		list.add(OPERAZIONE_IMPORT_CONTRATTO);		
		list.add(OPERAZIONE_IMPORT_APPUNTAMENTO);	
		return list;
	}
	public static List<Integer> getAutoContatto() {
		List<Integer> list = new ArrayList<Integer>();
		list.add(CHIAMATA_INIZIALE);
		list.add(CHIAMATA_ATTIVA);
		list.add(CHIAMATA_INCORSO);
		list.add(CHIAMATA_RISPOSTA);
		list.add(CHIAMATA_CONGESTIONE);
		list.add(CHIAMATA_OCCUPATA);
		list.add(CHIAMATA_NONRISPOSTA);
		list.add(CHIAMATA_FALLITA);
		list.add(CHIAMATA_RIFIUTATA);
		list.add(CHIAMATA_RINGING);
		list.add(CHIAMATA_HANGUP);
		list.add(CHIAMATA_APERTA);
		list.add(CHIAMATA_AGGANCIATA);
		list.add(CHIAMATA_CHIUSURA);
		list.add(CHIAMATA_UP);
		list.add(CHIAMATA_SALTATA);
		list.add(CHIAMATA_SCHEDULATA);
		list.add(CHIAMATA_RIMOSSA);
		list.add(CHIAMATA_ESITATA);
		list.add(CHIAMATA_INBOUND);
		list.add(AGI_AGGANCIATA);
		list.add(AGI_PRENOTA);
		list.add(AGI_MACCHINA);
		list.add(AGI_ABBATTUTA);
		list.add(AGI_FALLITA);
		list.add(AGI_SALTATA);
		list.add(AGI_USCITA);
		list.add(AGI_INBOUND);
		return list;
	}

	public static List<String> getDisposition() {
		List<String> list = new ArrayList<String>();
		list.add("ANSWERED");
		list.add("BUSY");
		list.add("CONGESTION");
		list.add("FAILED");
		list.add("NO ANSWER");
		return list;
	}

	public static List<String> getLastapp() {
		List<String> list = new ArrayList<String>();
		list.add("AGI");
		list.add("AMD");
		list.add("Answer");
		list.add("AppDial");
		list.add("AppDial2");
		list.add("AppQueue");
		list.add("BackGround");
		list.add("ChanSpy");
		list.add("ConfBridge");
		list.add("Dial");
		list.add("ExecIf");
		list.add("Gosub");
		list.add("Goto");
		list.add("GotoIf");
		list.add("GotoIfTime");
		list.add("Hangup");
		list.add("MixMonitor");
		list.add("MusicOnHold");
		list.add("Park");
		list.add("ParkedCall");
		list.add("Playback");
		list.add("Progress");
		list.add("Queue");
		list.add("AddQueueMember");
		list.add("RemoveQueueMember");
		list.add("PauseQueueMember");
		list.add("UnpauseQueueMember");
		list.add("Return");
		list.add("Ringing");
		list.add("Set");
		list.add("System");
		list.add("NoCDR");
		list.add("NoOp");
		list.add("VoiceMail");
		list.add("VoiceMailMain");
		list.add("Wait");
		list.add("WaitForSilence");
		return list;
	}

	public static final List<String> TRANSIZIONI = new ArrayList<String>();
	static {	
		TRANSIZIONI.add(sceltaData);
		TRANSIZIONI.add(sceltaInserisciContatto);
		TRANSIZIONI.add(sceltaModificaContatto);
		TRANSIZIONI.add(sceltaSondaggio);
		TRANSIZIONI.add(sceltaCalendarioForm);
		TRANSIZIONI.add(sceltaCalendario);
		TRANSIZIONI.add(sceltaProdotti);
		TRANSIZIONI.add(sceltaCampi);
		TRANSIZIONI.add(sceltaVocalOrder);
		TRANSIZIONI.add(sceltaContrattoPda);
		TRANSIZIONI.add(sceltaRegistrazioni);
		TRANSIZIONI.add(sceltaTemplateEmail);
		TRANSIZIONI.add(sceltaTemplateRmail);
		TRANSIZIONI.add(sceltaTemplateTelecom);
	}
	public static final List<String> POPUP = new ArrayList<String>();
	static {	
		POPUP.add(sceltaOk);
		POPUP.addAll(TRANSIZIONI);
		POPUP.add(sceltaFinale);
	}
	public static final List<String> ruoli = new ArrayList<String>();
	static {
		ruoli.add(operatore);
		ruoli.add(coordinatore);
		ruoli.add(supervisore);
		ruoli.add(manager);
		ruoli.add(backoffice);
		ruoli.add(rete);
		ruoli.add(partner);
		ruoli.add(agente);
	};

	public static final List<String> consensi = new ArrayList<String>();
	static {
		consensi.add(c_telefono_fisso);
		consensi.add(c_telefono_mobile);
		consensi.add(c_telefono_fax);
		consensi.add(c_telefono_altro);
		consensi.add(c_email);
		consensi.add(c_rmail);
	}

	public static List<SelectItem> getSeparatoreList() {
		List<SelectItem> valore = new ArrayList<SelectItem>();
		valore.add(new SelectItem(";", ";"));
		valore.add(new SelectItem(",", ","));
		valore.add(new SelectItem(":", ":"));
		valore.add(new SelectItem("|", "|"));
		valore.add(new SelectItem(" ", "spazio"));
		valore.add(new SelectItem("\t", "tab"));
		return valore;
	}
	public static List<SelectItem> getQuoteList() {
		List<SelectItem> valore = new ArrayList<SelectItem>();
		valore.add(new SelectItem("", ""));
		valore.add(new SelectItem("'", "'"));
		valore.add(new SelectItem("\"", "\""));
		return valore;
	}

}