package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.model.config.ConfigGeneric;
import it.callite.utility.Configurazione;
public class DefaultsGeneric {
	public static final String KEY_APPLICATION_RELOAD = "application.reload_force";
	public static final String KEY_APPLICATION_NOTIFICA_LOGIN = "application.login_notifica";
	public static final String KEY_APPLICATION_ADMIN_LOGIN = "application.login_admin";
	public static final String KEY_APPLICATION_CAMBIO_PASSWORD = "application.cambio_password";
	public static final String KEY_APPLICATION_ACCESS_LOG_TYPE = "application.access_log_type";
	public static final String KEY_APPLICATION_DOWNLOAD_LOG_TYPE = "application.download_log_type";
	public static final String KEY_APPLICATION_UPLOAD_LOG_TYPE = "application.upload_log_type";
	public static final String KEY_APPLICATION_DOWNLOAD = "application.download_ajax";
	public static final String KEY_APPLICATION_URL = "application.url";
	public static final String KEY_APPLICATION_MUNIN = "application.munin";
	public static final String KEY_APPLICATION_MONIT = "application.monit";
	public static final String KEY_APPLICATION_ZABBIX = "application.zabbix";
	public static final String KEY_APPLICATION_CACHE = "application.cache";
	public static final String KEY_APPLICATION_WEBMIN = "application.webmin";
	public static final String KEY_APPLICATION_USERMIN = "application.usermin";
	public static final String KEY_APPLICATION_SMB = "application.smb";
	public static final String KEY_APPLICATION_VPN = "application.vpn";
	public static final String KEY_APPLICATION_VOIPMONITOR = "application.voipmonitor";
	public static final String KEY_APPLICATION_POSTFIX = "application.postfix";
	public static final String KEY_APPLICATION_DOVECOT = "application.dovecot";
	public static final String KEY_APPLICATION_SHELL = "application.shell";
	public static final String KEY_APPLICATION_SSH = "application.ssh";
	public static final String KEY_APPLICATION_DB = "application.db";
	public static final String KEY_APPLICATION_SQL = "application.sql";
	public static final String KEY_APPLICATION_NAME = "application.name";
	public static final String KEY_APPLICATION_ANOMALIA = "application.anomalia";
	public static final String KEY_APPLICATION_LOGIN = "application.controllo_login";
	public static final String KEY_APPLICATION_UTENTE = "application.controllo_utente";
	public static final String KEY_APPLICATION_SUPERUSER = "application.superuser";
	public static final String KEY_APPLICATION_PASSWORD = "application.password";
	public static final String KEY_APPLICATION_REGISTRA_POSTA = "application.registra_posta";
	public static final String KEY_APPLICATION_RECUPERA_ACCOUNT = "application.recupera_account";
	public static final String KEY_APPLICATION_AUTENTICAZIONE_OTP = "application.autenticazione_otp";
	public static final String KEY_APPLICATION_ABILITA_PRENOTAZIONE = "application.abilita_prenotazione";
	public static final String KEY_APPLICATION_INDIRIZZO_LOGIN1 = "application.indirizzo_login1";
	public static final String KEY_APPLICATION_INDIRIZZO_LOGIN2 = "application.indirizzo_login2";
	public static final String KEY_APPLICATION_MASSIMO_LOGIN1 = "application.massimo_login1";
	public static final String KEY_APPLICATION_MASSIMO_LOGIN2 = "application.massimo_login2";
	public static final String KEY_APPLICATION_MOSTRA_TIMER = "application.mostra_orologio";
	public static final String KEY_APPLICATION_MOSTRA_SCREEN = "application.mostra_schermo";
	public static final String KEY_APPLICATION_RESIZE_SCREEN = "application.resize_schermo";
	public static final String KEY_APPLICATION_MENU_SCREEN = "application.menu_schermo";
	public static final String KEY_APPLICATION_SIZE_SCREEN = "application.size_schermo";
	public static final String KEY_APPLICATION_NASCONDI_PASSWORD = "application.nascondi_password";
	public static final String KEY_APPLICATION_EMAIL_OBBLIGATORIA = "application.email_obbligatoria";
	public static final String KEY_APPLICATION_MODALITA_SITTER = "application.sitter_modalita";
	public static final String KEY_APPLICATION_INTERVALLO_PULIZIA = "application.intervallo_pulizia";
	public static final String KEY_APPLICATION_NOTIFICA_RICHIAMO = "application.imposta_notifica_richiamo";
	public static final String KEY_APPLICATION_AUDIO_SUPPORTATO = "application.audio_supportato";
	public static final String KEY_APPLICATION_MASSIMO_UTENTI = "application.massimo_utenti";
	public static final String KEY_APPLICATION_CREDITI = "application.crediti";
	public static final String KEY_APPLICATION_TASTO_SVILUPPO = "application.tasto_sviluppo";
	public static final String KEY_APPLICATION_BLOCCA_SHEET = "application.blocca_sheet";
	public static final String KEY_APPLICATION_PREAMBOLO_OPERATORE = "application.preambolo_operatore";
	public static final String KEY_APPLICATION_PREAMBOLO_UTENTE = "application.preambolo_utente";
	public static final String KEY_APPLICATION_PREAMBOLO_AGENTE = "application.preambolo_agente";
	public static final String KEY_APPLICATION_PREAMBOLO_FATTURA = "application.preambolo_fattura";
	public static final String KEY_APPLICATION_PREAMBOLO_ESTRATTO = "application.preambolo_estratto";
	public static final String KEY_APPLICATION_SELEZIONA_SERVER = "application.seleziona_server";
	public static final String KEY_APPLICATION_TOP_SCRIPT = "application.top_script";
	public static final String KEY_APPLICATION_BOTTOM_SCRIPT = "application.bottom_script";
	public static final String KEY_GEOCODIFICA_AUTOMATICA = "geocodifica.imposta_automatica";
	public static final String KEY_GEOCODIFICA_MAP = "geocodifica.chiave_map";
	public static final String KEY_GEOCODIFICA_IP = "geocodifica.chiave_ip";
	public static final String KEY_CAPTCHA_PUBLIC = "captcha.chiave_public";
	public static final String KEY_CAPTCHA_PRIVATE = "captcha.chiave_private";
	public static final String KEY_DOCUMENTO_PASSWORD_XLS = "documenti.password_XLS";
	public static final String KEY_DOCUMENTO_PASSWORD_ZIP = "documenti.password_ZIP";
	public static final String KEY_DOCUMENTO_PASSWORD_TXT = "documenti.password_TXT";
	public static final String KEY_DOCUMENTO_PASSWORD_PDF = "documenti.password_PDF";
	public static final String KEY_DOCUMENTO_PASSWORD_LCK = "documenti.password_LCK";
	public static final String KEY_DOCUMENTO_PERMIT_DOWNLOAD = "documenti.permit_download";
	public static final String KEY_DOCUMENTO_PERCORSO = "documenti.percorso";
	public static final String KEY_DOCUMENTO_FORMATO = "documenti.formato";
	public static final String KEY_OPENOFFICE_PORT = "openoffice.port";
	public static final String KEY_OPENOFFICE_URL = "openoffice.url";
	public static final String KEY_INVIO_MAIL_AMMINISTRAZIONE = "email.amministrazione";
	public static final String KEY_INVIO_MAIL_NOTIFICA = "email.notifica";
	public static final String KEY_INVIO_MAIL_POSTA = "email.posta";
	public static final String KEY_INVIO_MAIL_LOGIN = "email.login";
	public static final String KEY_INVIO_MAIL_SCADENZA = "email.scadenza";
	public static final String KEY_INVIO_MAIL_ANOMALIA = "email.anomalia";
	public static final String KEY_INVIO_MAIL_REPORT_OPERATORE = "email.report_operatore";
	public static final String KEY_INVIO_MAIL_REPORT_REGISTRO = "email.report_registro";
	public static final String KEY_INVIO_MAIL_REPORT_LISTA = "email.report_lista";
	public static final String KEY_INVIO_MAIL_REPORT_APPUNTAMENTO = "email.report_appuntamento";
	public static final String KEY_INVIO_MAIL_REPORT_CONTRATTO = "email.report_contratto";
	public static final String KEY_INVIO_MAIL_REPORT_CONTATTO = "email.report_contatto";
	public static final String KEY_INVIO_MAIL_REPORT_NOTA = "email.report_nota";
	public static final String KEY_INVIO_MAIL_REPORT_PRENOTAZIONE = "email.report_prenotazione";
	public static final String KEY_INVIO_MAIL_REPORT_TEAM = "email.report_team";
	public static final String KEY_INVIO_MAIL_REPORT_ZONA = "email.report_zona";
	public static final String KEY_INVIO_MAIL_EXPORT_BACKGROUND = "email.export_background";
	public static final String KEY_INVIO_MAIL_IMPORT_BACKGROUND = "email.import_background";
	public static final String KEY_PHONE_INTERNO_MULTIPLO = "phone.interno.multiplo";
	public static final String KEY_PHONE_VISUALIZZA_CONTROLLI = "phone.visualizza_controlli";
	public static final String KEY_PHONE_RIPRODUCI_AUDIO = "phone.riproduci.audio";
	public static final String KEY_PHONE_LICENZA = "phone.licenza";
	public static final String KEY_PHONE_CODEC = "phone.codec";
	public static final String KEY_PHONE_SERVER = "phone.server";
	public static final String KEY_PHONE_SIP_TRANSPORT = "phone.sip_transport";
	public static final String KEY_PHONE_SIP_AEC = "phone.sip_abilita_aec";
	public static final String KEY_PHONE_SIP_AGC = "phone.sip_abilita_agc";
	public static final String KEY_PHONE_PORTA = "phone.porta";
	public static final String KEY_PHONE_WSS = "phone.wss";
	public static final String KEY_PHONE_RPTPORT1 = "phone.range_udp1";
	public static final String KEY_PHONE_RPTPORT2 = "phone.range_udp2";
	public static final String KEY_PHONE_MESSAGGI_POPUP = "phone.popup_messaggi";
	public static final String KEY_PHONE_DOMINIO = "phone.dominio";
	public static final String KEY_PHONE_STUN_SERVER = "phone.sip_stun_server";
	public static final String KEY_PHONE_STUN_PORT = "phone.sip_stun_port";
	public static final String KEY_PHONE_TIMEOUT_REGISTRAZIONE = "phone.telefono_timeout";
	public static final String KEY_PHONE_REGISTRAZIONE_LOCALE = "phone.registrazione_locale";
	public static final String KEY_PHONE_REGISTRAZIONE_REMOTA = "phone.registrazione_remota";
	public static final String KEY_PHONE_CONTROLLO_TIMER = "phone.controllo_timer";
	public static final String KEY_PHONE_CONTROLLO_INTERNI = "phone.visualizza_interni";
	public static final String KEY_PHONE_MONITOR_INTERNI = "phone.monitor_interni";
	public static final String KEY_MESSAGGISTICA_ALLEGATO_COMPRESSO = "messaggistica.allegato_compresso";
	public static final String KEY_MESSAGGISTICA_MOSTRA_STATISTICHE = "messaggistica.mostra_statistiche";
	public static final String KEY_MESSAGGISTICA_NOTIFICA_HOME = "messaggistica.imposta_notifica_home";
	public static final String KEY_MESSAGGISTICA_NOTIFICA_RAPIDA = "messaggistica.imposta_notifica_rapida";
	public static final String KEY_MESSAGGISTICA_NOTIFICA_ISTANTANEA = "messaggistica.notifica_istantanea";
	public static final String KEY_PASSWORD_MIN_TOTALE = "password.password_min_totale";
	public static final String KEY_PASSWORD_MIN_LETTERE = "password.password_min_lettere";
	public static final String KEY_PASSWORD_MIN_MINUSCOLE = "password.password_min_minuscole";
	public static final String KEY_PASSWORD_MIN_MAIUSCOLE = "password.password_min_maiuscole";
	public static final String KEY_PASSWORD_MIN_NUMERI = "password.password_min_numeri";
	public static final String KEY_PASSWORD_MIN_SIMBOLI = "password.password_min_simboli";
	public static final String KEY_PASSWORD_OBBLIGA_CAMBIO = "password.obbliga_cambio";
	public static final String KEY_PASSWORD_EMAIL_CAMBIO = "password.email_cambio";
	public static final Map<String, ConfigGeneric> DEFAULTS;

	static {
		Map<String, ConfigGeneric> aMap = new HashMap<String, ConfigGeneric>();
		aMap.put(KEY_APPLICATION_SUPERUSER, new ConfigGeneric(KEY_APPLICATION_SUPERUSER, "", ".+", ConstantsGlobal.stringa, true, false));
		aMap.put(KEY_APPLICATION_INTERVALLO_PULIZIA, new ConfigGeneric(KEY_APPLICATION_INTERVALLO_PULIZIA, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_PASSWORD, new ConfigGeneric(KEY_APPLICATION_PASSWORD, Configurazione.getVariabile(KEY_APPLICATION_PASSWORD),  ".+", ConstantsGlobal.password, true, true));
		aMap.put(KEY_APPLICATION_LOGIN, new ConfigGeneric(KEY_APPLICATION_LOGIN, ConstantsMap.login1, ConstantsMap.getLogin(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_UTENTE, new ConfigGeneric(KEY_APPLICATION_UTENTE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_MASSIMO_UTENTI, new ConfigGeneric(KEY_APPLICATION_MASSIMO_UTENTI, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_ANOMALIA, new ConfigGeneric(KEY_APPLICATION_ANOMALIA, "90", "[0-9]{2}", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_NAME, new ConfigGeneric(KEY_APPLICATION_NAME, ConstantsLanguage.APPNAME.stampa(), ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_URL, new ConfigGeneric(KEY_APPLICATION_URL, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_LINK), ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_MONIT, new ConfigGeneric(KEY_APPLICATION_MONIT, Configurazione.getVariabile(KEY_APPLICATION_MONIT), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_WEBMIN, new ConfigGeneric(KEY_APPLICATION_WEBMIN, Configurazione.getVariabile(KEY_APPLICATION_WEBMIN), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_USERMIN, new ConfigGeneric(KEY_APPLICATION_USERMIN, Configurazione.getVariabile(KEY_APPLICATION_USERMIN), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_SMB, new ConfigGeneric(KEY_APPLICATION_SMB, Configurazione.getVariabile(KEY_APPLICATION_SMB), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_MUNIN, new ConfigGeneric(KEY_APPLICATION_MUNIN, Configurazione.getVariabile(KEY_APPLICATION_MUNIN), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_ZABBIX, new ConfigGeneric(KEY_APPLICATION_ZABBIX, Configurazione.getVariabile(KEY_APPLICATION_ZABBIX), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_CACHE, new ConfigGeneric(KEY_APPLICATION_CACHE, Configurazione.getVariabile(KEY_APPLICATION_CACHE), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_VOIPMONITOR, new ConfigGeneric(KEY_APPLICATION_VOIPMONITOR, Configurazione.getVariabile(KEY_APPLICATION_VOIPMONITOR), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_VPN, new ConfigGeneric(KEY_APPLICATION_VPN, Configurazione.getVariabile(KEY_APPLICATION_VPN), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_POSTFIX, new ConfigGeneric(KEY_APPLICATION_POSTFIX, Configurazione.getVariabile(KEY_APPLICATION_POSTFIX), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_DOVECOT, new ConfigGeneric(KEY_APPLICATION_DOVECOT, Configurazione.getVariabile(KEY_APPLICATION_DOVECOT), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_SHELL, new ConfigGeneric(KEY_APPLICATION_SHELL, Configurazione.getVariabile(KEY_APPLICATION_SHELL), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_SSH, new ConfigGeneric(KEY_APPLICATION_SSH, Configurazione.getVariabile(KEY_APPLICATION_SSH), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_DB, new ConfigGeneric(KEY_APPLICATION_DB, Configurazione.getVariabile(KEY_APPLICATION_DB), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_SQL, new ConfigGeneric(KEY_APPLICATION_SQL, Configurazione.getVariabile(KEY_APPLICATION_SQL), "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_RELOAD, new ConfigGeneric(KEY_APPLICATION_RELOAD, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_CREDITI, new ConfigGeneric(KEY_APPLICATION_CREDITI, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_ACCESS_LOG_TYPE, new ConfigGeneric(KEY_APPLICATION_ACCESS_LOG_TYPE, ConstantsMap.logType3, ConstantsMap.getLogType(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_UPLOAD_LOG_TYPE, new ConfigGeneric(KEY_APPLICATION_UPLOAD_LOG_TYPE, ConstantsMap.logType3, ConstantsMap.getLogType(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_DOWNLOAD_LOG_TYPE, new ConfigGeneric(KEY_APPLICATION_DOWNLOAD_LOG_TYPE, ConstantsMap.logType3, ConstantsMap.getLogType(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_CAMBIO_PASSWORD, new ConfigGeneric(KEY_APPLICATION_CAMBIO_PASSWORD, "0", "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_ADMIN_LOGIN, new ConfigGeneric(KEY_APPLICATION_ADMIN_LOGIN, ConstantsMap.ulogin1, ConstantsMap.getAdminLogin(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_NOTIFICA_LOGIN, new ConfigGeneric(KEY_APPLICATION_NOTIFICA_LOGIN, ConstantsMap.notificaL0, ConstantsMap.getNotificaLogin(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_REGISTRA_POSTA, new ConfigGeneric(KEY_APPLICATION_REGISTRA_POSTA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_RECUPERA_ACCOUNT, new ConfigGeneric(KEY_APPLICATION_RECUPERA_ACCOUNT, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_INDIRIZZO_LOGIN1, new ConfigGeneric(KEY_APPLICATION_INDIRIZZO_LOGIN1, "", ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_INDIRIZZO_LOGIN2, new ConfigGeneric(KEY_APPLICATION_INDIRIZZO_LOGIN2, "", ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_APPLICATION_MASSIMO_LOGIN1, new ConfigGeneric(KEY_APPLICATION_MASSIMO_LOGIN1, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_MASSIMO_LOGIN2, new ConfigGeneric(KEY_APPLICATION_MASSIMO_LOGIN2, "3", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_AUTENTICAZIONE_OTP, new ConfigGeneric(KEY_APPLICATION_AUTENTICAZIONE_OTP, ConstantsMap.otp1, ConstantsMap.getLoginOTP(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_ABILITA_PRENOTAZIONE, new ConfigGeneric(KEY_APPLICATION_ABILITA_PRENOTAZIONE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_MODALITA_SITTER, new ConfigGeneric(KEY_APPLICATION_MODALITA_SITTER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_NASCONDI_PASSWORD, new ConfigGeneric(KEY_APPLICATION_NASCONDI_PASSWORD, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_MOSTRA_TIMER, new ConfigGeneric(KEY_APPLICATION_MOSTRA_TIMER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_MOSTRA_SCREEN, new ConfigGeneric(KEY_APPLICATION_MOSTRA_SCREEN, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_RESIZE_SCREEN, new ConfigGeneric(KEY_APPLICATION_RESIZE_SCREEN, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_MENU_SCREEN, new ConfigGeneric(KEY_APPLICATION_MENU_SCREEN, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_SIZE_SCREEN, new ConfigGeneric(KEY_APPLICATION_SIZE_SCREEN, ConstantsMap.size6, ConstantsMap.getSizeScreen(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_EMAIL_OBBLIGATORIA, new ConfigGeneric(KEY_APPLICATION_EMAIL_OBBLIGATORIA, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_NOTIFICA_RICHIAMO, new ConfigGeneric(KEY_APPLICATION_NOTIFICA_RICHIAMO, ConstantsMap.richiamo0, ConstantsMap.getRichiamo(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_AUDIO_SUPPORTATO, new ConfigGeneric(KEY_APPLICATION_AUDIO_SUPPORTATO, ConstantsMap.VOID, ConstantsMap.audioSupportato(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_APPLICATION_PREAMBOLO_OPERATORE, new ConfigGeneric(KEY_APPLICATION_PREAMBOLO_OPERATORE, ConstantsGlobal.u_operatore, ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_PREAMBOLO_UTENTE, new ConfigGeneric(KEY_APPLICATION_PREAMBOLO_UTENTE, ConstantsGlobal.u_utente, ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_PREAMBOLO_AGENTE, new ConfigGeneric(KEY_APPLICATION_PREAMBOLO_AGENTE, ConstantsGlobal.u_agente, ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_PREAMBOLO_FATTURA, new ConfigGeneric(KEY_APPLICATION_PREAMBOLO_FATTURA, ConstantsGlobal.u_fattura, ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_PREAMBOLO_ESTRATTO, new ConfigGeneric(KEY_APPLICATION_PREAMBOLO_ESTRATTO, ConstantsGlobal.u_estratto, ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_APPLICATION_BOTTOM_SCRIPT, new ConfigGeneric(KEY_APPLICATION_BOTTOM_SCRIPT, "",  ".+" , ConstantsGlobal.testo, false, true));
		aMap.put(KEY_APPLICATION_TOP_SCRIPT, new ConfigGeneric(KEY_APPLICATION_TOP_SCRIPT, "",  ".+" , ConstantsGlobal.testo, false, true));
		aMap.put(KEY_APPLICATION_DOWNLOAD, new ConfigGeneric(KEY_APPLICATION_DOWNLOAD, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_TASTO_SVILUPPO, new ConfigGeneric(KEY_APPLICATION_TASTO_SVILUPPO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_BLOCCA_SHEET, new ConfigGeneric(KEY_APPLICATION_BLOCCA_SHEET, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_APPLICATION_SELEZIONA_SERVER, new ConfigGeneric(KEY_APPLICATION_SELEZIONA_SERVER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_GEOCODIFICA_AUTOMATICA, new ConfigGeneric(KEY_GEOCODIFICA_AUTOMATICA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_GEOCODIFICA_MAP, new ConfigGeneric(KEY_GEOCODIFICA_MAP, "",  "[0-9a-zA-Z]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_GEOCODIFICA_IP, new ConfigGeneric(KEY_GEOCODIFICA_IP, "",  "[0-9a-zA-Z]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_CAPTCHA_PRIVATE, new ConfigGeneric(KEY_CAPTCHA_PRIVATE, "",  ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_CAPTCHA_PUBLIC, new ConfigGeneric(KEY_CAPTCHA_PUBLIC, "",  ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_DOCUMENTO_PERMIT_DOWNLOAD, new ConfigGeneric(KEY_DOCUMENTO_PERMIT_DOWNLOAD, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_DOCUMENTO_PERCORSO, new ConfigGeneric(KEY_DOCUMENTO_PERCORSO, "/" + Configurazione.getVariabile(KEY_DOCUMENTO_PERCORSO) + "/",  ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_DOCUMENTO_PASSWORD_ZIP, new ConfigGeneric(KEY_DOCUMENTO_PASSWORD_ZIP, "",  ".+" , ConstantsGlobal.password, false, true));
		aMap.put(KEY_DOCUMENTO_PASSWORD_TXT, new ConfigGeneric(KEY_DOCUMENTO_PASSWORD_TXT, "",  ".+" , ConstantsGlobal.password, false, true));
		aMap.put(KEY_DOCUMENTO_PASSWORD_XLS, new ConfigGeneric(KEY_DOCUMENTO_PASSWORD_XLS, "",  ".+" , ConstantsGlobal.password, false, true));
		aMap.put(KEY_DOCUMENTO_PASSWORD_PDF, new ConfigGeneric(KEY_DOCUMENTO_PASSWORD_PDF, "",  ".+" , ConstantsGlobal.password, false, true));
		aMap.put(KEY_DOCUMENTO_PASSWORD_LCK, new ConfigGeneric(KEY_DOCUMENTO_PASSWORD_LCK, "",  ".+" , ConstantsGlobal.password, false, true));
		aMap.put(KEY_DOCUMENTO_FORMATO, new ConfigGeneric(KEY_DOCUMENTO_FORMATO, ConstantsMap.pdf, ConstantsMap.getStampa(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_OPENOFFICE_URL, new ConfigGeneric(KEY_OPENOFFICE_URL, Configurazione.getVariabile(KEY_OPENOFFICE_URL), ".+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_OPENOFFICE_PORT, new ConfigGeneric(KEY_OPENOFFICE_PORT, Configurazione.getVariabile(KEY_OPENOFFICE_PORT),  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_INVIO_MAIL_LOGIN, new ConfigGeneric(KEY_INVIO_MAIL_LOGIN, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_AMMINISTRAZIONE, new ConfigGeneric(KEY_INVIO_MAIL_AMMINISTRAZIONE, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_TEAM, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_TEAM, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_OPERATORE, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_OPERATORE, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_LISTA, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_LISTA, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_APPUNTAMENTO, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_APPUNTAMENTO, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_CONTRATTO, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_CONTRATTO, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_CONTATTO, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_CONTATTO, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_NOTA, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_NOTA, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_PRENOTAZIONE, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_PRENOTAZIONE, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_ZONA, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_ZONA, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_ANOMALIA, new ConfigGeneric(KEY_INVIO_MAIL_ANOMALIA, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_REPORT_REGISTRO, new ConfigGeneric(KEY_INVIO_MAIL_REPORT_REGISTRO, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_EXPORT_BACKGROUND, new ConfigGeneric(KEY_INVIO_MAIL_EXPORT_BACKGROUND, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_IMPORT_BACKGROUND, new ConfigGeneric(KEY_INVIO_MAIL_IMPORT_BACKGROUND, Configurazione.getVariabile(ConstantsGlobal.APPLICATION_NOTIFICA), ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_NOTIFICA, new ConfigGeneric(KEY_INVIO_MAIL_NOTIFICA, "", ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_POSTA, new ConfigGeneric(KEY_INVIO_MAIL_POSTA, "", ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_INVIO_MAIL_SCADENZA, new ConfigGeneric(KEY_INVIO_MAIL_SCADENZA, "", ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_PHONE_REGISTRAZIONE_LOCALE, new ConfigGeneric(KEY_PHONE_REGISTRAZIONE_LOCALE, ConstantsMap.registrazione0, ConstantsMap.getRegistrazione(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PHONE_REGISTRAZIONE_REMOTA, new ConfigGeneric(KEY_PHONE_REGISTRAZIONE_REMOTA, ConstantsMap.registrazione0, ConstantsMap.getRegistrazione(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PHONE_CODEC, new ConfigGeneric(KEY_PHONE_CODEC, ConstantsMap.VOID, ConstantsMap.getValoriStaticiString(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PHONE_INTERNO_MULTIPLO, new ConfigGeneric(KEY_PHONE_INTERNO_MULTIPLO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PHONE_VISUALIZZA_CONTROLLI, new ConfigGeneric(KEY_PHONE_VISUALIZZA_CONTROLLI, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PHONE_MESSAGGI_POPUP, new ConfigGeneric(KEY_PHONE_MESSAGGI_POPUP, "0", ConstantsMap.getRealtime(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PHONE_RIPRODUCI_AUDIO, new ConfigGeneric(KEY_PHONE_RIPRODUCI_AUDIO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PHONE_TIMEOUT_REGISTRAZIONE, new ConfigGeneric(KEY_PHONE_TIMEOUT_REGISTRAZIONE, "2000", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PHONE_SERVER, new ConfigGeneric(KEY_PHONE_SERVER, Configurazione.getVariabile(KEY_APPLICATION_URL),  ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PHONE_CONTROLLO_TIMER, new ConfigGeneric(KEY_PHONE_CONTROLLO_TIMER, ConstantsMap.timer2, ConstantsMap.getTimer(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PHONE_CONTROLLO_INTERNI, new ConfigGeneric(KEY_PHONE_CONTROLLO_INTERNI, ConstantsMap.interno0, ConstantsMap.getInterni(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PHONE_MONITOR_INTERNI, new ConfigGeneric(KEY_PHONE_MONITOR_INTERNI, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PHONE_LICENZA, new ConfigGeneric(KEY_PHONE_LICENZA, Configurazione.getVariabile(KEY_APPLICATION_URL),  ".+" , ConstantsGlobal.testo, true, true));
		aMap.put(KEY_PHONE_PORTA, new ConfigGeneric(KEY_PHONE_PORTA, Configurazione.getVariabile(KEY_PHONE_PORTA),  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PHONE_WSS, new ConfigGeneric(KEY_PHONE_WSS, Configurazione.getVariabile(KEY_PHONE_WSS),  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PHONE_RPTPORT1, new ConfigGeneric(KEY_PHONE_RPTPORT1, Configurazione.getVariabile(KEY_PHONE_RPTPORT1),  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PHONE_RPTPORT2, new ConfigGeneric(KEY_PHONE_RPTPORT2, Configurazione.getVariabile(KEY_PHONE_RPTPORT2),  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PHONE_DOMINIO, new ConfigGeneric(KEY_PHONE_DOMINIO, "", ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_PHONE_SIP_TRANSPORT, new ConfigGeneric(KEY_PHONE_SIP_TRANSPORT, ConstantsMap.T_UDP, ConstantsMap.getTransport(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PHONE_SIP_AEC, new ConfigGeneric(KEY_PHONE_SIP_AEC, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PHONE_SIP_AGC, new ConfigGeneric(KEY_PHONE_SIP_AGC, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PHONE_STUN_SERVER, new ConfigGeneric(KEY_PHONE_STUN_SERVER, "",  ".+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_PHONE_STUN_PORT, new ConfigGeneric(KEY_PHONE_STUN_PORT, "",  "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_MESSAGGISTICA_ALLEGATO_COMPRESSO, new ConfigGeneric(KEY_MESSAGGISTICA_ALLEGATO_COMPRESSO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_MESSAGGISTICA_MOSTRA_STATISTICHE, new ConfigGeneric(KEY_MESSAGGISTICA_MOSTRA_STATISTICHE, ConstantsMap.no, ConstantsMap.getMostraStatistiche(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_MESSAGGISTICA_NOTIFICA_HOME, new ConfigGeneric(KEY_MESSAGGISTICA_NOTIFICA_HOME, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_MESSAGGISTICA_NOTIFICA_RAPIDA, new ConfigGeneric(KEY_MESSAGGISTICA_NOTIFICA_RAPIDA, ConstantsMap.notifica1, ConstantsMap.getNotifica(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_MESSAGGISTICA_NOTIFICA_ISTANTANEA, new ConfigGeneric(KEY_MESSAGGISTICA_NOTIFICA_ISTANTANEA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PASSWORD_MIN_TOTALE, new ConfigGeneric(KEY_PASSWORD_MIN_TOTALE, "5",  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PASSWORD_MIN_MINUSCOLE, new ConfigGeneric(KEY_PASSWORD_MIN_MINUSCOLE, "0",  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PASSWORD_MIN_MAIUSCOLE, new ConfigGeneric(KEY_PASSWORD_MIN_MAIUSCOLE, "0",  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PASSWORD_MIN_NUMERI, new ConfigGeneric(KEY_PASSWORD_MIN_NUMERI, "0",  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PASSWORD_MIN_SIMBOLI, new ConfigGeneric(KEY_PASSWORD_MIN_SIMBOLI, "0",  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PASSWORD_MIN_LETTERE, new ConfigGeneric(KEY_PASSWORD_MIN_LETTERE, "1",  "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PASSWORD_OBBLIGA_CAMBIO, new ConfigGeneric(KEY_PASSWORD_OBBLIGA_CAMBIO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PASSWORD_EMAIL_CAMBIO, new ConfigGeneric(KEY_PASSWORD_EMAIL_CAMBIO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}