package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.model.config.ConfigScheda;
public class DefaultsScheda {
	
	
	public static final String KEY_SCHEDA_EMAIL_NOTIFICA = "scheda.email_notifica";
	public static final String KEY_SCHEDA_SCARICA_ANAGRAFICA = "scheda.scarica_anagrafica";
	public static final String KEY_SCHEDA_SCARICA_APPUNTAMENTO = "scheda.scarica_appuntamento";
	public static final String KEY_SCHEDA_SCARICA_CONTATTO = "scheda.scarica_contatto";
	public static final String KEY_SCHEDA_SCARICA_CONTRATTO = "scheda.scarica_contratto";
	public static final String KEY_SCHEDA_SCARICA_DETTAGLI_ANAGRAFICA = "scheda.scarica_dettagli_anagrafica";
	public static final String KEY_SCHEDA_SCARICA_DETTAGLI_INDIRIZZO_LEGALE = "scheda.scarica_dettagli_indirizzo_legale";
	public static final String KEY_SCHEDA_SCARICA_DETTAGLI_INDIRIZZO_OPERATIVO = "scheda.scarica_dettagli_indirizzo_operativo";
	public static final String KEY_SCHEDA_SCARICA_DETTAGLI_CONSENSO = "scheda.scarica_dettagli_consenso";
	public static final String KEY_SCHEDA_SCARICA_DETTAGLI_CONTATTO = "scheda.scarica_dettagli_contatto";
	public static final String KEY_SCHEDA_SCARICA_DETTAGLI_CONTRATTO = "scheda.scarica_dettagli_contratto";
	public static final String KEY_SCHEDA_SCARICA_DETTAGLI_APPUNTAMENTO = "scheda.scarica_dettagli_appuntamento";
	public static final String KEY_SCHEDA_VISUALIZZA_DETTAGLI_ANAGRAFICA = "scheda.visualizza_dettagli_anagrafica";
	public static final String KEY_SCHEDA_VISUALIZZA_DETTAGLI_INDIRIZZO_LEGALE = "scheda.visualizza_dettagli_indirizzo_legale";
	public static final String KEY_SCHEDA_VISUALIZZA_DETTAGLI_INDIRIZZO_OPERATIVO = "scheda.visualizza_dettagli_indirizzo_operativo";
	public static final String KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONSENSO = "scheda.visualizza_dettagli_consenso";
	public static final String KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONTATTO = "scheda.visualizza_dettagli_contatto";
	public static final String KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONTRATTO = "scheda.visualizza_dettagli_contratto";
	public static final String KEY_SCHEDA_VISUALIZZA_DETTAGLI_APPUNTAMENTO = "scheda.visualizza_dettagli_appuntamento";
	
	public static final Map<String, ConfigScheda> DEFAULTS;
	static {
		Map<String, ConfigScheda> aMap = new HashMap<String, ConfigScheda>();
		aMap.put(KEY_SCHEDA_EMAIL_NOTIFICA, new ConfigScheda(KEY_SCHEDA_EMAIL_NOTIFICA, ConstantsMap.getElementiEmailNotifica(), ConstantsMap.getElementiEmailNotifica(), ConstantsGlobal.multiplo, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_ANAGRAFICA, new ConfigScheda(KEY_SCHEDA_SCARICA_ANAGRAFICA, ConstantsMap.getElementiSchedaAnagrafica(), ConstantsMap.getElementiSchedaAnagrafica(), ConstantsGlobal.multiplo, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_CONTATTO, new ConfigScheda(KEY_SCHEDA_SCARICA_CONTATTO, ConstantsMap.getElementiSchedaContatto(), ConstantsMap.getElementiSchedaContatto(), ConstantsGlobal.multiplo, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_CONTRATTO, new ConfigScheda(KEY_SCHEDA_SCARICA_CONTRATTO, ConstantsMap.getElementiSchedaContratto(), ConstantsMap.getElementiSchedaContratto(), ConstantsGlobal.multiplo, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_APPUNTAMENTO, new ConfigScheda(KEY_SCHEDA_SCARICA_APPUNTAMENTO, ConstantsMap.getElementiSchedaAppuntamento(), ConstantsMap.getElementiSchedaAppuntamento(), ConstantsGlobal.multiplo, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_DETTAGLI_ANAGRAFICA, new ConfigScheda(KEY_SCHEDA_SCARICA_DETTAGLI_ANAGRAFICA, "", ConstantsMap.getElementiAnagrafica(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_DETTAGLI_INDIRIZZO_LEGALE, new ConfigScheda(KEY_SCHEDA_SCARICA_DETTAGLI_INDIRIZZO_LEGALE, "", ConstantsMap.getElementiIndirizzoLegale(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_DETTAGLI_INDIRIZZO_OPERATIVO, new ConfigScheda(KEY_SCHEDA_SCARICA_DETTAGLI_INDIRIZZO_OPERATIVO, "", ConstantsMap.getElementiIndirizzoOperativo(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_DETTAGLI_CONSENSO, new ConfigScheda(KEY_SCHEDA_SCARICA_DETTAGLI_CONSENSO, "", ConstantsMap.getElementiConsenso(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_DETTAGLI_CONTATTO, new ConfigScheda(KEY_SCHEDA_SCARICA_DETTAGLI_CONTATTO, "", ConstantsMap.getElementiContatto(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_DETTAGLI_CONTRATTO, new ConfigScheda(KEY_SCHEDA_SCARICA_DETTAGLI_CONTRATTO, "", ConstantsMap.getElementiContratto(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_SCARICA_DETTAGLI_APPUNTAMENTO, new ConfigScheda(KEY_SCHEDA_SCARICA_DETTAGLI_APPUNTAMENTO, "", ConstantsMap.getElementiAppuntamento(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_VISUALIZZA_DETTAGLI_ANAGRAFICA, new ConfigScheda(KEY_SCHEDA_VISUALIZZA_DETTAGLI_ANAGRAFICA, "", ConstantsMap.getElementiAnagrafica(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_VISUALIZZA_DETTAGLI_INDIRIZZO_LEGALE, new ConfigScheda(KEY_SCHEDA_VISUALIZZA_DETTAGLI_INDIRIZZO_LEGALE, "", ConstantsMap.getElementiIndirizzoLegale(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_VISUALIZZA_DETTAGLI_INDIRIZZO_OPERATIVO, new ConfigScheda(KEY_SCHEDA_VISUALIZZA_DETTAGLI_INDIRIZZO_OPERATIVO, "", ConstantsMap.getElementiIndirizzoOperativo(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONSENSO, new ConfigScheda(KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONSENSO, "", ConstantsMap.getElementiConsenso(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONTATTO, new ConfigScheda(KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONTATTO, "", ConstantsMap.getElementiContatto(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONTRATTO, new ConfigScheda(KEY_SCHEDA_VISUALIZZA_DETTAGLI_CONTRATTO, "", ConstantsMap.getElementiContratto(), ConstantsGlobal.ordinabile, false, true));
		aMap.put(KEY_SCHEDA_VISUALIZZA_DETTAGLI_APPUNTAMENTO, new ConfigScheda(KEY_SCHEDA_VISUALIZZA_DETTAGLI_APPUNTAMENTO, "", ConstantsMap.getElementiAppuntamento(), ConstantsGlobal.ordinabile, false, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}