package it.callite.criteria;

import java.io.Serializable;

import it.callite.criteria.generic.BaseCriteria;
import it.callite.utility.ApplicationUtil;

public class QueryCriteria extends BaseCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private String nome;
	
	public QueryCriteria() {
	}
	
	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}


	public QueryCriteria resetCriteria() {
		QueryCriteria c = new QueryCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public QueryCriteria resetCriteria(String b) {
		QueryCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setCriteria(String b) {
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}


}
