package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class WebhookCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private String name;
	private String all;
	
	
	public WebhookCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}
	
	public WebhookCriteria resetCriteria() {
		WebhookCriteria c = new WebhookCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public WebhookCriteria resetCriteria(String b) {
		WebhookCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public String getName() {
		return ApplicationUtil.trimToNull(name);
	}

	public void setName(String name) {
		this.name = ApplicationUtil.trimToNull(name);
	}

	public String getAll() {
		return ApplicationUtil.trimToNull(all);
	}

	public void setAll(String all) {
		this.all = ApplicationUtil.trimToNull(all);
	}



}
