package it.callite.criteria.report;

import java.io.Serializable;

import it.callite.criteria.generic.BaseCriteria;

public class MonitorCriteria  extends BaseCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Long agente;
	private Long campagna;
	private Long campo;
	private Long lista;
	private Long team;
	private Integer privata;
	private Long sondaggio;
	private Short stato;
	private Integer tipo = 0;
	private Integer loggato = 0;
	private Integer online = 0;
	
	public MonitorCriteria() {

	}

	public Long getAgente() {
		return agente;
	}
	
	public Long getCampagna() {
		return campagna;
	}
	public Long getCampo() {
		return campo;
	}
	public Long getLista() {
		return lista;
	}
	
	public Integer getLoggato() {
		return loggato;
	}
	public Integer getOnline() {
		return online;
	}
	
	public Integer getPrivata() {
		return privata;
	}
	
	public Long getSondaggio() {
		return sondaggio;
	}
	public Short getStato() {
		return stato;
	}
	
	public Long getTeam() {
		return team;
	}
	public Integer getTipo() {
		return tipo;
	}
	
	
	public MonitorCriteria resetCriteria() {
		MonitorCriteria c = new MonitorCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public MonitorCriteria resetCriteria(String b) {
		MonitorCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	
	public void setAgente(Long agente) {
		this.agente = agente;
	}
	public void setCampagna(Long campagna) {
		this.campagna = campagna;
	}
	public void setCampo(Long campo) {
		this.campo = campo;
	}

	
	public void setCriteria(String b) {
	}


	public void setLista(Long lista) {
		this.lista = lista;
	}

	public void setLoggato(Integer loggato) {
		this.loggato = loggato;
	}


	public void setOnline(Integer online) {
		this.online = online;
	}
	public void setPrivata(Integer privata) {
		this.privata = privata;
	}
	
	public void setSondaggio(Long sondaggio) {
		this.sondaggio = sondaggio;
	}
	public void setStato(Short stato) {
		this.stato = stato;
	}
	public void setTeam(Long team) {
		this.team = team;
	}
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}
	
	
}
