package it.callite.model;
import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.pk.ProdottiInVenditaPK;
@SuppressWarnings("serial")
@Entity
@Table(name = ConstantsGlobal.tp + "prodotti_in_vendita")
public class ProdottiInVendita implements Serializable {
	@EmbeddedId
	private ProdottiInVenditaPK id;
	public ProdottiInVendita() { }
	
	public ProdottiInVendita(ProdottiInVenditaPK id) {
		this.setId(id);
	}
	
	public ProdottiInVenditaPK getId() {
		return id;
	}
	public void setId(ProdottiInVenditaPK id) {
		this.id = id;
	}
	
	
}