package it.callite.model.pk;
import it.callite.model.Campagna;
import it.callite.model.Prodotto;
import java.io.Serializable;
import javax.persistence.Embeddable;
import javax.persistence.ManyToOne;
@SuppressWarnings("serial")
@Embeddable
public class ProdottiInVenditaPK implements Serializable {
	
	@ManyToOne
	private Campagna campagna;
	
	@ManyToOne
	private Prodotto prodotto;
	public Campagna getCampagna() {
		return campagna;
	}
	public void setCampagna(Campagna campagna) {
		this.campagna = campagna;
	}
	public Prodotto getProdotto() {
		return prodotto;
	}
	public void setProdotto(Prodotto prodotto) {
		this.prodotto = prodotto;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((campagna == null) ? 0 : campagna.hashCode());
		result = prime * result
				+ ((prodotto == null) ? 0 : prodotto.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ProdottiInVenditaPK other = (ProdottiInVenditaPK) obj;
		if (campagna == null) {
			if (other.campagna != null)
				return false;
		} else if (!campagna.equals(other.campagna))
			return false;
		if (prodotto == null) {
			if (other.prodotto != null)
				return false;
		} else if (!prodotto.equals(other.prodotto))
			return false;
		return true;
	}
	
}