package it.callite.model.report;

import java.io.Serializable;
import java.util.Date;
import java.util.concurrent.CopyOnWriteArrayList;

import it.callite.model.AutoContatto;
import it.callite.utility.AutodialerList;


@SuppressWarnings("serial")
public class AutodialerContatti implements Serializable {
	
	private AutodialerList list = new AutodialerList();
	
	public AutodialerList getList() {
		return list;
	}

	public void setList(AutodialerList list) {
		this.list = list;
	}

	public AutodialerContatti() {
	
	}

	public AutodialerContatti(AutodialerContatti s) {
		this.list = s.getList();
	}

	public void incAbbattute(AutoContatto contatto, Date data) {
		list.incAbbattute(contatto, data);
	}


	public void incAgganciate(AutoContatto contatto, Date data) {
		list.incAgganciate(contatto, data);
	}

	public void incCongestion(AutoContatto contatto, Date data) {
		list.incCongestion(contatto, data);
	}

	public void incEsitate(AutoContatto contatto, Date data) {
		list.incEsitate(contatto, data);
	}

	public void incFallito(AutoContatto contatto, Date data) {
		list.incFallito(contatto, data);
	}
	public void incGestite(AutoContatto contatto, Date data) {
		list.incGestite(contatto, data);
	}

	public void incHangup(AutoContatto contatto, Date data) {
		list.incHangup(contatto, data);
	}
	public void incMacchina(AutoContatto contatto, Date data) {
		list.incMacchina(contatto, data);
	}
	public void incInbound(AutoContatto contatto, Date data) {
		list.incInbound(contatto, data);
	}
	public void incNonRisposto(AutoContatto contatto, Date data) {
		list.incNonRisposto(contatto, data);
	}
	
	public void incRinging(AutoContatto contatto, Date data) {
		list.incRinging(contatto, data);
	}
	
	public void incPrenotato(AutoContatto contatto, Date data) {
		list.incPrenotato(contatto, data);
	}

	public void incOccupato(AutoContatto contatto, Date data) {
		list.incOccupato(contatto, data);
	}

	public void incRifiutato(AutoContatto contatto, Date data) {
		list.incRifiutato(contatto, data);
	}
	public void incRimosse(AutoContatto contatto, Date data) {
		list.incRimosse(contatto, data);
	}

	public void incRisposte(AutoContatto contatto, Date data) {
		list.incRisposte(contatto, data);
	}

	public void incSaltate(AutoContatto contatto, Date data) {
		list.incSaltate(contatto, data);
	}

	public void incScartate(AutoContatto contatto, Date data) {
		list.incScartate(contatto, data);
	}

	public void incTentate(AutoContatto contatto, Date data) {
		list.incTentate(contatto, data);
	}


	public void resetAll() {
		list.resetAll();
	}

	
	public CopyOnWriteArrayList<AutoContatto> getAbbattuteList() {
		return list.getAbbattuteList();
	}

	public void setAbbattuteList(CopyOnWriteArrayList<AutoContatto> abbattuteList) {
		this.list.setAbbattuteList(abbattuteList);
	}

	public CopyOnWriteArrayList<AutoContatto> getAgganciateList() {
		return list.getAgganciateList();
	}

	public void setAgganciateList(CopyOnWriteArrayList<AutoContatto> agganciateList) {
		this.list.setAgganciateList(agganciateList);
	}

	public CopyOnWriteArrayList<AutoContatto> getCongestionList() {
		return list.getCongestionList();
	}

	public void setCongestionList(CopyOnWriteArrayList<AutoContatto> congestionList) {
		this.list.setCongestionList(congestionList);
	}

	public CopyOnWriteArrayList<AutoContatto> getEsitateList() {
		return list.getEsitateList();
	}

	public void setEsitateList(CopyOnWriteArrayList<AutoContatto> esitateList) {
		this.list.setEsitateList(esitateList);
	}

	public CopyOnWriteArrayList<AutoContatto> getFallitoList() {
		return list.getFallitoList();
	}

	public void setFallitoList(CopyOnWriteArrayList<AutoContatto> fallitoList) {
		this.list.setFallitoList(fallitoList);
	}

	public CopyOnWriteArrayList<AutoContatto> getGestiteList() {
		return list.getGestiteList();
	}

	public void setGestiteList(CopyOnWriteArrayList<AutoContatto> gestiteList) {
		this.list.setGestiteList(gestiteList);
	}

	public CopyOnWriteArrayList<AutoContatto> getHangupList() {
		return list.getHangupList();
	}

	public void setHangupList(CopyOnWriteArrayList<AutoContatto> hangupList) {
		this.list.setHangupList(hangupList);
	}

	public CopyOnWriteArrayList<AutoContatto> getInboundList() {
		return list.getInboundList();
	}

	public void setInboundList(CopyOnWriteArrayList<AutoContatto> inboundList) {
		this.list.setInboundList(inboundList);
	}


	public CopyOnWriteArrayList<AutoContatto> getMacchinaList() {
		return list.getMacchinaList();
	}

	public void setMacchinaList(CopyOnWriteArrayList<AutoContatto> macchinaList) {
		this.list.setMacchinaList(macchinaList);
	}

	public CopyOnWriteArrayList<AutoContatto> getNonRispostoList() {
		return list.getNonRispostoList();
	}
	
	public CopyOnWriteArrayList<AutoContatto> getRingingList() {
		return list.getRingingList();
	}
	
	public CopyOnWriteArrayList<AutoContatto> getPrenotatoList() {
		return list.getPrenotatoList();
	}

	public void setNonRispostoList(CopyOnWriteArrayList<AutoContatto> nonRispostoList) {
		this.list.setNonRispostoList(nonRispostoList);
	}
	
	public void setRingingList(CopyOnWriteArrayList<AutoContatto> ringingList) {
		this.list.setRingingList(ringingList);
	}
	
	public void setPrenotatoList(CopyOnWriteArrayList<AutoContatto> prenotatoList) {
		this.list.setPrenotatoList(prenotatoList);
	}

	public CopyOnWriteArrayList<AutoContatto> getOccupatoList() {
		return list.getOccupatoList();
	}

	public void setOccupatoList(CopyOnWriteArrayList<AutoContatto> occupatoList) {
		this.list.setOccupatoList(occupatoList);
	}

	public CopyOnWriteArrayList<AutoContatto> getRifiutatoList() {
		return list.getRifiutatoList();
	}

	public void setRifiutatoList(CopyOnWriteArrayList<AutoContatto> rifiutatoList) {
		this.list.setRifiutatoList(rifiutatoList);
	}

	public CopyOnWriteArrayList<AutoContatto> getRimosseList() {
		return list.getRimosseList();
	}

	public void setRimosseList(CopyOnWriteArrayList<AutoContatto> rimosseList) {
		this.list.setRimosseList(rimosseList);
	}

	public CopyOnWriteArrayList<AutoContatto> getRisposteList() {
		return list.getRisposteList();
	}

	public void setRisposteList(CopyOnWriteArrayList<AutoContatto> risposteList) {
		this.list.setRisposteList(risposteList);
	}

	public CopyOnWriteArrayList<AutoContatto> getSaltateList() {
		return list.getSaltateList();
	}

	public void setSaltateList(CopyOnWriteArrayList<AutoContatto> saltateList) {
		this.list.setSaltateList(saltateList);
	}

	public CopyOnWriteArrayList<AutoContatto> getScartateList() {
		return list.getScartateList();
	}

	public void setScartateList(CopyOnWriteArrayList<AutoContatto> scartateList) {
		this.list.setScartateList(scartateList);
	}

	public CopyOnWriteArrayList<AutoContatto> getTentateList() {
		return list.getTentateList();
	}

	public void setTentateList(CopyOnWriteArrayList<AutoContatto> tentateList) {
		this.list.setTentateList(tentateList);
	}


	public CopyOnWriteArrayList<AutoContatto> getNonRisposteList() {
		return list.getNonRisposteList();
	}

	public CopyOnWriteArrayList<AutoContatto> getNonGestiteList() {
		return list.getNonGestiteList();
	}


}