package it.callite.model.report;
import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class Classifica implements Serializable {
	private String cognome;
	private String username;
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	private String nome;
	private Long numero;
	
	public String getCognome() {
		return cognome;
	}
	public void setCognome(String cognome) {
		this.cognome = cognome;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public Long getNumero() {
		return numero;
	}
	public void setNumero(Long numero) {
		this.numero = numero;
	}
	
	public String getDenominazione() {
		return ConstantsGlobal.usernameSeparator1 + ApplicationUtil.trimToEmpty(this.username) + ConstantsGlobal.usernameSeparator2 + " " +  ApplicationUtil.trimToEmpty(this.cognome) + " " + ApplicationUtil.trimToEmpty(this.nome);
	}
	
}