package it.callite.model.report;

import java.io.Serializable;


@SuppressWarnings("serial")
public class ColonnaModel implements Serializable {

	private Long id;
	
	private String partner;
	private String ruoli;
	private String supervisori;
	private String agenti;
	private String coordinatori;
	private String operatori;
	private String campagne;
	private String interni;
	private String allegati;
	private String destinatari;
	private String autodialer;
	private String utenti;
	private String code;
	private String aiuti;
	private String email;
	private String rmail;
	private String telecom;
	
	private Long nruoli = 0L;
	private Long ncoordinatori = 0L;
	private Long nsupervisori = 0L;
	private Long noperatori = 0L;
	private Long ncampagne = 0L;
	private Long ninterni = 0L;
	private Long nallegati = 0L;
	private Long ndestinatari = 0L;
	private Long nautodialer = 0L;
	private Long nutenti = 0L;
	private Long ncode = 0L;
	private Long naiuti = 0L;
	private Long nemail = 0L;
	private Long nrmail = 0L;
	private Long ntelecom = 0L;
	
	private Long nrisposte = 0L;
	private Long nzone = 0L;
	private Long nstoria = 0L;
	private Long nagenti = 0L;
	private Long nappuntamenti = 0L;
	private Long ncontratti = 0L;
	private Long nanagrafiche = 0L;
	private Long nchiamate = 0L;
	private Long ncontatti = 0L;
	private Long nesiti = 0L;
	private Long nliste = 0L;
	private Long npartner = 0L;
	private Long nprodotti = 0L;
	private Long nteam = 0L;
		
	public ColonnaModel(Long id) {
		this.id = id;
	}
	public ColonnaModel() {
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ColonnaModel other = (ColonnaModel) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	
	
	public Long getNoperatori() {
		return noperatori;
	}
	public void setNoperatori(Long noperatori) {
		this.noperatori = noperatori;
	}
	public Long getNcampagne() {
		return ncampagne;
	}
	public void setNcampagne(Long ncampagne) {
		this.ncampagne = ncampagne;
	}
	public Long getNsupervisori() {
		return nsupervisori;
	}
	public void setNsupervisori(Long nsupervisori) {
		this.nsupervisori = nsupervisori;
	}
	public Long getNinterni() {
		return ninterni;
	}
	public void setNinterni(Long ninterni) {
		this.ninterni = ninterni;
	}
	public Long getNallegati() {
		return nallegati;
	}
	public void setNallegati(Long nallegati) {
		this.nallegati = nallegati;
	}
	public Long getNdestinatari() {
		return ndestinatari;
	}
	public void setNdestinatari(Long ndestinatari) {
		this.ndestinatari = ndestinatari;
	}
	public Long getNautodialer() {
		return nautodialer;
	}
	public void setNautodialer(Long nautodialer) {
		this.nautodialer = nautodialer;
	}
	public Long getNutenti() {
		return nutenti;
	}
	public void setNutenti(Long nutenti) {
		this.nutenti = nutenti;
	}
	public Long getNcode() {
		return ncode;
	}
	public void setNcode(Long ncode) {
		this.ncode = ncode;
	}
	public Long getNaiuti() {
		return naiuti;
	}
	public void setNaiuti(Long naiuti) {
		this.naiuti = naiuti;
	}
	public Long getNrisposte() {
		return nrisposte;
	}
	public void setNrisposte(Long nrisposte) {
		this.nrisposte = nrisposte;
	}
	public Long getNzone() {
		return nzone;
	}
	public void setNzone(Long nzone) {
		this.nzone = nzone;
	}
	public Long getNstoria() {
		return nstoria;
	}
	public void setNstoria(Long nstoria) {
		this.nstoria = nstoria;
	}
	public Long getNagenti() {
		return nagenti;
	}
	public void setNagenti(Long nagenti) {
		this.nagenti = nagenti;
	}
	public Long getNappuntamenti() {
		return nappuntamenti;
	}
	public void setNappuntamenti(Long nappuntamenti) {
		this.nappuntamenti = nappuntamenti;
	}
	public Long getNcontratti() {
		return ncontratti;
	}
	public void setNcontratti(Long ncontratti) {
		this.ncontratti = ncontratti;
	}
	public Long getNanagrafiche() {
		return nanagrafiche;
	}
	public void setNanagrafiche(Long nanagrafiche) {
		this.nanagrafiche = nanagrafiche;
	}
	public Long getNchiamate() {
		return nchiamate;
	}
	public void setNchiamate(Long nchiamate) {
		this.nchiamate = nchiamate;
	}
	public Long getNcontatti() {
		return ncontatti;
	}
	public void setNcontatti(Long ncontatti) {
		this.ncontatti = ncontatti;
	}
	public Long getNesiti() {
		return nesiti;
	}
	public void setNesiti(Long nesiti) {
		this.nesiti = nesiti;
	}
	public Long getNliste() {
		return nliste;
	}
	public void setNliste(Long nliste) {
		this.nliste = nliste;
	}
	public Long getNpartner() {
		return npartner;
	}
	public void setNpartner(Long npartner) {
		this.npartner = npartner;
	}
	public Long getNprodotti() {
		return nprodotti;
	}
	public void setNprodotti(Long nprodotti) {
		this.nprodotti = nprodotti;
	}
	public Long getNteam() {
		return nteam;
	}
	public void setNteam(Long nteam) {
		this.nteam = nteam;
	}
	public Long getNemail() {
		return nemail;
	}
	public void setNemail(Long nemail) {
		this.nemail = nemail;
	}
	
	public Long getNrmail() {
		return nrmail;
	}
	public void setNrmail(Long nrmail) {
		this.nrmail = nrmail;
	}
	
	public Long getNtelecom() {
		return ntelecom;
	}
	public void setNtelecom(Long ntelecom) {
		this.ntelecom = ntelecom;
	}
	public String getPartner() {
		return partner;
	}

	public void setPartner(String partner) {
		this.partner = partner;
	}

	public String getRuoli() {
		return ruoli;
	}

	public void setRuoli(String ruoli) {
		this.ruoli = ruoli;
	}

	public String getSupervisori() {
		return supervisori;
	}

	public void setSupervisori(String supervisori) {
		this.supervisori = supervisori;
	}

	public String getAgenti() {
		return agenti;
	}

	public void setAgenti(String agenti) {
		this.agenti = agenti;
	}

	public String getCoordinatori() {
		return coordinatori;
	}

	public void setCoordinatori(String coordinatori) {
		this.coordinatori = coordinatori;
	}

	public String getOperatori() {
		return operatori;
	}

	public void setOperatori(String operatori) {
		this.operatori = operatori;
	}

	public Long getNruoli() {
		return nruoli;
	}

	public void setNruoli(Long nruoli) {
		this.nruoli = nruoli;
	}

	public Long getNcoordinatori() {
		return ncoordinatori;
	}

	public void setNcoordinatori(Long ncoordinatori) {
		this.ncoordinatori = ncoordinatori;
	}

	public String getCampagne() {
		return campagne;
	}

	public void setCampagne(String campagne) {
		this.campagne = campagne;
	}

	public String getInterni() {
		return interni;
	}

	public void setInterni(String interni) {
		this.interni = interni;
	}

	public String getAllegati() {
		return allegati;
	}

	public void setAllegati(String allegati) {
		this.allegati = allegati;
	}

	public String getDestinatari() {
		return destinatari;
	}

	public void setDestinatari(String destinatari) {
		this.destinatari = destinatari;
	}

	public String getAutodialer() {
		return autodialer;
	}

	public void setAutodialer(String autodialer) {
		this.autodialer = autodialer;
	}

	public String getUtenti() {
		return utenti;
	}

	public void setUtenti(String utenti) {
		this.utenti = utenti;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getAiuti() {
		return aiuti;
	}

	public void setAiuti(String aiuti) {
		this.aiuti = aiuti;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}


	public String getRmail() {
		return rmail;
	}

	public void setRmail(String rmail) {
		this.rmail = rmail;
	}

	public String getTelecom() {
		return telecom;
	}

	public void setTelecom(String telecom) {
		this.telecom = telecom;
	}
	
	
}
