package it.callite.model.report;

import java.io.Serializable;


@SuppressWarnings("serial")
public class DashboardPannelloReportList implements Serializable {
	
	private String etichetta;
	private Boolean bold;
	private Long contatti_totali = 0L;
	private Long contatti_pubbliche = 0L;
	private Long contatti_nuovi = 0L;
	private Long contatti_richiami = 0L;
	private Long contatti_private = 0L;
	private Long contatti_archiviate = 0L;
	private Long contatti_personali = 0L;
	
	public DashboardPannelloReportList(String etichetta, Boolean bold) {
		this.bold = bold;
		this.etichetta = etichetta;
		this.contatti_totali = 0L;
		this.contatti_pubbliche = 0L;
		this.contatti_nuovi = 0L;
		this.contatti_richiami = 0L;
		this.contatti_private = 0L;
		this.contatti_archiviate = 0L;
		this.contatti_personali = 0L;
	}
	
	public Long getContatti_totali() {
		return contatti_totali;
	}
	public void setContatti_totali(Long contatti_totali) {
		this.contatti_totali = contatti_totali;
	}
	public Long getContatti_pubbliche() {
		return contatti_pubbliche;
	}
	public void setContatti_pubbliche(Long contatti_pubbliche) {
		this.contatti_pubbliche = contatti_pubbliche;
	}
	public Long getContatti_nuovi() {
		return contatti_nuovi;
	}
	public void setContatti_nuovi(Long contatti_nuovi) {
		this.contatti_nuovi = contatti_nuovi;
	}
	public Long getContatti_richiami() {
		return contatti_richiami;
	}
	public void setContatti_richiami(Long contatti_richiami) {
		this.contatti_richiami = contatti_richiami;
	}
	public Long getContatti_private() {
		return contatti_private;
	}
	public void setContatti_private(Long contatti_private) {
		this.contatti_private = contatti_private;
	}
	public Long getContatti_archiviate() {
		return contatti_archiviate;
	}
	public void setContatti_archiviate(Long contatti_archiviate) {
		this.contatti_archiviate = contatti_archiviate;
	}
	public Long getContatti_personali() {
		return contatti_personali;
	}
	public void setContatti_personali(Long contatti_personali) {
		this.contatti_personali = contatti_personali;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public Boolean getBold() {
		return bold;
	}
	public void setBold(Boolean bold) {
		this.bold = bold;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((etichetta == null) ? 0 : etichetta.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DashboardPannelloReportList other = (DashboardPannelloReportList) obj;
		if (etichetta == null) {
			if (other.etichetta != null)
				return false;
		} else if (!etichetta.equals(other.etichetta))
			return false;
		return true;
	}
	
	
	
}
