package it.callite.model.report;

import java.io.Serializable;
@SuppressWarnings("serial")
public class ReportAppuntamentoCResultSet implements Serializable {
	
	private Long campagna_id;
	private Long esito_id;
	private Long agente_id;
	private Long appuntamenti;
	
	public ReportAppuntamentoCResultSet() { }
	
	public ReportAppuntamentoCResultSet(Long campagna_id, Long esito_id) {
		this.campagna_id = campagna_id;
		this.esito_id = esito_id;
	}

	

	public Long getCampagna_id() {
		return campagna_id;
	}

	public void setCampagna_id(Long campagna_id) {
		this.campagna_id = campagna_id;
	}

	public Long getEsito_id() {
		return esito_id;
	}

	public void setEsito_id(Long esitoId) {
		esito_id = esitoId;
	}

	public Long getAgente_id() {
		return agente_id;
	}

	public void setAgente_id(Long agenteId) {
		agente_id = agenteId;
	}
	
	public Long getAppuntamenti() {
		if(appuntamenti == null) {
			appuntamenti = Long.valueOf(0);
		}
		return appuntamenti;
	}

	public void setAppuntamenti(Long appuntamenti) {
		this.appuntamenti = appuntamenti;
	}


	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((campagna_id == null) ? 0 : campagna_id.hashCode());
		result = prime * result + ((esito_id == null) ? 0 : esito_id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ReportAppuntamentoCResultSet other = (ReportAppuntamentoCResultSet) obj;
		if (campagna_id == null) {
			if (other.campagna_id != null)
				return false;
		} else if (!campagna_id.equals(other.campagna_id))
			return false;
		if (esito_id == null) {
			if (other.esito_id != null)
				return false;
		} else if (!esito_id.equals(other.esito_id))
			return false;
		return true;
	}
}
