package it.callite.model.report;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import it.callite.model.Utente;
@SuppressWarnings("serial")
public class ReportBackground  implements Serializable {
	private String identificativo;
	private String tipologia;
	private Integer size;
	private Boolean completato;
	private Boolean scrittura;
	private Boolean interrompi;
	private Integer corrente;
	private Date inizio;
	private Date fine;
	private BigDecimal percentuale;
	private String tempo;
	private String tipo;
	private Long tempoTotale;
	private Integer totale;
	private Utente utente;
	private String processo;
	private String descrizione;
	
	
	public ReportBackground(String identificativo) {
		this.identificativo = identificativo;
	}
	public Integer getSize() {
		return size;
	}
	public void setSize(Integer size) {
		this.size = size;
	}
	public Boolean getCompletato() {
		return completato;
	}
	public void setCompletato(Boolean completato) {
		this.completato = completato;
	}
	public Integer getCorrente() {
		return corrente;
	}
	public void setCorrente(Integer corrente) {
		this.corrente = corrente;
	}
	public Date getInizio() {
		return inizio;
	}
	public void setInizio(Date inizio) {
		this.inizio = inizio;
	}
	public Date getFine() {
		return fine;
	}
	public void setFine(Date fine) {
		this.fine = fine;
	}
	public BigDecimal getPercentuale() {
		return percentuale;
	}
	public void setPercentuale(BigDecimal percentuale) {
		this.percentuale = percentuale;
	}
	public String getTempo() {
		return tempo;
	}
	public void setTempo(String tempo) {
		this.tempo = tempo;
	}
	public String getTipo() {
		return tipo;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public Long getTempoTotale() {
		return tempoTotale;
	}
	public void setTempoTotale(Long tempoTotale) {
		this.tempoTotale = tempoTotale;
	}
	public Integer getTotale() {
		return totale;
	}
	public void setTotale(Integer totale) {
		this.totale = totale;
	}
	public Utente getUtente() {
		return utente;
	}
	public void setUtente(Utente utente) {
		this.utente = utente;
	}
	public String getProcesso() {
		return processo;
	}
	public void setProcesso(String processo) {
		this.processo = processo;
	}
	public String getIdentificativo() {
		return identificativo;
	}
	public void setIdentificativo(String identificativo) {
		this.identificativo = identificativo;
	}
	public String getDescrizione() {
		return descrizione;
	}
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	public Boolean getScrittura() {
		return scrittura;
	}
	public void setScrittura(Boolean scrittura) {
		this.scrittura = scrittura;
	}
	public Boolean getInterrompi() {
		return interrompi;
	}
	public void setInterrompi(Boolean interrompi) {
		this.interrompi = interrompi;
	}
	public String getTipologia() {
		return tipologia;
	}
	public void setTipologia(String tipologia) {
		this.tipologia = tipologia;
	}
	
	
}