package it.callite.scheduler;
import org.apache.commons.lang3.StringUtils;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.Trigger;

import it.callite.dao.CommandDao;

public class LanciaCommand implements Job {

	public void execute(JobExecutionContext context) {

		Trigger tg = context.getTrigger();
		if(tg != null && tg.getKey() != null) {
			String name = tg.getKey().getName();
			if(StringUtils.isNotBlank(name)) {
				CommandDao invoiceDao = (CommandDao) context.getJobDetail().getJobDataMap().get("commandDao");
				invoiceDao.lanciaCommand(name);
			}
		}
	}
}