package it.callite.utility;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.Agente;
import java.io.Serializable;
import java.util.List;
@SuppressWarnings("serial")
public class CalendarioAgenteVO implements Serializable {
	private Agente agente;
	
	private List<GiornoCalendarioAgenteVO> giorni;
	public Agente getAgente() {
		return agente;
	}
	public void setAgente(Agente agente) {
		this.agente = agente;
	}
	public List<GiornoCalendarioAgenteVO> getGiorni() {
		return giorni;
	}
	public void setGiorni(List<GiornoCalendarioAgenteVO> giorni) {
		this.giorni = giorni;
	}
	private List<String> orari;
	public int getSize() {
		return orari.size() * ConstantsGlobal.calendarSize;
	}
	public List<String> getOrari() {
		return orari;
	}
	public void setOrari(List<String> orari) {
		this.orari = orari;
	}
	
	private int giorniCalendario;
	public int getGiorniCalendario() {
		return giorniCalendario;
	}
	public void setGiorniCalendario(int giorniCalendario) {
		this.giorniCalendario = giorniCalendario;
	}
	
	public int getGiorniMassimi() {
		return (giorniCalendario > 7) ? 7 : giorniCalendario;
	}

}