package it.callite.utility;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;

public class CallerUtil  {

	String pre;
	String post;
	public CallerUtil(String data) {
		if(data != null && data.contains(ConstantsGlobal.messageSeparator)) {
			pre = ApplicationUtil.trimToNull(ApplicationUtil.substringBefore(data, ConstantsGlobal.messageSeparator));
			post = ApplicationUtil.trimToNull(ApplicationUtil.substringAfter(data, ConstantsGlobal.messageSeparator));
		} else {
			pre = ApplicationUtil.trimToNull(data);
			post = null;
		}
	}
	public String getPre() {
		return pre;
	}
	public String getUrl() {
		String [] p = post != null ? post.split(ConstantsGlobal.messageSeparator) : null;
		if(p != null && p.length == 6) {
			//0#demo#0#base64_ids#password#0
			String protocol = ApplicationUtil.trimToEmpty(p[0]);
			String dominio = ApplicationUtil.trimToEmpty(p[1]);
			String model = ApplicationUtil.trimToEmpty(p[2]);
			String base64_ids = ApplicationUtil.trimToEmpty(p[3]);
			String password = ApplicationUtil.trimToEmpty(p[4]);
			String tipo = ApplicationUtil.trimToEmpty(p[5]);
			return ApplicationUtil.httpType(!protocol.equals("0")) + dominio+"."+ConstantsGlobal.base+ ConstantsGlobal.path_web + "/"+(model.equals("0") ? "anagrafica" : "contatto") +"/"+base64_ids+"/"+password+"/"+(tipo.equals("0") ? ConstantsMap.xml : ConstantsMap.json);
		} 
		return null;
	}
	
}