package it.callite.utility;
import java.io.Serializable;
@SuppressWarnings("serial")
public class CaptureServer implements Serializable {
	
	private String name;
	private String service;
	private String porta;
	
	public String getName() {
		return name;
	}
	
	public String getPorta() {
		return porta;
	}
	
	public String getService() {
		return service;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public void setPorta(String porta) {
		this.porta = porta;
	}
	
	public void setService(String service) {
		this.service = service;
	}
	
	public CaptureServer(String service, String [] porte) {
		String p = ApplicationUtil.detoken(ApplicationUtil.asList(porte), " or ");
		this.service = service;
		this.porta = p;
		this.name = service + " " + "[" + p + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((porta == null) ? 0 : porta.hashCode());
		result = prime * result + ((service == null) ? 0 : service.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CaptureServer other = (CaptureServer) obj;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (porta == null) {
			if (other.porta != null)
				return false;
		} else if (!porta.equals(other.porta))
			return false;
		if (service == null) {
			if (other.service != null)
				return false;
		} else if (!service.equals(other.service))
			return false;
		return true;
	}
	
}