package it.callite.utility;
import java.io.Serializable;
import it.callite.message.Message;
@SuppressWarnings("serial")
public class ChiamanteUtil implements Serializable {
	private String telefono;
	private String motivo1;
	private String motivo2;
	public String getTelefono() {
		return telefono;
	}
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}
	public String getMotivo1() {
		if(motivo1 != null && motivo2 != null) {
			return motivo1;
		} else {
			return Message.addCatalogText("non_segnalato");
		}
	}
	public void setMotivo1(String motivo1) {
		this.motivo1 = motivo1;
	}
	public String getMotivo2() {
		if(motivo1 != null && motivo2 != null) {
			return motivo2;
		} else {
			return "";
		}
	}
	public void setMotivo2(String motivo2) {
		this.motivo2 = motivo2;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((motivo1 == null) ? 0 : motivo1.hashCode());
		result = prime * result + ((motivo2 == null) ? 0 : motivo2.hashCode());
		result = prime * result + ((telefono == null) ? 0 : telefono.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ChiamanteUtil other = (ChiamanteUtil) obj;
		if (motivo1 == null) {
			if (other.motivo1 != null)
				return false;
		} else if (!motivo1.equals(other.motivo1))
			return false;
		if (motivo2 == null) {
			if (other.motivo2 != null)
				return false;
		} else if (!motivo2.equals(other.motivo2))
			return false;
		if (telefono == null) {
			if (other.telefono != null)
				return false;
		} else if (!telefono.equals(other.telefono))
			return false;
		return true;
	}
	public ChiamanteUtil(String telefono, String motivo1, String motivo2) {
		this.telefono = telefono;
		this.motivo1 = motivo1;
		this.motivo2 = motivo2;
	}
}