package it.callite.utility;
import java.io.Serializable;
import it.callite.constants.ConstantsGlobal;
@SuppressWarnings("serial")
public class ConfigUtility implements Serializable {
	
	private Boolean modificabile;
	private Boolean richiesto;
	private Integer tipo;
	private String valori;
	private Boolean visibile;
	public ConfigUtility() {
	}
	public ConfigUtility(String valori, Integer tipo, Boolean richiesto, Boolean modificabile) {
		this.setValori(valori);
		this.setTipo(tipo);
		this.setRichiesto(richiesto);
		this.setModificabile(modificabile);
		this.setVisibile(true);
	}
	
	public Boolean getLista() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.lista);
		else return false;
	}
	public Boolean getModificabile() {
		return modificabile;
	}
	
	public Boolean getMultiplo() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.multiplo);
		else return false;
	}
	
	public Boolean getOrdinabile() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.ordinabile);
		else return false;
	}
	
	public Boolean getEditore() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.editore);
		else return false;
	}
	
	public Boolean getPassword() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.password);
		else return false;
	}
	public Boolean getRichiesto() {
		if(richiesto == null) {
			richiesto = false;
		}
		return richiesto;
	}
	public Boolean getScelta() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.scelta);
		else return false;
	}
	public Boolean getStringa() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.stringa);
		else return false;
	}
	public Boolean getTesto() {
		if(tipo!=null)
			return tipo.equals(ConstantsGlobal.testo);
		else return false;
	}
	public Integer getTipo() {
		return tipo;
	}
	
	public String getValori() {
		return valori;
	}
	public Boolean getVisibile() {
		return visibile;
	}
	
	public void setModificabile(Boolean modificabile) {
		this.modificabile = modificabile;
	}
	public void setRichiesto(Boolean richiesto) {
		this.richiesto = richiesto;
	}
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}
	public void setValori(String valori) {
		this.valori = valori;
	}
	public void setVisibile(Boolean visibile) {
		this.visibile = visibile;
	}
}