package it.callite.utility;
import java.io.Serializable;
import java.text.DateFormat;
import java.util.Date;
@SuppressWarnings("serial")
public class DateFormatter implements Serializable {
	private DateFormat sdf;
	public DateFormatter(String pattern) {
		sdf = ApplicationUtil.getDateFormat(pattern);
	}
	public String format(Date data) {
		if(data != null)
			return sdf.format(data);
		else return "";
	}
	
	public Date parse(String dateString) {
		if(ApplicationUtil.isNotBlank(dateString)) {
			Date date = null;
			try {
				date = sdf.parse(dateString);
			} catch(Exception e) { }
			return date;
		}
		else return null;
	}
	
	public String adesso() {
		return format(ApplicationUtil.date());
	}
	
}