package it.callite.utility;

import java.util.HashMap;
import java.util.Map;

import org.apache.poi.ss.usermodel.Workbook;

public class ExcelStyle {

	private Map<String, ExcelData> map = new HashMap<String, ExcelData>();
	private Workbook wb;
	private boolean style = true;

	public ExcelStyle(Workbook wb) {
		this.wb = wb;
		this.style = true;
	}
	
	public ExcelStyle(Workbook wb, boolean style) {
		this.wb = wb;
		this.style = style;
	}

	public ExcelData getExcelData(String key) {
		ExcelData ed = map.get(key);
		if(ed == null) {
			ed = new ExcelData(wb);
			map.put(key, ed);
		}
		return ed;
	}

	public boolean isStyle() {
		return style;
	}

}