package it.callite.utility;
import java.io.Serializable;
@SuppressWarnings("serial")
public class Firewall implements Serializable {
	private boolean utente = false;
	private String service;
	private String protocol;
	private String ip;
	private String porta;
	private Boolean negata;
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public String getPorta() {
		return porta;
	}
	public void setPorta(String porta) {
		this.porta = porta;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((ip == null) ? 0 : ip.hashCode());
		result = prime * result + ((negata == null) ? 0 : negata.hashCode());
		result = prime * result + ((porta == null) ? 0 : porta.hashCode());
		result = prime * result + ((protocol == null) ? 0 : protocol.hashCode());
		result = prime * result + ((service == null) ? 0 : service.hashCode());
		result = prime * result + (utente ? 1231 : 1237);
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Firewall other = (Firewall) obj;
		if (ip == null) {
			if (other.ip != null)
				return false;
		} else if (!ip.equals(other.ip))
			return false;
		if (negata == null) {
			if (other.negata != null)
				return false;
		} else if (!negata.equals(other.negata))
			return false;
		if (porta == null) {
			if (other.porta != null)
				return false;
		} else if (!porta.equals(other.porta))
			return false;
		if (protocol == null) {
			if (other.protocol != null)
				return false;
		} else if (!protocol.equals(other.protocol))
			return false;
		if (service == null) {
			if (other.service != null)
				return false;
		} else if (!service.equals(other.service))
			return false;
		if (utente != other.utente)
			return false;
		return true;
	}
	public String getService() {
		return service;
	}
	public void setService(String service) {
		this.service = service;
	}
	public String getProtocol() {
		return protocol;
	}
	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}
	
	public Firewall() {
	}
	public Firewall(String ip, String porta, String service, String protocol, Boolean negata) {
		this.service = service;
		this.protocol = protocol;
		this.ip = ip;
		this.porta = porta;
		this.negata = negata;
	}
	public Boolean getNegata() {
		if(negata == null) {
			negata = Boolean.FALSE;
		}
		return negata;
	}
	public void setNegata(Boolean negata) {
		this.negata = negata;
	}
	public boolean isUtente() {
		return utente;
	}
	public void setUtente(boolean utente) {
		this.utente = utente;
	}
	
}