package it.callite.utility;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@SuppressWarnings("serial")
public class QueryKey implements Serializable {
	
	private Integer row;
	private String errore;
	private Integer id;
	private String query;
	private List<Integer> righe = new ArrayList<Integer>();
	private Map<String, List<QueryElement>> mappa = new HashMap<String, List<QueryElement>>();
	private List<String> colonne = new ArrayList<String>();
	public QueryKey() {
	}
	public String getErrore() {
		return errore;
	}
	public void setErrore(String errore) {
		this.errore = errore;
	}
	public String getQuery() {
		return query;
	}
	public Integer getRow() {
		return row;
	}
	public void setRow(Integer row) {
		this.row = row;
	}
	public void setQuery(String query) {
		this.query = query;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public List<String> getColonne() {
		return colonne;
	}
	public void setColonne(List<String> colonne) {
		this.colonne = colonne;
	}
	public List<String> getChiavi() {
		return colonne;
	}
	public List<Integer> getRighe() {
		return righe;
	}
	public void setRighe(List<Integer> righe) {
		this.righe = righe;
	}
	public Map<String, List<QueryElement>> getMappa() {
		return mappa;
	}
	public void setMappa(Map<String, List<QueryElement>> mappa) {
		this.mappa = mappa;
	}	
	public int getRigheSize() {
		return ApplicationUtil.size(righe);
	}
	
	public boolean isValido() {
		return ApplicationUtil.notEmpty(righe) && row == null && errore == null;
	}
}