package it.callite.utility;
import java.io.Serializable;

import jakarta.activation.DataSource;
import jodd.mail.EmailAttachment;
@SuppressWarnings("serial")
public class RicezioneUtil implements Serializable {
	

	private String nome;
	private byte [] content;
	
	public RicezioneUtil(EmailAttachment<? extends DataSource> attachment) {
		this.nome = ApplicationUtil.trimToNull(attachment.getName());
		this.content = EmailUtils.attachment(attachment);
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public byte[] getContent() {
		return content;
	}

	public void setContent(byte[] content) {
		this.content = content;
	}

	public String getSize() {
		return ApplicationUtil.byteCount(content.length);
	}
	
	
}