package it.callite.utility;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.StringTokenizer;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.Ruolo;
@SuppressWarnings("serial")
public class RuoloMap extends HashMap<String, Boolean> {
	private List<Ruolo> ruoli;
	public Boolean get(Object ruoliObject) {
		if(ApplicationUtil.notEmpty(ruoli)) {
			String ruoli_sep = ApplicationUtil.trimToEmpty((String) ruoliObject);
			Iterator<Ruolo> ruoliIter = ruoli.iterator();
			while(ruoliIter.hasNext()) {
				Ruolo ruolo = ruoliIter.next();
				StringTokenizer st = new StringTokenizer(ruoli_sep, ConstantsGlobal.colonSeparator);
				while(st.hasMoreTokens()) {
					String valore = ApplicationUtil.trimToNull(st.nextToken());
					if(valore != null && ApplicationUtil.equalsIgnoreCase(ruolo.getNome(), valore))
						return true;
				}
			}
		}
		return false;
	}
	public void setRuoli(List<Ruolo> ruoli) {
		this.ruoli = ruoli;
	}
}