package it.callite.utility;
import java.io.Serializable;
import java.sql.Time;
import java.util.Date;
@SuppressWarnings("serial")
public class UtenteVO  implements Serializable {
	private Date data = ApplicationUtil.dataProgrammata(1);
	private Date data_fine;
	private Date data_inizio;
	private Boolean inverti = false;
	private String ip_bloccati;
	private String ip_consentiti;
	private Time ora_fine;
	private Time ora_inizio;
	private Long week_fine;
	private Long week_inizio;
	public Date getData_fine() {
		return ApplicationUtil.aggiustaDataT(data_fine, false);
	}
	public Date getData_inizio() {
		return ApplicationUtil.aggiustaDataT(data_inizio, true);
	}
	
	public Boolean getInverti() {
		return inverti;
	}
	public String getIp_bloccati() {
		return ApplicationUtil.trimToNull(ip_bloccati);
	}
	public String getIp_consentiti() {
		return ApplicationUtil.trimToNull(ip_consentiti);
	}
	public Date getOra_fine() {
		return ApplicationUtil.timeToDate(ora_fine);
	}
	public Date getOra_inizio() {
		return  ApplicationUtil.timeToDate(ora_inizio);
	}
	public Time getTime_fine() {
		return  ora_fine;
	}
	public Time getTime_inizio() {
		return  ora_inizio;
	}
	public Long getWeek_fine() {
		return week_fine;
	}
	public Long getWeek_inizio() {
		return week_inizio;
	}
	
	
	public void setData_fine(Date data_fine) {
		this.data_fine = ApplicationUtil.aggiustaDataT(data_fine, false);
	}
	public void setData_inizio(Date data_inizio) {
		this.data_inizio = ApplicationUtil.aggiustaDataT(data_inizio, true);
	}
	public void setInverti(Boolean inverti) {
		this.inverti = inverti;
	}
	public void setIp_bloccati(String ip_bloccati) {
		this.ip_bloccati = ApplicationUtil.trimToNull(ip_bloccati);
	}
	public void setIp_consentiti(String ip_consentiti) {
		this.ip_consentiti = ApplicationUtil.trimToNull(ip_consentiti);
	}
	public void setOra_fine(Date ora_fine) {
		this.ora_fine = ApplicationUtil.dateToTime(ora_fine);
	}
	public void setOra_inizio(Date ora_inizio) {
		this.ora_inizio = ApplicationUtil.dateToTime(ora_inizio);
	}
	
	public void setWeek_fine(Long week_fine) {
		this.week_fine = week_fine;
	}
	public void setWeek_inizio(Long week_inizio) {
		this.week_inizio = week_inizio;
	}
	public Date getData() {
		return data;
	}
	public void setData(Date data) {
		this.data = data;
	}
	
}