package it.callite.utility.chat;
import java.util.ArrayList;
import java.util.List;

import it.callite.model.sip.SipBuddies;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.UtilChat;
public class CreateBuddyThread extends Thread {
	private UtilChat  utilChat;
	private List<SipBuddies> accounts;
	public CreateBuddyThread(UtilChat utilChat, List<SipBuddies> accs, SipBuddies acc) {
		this.utilChat = utilChat;
		this.accounts = new ArrayList<SipBuddies>();
		if(ApplicationUtil.notEmpty(accs)) {
			accounts.addAll(accs);
		}
		if(acc != null) {
			accounts.add(acc);
		}
	}
	public void run() {
		ApplicationUtil.createAccountAdmin(utilChat, accounts);
	}
}