package it.callite.utility.massivo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;

@SuppressWarnings("serial")
public class Valore implements Serializable{

	private Boolean logico;
	private Long lungo;
	private Boolean booleano;
	
	private Integer intero;
	private Short corto;
	private String stringa;
	private Date data;


	public Boolean getLogico() {
		return logico;
	}
	public void setLogico(Boolean logico) {
		this.logico = logico;
	}
	public Long getLungo() {
		return lungo;
	}
	public void setLungo(Long lungo) {
		this.lungo = lungo;
	}
	public Boolean getBooleano() {
		return booleano;
	}
	public void setBooleano(Boolean booleano) {
		this.booleano = booleano;
	}
	public Integer getIntero() {
		return intero;
	}
	public void setIntero(Integer intero) {
		this.intero = intero;
	}
	public Short getCorto() {
		return corto;
	}
	public void setCorto(Short corto) {
		this.corto = corto;
	}
	public String getStringa() {
		return stringa;
	}
	public void setStringa(String stringa) {
		this.stringa = stringa;
	}
	public Date getData() {
		return data;
	}
	public void setData(Date data) {
		this.data = data;
	}
	public List<String> getMultiplo() {
		return ApplicationUtil.token(stringa, ConstantsGlobal.colonSeparator);
	}
	public void setMultiplo(List<String> multiplo) {
		stringa = ApplicationUtil.detoken(multiplo, ConstantsGlobal.colonSeparator);
	}
	
	
}
