package it.callite.utility.sincronizzazione;
import java.io.Serializable;

import it.callite.chiamate.Chiamate;
import it.callite.constants.ConstantsGlobal;
import it.callite.dao.ImpostazioneDao;
import it.callite.utility.ApplicationUtil;

@SuppressWarnings("serial")
public class InfoSincroniaContrattoThread extends Thread implements Serializable {


	private ImpostazioneDao impostazioneDao;

	public InfoSincroniaContrattoThread(ImpostazioneDao impostazioneDao) {
		this.impostazioneDao = impostazioneDao;

	}

	public void run() {
		while(true) {
			try {
				Long a = impostazioneDao.getSincroniaM();
				Chiamate.getCodaSincroniaContratti().timeout(a);
				if(ApplicationUtil.gtZero(a)) {
					sleep(a.longValue() * ConstantsGlobal.millis);
				} else {
					sleep(ConstantsGlobal.timeoutSincronia);
				}
			} catch (Exception e) {
			} 
		}
	}

}
