package it.callite.utility.thread;
import java.util.Iterator;
import java.util.List;

import it.callite.dao.ComunicazioneDao;
import it.callite.model.Notifica;
import it.callite.service.SmtpService;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MailSupport;
public class ReInvioNotificaThread extends Thread {
	private List<Notifica> lst;
	private SmtpService smtpService;
	private  ComunicazioneDao comunicazioneDao;
	public ReInvioNotificaThread(List<Notifica> lst, SmtpService smtpService, ComunicazioneDao comunicazioneDao) {
		this.lst = lst;
		this.smtpService = smtpService;
		this.comunicazioneDao = comunicazioneDao;
	}
	public void run() {
		if(ApplicationUtil.notEmpty(lst)) {
			MailSupport ms = smtpService.getMailSupport(false);
			Iterator<Notifica> objIter = lst.iterator();
			while(objIter.hasNext()) {
				Notifica obj = objIter.next();
				comunicazioneDao.reInviaNotifica(obj, ms);
			}
			ms.close();
		}
	}
}