package it.callite.utility.thread;

import it.callite.dao.AutodialerDao;
import it.callite.model.AutoContatto;
import it.callite.model.EsitoChiamata;


public class SalvaContattoThread extends Thread {

	private AutodialerDao autodialerDao;
	private AutoContatto auto;
	private EsitoChiamata esito;
	
	public SalvaContattoThread(AutodialerDao autodialerDao, AutoContatto auto, EsitoChiamata esito) {
		this.autodialerDao = autodialerDao;
		this.auto = auto;
		this.esito = esito;
	}

	public void run() {
		if (auto != null) {
			autodialerDao.esitaContatto(auto, esito, false);
		} 
	}

}
