package it.callite.utility.utils;


import java.io.File;
import java.io.FileFilter;

import it.callite.constants.ConstantsMap;
import it.callite.utility.ApplicationUtil;

public class LanguageFileFilter implements FileFilter {

	public static String start = ConstantsMap.messages + "_"; 
	public static String end = "." + ConstantsMap.properties; 
	
	public LanguageFileFilter() {
	}
	
	public boolean accept(File file){
		return ApplicationUtil.lowerCaseEmpty(file.getName()).startsWith(start) && ApplicationUtil.lowerCaseEmpty(file.getName()).endsWith(end);
	}

	public String getStart() {
		return start;
	}

	public String getEnd() {
		return end;
	}
	
	
}