package it.callite.utility.utils.registrazione;


import java.io.File;
import java.io.IOException;
import java.nio.file.DirectoryStream.Filter;
import java.nio.file.Path;

public class StreamSimpleFilter implements Filter<Path> {

	private String accept;
	
	public StreamSimpleFilter(String accept) {
		this.accept = accept;
	}
	
	@Override
	public boolean accept(Path entry) throws IOException {
		File file = entry.toFile();
		return accept != null ? file.getName().endsWith(accept) : true;
	}
	
}